/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
static void __attribute__((format(PG_PRINTF_ATTRIBUTE, 3, 0)))
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 645 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FILTER = 475,
    FIRST_P = 476,
    FLOAT_P = 477,
    FOLLOWING = 478,
    FOR = 479,
    FORCE = 480,
    FOREIGN = 481,
    FORWARD = 482,
    FREEZE = 483,
    FROM = 484,
    FULL = 485,
    FUNCTION = 486,
    FUNCTIONS = 487,
    GLOBAL = 488,
    GRANT = 489,
    GRANTED = 490,
    GREATEST = 491,
    GROUP_P = 492,
    HANDLER = 493,
    HAVING = 494,
    HEADER_P = 495,
    HOLD = 496,
    HOUR_P = 497,
    IDENTITY_P = 498,
    IF_P = 499,
    ILIKE = 500,
    IMMEDIATE = 501,
    IMMUTABLE = 502,
    IMPLICIT_P = 503,
    IN_P = 504,
    INCLUDING = 505,
    INCREMENT = 506,
    INDEX = 507,
    INDEXES = 508,
    INHERIT = 509,
    INHERITS = 510,
    INITIALLY = 511,
    INLINE_P = 512,
    INNER_P = 513,
    INOUT = 514,
    INPUT_P = 515,
    INSENSITIVE = 516,
    INSERT = 517,
    INSTEAD = 518,
    INT_P = 519,
    INTEGER = 520,
    INTERSECT = 521,
    INTERVAL = 522,
    INTO = 523,
    INVOKER = 524,
    IS = 525,
    ISNULL = 526,
    ISOLATION = 527,
    JOIN = 528,
    KEY = 529,
    LABEL = 530,
    LANGUAGE = 531,
    LARGE_P = 532,
    LAST_P = 533,
    LATERAL_P = 534,
    LC_COLLATE_P = 535,
    LC_CTYPE_P = 536,
    LEADING = 537,
    LEAKPROOF = 538,
    LEAST = 539,
    LEFT = 540,
    LEVEL = 541,
    LIKE = 542,
    LIMIT = 543,
    LISTEN = 544,
    LOAD = 545,
    LOCAL = 546,
    LOCALTIME = 547,
    LOCALTIMESTAMP = 548,
    LOCATION = 549,
    LOCK_P = 550,
    MAPPING = 551,
    MATCH = 552,
    MATERIALIZED = 553,
    MAXVALUE = 554,
    MINUTE_P = 555,
    MINVALUE = 556,
    MODE = 557,
    MONTH_P = 558,
    MOVE = 559,
    NAME_P = 560,
    NAMES = 561,
    NATIONAL = 562,
    NATURAL = 563,
    NCHAR = 564,
    NEXT = 565,
    NO = 566,
    NONE = 567,
    NOT = 568,
    NOTHING = 569,
    NOTIFY = 570,
    NOTNULL = 571,
    NOWAIT = 572,
    NULL_P = 573,
    NULLIF = 574,
    NULLS_P = 575,
    NUMERIC = 576,
    OBJECT_P = 577,
    OF = 578,
    OFF = 579,
    OFFSET = 580,
    OIDS = 581,
    ON = 582,
    ONLY = 583,
    OPERATOR = 584,
    OPTION = 585,
    OPTIONS = 586,
    OR = 587,
    ORDER = 588,
    ORDINALITY = 589,
    OUT_P = 590,
    OUTER_P = 591,
    OVER = 592,
    OVERLAPS = 593,
    OVERLAY = 594,
    OWNED = 595,
    OWNER = 596,
    PARSER = 597,
    PARTIAL = 598,
    PARTITION = 599,
    PASSING = 600,
    PASSWORD = 601,
    PLACING = 602,
    PLANS = 603,
    POSITION = 604,
    PRECEDING = 605,
    PRECISION = 606,
    PRESERVE = 607,
    PREPARE = 608,
    PREPARED = 609,
    PRIMARY = 610,
    PRIOR = 611,
    PRIVILEGES = 612,
    PROCEDURAL = 613,
    PROCEDURE = 614,
    PROGRAM = 615,
    QUOTE = 616,
    RANGE = 617,
    READ = 618,
    REAL = 619,
    REASSIGN = 620,
    RECHECK = 621,
    RECURSIVE = 622,
    REF = 623,
    REFERENCES = 624,
    REFRESH = 625,
    REINDEX = 626,
    RELATIVE_P = 627,
    RELEASE = 628,
    RENAME = 629,
    REPEATABLE = 630,
    REPLACE = 631,
    REPLICA = 632,
    RESET = 633,
    RESTART = 634,
    RESTRICT = 635,
    RETURNING = 636,
    RETURNS = 637,
    REVOKE = 638,
    RIGHT = 639,
    ROLE = 640,
    ROLLBACK = 641,
    ROW = 642,
    ROWS = 643,
    RULE = 644,
    SAVEPOINT = 645,
    SCHEMA = 646,
    SCROLL = 647,
    SEARCH = 648,
    SECOND_P = 649,
    SECURITY = 650,
    SELECT = 651,
    SEQUENCE = 652,
    SEQUENCES = 653,
    SERIALIZABLE = 654,
    SERVER = 655,
    SESSION = 656,
    SESSION_USER = 657,
    SET = 658,
    SETOF = 659,
    SHARE = 660,
    SHOW = 661,
    SIMILAR = 662,
    SIMPLE = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    STABLE = 667,
    STANDALONE_P = 668,
    START = 669,
    STATEMENT = 670,
    STATISTICS = 671,
    STDIN = 672,
    STDOUT = 673,
    STORAGE = 674,
    STRICT_P = 675,
    STRIP_P = 676,
    SUBSTRING = 677,
    SYMMETRIC = 678,
    SYSID = 679,
    SYSTEM_P = 680,
    TABLE = 681,
    TABLES = 682,
    TABLESPACE = 683,
    TEMP = 684,
    TEMPLATE = 685,
    TEMPORARY = 686,
    TEXT_P = 687,
    THEN = 688,
    TIME = 689,
    TIMESTAMP = 690,
    TO = 691,
    TRAILING = 692,
    TRANSACTION = 693,
    TREAT = 694,
    TRIGGER = 695,
    TRIM = 696,
    TRUE_P = 697,
    TRUNCATE = 698,
    TRUSTED = 699,
    TYPE_P = 700,
    TYPES_P = 701,
    UNBOUNDED = 702,
    UNCOMMITTED = 703,
    UNENCRYPTED = 704,
    UNION = 705,
    UNIQUE = 706,
    UNKNOWN = 707,
    UNLISTEN = 708,
    UNLOGGED = 709,
    UNTIL = 710,
    UPDATE = 711,
    USER = 712,
    USING = 713,
    VACUUM = 714,
    VALID = 715,
    VALIDATE = 716,
    VALIDATOR = 717,
    VALUE_P = 718,
    VALUES = 719,
    VARCHAR = 720,
    VARIADIC = 721,
    VARYING = 722,
    VERBOSE = 723,
    VERSION_P = 724,
    VIEW = 725,
    VIEWS = 726,
    VOLATILE = 727,
    WHEN = 728,
    WHERE = 729,
    WHITESPACE_P = 730,
    WINDOW = 731,
    WITH = 732,
    WITHIN = 733,
    WITHOUT = 734,
    WORK = 735,
    WRAPPER = 736,
    WRITE = 737,
    XML_P = 738,
    XMLATTRIBUTES = 739,
    XMLCONCAT = 740,
    XMLELEMENT = 741,
    XMLEXISTS = 742,
    XMLFOREST = 743,
    XMLPARSE = 744,
    XMLPI = 745,
    XMLROOT = 746,
    XMLSERIALIZE = 747,
    YEAR_P = 748,
    YES_P = 749,
    ZONE = 750,
    NULLS_FIRST = 751,
    NULLS_LAST = 752,
    WITH_ORDINALITY = 753,
    WITH_TIME = 754,
    POSTFIXOP = 755,
    UMINUS = 756
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 579 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1202 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1233 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   113331

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  719
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2846
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5248

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   756

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   508,     2,     2,
     513,   514,   506,   504,   516,   505,   515,   507,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   518,   517,
     501,   500,   502,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   511,     2,   512,   509,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   519,     2,   520,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   503,   510
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1512,  1512,  1515,  1517,  1519,  1521,  1523,  1525,  1527,
    1529,  1531,  1533,  1535,  1537,  1539,  1541,  1543,  1545,  1547,
    1549,  1551,  1553,  1555,  1557,  1559,  1561,  1563,  1565,  1567,
    1569,  1571,  1573,  1591,  1593,  1595,  1597,  1599,  1601,  1603,
    1605,  1607,  1609,  1611,  1613,  1615,  1617,  1619,  1621,  1623,
    1625,  1627,  1629,  1631,  1633,  1635,  1637,  1639,  1641,  1643,
    1645,  1647,  1649,  1651,  1655,  1657,  1659,  1661,  1663,  1665,
    1667,  1669,  1671,  1673,  1675,  1677,  1679,  1681,  1683,  1685,
    1687,  1689,  1691,  1693,  1695,  1697,  1699,  1701,  1703,  1705,
    1707,  1709,  1711,  1713,  1715,  1717,  1719,  1721,  1723,  1730,
    1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,  1750,
    1752,  1758,  1760,  1762,  1764,  1766,  1768,  1770,  1772,  1774,
    1780,  1790,  1794,  1800,  1804,  1814,  1824,  1825,  1839,  1846,
    1852,  1863,  1869,  1878,  1885,  1891,  1900,  1907,  1915,  1920,
    1928,  1933,  1939,  1944,  1950,  1955,  1961,  1965,  1969,  1973,
    1977,  1981,  1985,  1989,  1993,  2001,  2005,  2009,  2013,  2017,
    2021,  2029,  2037,  2046,  2048,  2056,  2060,  2068,  2076,  2080,
    2088,  2092,  2100,  2104,  2112,  2120,  2128,  2132,  2140,  2144,
    2152,  2156,  2160,  2165,  2174,  2179,  2185,  2190,  2196,  2200,
    2204,  2208,  2212,  2216,  2224,  2228,  2232,  2240,  2244,  2248,
    2256,  2260,  2264,  2268,  2276,  2280,  2284,  2288,  2293,  2297,
    2301,  2305,  2309,  2313,  2317,  2325,  2329,  2337,  2341,  2349,
    2353,  2367,  2371,  2375,  2379,  2387,  2391,  2395,  2399,  2407,
    2411,  2415,  2419,  2423,  2427,  2431,  2439,  2443,  2448,  2454,
    2458,  2466,  2474,  2478,  2482,  2486,  2494,  2498,  2506,  2510,
    2518,  2522,  2530,  2534,  2538,  2542,  2546,  2555,  2563,  2567,
    2575,  2579,  2587,  2595,  2599,  2603,  2607,  2611,  2619,  2623,
    2627,  2631,  2635,  2639,  2643,  2647,  2651,  2655,  2659,  2663,
    2667,  2671,  2675,  2679,  2687,  2691,  2699,  2703,  2707,  2711,
    2715,  2719,  2723,  2727,  2731,  2735,  2739,  2743,  2747,  2751,
    2755,  2759,  2763,  2767,  2771,  2775,  2779,  2783,  2787,  2791,
    2795,  2799,  2803,  2807,  2811,  2815,  2819,  2823,  2827,  2831,
    2835,  2839,  2843,  2847,  2851,  2855,  2859,  2863,  2867,  2871,
    2879,  2883,  2891,  2895,  2900,  2906,  2911,  2917,  2922,  2928,
    2932,  2936,  2940,  2948,  2956,  2961,  2967,  2971,  2979,  2983,
    2987,  2991,  2999,  3007,  3011,  3019,  3023,  3027,  3031,  3039,
    3044,  3052,  3060,  3068,  3072,  3080,  3085,  3091,  3095,  3099,
    3107,  3111,  3119,  3124,  3130,  3134,  3138,  3142,  3146,  3150,
    3154,  3158,  3162,  3166,  3170,  3174,  3178,  3182,  3190,  3195,
    3201,  3206,  3212,  3217,  3223,  3228,  3234,  3238,  3246,  3254,
    3258,  3262,  3266,  3271,  3277,  3281,  3289,  3297,  3301,  3305,
    3309,  3317,  3321,  3325,  3329,  3333,  3337,  3341,  3346,  3352,
    3357,  3363,  3368,  3374,  3378,  3386,  3390,  3398,  3402,  3406,
    3414,  3418,  3426,  3434,  3442,  3447,  3453,  3457,  3461,  3465,
    3473,  3477,  3481,  3485,  3489,  3493,  3497,  3505,  3509,  3513,
    3517,  3525,  3533,  3537,  3542,  3548,  3552,  3556,  3560,  3564,
    3568,  3576,  3580,  3588,  3592,  3596,  3600,  3604,  3608,  3612,
    3620,  3625,  3631,  3636,  3642,  3646,  3654,  3662,  3666,  3671,
    3676,  3682,  3686,  3694,  3698,  3706,  3711,  3717,  3721,  3725,
    3729,  3734,  3740,  3748,  3756,  3760,  3764,  3768,  3772,  3780,
    3785,  3791,  3795,  3799,  3804,  3810,  3814,  3818,  3823,  3829,
    3834,  3840,  3845,  3851,  3859,  3867,  3871,  3876,  3882,  3890,
    3898,  3903,  3909,  3917,  3925,  3929,  3937,  3942,  3948,  3952,
    3960,  3964,  3968,  3972,  3976,  3980,  3984,  3988,  3992,  3996,
    4000,  4004,  4012,  4017,  4023,  4027,  4031,  4035,  4043,  4047,
    4055,  4059,  4067,  4072,  4078,  4082,  4090,  4095,  4101,  4105,
    4113,  4118,  4124,  4128,  4136,  4141,  4147,  4155,  4160,  4166,
    4170,  4178,  4182,  4190,  4195,  4201,  4205,  4209,  4217,  4225,
    4230,  4236,  4244,  4248,  4252,  4256,  4260,  4264,  4268,  4272,
    4276,  4280,  4284,  4288,  4292,  4296,  4300,  4304,  4308,  4312,
    4316,  4320,  4324,  4328,  4332,  4336,  4344,  4352,  4356,  4360,
    4364,  4372,  4376,  4384,  4389,  4395,  4399,  4407,  4411,  4419,
    4424,  4430,  4434,  4442,  4450,  4454,  4462,  4466,  4470,  4474,
    4482,  4490,  4498,  4506,  4514,  4519,  4525,  4529,  4537,  4542,
    4548,  4552,  4560,  4564,  4568,  4576,  4580,  4588,  4592,  4600,
    4608,  4612,  4616,  4624,  4628,  4636,  4644,  4648,  4656,  4660,
    4664,  4672,  4676,  4684,  4688,  4692,  4696,  4700,  4708,  4713,
    4719,  4724,  4730,  4734,  4742,  4747,  4753,  4757,  4762,  4768,
    4772,  4776,  4780,  4788,  4793,  4800,  4802,  4810,  4814,  4818,
    4822,  4826,  4830,  4838,  4842,  4850,  4854,  4862,  4866,  4874,
    4882,  4886,  4894,  4902,  4906,  4910,  4914,  4922,  4931,  4940,
    4944,  4948,  4952,  4956,  4960,  4964,  4968,  4972,  4976,  4980,
    4984,  4988,  4992,  5000,  5008,  5012,  5020,  5024,  5032,  5036,
    5040,  5044,  5048,  5056,  5064,  5068,  5076,  5084,  5089,  5095,
    5099,  5107,  5111,  5115,  5123,  5128,  5134,  5142,  5146,  5154,
    5158,  5162,  5166,  5170,  5178,  5183,  5189,  5194,  5200,  5204,
    5209,  5215,  5221,  5227,  5235,  5239,  5247,  5251,  5259,  5263,
    5271,  5275,  5283,  5287,  5295,  5303,  5311,  5315,  5319,  5323,
    5331,  5335,  5339,  5343,  5347,  5351,  5355,  5359,  5363,  5367,
    5371,  5375,  5379,  5383,  5387,  5391,  5395,  5403,  5407,  5415,
    5419,  5427,  5431,  5439,  5447,  5451,  5456,  5462,  5466,  5470,
    5474,  5478,  5482,  5486,  5490,  5494,  5498,  5502,  5506,  5510,
    5518,  5522,  5526,  5530,  5534,  5538,  5542,  5546,  5550,  5554,
    5558,  5562,  5566,  5570,  5574,  5578,  5582,  5586,  5590,  5594,
    5598,  5602,  5606,  5614,  5618,  5626,  5630,  5634,  5638,  5642,
    5650,  5655,  5661,  5665,  5669,  5673,  5677,  5681,  5685,  5689,
    5693,  5697,  5701,  5705,  5709,  5717,  5721,  5729,  5733,  5737,
    5741,  5747,  5753,  5759,  5765,  5771,  5777,  5783,  5793,  5804,
    5815,  5826,  5837,  5848,  5859,  5875,  5891,  5907,  5918,  5934,
    5945,  5961,  5976,  5980,  5988,  5993,  5999,  6007,  6011,  6019,
    6023,  6027,  6031,  6035,  6043,  6047,  6055,  6059,  6063,  6067,
    6075,  6079,  6083,  6087,  6091,  6095,  6099,  6103,  6107,  6111,
    6115,  6119,  6123,  6127,  6131,  6135,  6143,  6147,  6155,  6159,
    6167,  6172,  6178,  6182,  6190,  6198,  6206,  6210,  6218,  6223,
    6229,  6234,  6240,  6248,  6253,  6259,  6263,  6267,  6275,  6279,
    6283,  6291,  6295,  6299,  6303,  6311,  6319,  6324,  6330,  6335,
    6341,  6346,  6352,  6357,  6363,  6367,  6375,  6379,  6383,  6391,
    6396,  6402,  6406,  6411,  6417,  6421,  6426,  6432,  6436,  6441,
    6447,  6451,  6455,  6463,  6468,  6474,  6478,  6486,  6490,  6498,
    6502,  6510,  6514,  6522,  6526,  6530,  6534,  6538,  6546,  6550,
    6554,  6558,  6562,  6570,  6578,  6586,  6590,  6594,  6602,  6606,
    6610,  6618,  6627,  6631,  6635,  6639,  6647,  6651,  6659,  6663,
    6671,  6675,  6679,  6683,  6687,  6691,  6695,  6699,  6703,  6707,
    6711,  6715,  6719,  6723,  6727,  6735,  6739,  6743,  6747,  6755,
    6759,  6767,  6772,  6778,  6786,  6790,  6798,  6806,  6810,  6818,
    6823,  6829,  6833,  6841,  6845,  6853,  6857,  6865,  6869,  6873,
    6877,  6885,  6889,  6897,  6905,  6909,  6917,  6921,  6929,  6933,
    6937,  6945,  6949,  6954,  6960,  6968,  6973,  6979,  6983,  6987,
    6995,  6999,  7007,  7012,  7018,  7022,  7030,  7034,  7038,  7042,
    7046,  7050,  7054,  7058,  7062,  7066,  7070,  7074,  7078,  7082,
    7086,  7090,  7094,  7098,  7102,  7106,  7110,  7114,  7118,  7122,
    7126,  7130,  7134,  7138,  7142,  7146,  7150,  7154,  7158,  7162,
    7166,  7170,  7174,  7178,  7182,  7186,  7190,  7194,  7198,  7202,
    7206,  7214,  7219,  7225,  7230,  7236,  7240,  7244,  7248,  7252,
    7256,  7260,  7264,  7268,  7272,  7276,  7280,  7284,  7288,  7292,
    7296,  7300,  7304,  7308,  7312,  7316,  7320,  7324,  7328,  7336,
    7340,  7344,  7348,  7352,  7356,  7360,  7364,  7368,  7372,  7376,
    7380,  7384,  7388,  7392,  7396,  7400,  7404,  7408,  7416,  7424,
    7428,  7432,  7440,  7444,  7452,  7456,  7460,  7464,  7468,  7476,
    7481,  7487,  7491,  7495,  7499,  7507,  7511,  7516,  7522,  7526,
    7534,  7542,  7547,  7553,  7561,  7565,  7573,  7577,  7581,  7585,
    7589,  7593,  7597,  7601,  7605,  7609,  7613,  7617,  7621,  7625,
    7633,  7637,  7642,  7648,  7652,  7656,  7660,  7664,  7672,  7676,
    7680,  7688,  7693,  7699,  7703,  7707,  7712,  7721,  7725,  7729,
    7734,  7740,  7748,  7756,  7761,  7767,  7771,  7775,  7779,  7783,
    7787,  7791,  7795,  7799,  7803,  7807,  7811,  7815,  7819,  7823,
    7827,  7835,  7840,  7846,  7850,  7858,  7866,  7871,  7877,  7885,
    7889,  7897,  7901,  7909,  7917,  7921,  7925,  7929,  7933,  7937,
    7941,  7949,  7954,  7960,  7968,  7972,  7976,  7980,  7984,  7988,
    7996,  8004,  8008,  8012,  8020,  8025,  8031,  8035,  8039,  8043,
    8047,  8055,  8059,  8067,  8071,  8075,  8079,  8087,  8091,  8099,
    8103,  8111,  8116,  8122,  8127,  8133,  8138,  8144,  8149,  8155,
    8159,  8163,  8167,  8175,  8179,  8183,  8187,  8191,  8195,  8199,
    8203,  8207,  8215,  8219,  8227,  8235,  8239,  8247,  8251,  8256,
    8262,  8268,  8278,  8283,  8289,  8293,  8297,  8301,  8309,  8311,
    8319,  8324,  8330,  8338,  8342,  8346,  8354,  8358,  8366,  8374,
    8379,  8385,  8393,  8398,  8404,  8412,  8417,  8423,  8427,  8431,
    8435,  8439,  8443,  8447,  8451,  8459,  8464,  8470,  8478,  8482,
    8490,  8494,  8502,  8510,  8518,  8526,  8530,  8538,  8591,  8595,
    8608,  8610,  8614,  8618,  8622,  8631,  8637,  8641,  8649,  8653,
    8661,  8665,  8673,  8677,  8681,  8685,  8689,  8693,  8697,  8701,
    8709,  8713,  8721,  8725,  8729,  8733,  8737,  8741,  8749,  8753,
    8761,  8765,  8773,  8781,  8786,  8792,  8797,  8799,  8805,  8809,
    8813,  8817,  8821,  8825,  8829,  8833,  8837,  8845,  8850,  8856,
    8860,  8865,  8871,  8875,  8879,  8884,  8890,  8895,  8901,  8909,
    8913,  8921,  8925,  8933,  8937,  8941,  8945,  8953,  8958,  8964,
    8968,  8973,  8977,  8985,  8989,  8997,  9001,  9009,  9017,  9021,
    9025,  9033,  9037,  9045,  9049,  9057,  9061,  9069,  9074,  9080,
    9085,  9091,  9095,  9103,  9108,  9114,  9118,  9126,  9134,  9138,
    9142,  9146,  9154,  9159,  9165,  9169,  9177,  9182,  9188,  9192,
    9200,  9204,  9208,  9212,  9219,  9226,  9230,  9238,  9242,  9246,
    9250,  9254,  9258,  9266,  9270,  9274,  9278,  9286,  9291,  9297,
    9301,  9305,  9309,  9314,  9320,  9324,  9328,  9332,  9340,  9345,
    9351,  9355,  9363,  9367,  9371,  9375,  9383,  9387,  9395,  9399,
    9403,  9411,  9415,  9423,  9431,  9435,  9443,  9448,  9454,  9459,
    9465,  9470,  9476,  9480,  9486,  9492,  9497,  9503,  9507,  9515,
    9523,  9525,  9527,  9531,  9535,  9539,  9547,  9557,  9568,  9577,
    9581,  9585,  9589,  9593,  9597,  9601,  9609,  9613,  9617,  9621,
    9629,  9633,  9641,  9646,  9652,  9656,  9660,  9664,  9668,  9672,
    9676,  9680,  9684,  9688,  9692,  9700,  9705,  9711,  9715,  9723,
    9727,  9735,  9743,  9751,  9755,  9763,  9767,  9775,  9783,  9791,
    9795,  9799,  9803,  9807,  9811,  9819,  9824,  9830,  9835,  9841,
    9845,  9849,  9853,  9861,  9869,  9873,  9878,  9884,  9888,  9892,
    9896,  9900,  9904,  9908,  9912,  9916,  9920,  9924,  9928,  9932,
    9937,  9943,  9947,  9955,  9959,  9963,  9967,  9971,  9975,  9979,
    9983,  9987,  9991,  9995,  9999, 10003, 10007, 10011, 10015, 10019,
   10023, 10027, 10031, 10035, 10039, 10043, 10047, 10051, 10055, 10059,
   10063, 10067, 10071, 10075, 10079, 10083, 10087, 10091, 10095, 10099,
   10103, 10107, 10111, 10115, 10119, 10123, 10127, 10131, 10135, 10139,
   10143, 10147, 10151, 10155, 10159, 10163, 10167, 10171, 10175, 10179,
   10184, 10188, 10196, 10200, 10204, 10208, 10212, 10216, 10220, 10224,
   10228, 10232, 10236, 10240, 10244, 10248, 10252, 10256, 10260, 10264,
   10268, 10272, 10276, 10280, 10288, 10292, 10296, 10300, 10304, 10308,
   10312, 10316, 10320, 10324, 10328, 10332, 10340, 10344, 10348, 10352,
   10356, 10360, 10364, 10372, 10376, 10384, 10388, 10396, 10400, 10404,
   10408, 10412, 10416, 10420, 10424, 10428, 10432, 10436, 10440, 10444,
   10448, 10452, 10456, 10460, 10464, 10468, 10472, 10476, 10480, 10484,
   10488, 10492, 10496, 10500, 10504, 10508, 10512, 10516, 10520, 10524,
   10528, 10532, 10536, 10540, 10544, 10548, 10552, 10556, 10560, 10568,
   10572, 10580, 10584, 10588, 10593, 10599, 10607, 10611, 10619, 10623,
   10631, 10635, 10643, 10647, 10652, 10658, 10662, 10666, 10670, 10678,
   10683, 10689, 10694, 10700, 10705, 10711, 10715, 10723, 10731, 10735,
   10740, 10746, 10754, 10758, 10765, 10770, 10776, 10781, 10786, 10792,
   10796, 10804, 10808, 10812, 10816, 10820, 10828, 10832, 10836, 10844,
   10848, 10852, 10860, 10864, 10872, 10876, 10880, 10884, 10888, 10892,
   10896, 10900, 10904, 10912, 10916, 10924, 10928, 10936, 10940, 10944,
   10948, 10952, 10956, 10964, 10968, 10976, 10980, 10988, 10992, 11000,
   11004, 11012, 11016, 11020, 11028, 11032, 11040, 11045, 11051, 11055,
   11059, 11063, 11067, 11071, 11075, 11079, 11087, 11091, 11099, 11107,
   11112, 11118, 11122, 11126, 11130, 11134, 11139, 11145, 11153, 11161,
   11165, 11169, 11177, 11181, 11189, 11197, 11201, 11209, 11217, 11222,
   11228, 11233, 11239, 11243, 11251, 11255, 11259, 11263, 11271, 11275,
   11284, 11286, 11294, 11299, 11305, 11309, 11317, 11321, 11329, 11337,
   11342, 11348, 11352, 11360, 11364, 11368, 11372, 11380, 11384, 11392,
   11396, 11404, 11408, 11416, 11424, 11432, 11440, 11448, 11456, 11464,
   11468, 11476, 11480, 11484, 11488, 11492, 11496, 11500, 11504, 11508,
   11512, 11516, 11520, 11524, 11528, 11529, 11534, 11540, 11548, 11552,
   11560, 11564, 11565, 11569, 11577, 11581, 11585, 11589, 11597, 11601,
   11605, 11609, 11613, 11617, 11621, 11625, 11629, 11633, 11637, 11641,
   11645, 11649, 11653, 11657, 11661, 11665, 11669, 11673, 11677, 11681,
   11685, 11689, 11693, 11697, 11701, 11705, 11709, 11713, 11717, 11721,
   11725, 11729, 11733, 11737, 11741, 11745, 11749, 11753, 11757, 11761,
   11765, 11769, 11773, 11777, 11781, 11785, 11789, 11793, 11797, 11801,
   11805, 11809, 11813, 11817, 11821, 11825, 11829, 11833, 11837, 11841,
   11845, 11849, 11853, 11857, 11861, 11865, 11869, 11873, 11877, 11881,
   11885, 11889, 11893, 11897, 11901, 11905, 11909, 11913, 11917, 11921,
   11925, 11929, 11933, 11937, 11941, 11945, 11949, 11953, 11957, 11961,
   11965, 11969, 11973, 11977, 11981, 11985, 11989, 11993, 11997, 12001,
   12005, 12009, 12013, 12017, 12021, 12025, 12029, 12033, 12037, 12041,
   12045, 12049, 12053, 12057, 12061, 12065, 12069, 12073, 12077, 12081,
   12085, 12089, 12093, 12097, 12101, 12105, 12109, 12113, 12117, 12121,
   12125, 12129, 12133, 12137, 12141, 12145, 12149, 12153, 12157, 12161,
   12165, 12169, 12173, 12177, 12181, 12185, 12189, 12193, 12197, 12201,
   12205, 12209, 12213, 12217, 12221, 12225, 12229, 12233, 12237, 12241,
   12245, 12249, 12253, 12257, 12261, 12265, 12269, 12273, 12277, 12281,
   12285, 12289, 12293, 12297, 12301, 12305, 12309, 12313, 12317, 12321,
   12325, 12329, 12333, 12337, 12341, 12345, 12349, 12353, 12357, 12361,
   12365, 12369, 12373, 12377, 12381, 12385, 12389, 12393, 12397, 12401,
   12405, 12409, 12413, 12417, 12421, 12425, 12429, 12433, 12437, 12441,
   12445, 12449, 12453, 12457, 12461, 12465, 12469, 12473, 12477, 12481,
   12485, 12489, 12493, 12497, 12501, 12505, 12509, 12513, 12517, 12521,
   12525, 12529, 12533, 12537, 12541, 12545, 12549, 12553, 12557, 12561,
   12565, 12569, 12573, 12577, 12581, 12585, 12589, 12593, 12601, 12605,
   12609, 12613, 12617, 12621, 12625, 12629, 12633, 12637, 12641, 12645,
   12649, 12653, 12657, 12661, 12665, 12669, 12673, 12677, 12681, 12685,
   12689, 12693, 12697, 12701, 12705, 12709, 12713, 12717, 12721, 12725,
   12729, 12733, 12737, 12741, 12745, 12749, 12753, 12757, 12761, 12765,
   12769, 12773, 12781, 12785, 12789, 12793, 12797, 12801, 12805, 12809,
   12813, 12817, 12821, 12825, 12829, 12833, 12837, 12841, 12845, 12849,
   12853, 12857, 12861, 12865, 12873, 12877, 12881, 12885, 12889, 12893,
   12897, 12901, 12905, 12909, 12913, 12917, 12921, 12925, 12929, 12933,
   12937, 12941, 12945, 12949, 12953, 12957, 12961, 12965, 12969, 12973,
   12977, 12981, 12985, 12989, 12993, 12997, 13001, 13005, 13009, 13013,
   13017, 13021, 13025, 13029, 13033, 13037, 13041, 13045, 13049, 13053,
   13057, 13061, 13065, 13069, 13073, 13077, 13081, 13085, 13089, 13093,
   13097, 13101, 13105, 13109, 13113, 13117, 13121, 13125, 13129, 13133,
   13137, 13141, 13145, 13149, 13153, 13157, 13161, 13165, 13169, 13179,
   13180, 13183, 13184, 13185, 13191, 13192, 13193, 13194, 13195, 13208,
   13208, 13217, 13232, 13234, 13237, 13239, 13243, 13255, 13271, 13275,
   13286, 13287, 13290, 13302, 13311, 13312, 13315, 13316, 13317, 13320,
   13321, 13324, 13325, 13328, 13329, 13332, 13334, 13336, 13338, 13342,
   13349, 13356, 13372, 13406, 13416, 13419, 13423, 13436, 13437, 13439,
   13441, 13445, 13459, 13466, 13527, 13536, 13538, 13539, 13542, 13544,
   13545, 13548, 13549, 13550, 13551, 13552, 13559, 13558, 13568, 13570,
   13572, 13573, 13576, 13577, 13578, 13579, 13582, 13583, 13587, 13586,
   13603, 13601, 13617, 13616, 13630, 13636, 13637, 13640, 13642, 13643,
   13646, 13647, 13648, 13649, 13652, 13653, 13656, 13664, 13681, 13689,
   13712, 13818, 13852, 13854, 13856, 13860, 13864, 13863, 13914, 13916,
   13915, 13930, 13936, 13943, 13948, 13954, 13955, 13958, 13959, 13960,
   13961, 13962, 13963, 13964, 13972, 13980, 13983, 13984, 13985, 13986,
   13987, 13988, 13996, 14004, 14005, 14006, 14009, 14010, 14013, 14015,
   14024, 14112, 14113, 14120, 14121, 14122, 14128, 14137, 14140, 14141,
   14142, 14143, 14146, 14147, 14148, 14151, 14153, 14161, 14162, 14168,
   14176, 14177, 14180, 14181, 14184, 14189, 14196, 14201, 14208, 14215,
   14215, 14217, 14224, 14225, 14228, 14229, 14230, 14231, 14232, 14233,
   14234, 14235, 14236, 14242, 14249, 14261, 14267, 14274, 14282, 14283,
   14295, 14306, 14317, 14321, 14322, 14325, 14330, 14334, 14335, 14338,
   14344, 14352, 14358, 14365, 14369, 14370, 14373, 14376, 14380, 14381,
   14384, 14390, 14399, 14404, 14414, 14424, 14436, 14437, 14438, 14439,
   14440, 14441, 14442, 14443, 14444, 14445, 14446, 14447, 14448, 14449,
   14450, 14457, 14458, 14461, 14462, 14469, 14470, 14471, 14478, 14477,
   14494, 14495, 14502, 14501, 14571, 14577, 14583, 14591, 14597, 14603,
   14609, 14615, 14621, 14627, 14633, 14639, 14650, 14651, 14654, 14655,
   14656, 14657, 14658, 14659, 14660, 14661, 14662, 14663, 14664, 14665,
   14666, 14667, 14668, 14669, 14670, 14671, 14672, 14673, 14674, 14675,
   14676, 14677, 14680, 14681, 14682, 14683, 14684, 14685, 14689, 14690,
   14691, 14692, 14693, 14694, 14695, 14698, 14701, 14702, 14703, 14704,
   14705, 14706, 14707, 14708, 14721, 14722, 14723, 14724, 14725, 14726,
   14727, 14732, 14733, 14734, 14735, 14736, 14737, 14743, 14744, 14745,
   14746, 14747, 14748, 14749, 14750, 14751, 14752, 14753, 14756, 14757,
   14758, 14759, 14760, 14763, 14764, 14765, 14766, 14769, 14770, 14771,
   14772, 14773, 14774, 14775, 14792, 14793, 14794, 14797, 14798, 14799,
   14800, 14801, 14802, 14806, 14806, 14809, 14815, 14816, 14819, 14821,
   14826, 14836, 14847, 14854, 14855, 14856, 14859, 14892, 14894, 14896,
   14899, 14909, 14919, 14929, 14930, 14933, 14935, 14936, 14937, 14940,
   14942, 14950, 14951, 14952, 14956, 14957, 14961, 14962, 14965, 14966,
   14969, 14970, 14971, 14972, 14973, 14976, 14977, 14978, 14979, 14980,
   14981, 14982, 14983, 14984, 14985, 14986, 14987, 14988, 14989, 14990,
   14991, 14992, 14993, 14994, 14995, 14996, 14997, 14998, 14999, 15000,
   15001, 15002, 15003, 15004, 15005, 15006, 15007, 15008, 15009, 15010,
   15011, 15012, 15013, 15014, 15015, 15016, 15017, 15018, 15019, 15020,
   15021, 15022, 15023, 15024, 15025, 15026, 15027, 15028, 15029, 15030,
   15031, 15034, 15035, 15036, 15037, 15040, 15041, 15042, 15043, 15044,
   15045, 15046, 15047, 15048, 15049, 15056, 15057, 15058, 15059, 15062,
   15063, 15066, 15067, 15070, 15071, 15082, 15083
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "for_locking_strength",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "opt_alias_clause",
  "func_alias_clause", "join_type", "join_outer", "join_qual",
  "relation_expr", "relation_expr_list", "relation_expr_opt_alias",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "RoleId", "role_list",
  "SignedIconst", "NonReservedWord", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
      61,    60,    62,   755,    43,    45,    42,    47,    37,    94,
     756,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -4785

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4785)))

#define YYTABLE_NINF -2686

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2686)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4785,   863, 12442, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, 27302, -4785,
   -4785, -4785, -4785, -4785,101984,   931, -4785, -4785, -4785,106925,
   -4785, -4785, -4785,   522, 69154, -4785, 72094,  1055, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, 76014, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, 57871,  1255, -4785,
     488, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  1284,  9730,
   -4785, -4785, 72584, -4785,   109, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, 73074,   515, -4785, -4785,   860,   969, -4785,    98,
    6657, -4785, -4785, 65724, 70134, -4785, -4785, 76504,   795,  2264,
    7802,  1284, 26808, 76994, -4785,  1092, -4785, 54394, -4785, -4785,
   -4785, 69644, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, 84344,  2486,   813, 54894, -4785, -4785,
   -4785, -4785, 84344, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, 77484, -4785,   909,  1075,  1326, 84834, 85324, 67194,
   -4785,  1555, -4785, 84344,  1310,   835, 56889, -4785, 85814, -4785,
   -4785,  1188, -4785, 77974, -4785, -4785, -4785, -4785,   813, -4785,
   57871, 53410,    66,  1393, -4785, -4785, 86304, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,  1859,  1398, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,   515, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,   327, -4785,  1257,   751,  1701,   207,  1538,
   -4785, -4785, -4785,  9197, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785,103445,  1904, -4785, -4785, -4785,  1477, -4785,  1539, -4785,
   -4785, -4785,  1149, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
     867, -4785, -4785, -4785, -4785,  2023,102471, 76014, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, 65234, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,   184, -4785, -4785, -4785,
   -4785, -4785, 76014, 76014, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   76014,  1643, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785,   849,  1843, -4785, -4785, 57871,  2594,  2594,  2135,
  103445, -4785, -4785, -4785, 59344, 84344, 84344, 84344,  1809, 84344,
    1748, 84344,   270, 59344,111148, 78464,  1906,  1789, 48897, -4785,
  109882, 84344, 84344, 86794, 84344,    55, 73564, 84344,  1871, 84344,
   84344,110304, 87284,  2007, -4785,  2273,  1253, -4785, -4785, -4785,
   84344,  8795,  2486, -4785, -4785, 84344,  1877, 59344, 84344,  1812,
   84344,  1897, 84344, -4785, 84344,  1971, 87774,   274,  2051,111148,
    2116, 49401,  2089,111148, 88264, 84344, 84344, -4785, -4785,  2037,
   84344, 84344, -4785,  2171,111570,  1873,  2174,  2277,  2227,   108,
   -4785, -4785,  2400,  1977, -4785, -4785,  2427, 76014, -4785, 74054,
   -4785, -4785, -4785,  2281, -4785, -4785, -4785, -4785, -4785, -4785,
  108194,  2264, -4785, -4785, 59835, 84344,  2258, -4785, -4785, 88754,
   -4785,  2071, -4785,   377, 60326,111992,  2367,  2060, 49905,  2410,
  112414, 89244, -4785, -4785, 89734, -4785, 90224,  2145, 90714, -4785,
  112836, -4785,  2328, 91204, -4785, 12991, -4785,  2093,  2354,  2044,
    1546, 76014, 76014,  1351,104782, -4785, -4785,   515, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,   264,  1489, 55394,  1093,
   55894, -4785, -4785,  1335,  1553,  1614,   264,  2535,  2535,    63,
   76014, -4785, -4785,  1489, -4785,  1031,    -9,  2119,  2119,  2119,
    2311,   936, -4785,  2119, -4785, -4785, -4785, -4785, 77974, 55394,
   55894, -4785,  2126,  2486,   106,  2536,  2230, 84344, -4785, 84344,
   -4785, 84344, 84344, -4785, -4785, -4785,  2561,  2186,  2447, -4785,
    2194, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
    2395,  2401,  2408,    50,  2486,  2306, -4785,  2519, -4785,  2429,
   31819,  1024, 76014,  2486, 56394, 78954, 99044,   205,108194,  2486,
   91694,  2252,  1264,  2438, -4785, -4785, -4785,   596, -4785,  2657,
    2289,  2504,   502,  1253, 46413, -4785,  2284,   992, 77974,103932,
   -4785, -4785, -4785, -4785,   210,  2588, 32328, -4785, 84344,  2282,
   -4785,  2288,  2298,  2318,  1701, -4785, 84344,  1415,  1415,  2708,
    1415,  2085,  2224, -4785,  1308, -4785,  2591,  2568, 77974,  1393,
    1284,  2341, -4785, -4785, -4785,  2351, -4785,  2345,  2353, -4785,
     892,  2604, -4785, -4785, -4785, -4785,  2449,  2464,  2476,  2479,
    2382,  2482,   326, -4785, -4785, -4785, -4785,  2724, -4785, -4785,
   -4785, -4785, -4785, -4785,  2828,  2814,107350,107350,   624,   693,
     149,   279, -4785, -4785, -4785,  2681, -4785, -4785,  2670, 84344,
    2516, 84344, -4785, -4785, -4785, 92184, -4785, -4785,  2594,  2351,
    2451, -4785,   242, -4785,   992, -4785,   340,   349,   385,  1821,
    2450,  1960,  1834, -4785,   171, 84344,  2569,   170,   805,  2494,
   79444,  8153,  2478,   491,  2727,  2767,  4087,   326, 79934, -4785,
   84344, 84344, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785,  2485, -4785, -4785,  2484,  2757,  1568,  2693,   127,  2834,
   10659,  1679, 92674, 99534,  2801,  2843,  4557,  2228,   821,  2737,
    1433,  2757,  2835,  1730,  2853,  5911, 84344,  2560, -4785,  2794,
    2908,   701, -4785,   574, -4785,  2636,  2768,   399, 59344,  2595,
   -4785, -4785, 84344, -4785, -4785, -4785,  2671, -4785,   487, 59344,
   -4785,  2792,  2648, 50409, -4785, 84344, -4785, -4785, -4785, -4785,
   -4785,  2731, 84344, -4785, -4785,  2851, 84344, -4785,  2119,  2770,
    2621,  3000, 62781,   200, 84344,  2665,  3042, 84344,  2856,  2665,
    2689, 93164, -4785, -4785,  2665, -4785, -4785, 84344, 84344,  2661,
    1499,  2665,  2860,  3066,  3070,  2749,  2852,   846,  1592,   110,
    2981,  2665,  2750, 84344, 93654, 84344,  2788, 84344,  3056, 59344,
   84344, -4785,  2861, 80424, -4785,  2709,  2400, -4785, -4785, -4785,
   -4785, -4785,   894, -4785, -4785, -4785, -4785,  3049,  2451,   460,
    3054,  2755,  3057, -4785, -4785,  2789, -4785,  3059,  2478,  3060,
   -4785,  2760, 94144, -4785, 94634, 95124,  3061,  2485,111148,  3065,
    2760,  3067,  2953,  3071,   460,  3072, -4785,   949,  3074,  2955,
    3076,  1808,  2760,108616,  3081,    97, -4785, 14552, 12991, -4785,
   15992,  1431, -4785, -4785, -4785, -4785, -4785, -4785, 35891,   724,
    2859, -4785, -4785, -4785,  1853, -4785,106069, -4785,  1351,  1489,
   -4785, 76014,  1489, 76014,    63,  1489, 76014,  1489, 76014,    63,
    1489, 76014, 76014, 76014,  1489, -4785, -4785,  2082,  1389, -4785,
   -4785, -4785, -4785, -4785, 76014,  2782, 84344, 84344, -4785, -4785,
   -4785, 70624,111148, 71114, -4785, -4785,    84, 76014, -4785, 76014,
   -4785,  2486, -4785, -4785,  2354, 62781,  3188,111148,  3056,  3075,
    3075,  3075, -4785, -4785, -4785,  3012, 84344,  3077,  3078, 70624,
  111148, -4785, 95614,108194,  2976,  2791, -4785, -4785, -4785, -4785,
    2054,  2885,   186,  2926, 35891,  2795,   194,   194,  2796,  3087,
   -4785, -4785, -4785,   408,  2799,  2800, -4785,   456,   456,  2954,
    2802,  2803, -4785,   464,  2804, -4785,  2940,   482,  2806,  2807,
    2808,  2247,   194, 35891, -4785,  2809,   456,  2811,  2812,  2813,
    3139,  2815, -4785,  3147,  2817,   298,   311,  2818,  2819, -4785,
    2802, -4785,   319,  2820,  2821,  2823,  2824,  2825,  2826,  2827,
    2830, 35891, 35891, -4785, 30801,   992,  2486, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785,   102, -4785,   528,  4098, -4785,  2863,
   -4785, -4785,  3004, 35891, -4785, -4785,  3080,  2836, -4785,   553,
   -4785, -4785,   992, -4785, -4785,  1532, -4785, -4785, -4785, -4785,
    1384,  1384,   202, -4785, 72584, 72584, -4785, -4785,  1296,  2837,
   -4785,  1583, -4785, -4785, -4785, -4785, -4785, -4785,107772,  3237,
   -4785,  2314,  2486,   574,  1683,  3183,105207,105638,  3082,  3082,
    3068, -4785, -4785, 84344, -4785, -4785, 35891, 52426, -4785,   992,
     129,  3085, -4785, -4785, -4785,  1942, -4785, -4785, -4785,   515,
   -4785, 13880, -4785,  2123,  2282, 84344, 84344,  3243, -4785, -4785,
    2288, -4785, -4785,  1701,  1701, 35891,  1701,  1041,  1870, 32837,
   36400,  3133,  3033,   165,  1376,  3135, -4785,  3043,  2085,  2224,
   77974, 84344, 96104,  2967, -4785, -4785,  2351,  2862,  2078, -4785,
   64744,102958,102958,  3111, -4785, -4785,  1644,   582,  2982,  3079,
    2535,  1195,   395,   395, -4785, -4785,  2864, -4785,  3198, 72584,
    2921,107350, -4785, -4785, 84344, -4785, -4785, 80914, -4785, -4785,
   -4785,  2086,  2865, -4785,  2879, 84344,  3369, -4785,   395,   395,
   -4785, -4785,  2868, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785,103445,  2872, 84344, -4785,  2874,  2875, -4785,103932, 52918,
    2058,   992,  2956,  2957,  3003, 57871,  2880,  2960,  2962,  3008,
    2968,  2969,100024, -4785, -4785, -4785, -4785,  1757,   964,   190,
    2970,   173,   831,  3248, -4785,  1353,  3016, -4785, -4785, -4785,
    2965, 84344,  3197,  7041,  3084,   326,  3017, -4785, -4785,  3131,
    2984,  2985,  3104,   326,   762,100514, -4785, -4785, -4785, -4785,
   -4785, -4785,  2136, 29300, -4785,  2987,  2972,  2997, 84344, 66214,
    1945,  3103,  1496,  2213,   141, 84344,  3180,  3113, 84344,  2927,
    3005,  3006,  3196,  2930,  1901,  3292,  2934, -4785, -4785,  3105,
    3203,  3241,  7673,  2996,  2998, 61799,  1251, 50913,  3281,  1697,
    3023, -4785,  1697, 84344,  3024,  3026, 84344,   326, -4785,  3338,
     326,   326,  1470,  3339,  3029,   163,  1996,  2665,  2934,  1591,
   -4785,  3034,  3035,  1590, -4785,  3142, -4785, -4785,  1434,  3047,
   77974,   291,  2189,  2934,  3040,  3041,  2930,  2930, 84344, 84344,
   84344, 84344, 84344,   132,  3371,  3372,  3051,   181,  3099,  2977,
   -4785,  1697,109038,  3062, -4785,  1697, 84344,  3064,  2332,  2934,
    1699, -4785,  1512, -4785, -4785, -4785,  1253, -4785, 84344, -4785,
   84344,  2451, 62781,  3170, -4785,  3021, -4785,  2478,   326, -4785,
   84344, 84344,  2485,  1478,  1078,  3176, 84344,  3234,  3028, -4785,
    1030, 52918, -4785,  2661,  2993, -4785,  3046, -4785,  3046,  3046,
    2995,  2995,  3001, -4785, -4785,  2247,  3046,  2995, -4785, 63763,
   -4785,  1646,  1885, -4785,  3401,  3403, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785,   993, -4785,  2128, -4785, -4785,
   -4785, 84344, 57871, -4785,  3418, -4785, -4785, 62781,  3190,  3306,
   -4785, 84344,  3207,  3009, -4785,  3341,  3083, -4785, -4785,   453,
   -4785,  3312,111148,   212,  2486,  3063, 84344,  3231, 84344, 84344,
   84344, 84344, -4785, -4785,  3205,   968,    43, -4785,109038, -4785,
   84344,  1591,  3221,  3427,   597,  2119, 84344,  3313, -4785, 84344,
    3025,  3435,  3268, -4785, -4785,  3030,  2535, -4785,  2709, -4785,
    2175, -4785,  3156, -4785, 59344,   460, -4785, -4785, -4785, -4785,
   62781, 84344, 96594, 59344,   460,111148,111148,  3340,    97,  3342,
    3092,  3343,  3095, 50913,   460,   139,111148, 84344, 84344, 84344,
   -4785, 84344, -4785, -4785, -4785, -4785, 84344, 84344,111148,109038,
    3344,  3346,   460, 84344, 84344, -4785, -4785, 14904,  1472, -4785,
   12991, -4785, 13880,  2185,  3082, -4785,  1643, 84344,  1083,  1351,
  109460, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, 76014,
   -4785, 76014,    63, -4785, -4785, 76014, -4785, 76014,    63, -4785,
   76014, -4785, -4785, -4785, 76014, 84344,  3545,  3044, -4785,  1532,
   -4785, 84344,  2202, -4785, -4785,  2206,   749, 84344, 84344,   655,
   59344, 84344,  3240, 84344, 84344, 84344, 84344, 84344,  3127,  2837,
    1571, -4785,   442, 77974,  3247, -4785, -4785, -4785, -4785, -4785,
    2212,  1859,  1268, 84344, -4785, -4785, -4785, -4785, -4785, -4785,
   71114, 69644,  3345,    59, 84344, -4785, -4785,  3263, 35891, 31310,
   -4785, -4785, -4785,  3069, 13880,  3094, 35891, -4785, -4785, 35891,
    3089,  2535,  2535, 35891, -4785, -4785, -4785, -4785,  2635,  2535,
   -4785, 35891, 35891,  2535,  2535,  3046,  3046, -4785,  4223, 35891,
   -4785, 50913, 35891, 37927, 28790, 35891,  3136,  3090,  2535, -4785,
    2535, -4785, 35891, 30292, -4785, 35891,  3271, 39454, 35891,  1683,
    3272, 35891,  1683,  3485,  3485,  1393,  2463,  5248,  3088,   992,
   -4785,  3181,  2535, -4785,  2535,   100,   191, 62781, 35891, 57871,
    3145,   195, 84344, 35891,  3096,  1684, -4785, 35891,   800, -4785,
    3097, 35891,  3151, 35891, 35891, 35891, 35891, 35891, 35891, 35891,
   35891, 35891, -4785, 40444,   265, -4785,  3353,  3383,   -41,  1713,
   71604,  3362, -4785, 31819, 28280, -4785,   227, 76014, -4785, -4785,
     992, -4785, -4785, -4785, -4785, -4785,  2086,  3091, -4785,  3108,
   -4785, -4785, -4785, -4785, -4785, 84344,  3237, -4785, -4785,  3173,
   -4785, -4785, -4785, -4785,   572, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,  3098, -4785, -4785, -4785, -4785,  3098, -4785,
   -4785,  3082,  3101,  4233, -4785, -4785, -4785, -4785,  3373,  3374,
     460,103445, 84344,   210, 74544, -4785, 32328, -4785,  2218, -4785,
    3106, -4785,  3354, -4785,  3107, -4785, 11031,  3354, -4785, -4785,
   38436,  3220,  3355,  3299, -4785, -4785, -4785,  3112, 13880, 35891,
   35891, -4785,  2269, 13880,  2406, -4785, -4785, -4785, -4785, -4785,
   -4785,   912, -4785, 84344,  3247,  3133,  1376,  3172,   537, 84344,
   -4785, 46908,  2099, -4785,  2351, -4785, -4785, 26172, -4785, 27790,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  3117,
   -4785, -4785, -4785, -4785, -4785,   326,  3118,  3599, -4785,107350,
   -4785, -4785, -4785,  3545, -4785,  2427, -4785,  2427,  3624, -4785,
   76014, -4785, -4785, -4785, -4785,  1249, -4785, 12991, -4785, 12991,
   -4785,  3302, -4785,  3513, -4785, 63763, -4785,  3126, -4785, 63272,
   60817, -4785, -4785,   983, -4785,  1316,  3206,  3208,  3252,111148,
   84344, 84344, -4785, 57871,111148, 84344, 84344,111148, 84344, 84344,
   -4785,  3493,  1100, 69644,  3255, 67684, -4785, -4785,  3134, 84344,
    3195,  3384,  3388,  1247, -4785, -4785, 97084, -4785,  3347,111148,
   84344, 84344, 35891,  3349, 84344, 84344, -4785,   415,  3228,  3232,
   -4785, 84344,  3233, 59344,  3144, 84344, 84344, 84344,  3230,   635,
   59344,  3201, 51417, 84344, 84344, 84344, 84344,  3279, 84344, 84344,
    3398,  1811, 77974,   147,  2346,  2934,  3358, -4785,  1072, -4785,
  111148, 84344,  3350, -4785, -4785, -4785, 68174,  3563,  3269, -4785,
   -4785,101004, -4785, -4785, -4785,  2222, -4785,111148,111148, 84344,
    8102, 84344,  1505, -4785, -4785, 62781, -4785, 84344, 84344, 84344,
   84344, 75034, 97574, 98064,  1703,  1706, 84344, 75524, -4785, 84344,
   -4785, -4785, 58362,111148, 84344,   774, 57871, -4785, 84344,  3356,
     868, -4785, 84344,  3560,  3245,  3256, 84344,   245,  2374,  2934,
   84344, 84344,  3167,  2225,  3249,  3295, -4785, 84344, 99044, -4785,
  111148,  1919, -4785,  3314,111148, 84344, 11393, -4785, -4785,   326,
   -4785, -4785, -4785, -4785, -4785, 84344, 84344,   326, 84344,   326,
    1003, -4785,111148, 84344, -4785, -4785, -4785, 84344,  8303, 84344,
   84344, 84344, 84344,111148, 84344, -4785, -4785,  1446,     3,  1152,
    1561,  3316, 84344,  3448, 84344, 98554,111148, 84344, 84344, 84344,
    1770, -4785, -4785, -4785,  3297, -4785,111148,  1919, -4785,  8676,
   84344, 84344,  3259,  3264,   151,  3336, -4785, -4785, -4785, -4785,
   -4785, -4785,  3432,  3595, 84344, -4785,  3434,  3436,  3251,  3253,
    3437,  1690, 84344, -4785, -4785, -4785, -4785, 84344,  3443,  1690,
    3379,   551, -4785, -4785,  2665, -4785,  2232, -4785,  3214, -4785,
   35891,  3608, 62781,  3209,  3223,  3280, -4785,  3282,  2535, -4785,
    2239, -4785, -4785,  2243, -4785,  3217,   968,  1633, -4785, 57871,
   84344,   680,   878,  3507, 66704,  2625,  3501, 84344,  3262, 84344,
    2625, 84344, -4785,  1349, 69644, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785,  3509, -4785,  2486,  2661,  2661,  2661,
    2661, -4785, -4785, -4785, -4785,  3413,  1508, -4785,  3224,  2661,
   84344,  3348,  2625,  3225, -4785,  1591,  3527,  3531, 84344, 66704,
    2287,  3266,  3636,  2119,  2486,  3420, -4785, 29796,  5052,  3422,
  108194, 80424, -4785,  3238,  3512,  3514,  3530, -4785,  2451, -4785,
    3648, -4785,  3546,   460,  2478, -4785,  2760, -4785, 84344, -4785,
   84344, 84344, 84344, 84344,  2485, -4785, -4785,  2760,  3439,   460,
     460, -4785,  3449,   460,  2760,  3361,  3538,108194, -4785,    97,
   -4785, -4785, -4785, -4785, -4785, 35891, -4785, -4785, -4785,  2119,
    2175, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, 76014,  2427, -4785,  2255, -4785, 84344, -4785,  3515,
    3520,  3526,  3261,  3265,  3298, 84344,  3267, -4785,  3261,   326,
    3261,  2837,  2837,  3261,  3265,110726,  3667,  3543,   686, -4785,
     740,    24,  3478, -4785, -4785, -4785, -4785, 62781, -4785, -4785,
   -4785, -4785, -4785, 84344,  3305,   199,  3458,  3273,110726,  3662,
     460, -4785, 59344, -4785, -4785, -4785,  3352,  3368, 59344,  3466,
    3325, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  3521, 84344,
    2340, -4785,  1790, -4785,  1800, 35891, 35891,   372, -4785, 11814,
    2355, 35891,  3284,  3285,  2359, -4785, -4785, -4785, -4785, -4785,
   -4785,  3287,  3567, -4785, -4785,  3288,  2364,  2370,  3289,  3290,
   -4785, -4785,  6132,  3294, 11886,  3303, 37927, 37927,   710, -4785,
   -4785, 37927,  3308, -4785,  2375, 11367,  3296,  3310,  3311, -4785,
    3315,  3317, 12499, 33346, 35891, 33346, 33346, 13047,  3296,  3318,
    2376, 57871,  3468, 13135,  2394, -4785, 35891, 57871,  7134, 35891,
   -4785, 35891, 84344,  3320,  3321, -4785, -4785,  4223, -4785,  3324,
   -4785, 37927, 37927, -4785,  3791, 30801, -4785, -4785,  3582, -4785,
   -4785,  1961, -4785,  3307, -4785, -4785,  4907,   215, 35891,  3096,
   35891,  3380, 50913,  6412, 35891,  2184,  4558,  4558,   653,   653,
     240,   240,   240,  1869,  1713, -4785, -4785, -4785,  3326,  3327,
    3328,  3488,  2815, 35891, -4785,  2488,  2492, 84344,  6451, 10066,
   12146, -4785, -4785, 41957,  3363, -4785, 35891, 35891, 35891,  3329,
   -4785,  3736, 13880,   737, -4785,  3737, -4785, -4785, -4785,   967,
    3624,  2086, -4785,  1253,  2535,   100,106069, -4785, -4785, -4785,
   35891, -4785, -4785, -4785, -4785,  2288, -4785, -4785, -4785, -4785,
   -4785, 84344,  1859, 35891, -4785, -4785,   806,  2102,   684,  3502,
     395,   395,  2269,  3510, -4785, -4785,  3386, -4785, 35891, -4785,
    2420,  2459, -4785, -4785, -4785, -4785,  2837, -4785, -4785, -4785,
   41957,  3370,  3381, 45918,  3465, -4785, -4785, 84344,   278, -4785,
   -4785, -4785,  3357, -4785, -4785, -4785,  1659, -4785, -4785, -4785,
   -4785, -4785, -4785,  3330, -4785,  3332, -4785,  3364, -4785, -4785,
   -4785, -4785,   187,  3335,  3334,  3351,  1439, -4785, 60817,  2128,
   -4785, 63272, -4785, 63272, -4785,  2128,  3730, -4785, 60817,  1894,
  111148, 84344, 84344, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785,  3568, -4785,111148,111148,  3534, 84344,  3532,
    3539, 35891,   652, 84344,  3365,  3367,  1514,  3615, 84344, -4785,
    3656,   460, -4785, -4785,  3433, -4785, 13880, -4785, -4785, -4785,
   -4785, -4785,111148, 84344, -4785,108194, -4785,  2451, 62781, -4785,
   -4785, -4785, 84344,  3389, 84344, -4785, 84344, 84344, 84344,  2485,
   -4785, -4785, -4785, -4785,  1178, -4785, -4785, 84344, 84344,   103,
    3441,  3445, 84344, -4785,   775,  3142,  9422, 84344, 84344, 84344,
    3625, -4785, -4785, -4785, -4785,  3557, -4785, -4785, 60817, -4785,
    2760,  1228,  3451,  2934, -4785,  3553, -4785,  1565, -4785, -4785,
   -4785, -4785, -4785,  3676,   460,  3677,   460, 84344, 84344, 84344,
   84344, -4785, -4785, -4785, -4785, -4785, 57871, 57871, 57871,  2412,
   -4785, -4785,  2486, -4785, -4785, -4785, -4785, -4785, -4785,  3640,
   -4785,  2417, -4785,  1715, -4785, -4785, -4785, -4785, -4785, -4785,
  111148, 84344,  9435, 84344, 84344, 84344,  2065, -4785,  1451, 62781,
   -4785, 62290,111148, 84344, -4785, -4785,  3605,  3548, -4785,  2038,
    3549,111148,  3444, -4785, -4785,  3460, -4785, -4785,  3461,  2424,
    2934,  1591, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
    1356,   254,  2437,  2934,  3462, -4785,  3464, -4785, -4785, -4785,
    3607,  3610,  3611,  3472,  3473,  3522,  3475,  3476,  3523, -4785,
    3482,  3528,  3484,  3535,  3486,   460, 62781,  3604,  2486,  3518,
    3711,   460, -4785,  3489, -4785, -4785,  3813, -4785, 84344, -4785,
    3492,  2453,  2934, -4785, -4785,111148, 84344, -4785, -4785, -4785,
    1690, 62781,  3659,  1690,  1690, 84344, 84344,  1690, -4785, -4785,
   -4785,  3660,  3661,  1690, -4785, -4785, -4785, -4785,  2770,  3419,
   -4785,  2281, 48393,  5628,  3424,  3223,  3426,  2535, 44433,  1267,
    3630,  3438, -4785, -4785, 57871, 48393,  1862,  3653,  3453,  3453,
    3453,  3453,  3453,  3453,  3453, -4785,  2310,   197,  2665,108194,
   84344,108194, -4785,   878,  3553, 84344, 84344,  3440,  3450, -4785,
   -4785, -4785, -4785,111148,    86,111148,  2535, -4785, -4785,  3491,
   -4785, 84344,  2119,  3840,  3070,   212,  3580,  2034,  3784,  3266,
   -4785, -4785, -4785, -4785, 84344, 84344,   968,  2486, -4785,  3446,
    3455, -4785, 84344, 84344, 84344, 84344,  1859,  3452,  3447, 62781,
     535,  3632,  3637,  2930,  3851,  1859,  3266,  3536, 84344, -4785,
    2432,    70, -4785,  2486,108194, 61308, -4785,  5789, -4785, -4785,
    1088,  3729, -4785, 84344, -4785, -4785, 45423,   460, 62781, 84344,
   -4785,   460,    97,  3516,   460,  3540,   460,   460, 84344, -4785,
   -4785, 84344, -4785, 84344,109038,   460, -4785, 13880,  3749, -4785,
   -4785, -4785, -4785,  3585,  3587,  3589, 84344,  3261, 59344, -4785,
    3477,111148,  1612, -4785, -4785,  3654, -4785, -4785, -4785, -4785,
   -4785,  3782,  3787, -4785, -4785, -4785,   167, -4785,111148, 70624,
     156,111148, -4785,  2451, -4785, -4785,  2478,   326, -4785, 84344,
    3724, -4785, -4785, -4785,  3490,  2442, 13333, 35891, -4785,  3796,
   62781, -4785,  6953, -4785, -4785, -4785, -4785, 35891, -4785, -4785,
   -4785, -4785, -4785, 35891, -4785, 35891,  3771, -4785,  3916,  3916,
   62781, 37927,  2005,  2811, 37927, 37927, 37927, 37927, 37927, 37927,
   37927, 37927, 37927, 40953,   738, -4785, -4785, 35891, 35891,  3781,
    3771, -4785, -4785,  1651,  1651, 62781,  3494,  3296,  3496,  3498,
   35891, -4785, -4785,  2466, 39949,  3500, 57871, -4785, 35891, 10622,
    2491,  3547, 13717,   992,  7443, -4785,  3872,  2486, 35891,  2639,
    3222, 35891,  2514, 35891,  3788, -4785, -4785, -4785,  3506, -4785,
   -4785, 62781, 35891, 37927, 37927,  5200, -4785,  5576, 35891,  3511,
    6205, 30801, -4785,  3687,  3550, 47403, -4785,   813,   813,   813,
     813, -4785, 84344, 84344, 84344, 42452,  3794, 41462, 81404,  3519,
    1876, -4785, 81404, 81894, -4785,  3529, -4785,  3517,   992, 35891,
    3789,   759,   759,  3687, -4785, 35891, 33855,  3524, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785,  3533, -4785,  3537, -4785, -4785,   574,
    3525, -4785, -4785, 10289,   187, -4785, -4785,  3541, -4785,  3544,
   -4785,  2102, -4785, -4785, -4785, -4785, -4785,  3700, -4785, -4785,
   -4785,  3519, 34364,  3465, -4785,  2518, -4785, -4785, 31819, -4785,
   -4785,  2531, 46908,  3370, 32328,   992,  2535,  3542, -4785,  2427,
     967, -4785, -4785, -4785, -4785, -4785,  2537,  1949, -4785, -4785,
   60817, -4785,  3584, -4785, -4785, -4785,  3453,  2760,  2760,   852,
    3261,  3807,   852,  7648, -4785, -4785, 42947, 84344, 84344, -4785,
   84344,  2542,  1289, 84344, -4785, 84344, -4785, -4785, -4785, -4785,
    3924, -4785, 84344, -4785, -4785,  3576,  3588, -4785, 84344, 84344,
   84344, 84344, -4785, -4785,  2450, -4785, -4785,111148, 84344, -4785,
   -4785, -4785,   314,  2506,  2934, -4785,  3616, -4785, -4785,  3793,
   -4785,  3922,  3623, 84344,  3554, -4785,  1289,   900,  2930,   720,
   -4785, -4785,  3609, 84344, -4785, 84344, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, 58362, -4785, -4785, 84344, -4785,
   57871, 48393, 57871, -4785,  1454,   355,  2556,  2934, -4785,  3622,
   -4785,  3627,  3634,  3668,  1057,   637,  3639,  3641,  3669,  3562,
    3569,  3570, -4785, -4785,   264,  2486, -4785, -4785,  2486,  2760,
    2486, 84344, 84344, 84344,  3957,  3657, 84344, 84344, 84344, 84344,
   84344,  3862,   591,  1992,111148, 84344, 84344,111148, 84344, 84344,
   84344, 84344, 84344, 84344, 84344, -4785,  3946,  3878,  2179,  3918,
    3647, 84344, -4785, 84344,  3142, 84344, 84344, -4785, -4785, -4785,
    3579,  1690, -4785, -4785,  3824,  3825, -4785,  1690,  1690, -4785,
    1030, 57871, -4785,  2892, -4785,  3214,  3544,   395,   395, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,  2535,  2474,  3592, -4785,
   44928, -4785,  3583, -4785,  2660,   100, -4785, -4785, 84344,  3453,
   -4785,  2703,  2445,  2573,  2829, 82384, 82874, 83364,  3586, 84344,
   84344, 37927, -4785,  1542,   780, -4785,  3823, 84344,  3628, -4785,
   -4785, -4785,  3741, 84344, -4785, -4785, -4785, -4785, -4785,  3596,
   -4785,  3701, 66704,  2760,111148,111148,  2760, -4785, 62781,  3598,
    3266,111148,   212,  1221, 93654,  3633, -4785,  3597,  3891, -4785,
    3602,  3601, -4785, -4785, 84344,  3553,  2546,   723,  2044,  3305,
   68664,  2287,  3863, -4785, -4785, -4785,  3973,  3694, -4785,  1859,
    3305,  3694,  2486,  3195, -4785, 60817, 35891, 35891, -4785,  3612,
   -4785,  3614,  6822, -4785,  2661, -4785, -4785, -4785, -4785, -4785,
   -4785,  3689, 84344,  4038, -4785, -4785, -4785,  3617,   460, -4785,
   -4785, 84344, -4785, 84344, -4785, -4785,   460,   460, -4785,  3732,
   -4785,  1859, 84344, 84344, 84344,  3261, -4785,   326, -4785,  3895,
  110726, -4785, -4785, -4785, -4785, -4785,  3960,    59,  3901, -4785,
   -4785,  3864,  3865,  3866,  3867,  2211, -4785, -4785, 35891, 13880,
   -4785,  3626, -4785, 13880,  7761, 13880,  3781, -4785,  1416,  3910,
   -4785,  1453,  3629,  1416,  2333,  2333,   421,   421,   148,   148,
     148,  3916,   738, 13880, 13880, -4785, -4785, -4785, -4785,  3635,
   -4785, -4785, -4785,  3296, -4785, 36909,  3773,  4019, -4785, -4785,
   -4785,  3671,  3672,  3638, -4785, 35891, 37418,  3642, 63763, -4785,
   -4785,   100,  1899, 37927, 37927,  2534, -4785,  1114, 35891, 62781,
    2554,  2534,  3442,  3481, 35891, 35891,  6228,   346, 35891,  8288,
    3643, 35891,101494, -4785, -4785, 84344, 84344, 84344, 84344, -4785,
   -4785, -4785, 81404, 81894,  3650, 43937,  1876,  3646, 84344, -4785,
   -4785,  3652, 41957,  3875,  3815, -4785, 41957,  3815,  1938,  3815,
    3882, -4785, 47898, -4785, -4785,  3655, -4785, -4785, 28280,  1978,
   13880,  4045,  3932, 35891,  3666,  3670,  3673, 13880, 35891, -4785,
    2486,   967,   647,  2486, -4785, -4785, -4785, 50913, -4785, -4785,
    3852, 13880, -4785,  1859, 84344,   992,   406,  3674, 84344, -4785,
    3465, -4785, -4785, 12991, -4785, -4785, -4785, -4785,  3740,  2557,
   -4785,   264, -4785, -4785, -4785, -4785,  3745, 69644,  3961, -4785,
   35891,  2567, -4785,  3712,  4048,   105,  2570,  2584,  1289, -4785,
    3628, -4785,  1686,  3939,   220, -4785,   460, -4785, 62781, -4785,
   84344, 84344, -4785, -4785, -4785, -4785,  2880, -4785, -4785, 84344,
   84344, 84344, 84344, -4785,111148, 84344, -4785, 57871,  2310,  3876,
   -4785, -4785,  3879,   264, 84344, -4785, 62781,   460,   460, -4785,
   -4785, -4785, -4785,  3696,  4074,  3774, 84344, 84344, 84344, 84344,
  111148, 84344, 84344,  2535,  2535, 62781,  3685, -4785,  2535,  2535,
    3691, -4785,111148, 84344, 84344, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785,111148, 84344, -4785,  3769, -4785,
   -4785, -4785, 84344, 84344, 84344, 84344,  3996, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, 84344, -4785,
   -4785,  2486,  2486, 62781,   460,   460, -4785, -4785, -4785,  3940,
   -4785,  1690,  1690, -4785, -4785,   390,  2585, -4785,104354, -4785,
   -4785,  3042,  2486,  3042,  1916, -4785, -4785,  3042, -4785,  3042,
   -4785,  1289,  3697,   972,  3982, -4785,  2599,103445, 44928, 44928,
   44928, 44928, 44928, -4785, -4785,  3985,   264, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, 35891, -4785,  1084,  1416, -4785, -4785, -4785, -4785,
    3628,  2119,  3757, 59344,  1086, -4785,  3969,   680, 66704,  1547,
   84344, -4785,  2760,  2760,  3761, 84344,  4114, -4785,   772, 84344,
    4025,  3754, -4785,  2486, -4785, -4785,  3266, 84344, 66704,  3305,
   -4785,  2596, -4785, -4785, -4785,  3752,  3637,  3717,  2287,   747,
   84344, -4785,  3755, -4785, -4785,  4002,  3720, -4785, 13880, 13880,
    2486, 64254,  5789, -4785, 84344,  3978, 84344, -4785,   460, -4785,
     460,   460, -4785, -4785, 84344,  3261,  3261,  3261, -4785,  3906,
   -4785, -4785,   460,110726,  2211,  2211,  2211,  2211, -4785, -4785,
   -4785, 13880, -4785, -4785, -4785, 37927,  4008, -4785,  3726, 62781,
   -4785,  3727,  2605,  2609, 39454,  3874, -4785, -4785, -4785,  8341,
    3780, 13880,  3832,  3733,  3734, -4785,  1575,  1575,  1114,  2619,
   -4785, 37927, 37927,  2534,  2534, 35891,  2534, -4785, -4785,  8609,
    3902, -4785, -4785, -4785, -4785, -4785, -4785, -4785, 58853, 81404,
    3742, 84344,  1876, 41957, -4785, -4785,  1728, -4785, 41957,  3976,
   -4785, 41957, 84344,  3743, 84344,   737, 35891, 35891,  3778, -4785,
   -4785, -4785,  3687, -4785, -4785,   395, -4785, -4785, -4785, -4785,
     100,  3744, 76014, -4785, -4785, -4785,  1393, -4785, -4785, -4785,
   -4785, -4785, -4785,110726,  3933,110726,  1289,  9384,  3628, 42947,
   51921, 84344, 83854, 83854,  3890,  3628,  3757, -4785, -4785, -4785,
   -4785, -4785, -4785,  3747, -4785, -4785, -4785,  3826, -4785, -4785,
     -51,  3247,  2641, -4785, -4785, -4785, -4785, -4785,  3946, -4785,
   -4785, 48393,111148, 84344, -4785,  3828, -4785, -4785, -4785, -4785,
   -4785, 43442, 50913, -4785,  1057,  3753,  3756,   637, -4785, -4785,
   -4785,   953,  3247, 84344,  1647,  1200,  3790,  3261,  4046, -4785,
   -4785, -4785,  3946, -4785, -4785,  1690, -4785, -4785, -4785,  2665,
    4084, -4785, 57871, -4785,106500, -4785, -4785, -4785,  2486, -4785,
    2486,  3954, 84344, 53902,  2486,  2486, -4785, 59344,  4165,  4165,
   -4785,  3762,  2081,  2081, -4785, -4785, -4785, 84344, -4785, -4785,
    9441,  3962, -4785,  3757,  3981,  4023, -4785,  3766, 84344,  3923,
    3768,  3775,  1263,  1263,  3553, 84344,  2642,  1859,   212, 66704,
    3553, -4785,   990,  3770,  4077, -4785,  4183,  3452,  3779, -4785,
   -4785, 68664,  3963,  3694, 84344,  3637,  3913, -4785,  3915, -4785,
    1345, -4785, 84344, 42947, -4785, 63272, -4785,  2647, -4785, -4785,
    3363, 84344,    26, -4785,  3806, -4785, -4785, -4785, -4785, -4785,
   -4785,   156, -4785, -4785, -4785, -4785,  1305, 37927, 62781,  2662,
   35891, -4785, 35891, -4785,  4182, -4785, -4785, -4785,   677, -4785,
   -4785, -4785,  1575,  1575,  2534, -4785,  4184,  3687, -4785,  2663,
    4202, -4785, 84344,  2668, -4785, 35891,  3799, -4785, -4785, 41957,
    1728,  2676, 84344,  2683, 62781,  3802,  3296, 13880, 84344, -4785,
    3803, -4785, -4785, -4785, -4785, -4785, -4785,  1612,   852,   156,
    4048,  3757, -4785,  3800, -4785, -4785, 84344, -4785,  1385,  1385,
   84344,  3757, -4785, -4785, 84344,  3892, -4785, -4785, 57871,  3861,
   -4785,  1067,  3247, 84344, 62781,  2478,    49, -4785, 62781, 62781,
   -4785,  3896, -4785, -4785, 84344, 84344, 84344, 84344, 84344,   460,
   -4785,  3419,  2486, -4785, -4785,  2684, -4785, -4785, -4785, 84344,
    3597, -4785,  3597, -4785, -4785,  4165,   267, -4785, -4785, -4785,
   -4785,  2109,  4012, -4785,  1443,  3998,  3898,  3816, -4785, 59344,
    4245,  3929, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785,  4113,  3266,  3755, -4785, -4785, -4785, -4785, 35891,  3975,
    1859,  2287,  3863, -4785, -4785, -4785,  2695,  3694, -4785, -4785,
    4195,  4005,  4200, -4785,  2714, -4785, -4785,  6822, 64254,  4146,
   -4785,  3883, 84344, -4785, -4785,  2720,  4259, -4785,  1305,  2717,
   -4785,  2718,  2721,  3987,  3886, -4785, 35891,    61,  3529, 58853,
    3838, -4785,  2722, -4785, 13880, 84344, -4785, -4785, -4785,  2725,
   -4785, -4785,  3841, -4785,  4250, -4785, -4785,  4130, -4785, 83854,
    3887, 50913, -4785,  2102,  2102,  2119, -4785,  1289, -4785, 84344,
   -4785, 35891, -4785,  3934, -4785, -4785,  2728, -4785,  1548,  3994,
    4139,  2729,  2732, 84344,  3265,  3888,  3265, -4785,  3261, -4785,
   -4785, -4785, -4785,106500,  3597, -4785, -4785, -4785,  4166,  4117,
   -4785, -4785, -4785, -4785,   329, -4785,  4047,  4050, 84344, -4785,
    3859, -4785,  2733, 84344, 84344,  4265,  4267, -4785,  9494, 59344,
    3755,  3637,  2287,  2310, -4785, -4785,  4049, -4785,  4052,  3266,
   42947,  5789, -4785,   281, -4785, -4785, -4785, -4785, -4785, 84344,
   -4785, -4785, -4785, -4785, -4785,  3296, 34873, 34873,  3869, -4785,
   -4785, 84344, -4785,  2736, -4785, 84344,  3871,110726,  1385,  3873,
   -4785,  3877, -4785, -4785,  3981,  1289,  3247, 13880, 84344, 59344,
    4253, -4785, -4785, -4785,  3994, -4785, -4785,  3247, 84344, -4785,
    3993, -4785,   778,   778,  4203, -4785,  3931, -4785, -4785,  3880,
   -4785,  4307,  3553, -4785,  1057,  1859, -4785,  3884, -4785,  3694,
    3637, -4785, -4785,  3694, -4785, -4785, -4785, -4785,  2349, -4785,
   38945,  4003,  1236, 11681, -4785, -4785, -4785, -4785,  2743, -4785,
   -4785, -4785,   156,  2102, 35891,  1289, -4785,  3998, -4785,  3247,
    2478, 84344, -4785, -4785, -4785,  3754, -4785,  4298, -4785,   230,
   -4785, -4785, -4785, -4785, -4785,  3685,  3755, 57380, -4785,  3694,
    3363, -4785,  2181, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
    4290, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, 10262,
   -4785, -4785, -4785, -4785,  4188, -4785, -4785, -4785, -4785,  2748,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785,  1764, -4785, -4785,
    1840,  2318, 35382, -4785,  1289,  4042, -4785, 57380, -4785,  2181,
   -4785, 59344, -4785, -4785,  3889, 57380,  2751, -4785
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2369,     0,     2,     1,  2799,  2803,  2807,  2808,  2725,  2809,
    2810,  2775,  2776,  2777,  2778,  2779,  2780,  2781,  2782,  2783,
    2784,  2785,  2786,  2788,  2787,  2789,  2790,  2791,  2792,  2793,
    2794,  2795,  2796,  2798,  2797,  2747,  2376,  2744,  2741,  2742,
    2743,  2748,  2746,  2739,  2740,  1966,  2812,  2800,  2813,  2801,
    2802,  2804,  2805,  2774,  2806,  2814,  2815,  2816,  2811,  2819,
    2770,  2771,  2769,  2772,  2773,  2817,  2818,  2761,  2762,  2763,
    2764,  2820,  2377,  2378,  2766,  2370,  2374,  2436,  2507,  2767,
    2768,  2765,  2375,  2760,  2507,     0,  2628,  2629,  2630,     0,
    2631,  2632,  2633,  2559,  2521,  2634,     0,     0,  2635,  2636,
    2637,  2638,  2639,  2640,  2641,  2642,     0,  2643,  2644,  2645,
    2646,  2506,  2647,  2648,  2649,  2650,  2651,  2483,  2489,  2612,
       0,  2463,  2464,  2460,  2462,  2461,  2465,  2448,  1222,   565,
    1310,  1309,     0,  2272,  1222,  2228,  2229,  2273,  2230,  2231,
    2232,   262,     0,  1312,  2233,  2274,     0,  1222,  2275,   389,
     984,  2276,  2277,  2391,     0,  2234,  2235,     0,     0,     0,
     565,  1222,     0,     0,  2236,  1424,  2237,     0,  2238,  2278,
    2279,     0,  2239,  2280,  2281,  2240,  2241,  2242,  2282,  2283,
    2284,  2243,  2285,  2286,     0,     0,  1438,     0,  2244,  2287,
    2245,  2246,     0,  2288,  2247,  2248,  2249,  2289,  2290,  2250,
    2251,  2252,     0,  2253,     0,     0,     0,     0,     0,     0,
    2291,  1222,  2254,     0,     0,  1445,     0,  2255,     0,  2292,
    2256,     0,  2257,     0,  2258,  2259,  2260,  2261,  1438,  2608,
    2484,     0,  1314,     0,  2262,  2293,     0,  2263,  2264,  2265,
    2266,  2267,  2268,  2269,  2270,  2271,     0,     0,    59,    60,
      24,    23,    29,    28,    82,    83,    47,    15,    73,    53,
     116,   115,   117,    35,    31,    67,    20,    22,    32,    36,
      55,    48,    94,    54,    18,    52,    77,    56,    80,    42,
       9,    10,    43,    71,    11,    44,    72,    12,    45,    13,
      61,    84,    27,    57,    81,    58,     3,    38,    69,    65,
       8,    49,    50,    51,    74,    75,    76,    99,    79,   111,
      34,   108,    88,    89,   105,    90,   106,     6,    91,    46,
      14,   102,   101,   103,    68,    39,    70,   100,    21,   104,
      16,    17,   107,    78,    97,    93,   112,   110,   118,    95,
      62,     4,     5,    85,    19,    41,     7,    26,    25,    40,
      33,   114,    30,  1312,    87,    98,    86,    92,    66,    96,
     113,    64,   109,  1411,  1398,  1447,  1410,  1423,     0,  1413,
    2704,  2705,    37,  1424,   120,   121,   126,  2373,  2425,  2426,
    2427,  2507,  2458,  2459,  2452,  2468,  2478,  2467,  2471,  2479,
    2466,  2485,     0,   123,   125,   127,   130,   124,   119,   122,
     129,   134,   128,   133,   131,   132,   135,   136,   137,  2706,
    1640,  2703,    63,  2443,  2442,     0,  2507,     0,  2736,  1978,
    1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,  1987,  1988,
    1989,  1990,  1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,
    1999,  2000,  2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,
    2009,  2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,
    2019,  2020,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,
    2029,  2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,
    2039,  2040,  2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,
    2049,  2050,  2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,
    2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,
    2069,  2070,  2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,
    2079,  2080,  2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,
    2099,  2100,  2101,  2102,  2103,  2104,  2105,  2106,  2107,  2108,
    2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,
    2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,
    2129,  2132,  2130,  2131,  2133,  2134,  2135,  2136,  2137,  2138,
    2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,
    2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,
    2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,
    2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,
    2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,
    2189,  2190,  2191,  2192,  2193,  2194,  2391,  2195,  2196,  2197,
    2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,
    2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,  2227,
    2409,  1967,  1975,  1976,  1977,  2384,  2405,  2411,  2732,  2410,
    1974,  2558,     0,     0,  2652,  2653,  2654,  2655,  2656,  2657,
    2707,  2708,  2709,  2710,  2711,  2713,  2712,  2520,  2679,  2716,
    2519,  2717,  2523,  2718,  2719,  2720,  2721,  2680,  2722,  2522,
    2714,  2676,  2524,  2517,  2518,  2677,  2626,  2627,  1944,  2678,
    2675,  2715,  2412,  2674,  2528,  2527,  1388,  2731,  1943,  1389,
       0,  2530,  2658,  2659,  2660,  2661,  2663,  2662,  2664,  2294,
    2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,
    2305,  2689,  2306,  2307,  2308,  2702,  2309,  2310,  2690,  2311,
    2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,
    2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,
    2332,  2333,  2334,  2691,  2692,  2335,  2336,  2337,  2338,  2339,
    2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,
    2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,  2693,
    2359,  2360,  2694,  2361,  2362,  2363,  2695,  2364,  2365,  2366,
    2367,  2368,  2699,  2700,  2701,  2688,  2481,  2665,  2687,  2698,
    2696,  2697,  2491,  2487,  2495,  2490,     0,     0,     0,     0,
    2507,  1221,  1220,  1206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2381,     0,  1232,   360,   359,  1311,
    1292,   565,     0,  1209,   388,     0,     0,     0,     0,     0,
       0,     0,     0,   754,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   185,     0,     0,   412,   411,     0,
       0,     0,   956,   417,     0,     0,     0,     0,     0,   553,
    2390,  2385,  2395,     0,  2388,  2389,  2674,     0,  2823,  2130,
    2421,  2422,  2821,  2180,  1390,   263,   266,   267,   264,   265,
       0,  1063,  1064,  1066,     0,     0,  1076,   789,   790,     0,
     788,     0,   792,     0,     0,     0,   784,     0,     0,     0,
       0,     0,   791,   781,     0,   780,     0,     0,     0,   787,
       0,   782,     0,     0,  1210,     0,  2473,  2474,  2068,  1351,
     418,     0,     0,  1424,     0,  1329,  1330,  1312,  1319,  1331,
    1324,  1326,  1325,  1327,  1323,  1328,  1979,   895,  1993,   895,
    2058,   892,   893,   895,   895,   895,  2147,     0,     0,   867,
       0,   878,  1970,   895,  1971,  2732,   900,   473,   473,   473,
       0,   899,   904,   473,  1203,  1241,  1948,  1437,     0,  1993,
    2058,   868,  1202,  2195,  1343,     0,     0,     0,  1080,     0,
    1081,     0,  2162,  1214,   247,  2672,  2171,  2258,  2195,  2673,
     246,   241,   242,  2667,  2668,  2670,   215,  2671,  2669,  2666,
    1983,     0,     0,   899,     0,  1211,  1212,   851,  1444,  1442,
    1930,     0,     0,  2001,     0,  2013,  2094,   238,  2158,  2163,
    2171,  2258,  2195,  2225,   194,   204,   199,     0,   256,  2171,
    2258,  2195,     0,  1232,     0,  1414,  1532,  1939,     0,     0,
    2482,  1205,  1204,  1313,     0,  1316,     0,  1494,  2143,  1418,
    1420,  1318,  1411,     0,     0,  2372,  1307,  1441,  1441,     0,
    1441,     0,  1403,  1411,  1406,  1410,     0,     0,     0,     0,
    1222,     0,  2450,  2478,  2457,  2513,  2454,     0,     0,  2503,
    2499,  2496,  2504,  2505,  2498,  2486,  1629,  1630,  1631,  1628,
    1641,  1627,     0,  2431,  1632,  2470,  2437,     0,  2445,  2444,
    2749,  2750,  2560,  2383,  2402,     0,     0,     0,     0,     0,
       0,     0,  2529,  2531,  2533,  2493,  2492,  2488,     0,     0,
       0,     0,  2618,  2619,  2617,     0,  2614,  2616,     0,  2513,
       0,  2683,  2677,  2686,     0,  1949,  2678,  2675,  2674,     0,
     799,     0,   141,   944,     0,     0,     0,     0,  1943,     0,
       0,     0,     0,     0,     0,  2067,     0,     0,     0,  1842,
    2005,  2053,  1852,  1850,  1851,  1844,  1845,  1846,  1847,  1848,
    1849,     0,  1061,  1843,     0,   163,   141,     0,     0,  2067,
       0,     0,     0,     0,     0,  2067,     0,     0,     0,     0,
       0,   163,  2097,   141,  2067,     0,     0,     0,  1226,     0,
       0,     0,  1228,  1231,  1207,  1295,     0,  1939,     0,     0,
     830,   820,     0,   831,   821,   826,     0,   833,     0,     0,
     823,     0,     0,     0,   834,     0,   822,   824,   836,   825,
     832,     0,     0,   827,   828,     0,     0,  1218,   473,   366,
       0,     0,     0,     0,     0,   141,  1282,     0,  2067,   141,
       0,     0,   416,   415,   141,   414,   413,  2005,  2053,     0,
     983,   141,  2067,     0,   187,   635,   568,     0,     0,   713,
    2097,   141,     0,     0,     0,     0,     0,     0,   959,     0,
       0,   552,   565,     0,  2394,  2400,     0,  2392,  2561,  2824,
    2822,  2516,     0,  1067,   239,   240,  1065,  2067,     0,   334,
       0,     0,  2067,  1269,   786,     0,   785,  2067,     0,  2067,
    1968,   178,     0,   783,  2005,  2053,  2067,     0,     0,  2067,
     170,  2067,     0,  2067,   334,  2067,   569,     0,  2067,     0,
    2067,  2097,   172,     0,  2067,   334,   797,     0,     0,  2754,
    2758,     0,  2756,  2751,  2472,  2526,  2525,  2424,     0,  2835,
       0,  1390,  1321,  1336,     0,  1332,  1339,  1335,  1424,   895,
     894,     0,   895,     0,  2845,   895,     0,   895,     0,  2845,
     895,     0,     0,     0,   895,  1972,  1973,     0,     0,  2844,
    2840,  2843,   869,   879,     0,   901,     0,     0,   908,   907,
     906,     0,     0,     0,   909,  1536,  1366,     0,   876,     0,
     874,     0,  1200,  1217,     0,     0,     0,     0,   959,  1083,
    1083,  1083,  1213,   245,   243,     0,     0,     0,     0,     0,
       0,  1219,     0,     0,     0,     0,  2738,  1955,  1853,  2737,
       0,  2229,  2230,  2231,  1911,     0,  2679,  2232,  2233,  2274,
    1761,  1748,  1757,  1762,  1749,  1751,  1758,  2234,  2235,  2037,
    2236,  2237,  1962,  2238,  2239,  1584,  2241,  2242,  2243,  1753,
    1755,  2244,  2245,     0,  1963,  2247,  2248,  2116,  2250,  2251,
    2253,  2254,  1759,  2256,  2257,  2258,  2259,  2260,  2261,  1961,
       0,  1760,  2262,  2264,  2265,  2266,  2267,  2268,  2269,  2270,
    2271,     0,     0,  1936,     0,  1730,     0,  1576,  1577,  1599,
    1600,  1578,  1605,  1606,  1618,  1579,     0,  1935,  1643,  1810,
    1729,  1744,  1735,     0,  1728,  1724,  1427,  1929,  1931,     0,
    1725,  1951,  1912,  1965,  1964,  2732,  1920,  1954,  1952,  1953,
       0,     0,     0,   207,     0,     0,  2607,   258,     0,   259,
    1937,  2171,   195,   237,   209,   236,   210,   208,     0,  2003,
     196,     0,     0,   197,     0,     0,     0,     0,     0,     0,
       0,   252,  1208,     0,  1534,  1533,     0,     0,  1918,  1940,
     806,     0,  1305,  1306,  1304,     0,  1301,  1303,  1315,  1312,
    1925,  1924,  1926,     0,  1419,     0,     0,     0,  1401,  1400,
    1318,  1439,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,  1484,  1455,  1456,  1458,  1481,  1485,  1493,     0,  1407,
       0,     0,  1538,     0,  1495,  2371,  2513,  2514,     0,  2508,
       0,  2507,  2507,  2501,  2500,  2497,     0,     0,     0,     0,
       0,     0,     0,     0,  2428,   547,  2430,   544,     0,     0,
    2404,     0,  2408,  2406,     0,  2553,  2556,     0,  2554,  2555,
    2557,     0,  2562,  2563,     0,     0,     0,  2745,     0,     0,
    2544,  2532,  2539,  2541,  2543,  2542,  2551,  2547,  2550,  2552,
    2494,  2507,  2625,     0,  2620,  2623,     0,  2615,     0,     0,
       0,  1950,     0,     0,     0,     0,   800,     0,     0,     0,
       0,     0,     0,   140,  1267,   249,  1265,     0,     0,     0,
       0,     0,     0,     0,  1274,     0,     0,   176,   177,   580,
     565,     0,  2067,     0,     0,     0,     0,  1023,  1030,     0,
       0,     0,     0,     0,     0,     0,  1024,  1022,  1025,   251,
    1034,  1047,  1050,     0,   934,     0,     0,     0,     0,     0,
    1132,     0,     0,  1132,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   272,   284,   329,     0,
       0,  2067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   145,     0,     0,     0,     0,     0,     0,   531,   543,
       0,     0,     0,     0,     0,   540,     0,   141,   276,   524,
     528,     0,     0,     0,   644,   643,  1272,  1271,     0,     0,
       0,  1132,     0,   268,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   352,
     353,     0,     0,     0,   145,     0,     0,     0,     0,   278,
       0,  2438,     0,  1227,  1224,  1225,     0,  1230,     0,  1291,
       0,     0,     0,     0,   838,     0,   835,     0,     0,   829,
    2005,  2053,     0,     0,     0,     0,     0,     0,   391,   365,
       0,     0,   710,     0,     0,  1587,  1616,  1594,  1616,  1616,
    1583,  1583,  1596,  1585,  1623,     0,  1616,  1583,  1588,     0,
    1586,  1626,  1626,  1611,     0,  1568,  1569,  1570,  1571,  1597,
    1598,  1572,  1603,  1604,  1573,  1640,  2684,  1583,  2685,  2682,
    2681,     0,     0,   721,     0,  1244,  1281,     0,     0,     0,
     574,     0,  2067,     0,   143,   755,     0,   711,   417,     0,
     143,     0,     0,   181,     0,   639,     0,     0,     0,     0,
       0,     0,   659,   658,     0,     0,     0,   712,     0,   143,
       0,   527,  2067,     0,   473,   473,     0,     0,   958,   961,
       0,     0,     0,  2398,  2393,  2396,     0,  2386,  2400,  1393,
    1395,  1394,     0,  1392,     0,   334,   332,   333,   708,  1075,
       0,     0,     0,     0,   334,     0,     0,  2067,   334,  2067,
       0,  2067,     0,     0,   334,   334,     0,     0,     0,     0,
     640,     0,   796,   794,   793,   795,     0,     0,     0,     0,
       0,  2067,   334,     0,     0,   777,  2752,     0,     0,  2755,
       0,  2475,  1863,     0,  2841,  1348,  2838,     0,     0,  1424,
       0,   226,   227,   225,  1337,   228,  1338,  1334,  1320,     0,
     887,     0,  2845,  2846,   872,     0,   882,     0,  2845,   870,
       0,   883,   880,   881,     0,     0,     0,  2839,  2723,  2729,
     886,     0,     0,   474,   476,     0,     0,  2023,  2036,     0,
    2059,  2085,  2086,  2163,  2167,     0,  2190,  2199,     0,   910,
     939,   905,     0,     0,  1376,   877,   875,  1201,  1341,  1869,
       0,  1424,     0,     0,  1082,  1079,  1078,  1077,   244,   216,
       0,     0,     0,   941,  2162,  1216,   850,   565,     0,     0,
    1733,  1734,  1615,  1602,  1910,     0,     0,  1610,  1609,     0,
       0,     0,     0,     0,  1592,  1591,  1590,  1732,  1877,     0,
    1589,     0,     0,     0,     0,  1616,  1616,  1614,  1663,     0,
    1593,     0,     0,  1890,     0,  1896,     0,     0,     0,  1622,
       0,  1620,     0,     0,  1699,     0,     0,     0,     0,     0,
       0,     0,     0,  1647,  1648,  2680,  1730,  1863,     0,  1731,
    1958,     0,     0,  1608,     0,  1640,  1853,     0,     0,     0,
       0,  1923,     0,  1861,     0,     0,  1677,  1859,     0,  1679,
       0,     0,     0,  1852,  1850,  1851,  1844,  1845,  1846,  1847,
    1848,  1849,  1857,  1660,     0,  1934,     0,  1812,     0,  1659,
       0,  1497,  1426,     0,     0,  1956,  1913,     0,  2730,  2733,
    1726,  2604,  2603,  2602,  2601,  2572,     0,  2566,  2567,     0,
    2605,  2606,   260,   261,   257,     0,     0,   212,   211,     0,
     234,   235,   206,   233,     0,   229,   230,   214,  1801,  1800,
     213,   205,   202,   200,   217,   219,   220,   203,   201,   255,
     253,     0,     0,     0,  1915,  1914,  1946,  1919,     0,     0,
     334,  2507,  1299,     0,  1296,  1928,     0,  1421,     0,  1941,
       0,  1308,  1417,  1416,  1448,  1449,   976,  1415,  1475,  1476,
       0,     0,     0,     0,  1490,  1488,  1466,  1459,  1465,     0,
       0,  1463,     0,  1467,  1643,  1483,  1405,  1453,  1454,  1457,
    1404,     0,  1486,     0,  1376,  1484,  1458,  1363,     0,     0,
    1539,     0,     0,  2515,  2513,  2453,  1568,  2507,  2446,  2507,
    2502,  2434,  1634,  1635,  1636,  1637,  1638,  1639,  2435,     0,
    2432,  1633,  2433,   545,   546,     0,     0,     0,  2401,     0,
    2382,  2407,  2538,  2647,  2570,     0,  2571,     0,     0,  2535,
       0,  2545,  2548,  2546,  2549,     0,  1568,  2726,  2621,  2726,
    1568,   998,  1000,     0,   999,     0,  1002,     0,  1011,     0,
       0,   997,  1016,     0,  1005,  1003,     0,     0,     0,     0,
       0,     0,   801,     0,     0,     0,     0,     0,     0,  2190,
     248,  1263,     0,     0,     0,     0,   943,   942,     0,     0,
     963,     0,     0,     0,  1277,   462,     0,   331,     0,     0,
       0,     0,     0,     0,     0,     0,   706,   703,     0,     0,
     702,     0,   578,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   614,     0,  1132,     0,   647,     0,  1032,     0,  1031,
       0,     0,     0,  1033,  1028,  1029,  2163,  2171,  2195,   250,
    1049,     0,  1048,  1046,   986,     0,   987,     0,     0,     0,
       0,     0,  2046,   286,   299,     0,  1131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   320,     0,
     323,   322,     0,     0,     0,     0,     0,   327,     0,     0,
       0,   326,     0,     0,     0,     0,     0,  1132,     0,   280,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,   166,
       0,   162,   165,     0,     0,     0,     0,   530,   542,     0,
     534,   535,   532,   536,   537,     0,     0,     0,     0,     0,
       0,   529,     0,     0,   637,   636,   642,     0,     0,     0,
       0,     0,     0,     0,     0,  1085,  1084,     0,     0,     0,
       0,     0,     0,   745,     0,     0,     0,     0,     0,     0,
       0,   169,   650,   651,     0,   652,     0,   167,   168,     0,
       0,     0,     0,     0,     0,     0,   224,  1223,  1229,  1294,
    1947,  1293,     0,     0,     0,   837,     0,     0,     0,     0,
       0,     0,     0,   839,   840,   841,   842,     0,     0,     0,
       0,     0,   368,   369,   141,   367,     0,   734,  2681,   709,
       0,  1568,     0,  1564,  1560,  1629,  1628,  1627,     0,  1574,
    1583,  1580,   722,     0,   724,   727,     0,  1242,   435,     0,
       0,   571,   614,     0,   420,   174,     0,     0,     0,     0,
     139,   185,   187,   418,     0,   186,   188,   190,   191,   192,
     189,   193,   634,   638,     0,   567,     0,     0,     0,     0,
       0,   660,   664,   663,   667,   665,     0,   661,     0,     0,
    1556,     0,   161,     0,   523,   526,     0,  2379,     0,   420,
     504,   345,     0,   473,     0,     0,   960,     0,     0,     0,
       0,     0,  2399,     0,     0,     0,     0,  1391,     0,  1053,
       0,  1270,  2067,   334,     0,  1051,   179,  1969,     0,   778,
       0,     0,     0,     0,     0,  1055,   774,   171,     0,   334,
     334,   570,     0,   334,   173,     0,     0,     0,   562,   334,
     798,  2753,  2759,  2757,  1350,     0,  2842,  2836,  2837,   473,
    1395,  1322,  1333,   884,   891,   873,   890,   889,   871,   888,
     885,  2537,     0,     0,  2728,     0,   902,     0,   472,     0,
       0,     0,   916,   917,     0,     0,   915,   932,   918,     0,
     920,   912,   911,   921,   922,     0,     0,   941,     0,  1373,
       0,  1371,     0,  1537,  1375,  1364,  1342,     0,  1340,  1345,
    1347,  1346,  1344,     0,   517,     0,     0,   899,     0,     0,
     334,  1215,     0,   852,   853,   859,     0,     0,     0,     0,
       0,   860,   856,   857,   858,   861,   862,   863,     0,     0,
       0,  1873,     0,  1874,     0,     0,     0,  1909,  1905,     0,
       0,     0,     0,     0,     0,  1881,  1882,  1883,  1880,  1884,
    1879,     0,     0,  1885,  1878,     0,     0,     0,     0,     0,
    1613,  1612,     0,     0,     0,     0,     0,     0,     0,  1702,
    1735,     0,     0,  1837,     0,  1863,  1895,     0,     0,  1624,
       0,     0,     0,     0,     0,     0,     0,  1863,  1901,     0,
       0,     0,     0,  1799,     0,  1796,     0,     0,     0,     0,
    1920,     0,     0,     0,     0,  1959,  1644,  1661,  1933,     0,
    1922,     0,     0,  1645,  1668,     0,  1902,  1695,     0,  1700,
    1683,     0,  1676,     0,  1681,  1685,  1664,  1923,  1862,     0,
    1860,     0,     0,  1662,     0,  1657,  1655,  1656,  1649,  1650,
    1651,  1652,  1653,  1654,  1658,  1841,  1839,  1840,     0,     0,
       0,  1820,     0,     0,  1680,  2061,  2094,     0,  1438,  1438,
    1438,  1425,  1436,     0,  1551,  1932,     0,     0,     0,     0,
    1736,     0,  1867,  1447,  1865,  1949,  2735,  2734,  1921,     0,
       0,     0,  1938,     0,     0,  1640,     0,   254,  1535,  1916,
       0,   804,   805,   803,  1568,  1318,  1302,  1298,  1297,  1927,
    1317,     0,  1424,     0,   974,   975,     0,   979,  2254,  2160,
       0,     0,     0,     0,  1468,  1491,     0,  1482,     0,  1469,
    1951,  1952,  1470,  1473,  1474,  1464,  1492,  1487,  1409,  1408,
       0,  1554,     0,     0,  1360,  1353,  1540,     0,  1497,  1378,
    1380,  1381,     0,  1920,  2451,  2509,  2456,  2477,  2447,  2480,
    1642,  2429,  2469,     0,  2403,  2573,  2574,     0,  2564,  2565,
    2534,  2540,  2611,     0,  2727,     0,     0,  1001,     0,  1583,
    1012,     0,   996,     0,   995,  1583,     0,  1013,     0,  1583,
       0,     0,     0,  1160,  1087,  1136,   802,  1161,  1088,  1137,
    1162,  1089,  1264,     0,  1266,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   685,
    2067,   334,  1275,  1163,     0,  1090,   330,  1276,  1138,  1280,
     705,   704,     0,     0,  1139,     0,   579,     0,     0,   584,
     585,   586,     0,     0,     0,   587,     0,  2005,  2053,     0,
     592,   599,   604,   594,     0,   605,   600,     0,     0,     0,
       0,     0,     0,   611,   613,     0,     0,     0,     0,     0,
       0,  1026,  1027,  1164,  1093,     0,  1140,   985,     0,  1094,
     175,     0,     0,   273,   287,   620,   685,  1134,   306,   319,
     314,   315,   313,  2067,   334,  2067,   334,     0,     0,     0,
       0,   316,   311,   312,   308,   321,  1982,  2038,  2172,     0,
     624,   626,     0,   631,   324,  1108,   341,   340,   339,     0,
     328,     0,   346,   349,   325,   304,   307,   305,   301,   285,
       0,     0,     0,     0,     0,     0,     0,  1945,     0,     0,
    1057,     0,     0,     0,   164,  1122,     0,     0,   150,     0,
       0,     0,     0,   144,   154,     0,  1170,  1098,     0,     0,
     277,   525,   533,   538,  1102,   541,  1150,   539,  1176,  1099,
       0,  1132,     0,   269,     0,  1100,     0,  1144,  1172,  1124,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1283,
       0,     0,     0,     0,     0,   334,     0,     0,     0,  1134,
    2067,   334,  1171,     0,  1129,  1158,     0,   354,     0,  1123,
       0,     0,   279,  1104,  1152,     0,     0,   222,   221,   223,
       0,     0,     0,     0,     0,     0,     0,     0,   844,   813,
     843,     0,     0,     0,   807,   390,   363,   364,   366,   373,
     733,     0,     0,     0,  1565,  1561,     0,     0,     0,     0,
       0,     0,  1581,   723,     0,     0,     0,     0,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1243,  1273,     0,   141,     0,
       0,     0,   573,   613,   620,     0,     0,     0,   419,   423,
     427,   428,   429,     0,     0,     0,     0,   155,   142,     0,
     763,     0,   473,     0,   187,   180,     0,     0,     0,   345,
     720,   718,   717,   719,     0,     0,     0,   738,   716,     0,
    1555,  1557,     0,     0,     0,     0,     0,   422,     0,   476,
       0,     0,   508,     0,     0,     0,   345,     0,     0,   990,
       0,  1008,   991,     0,     0,     0,  1037,  1042,  1038,  1018,
       0,   550,  2397,  2391,  1396,  1397,     0,   334,     0,     0,
     615,   334,   334,     0,   334,     0,   334,   334,     0,  1198,
     641,     0,   693,     0,     0,   334,   776,  1864,     0,  2536,
    2724,   903,   475,     0,     0,     0,     0,   914,     0,   548,
     919,     0,   931,   926,   928,     0,   935,  1374,  1367,  1369,
    1368,     0,     0,  1365,  1870,   775,     0,   522,     0,     0,
     334,     0,   936,     0,   854,   855,     0,     0,   864,     0,
       0,  1443,  1871,  1872,     0,     0,     0,     0,  1906,     0,
       0,  1774,     0,  1750,  1752,  1582,  1764,     0,  1595,  1775,
    1776,  1754,  1756,     0,  1854,     0,     0,  1765,  1704,  1705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1717,  1716,  1766,  1836,     0,     0,  1893,
    1894,  1767,  1625,  1626,  1626,     0,     0,  1900,     0,     0,
       0,  1772,  1777,     0,     0,     0,     0,  1783,     0,  1804,
       0,     0,     0,  1727,  1864,  1617,  1618,     0,     0,     0,
       0,     0,     0,     0,     0,  1701,  1684,  1678,     0,  1682,
    1686,     0,     0,     0,     0,  1670,  1696,  1666,     0,     0,
    1672,     0,  1697,     0,     0,     0,  1743,  1438,  1438,  1438,
    1438,  1435,     0,     0,     0,     0,  2160,     0,  1518,  1496,
    1498,  1505,  1518,  1523,  1745,  1549,  1746,     0,  1939,     0,
    1478,  1447,  1447,  1447,  1742,     0,     0,     0,  1446,  2586,
    2588,  2589,  2590,  2591,  2592,  2594,  2595,  2597,  2598,  2599,
    2587,  2593,  2596,  2600,  2577,  2578,     0,  2568,  2569,   198,
       0,   231,   218,     0,  2611,  1300,  1942,     0,  1450,     0,
    1855,   979,   977,   978,  1452,  1471,  1472,     0,  1462,  1489,
    1460,  1362,     0,  1360,  1355,     0,  1356,  1920,     0,  1352,
    1385,     0,     0,  1554,     0,  1384,     0,  2511,  2439,     0,
       0,  2610,  2613,  2624,  2622,  2449,     0,  1583,   993,   994,
       0,  1017,     0,  1159,  1086,  1135,  1262,   946,   947,     0,
     945,     0,     0,     0,   461,   962,     0,     0,     0,   685,
       0,     0,   465,     0,  1278,     0,  1177,  1121,   581,   582,
       0,   593,     0,   602,   601,     0,     0,   589,     0,     0,
       0,     0,   588,   607,   554,   608,   610,     0,     0,   609,
     612,   617,  1132,     0,   648,  1110,     0,  1156,  1020,     0,
     988,     0,     0,     0,     0,   435,   300,     0,     0,     0,
     288,   298,     0,     0,   303,     0,   296,   317,   309,   318,
     310,   628,   629,   627,   623,     0,   630,   632,     0,   343,
       0,     0,     0,  1166,     0,  1132,     0,   281,  1106,     0,
    1154,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1167,  1141,     0,     0,   147,   146,     0,   153,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   355,   336,     0,   741,     0,
       0,     0,   357,     0,     0,     0,     0,  1165,  1095,   808,
       0,     0,   809,   817,     0,     0,   810,     0,     0,   819,
       0,     0,   362,   370,   735,     0,  2116,  1844,  1845,   731,
     736,   728,   730,   729,   732,   685,     0,     0,     0,  1566,
       0,  2825,  2833,  2832,     0,  1640,   725,   726,     0,  1262,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   447,     0,     0,   441,     0,     0,  1042,   434,
     437,   438,     0,     0,   574,   577,   575,   576,   606,     0,
     454,     0,     0,   157,     0,     0,   158,   156,     0,     0,
     345,     0,   183,   418,     0,     0,   566,   666,   669,   662,
       0,   737,   739,   714,     0,   620,     0,     0,  1351,   517,
       0,   504,   500,   502,   501,   503,     0,   510,   344,     0,
     517,   510,     0,   963,   989,     0,     0,     0,  1035,  1039,
    1036,     0,     0,  1004,     0,  1019,   982,  1193,  1194,  1191,
    1192,     0,     0,  2414,  1387,  2423,  1054,     0,   334,  1052,
     779,     0,   770,     0,   772,  1056,   334,   334,   653,     0,
     563,     0,     0,     0,     0,   913,   933,     0,   929,     0,
       0,   896,   938,  1372,  1370,   515,     0,   941,     0,   897,
     940,     0,     0,     0,     0,     0,  1875,  1601,     0,  1908,
    1904,     0,  1747,  1876,     0,  1888,  1887,  1703,  1889,     0,
    1722,     0,     0,  1714,  1712,  1713,  1706,  1707,  1708,  1709,
    1710,  1711,  1715,  1898,  1897,  1891,  1892,  1621,  1619,     0,
    1769,  1770,  1771,  1899,  1778,     0,  1996,  1805,  1782,  1798,
    1797,     0,     0,     0,  1785,     0,     0,  1794,     0,  1838,
    1607,  1640,  1646,     0,     0,  1669,  1903,  1687,     0,     0,
       0,  1665,     0,     0,     0,     0,  1674,  1854,     0,     0,
       0,     0,  1823,  1818,  1819,     0,     0,     0,     0,  1429,
    1428,  1434,  1518,  1523,     0,  1411,     0,  1505,     0,  1517,
    1503,  1516,     0,     0,  1529,  1527,     0,  1529,     0,  1529,
       0,  1500,     0,  1519,  1501,  1516,  1548,  1541,     0,  1940,
    1550,     0,  1480,     0,     0,     0,     0,  1868,     0,  1866,
    1737,     0,     0,     0,  1917,  2609,  1422,     0,  1451,  1461,
       0,  1552,  1361,     0,     0,  1358,  2841,     0,     0,  1379,
    1360,  1382,  2455,     0,  2510,  2575,  2576,  1014,     0,     0,
    1006,     0,   952,   953,   951,   954,     0,     0,     0,   685,
       0,     0,   481,     0,   970,   970,     0,     0,   467,   513,
    1042,   688,     0,     0,     0,   686,   334,  1091,     0,   603,
       0,     0,   598,   596,   595,   597,   555,  1175,  1092,     0,
       0,     0,     0,  1021,     0,     0,  1109,     0,   432,     0,
     293,  1133,     0,     0,     0,   292,     0,   334,   334,   625,
     342,   347,   348,   351,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   764,   747,     0,     0,
     765,   766,     0,     0,     0,  1059,  1060,  1058,   151,   148,
     149,   152,  1119,  1103,  1151,     0,     0,  1101,     0,  1145,
    1116,  1112,     0,     0,     0,     0,     0,  1174,  1128,  1149,
    1173,  1126,  1147,  1125,  1146,  1127,  1148,  1120,     0,  1559,
     744,     0,     0,     0,   334,   334,   655,  1105,  1153,     0,
     811,     0,     0,   812,   814,   393,     0,   396,   403,   374,
     379,  1282,     0,  1282,     0,   376,   380,  1282,   375,  1282,
     372,   707,     0,     0,     0,  1562,     0,  2507,     0,     0,
       0,     0,     0,  1567,  1575,   684,     0,  1253,  1252,  1251,
    1255,  1254,  1257,  1256,  1248,  1247,  1260,  1259,  1246,  1245,
    1250,  1249,     0,   439,     0,   445,   449,   450,   448,   440,
    1042,   473,   512,     0,     0,   697,     0,   572,   420,   451,
       0,   424,   160,   159,     0,     0,     0,   187,     0,     0,
     671,   675,   715,     0,  1558,   649,   345,     0,   420,   517,
    2380,     0,   425,   430,   431,     0,   508,     0,   504,     0,
       0,   514,  1240,   518,   519,     0,     0,   992,  1009,  1010,
       0,     0,  1042,  1041,     0,   557,     0,  2387,   334,   616,
     334,   334,  1199,   694,     0,   925,   924,   923,   549,     0,
     927,   516,   334,     0,     0,     0,     0,     0,   866,   845,
     865,  1907,  1763,  1773,  1886,     0,     0,  1723,     0,     0,
    1768,  2263,     0,     0,     0,     0,  1802,  1803,  1784,     0,
    2107,  1789,     0,     0,     0,  1960,  1693,  1691,  1688,     0,
    1689,     0,     0,  1671,  1667,     0,  1673,  1698,  1809,     0,
    1825,  1822,  1433,  1432,  1431,  1430,  1504,  1502,     0,  1507,
    1514,     0,  1499,     0,  1528,  1524,     0,  1525,     0,     0,
    1526,     0,     0,  1514,     0,  1447,     0,     0,  1814,  1740,
    1741,  1738,  1447,  1957,  2579,     0,  2582,  2580,  2581,  2585,
    1640,     0,     0,  1354,  1357,  1359,     0,  1386,  1377,  2512,
    1007,  1015,  1268,     0,     0,     0,   463,     0,  1042,     0,
       0,     0,   973,   973,     0,  1042,   512,   690,   689,   692,
     687,   691,  1279,     0,   590,   591,  1111,     0,  1157,  1117,
       0,  1376,     0,   621,   289,   290,   291,   294,   336,   302,
     295,     0,     0,     0,  1107,     0,  1155,  1114,  1168,  1096,
    1142,     0,     0,   753,     0,     0,     0,     0,  1169,  1097,
    1143,     0,  1376,     0,     0,     0,     0,  1288,     0,   335,
     743,   742,   336,   356,  1130,     0,   815,   816,   394,   141,
       0,   371,     0,   401,     0,   399,   398,   400,     0,   387,
       0,     0,     0,     0,     0,     0,  1563,     0,  1073,  1073,
    2826,     0,  2827,  2828,  2829,  2830,  2831,     0,   685,  1258,
       0,     0,   436,   512,   480,     0,   442,     0,     0,     0,
       0,     0,     0,     0,   620,     0,     0,     0,   182,   420,
     620,   670,     0,     0,     0,   740,     0,   422,     0,  1349,
     421,     0,     0,   510,     0,   508,     0,   505,     0,   509,
       0,  1233,     0,     0,  1040,     0,  1044,     0,  1003,   980,
    1551,     0,   561,  2413,  2417,  1074,   771,   773,   654,   930,
     937,   334,   846,   847,   848,   849,  1718,     0,     0,     0,
       0,  1779,     0,  1780,  1807,  1806,  1786,  1790,     0,  1787,
    1788,  1690,  1694,  1692,  1675,  1811,     0,  1447,  1544,     0,
    1547,  1506,     0,     0,  1508,     0,     0,  1510,  1512,     0,
       0,     0,     0,     0,  1943,     0,  1477,  1479,     0,  1412,
       0,  2584,  2583,   232,  1856,  1553,  1383,   931,     0,   334,
     970,   512,   482,  2116,   483,   969,     0,   971,   976,   976,
       0,   512,   685,   583,     0,     0,   274,   619,     0,   338,
     350,     0,  1376,     0,     0,     0,   760,   748,     0,     0,
     767,     0,   270,  1113,     0,     0,     0,     0,     0,   334,
     818,   373,     0,   397,   406,     0,   404,   377,   382,     0,
     386,   384,   383,   378,   381,  1073,     0,  1070,  1069,  2834,
     683,     0,   471,   443,     0,   491,     0,     0,   698,     0,
       0,     0,   460,   459,   456,   455,   457,   458,   453,   452,
     645,   757,   345,  1240,   633,   672,   673,   668,     0,     0,
       0,   504,   500,   426,   435,   409,     0,   510,   506,   507,
       0,     0,     0,  1290,     0,   964,  1043,     0,     0,     0,
     556,     0,     0,   560,   551,     0,  2415,   898,  1719,     0,
    1720,     0,     0,     0,  1792,  1791,     0,  1828,  1549,     0,
       0,  1543,     0,  1515,  1531,     0,  1511,  1509,  1520,     0,
    1522,  1737,  1813,  1815,     0,  1739,   948,     0,   949,   973,
     486,     0,   972,   979,   979,   473,   685,   464,  1118,     0,
     622,     0,   297,     0,   282,  1115,     0,   751,     0,   762,
     760,     0,     0,     0,  1284,     0,  1285,  1286,  1289,   358,
     361,   392,   402,     0,   385,  1068,  1072,  1071,     0,     0,
     444,   477,   478,   479,     0,   446,   487,   488,     0,   695,
       0,   700,     0,     0,     0,     0,     0,  1234,     0,     0,
    1240,   508,   504,   433,   499,   407,     0,  1237,     0,   345,
       0,  1042,  1045,  1197,   559,   558,  2418,  2420,  2419,     0,
    1721,  1795,  1781,  1808,  1793,  1824,     0,     0,     0,  1542,
    1545,     0,  1513,     0,  1521,     0,     0,     0,   976,     0,
     685,     0,   967,   966,   480,   466,  1376,   337,     0,     0,
       0,   758,   761,   749,   762,   769,   768,  1376,     0,   405,
       0,   470,     0,     0,     0,   489,     0,   490,   511,     0,
     699,     0,   620,   756,     0,     0,   674,     0,  1235,   510,
     508,  1238,  1239,   510,   965,   981,  1196,  1195,  1424,  2416,
    2228,     0,  2201,     0,  1826,  1829,  1827,  1821,     0,  1530,
    1816,  1817,   334,   979,     0,   468,   484,   491,   275,  1376,
       0,     0,   750,   271,  1287,   675,   496,     0,   495,     0,
     493,   492,   696,   701,   646,   746,  1240,   678,   410,   510,
    1551,  1179,  1424,  1178,  1180,  1188,  1185,  1187,  1186,  1184,
       0,  1833,  1832,  1831,  1835,  1834,  1546,   950,   968,     0,
     685,   283,   752,   759,     0,   494,   498,   497,  1236,     0,
     676,   679,   682,   680,   681,   408,   955,     0,  1189,  1183,
    1411,  1398,     0,   485,   469,     0,   656,     0,  1181,  1424,
    1830,     0,   677,  1182,     0,   678,     0,   657
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4785, -4785,  4030, -4785, -1208,  -400,  2520, -1043, -4785, -4785,
   -4785,  1064, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  3192,
   -4785, -4785,  1695, -2608, -4785, -4785,   -36,  3164, -1616,   -42,
    2816,  1362, -4785, -1398, -4785, -4785,  -887,    18, -4785,  3171,
     674, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -1069,
    1846,  1175,  4301, -3254, -4785, -4785, -1729, -3335, -4785,   556,
   -4785, -4785,  1787, -4785, -4785, -4785,  1032,   481,  -468, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785,  -278, -4785, -4785,  -608,
     221,  -121, -2610,  -331, -4785, -4785,   427,  -330, -1636, -4785,
   -3681, -4785,   -12, -4785, -4785, -4785,  -308, -1725,  1274, -4785,
    -983, -1438,  1610,  -666, -4785,  -190, -4785,  -726,  -605,  -603,
    -679,  -497, -3864, -4283, -3884, -3652,  1280, -4785, -3787,   252,
   -4785, -4785,   260,   271, -4785, -4785, -1814, -1720, -4785, -1106,
   -4785, -4785, -4785, -3088, -4785, -4785, -4785, -4785,   -58, -4785,
   -4785, -4785, -4785,   454, -4785, -4785, -4785, -4785, -4785, -4785,
   -2903,  1745,  1747, -4785, -4785, -3314, -4785, -1191, -4785,   595,
   -3122,  1196, -4785, -4785, -4785,  2467, -4785, -4785, -4785, -4785,
   -4785, -4785, -1886, -4785, -4785,   343, -4785,  1758,   999, -4785,
   -4785, -4785,  -719,  -788,  -779, -4785, -3167, -4785, -4785, -4785,
   -4785,  -279, -4785, -4785, -4785, -4785, -4785, -4785, -1272, -4785,
    1056, -3260, -4785, -4785,  1071, -4785, -4785, -4785, -4785, -4785,
    -668,  -207,  2499, -4785,  -551,  -639, -4785, -4785, -4785,  -201,
   -4785, -4785, -4785, -4785, -4785, -4785, -1353,  4361, -1848, -4785,
   -4785, -4785, -4785, -2497, -4785, -4785, -4785, -1952, -4785,  4292,
      64,   -56,   357, -4785,  -199,   -83,  3027, -1414, -2817,   387,
    -366, -4785, -2077, -4785, -4785, -4785, -2716, -4785, -4785, -4785,
   -4785, -3623,   359, -4785,  3015, -4785,   441, -4785, -4414, -4077,
   -4392, -3919, -3604, -4785, -4785, -1352, -4785, -4785, -4785, -1751,
    2055, -2209, -4785, -2371,   446,  1354, -1239, -2943, -3878, -1016,
   -3371, -4785, -3823,  -471, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -1375,  -863, -4785, -4785,  3555, -4785, -3699, -4785, -4785,
   -4785, -4785,  1156, -4785, -4785, -1728,  1146, -4785, -4785, -4785,
   -4785, -4785,  -651,  -741, -4785, -4785, -4785,   363, -4785, -4785,
   -4785, -4785,  1751, -1209, -1004,  3407,   378, -4058, -4785, -4785,
   -4785, -4785, -3155, -4785, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -1957, -4785, -4785, -4785, -4785, -4785, -4785, -4785,  2183,
    2178,   -85,  -223, -4785, -4785, -1533, -4785,  -821, -4785,  2428,
   -4785, -4785, -4785, -4785,  1447,   388,   483,   -72, -4785, -4785,
     269, -3536,   -67, -4785, -4785, -4785, -4785, -2320,   -65, -4785,
     763, -4785, -4785, -2947, -4785,   413,   -74,  3114,  1704,   -48,
     449,  -245,  -225,  -211,   -75,  3408,  2873, -4785, -4785, -4785,
    -189,  1969, -4785, -1107,  -345, -4785,  1456,  -931,  2151,  2866,
    2869, -4785,  1444,  2187, -2169, -2168, -4785, -4785, -4785,  -921,
    2158, -4785,  2867, -4785, -4785, -4785,  1426,  1436, -3454,   851,
   -3504, -3486,   341,   335, -1058,  -295,  -157,  3456,  2877,   869,
    -434, -4785, -4785,  -428, -4547,   802, -4785, -4390, -2514,  2785,
   -2182, -1876, -4785, -4785, -1408, 13074, -4785, -4785, -4785, 15150,
   19056, -4785, -4785, 20675, 21765, -4785, -1270,   915, 21992, 11291,
   -1472, -1903, -1566, 19674, -2476,  1952, -2932, -4785, -3643, -2868,
   -4785, -4785, -4785,  -247,   928,   196, -4785, -4785, -4785, -4785,
   -4785, -4785,  -538, -4785,  -532, -4785, -4785, -4785,  -529, -4784,
    2027, -4785,  -809, -4785, 21280,  1500, -4785, -1122, -2879, -2875,
   -3406, -2031, -4785, -4785, -4785, -4785, -4785, -4785, -4785, -1884,
   -3398,  -469,  1578, -4785, -4785,  1671, -4785, -4785, -4785, -1573,
   -1173, -2782,  1582, -2223, -4785, -1117, -4785,   822,  2308, -1068,
    6710, -1541, 17280,   -93, -2492, -1562, -1812, -4785,  -755, -4785,
    3073,  3983,  -889,  -163,  -914,  6922,  4423,  4924, -3253, -4785,
   -4785,   414, -4785, -4785, -4785,  3936,  1080, -4785,  3229, -4785,
    1813,  2559, -4785, -4785,  2180,  -957,    76, -4785,  -501, -4785,
    -129, -4785, -4785, -4785,   176, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785, -4785, -4785,  2898, -4785, -4785, -1489, -4785, -4785,
   -4785, -4785, -4785,  4201,  -376, -4785,  3613,  -367, -4785, -4785,
   -4785, -4785, -4785, -4785, -4785, -4785, -4785,  2906,  2210, -4785,
    3399, -4785, -4785, -4785,    -7,  3123, -4785, -4785, -4785, -1227,
    -596,  3423,  3428,  2176, -4785, -4785, -4785, -4785, -4785, -4785,
   -4785, -4785,  2201, -4785, -4785,  1556, -2191,  2193, -4785, -4785,
     834, -4785, -4785,   380, -4785,   853, -4785,  3018, -4785, -4785,
   -4785,   890, -4785, -4785, -4785,  -598, 15072,   -69,   115,   -55,
     798, -4785,  9180,  7240,   -90,  2935,   -47, 12244, 19928,   808,
   -4785,  4204,  2197,  1794, -1027, -4785,  4374,  2509, 19036, -4785,
   -1025,    21,  1596, -4785,    -2,  -653, -1212,  3227,  -762, -2003,
   -4785,  4618, -4785, -3736, -4785, -1051,   376,  3619, -1228
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1754,  2705,  2581,  3437,  3438,   249,
     250,  1829,   251,   252,   253,   254,   255,   256,   257,  1770,
     258,   259,  1323,  1983,  2715,   260,  2450,  1085,  1086,  1087,
    2303,  2304,  2647,  2305,  2292,  1604,  2085,  1789,  1051,  1052,
    1756,  1790,   262,   263,  1598,  2284,   264,   265,   266,  1816,
    1817,  1764,  2028,  4379,  5012,  3270,  2561,  3474,  3271,  3272,
     267,  1879,  1880,   268,   269,  3388,  1920,  2674,  3942,  3943,
    4410,   885,  2671,  4699,  4700,  4396,  4397,  4706,  4895,  4896,
    2716,  1979,  3468,  4031,  3428,  4481,  3429,  4482,  3430,  4483,
    3416,  3989,  3990,  3991,  3431,  4459,  4928,  3432,  2465,  5040,
    2750,  2115,  2113,  4915,  4271,  4272,  5100,  5045,  5046,  5047,
    5180,  4488,  3472,  4037,  4491,  4736,  3169,  2003,  3547,   985,
    2752,   916,   986,  2717,   274,  2744,  1849,  1850,  2589,  3949,
    3530,   275,  1342,  3813,  4782,  4963,  4964,   276,   873,   277,
    1987,   278,   279,  2701,  3422,   280,  2482,  3186,   281,   282,
    3213,  3214,  3215,   283,   284,  3835,  4652,  1818,  3259,  3260,
    3261,  3262,  3856,   285,  1985,  1855,  2724,   286,   287,   288,
     289,   290,  2634,   291,   292,  2718,  1995,  2736,  2737,  4471,
    4752,  4937,  4754,  5219,  5220,  4728,  3792,  4285,   294,   295,
    4454,  4455,  5052,   296,  2480,   297,   298,   299,  1963,  2693,
    2694,  3950,  1922,  2676,  2677,  4020,  4021,   300,  3348,   301,
    4336,  4337,   917,  5055,  5019,  5113,   302,   303,  4340,  4341,
     304,   305,   306,   307,   308,   973,  1395,  1396,  1746,   309,
    2320,   310,  1296,  3379,   311,  1484,  2889,  4529,   312,  1009,
    1420,  1421,  2719,   314,  1020,  2867,  1022,  2128,  3532,  3533,
    4091,  2836,  1211,   315,   316,  2847,  2870,   317,  1757,  2456,
    2457,  4266,  2720,   918,  2009,  2755,  3164,  4954,  4273,  4632,
    4858,  3067,  3734,   319,   919,  1794,  2525,  2758,  3480,  2428,
    2429,  2430,  4052,  2431,  3482,  2432,  1740,  2433,  3487,  3488,
    3489,  4048,  4056,  4776,  4777,   320,  1792,  2523,   321,   322,
     323,  1826,  1231,   324,   941,   942,   325,  4907,   326,  1361,
     327,  1041,  2145,   328,   329,  2538,  3842,   330,   331,   332,
    5193,  5227,  5228,  5229,  4061,  5148,   333,  5195,  1462,   335,
     336,   337,   876,  1262,  1263,  1264,  2721,  4771,   339,   340,
    2697,  3415,  3971,   341,   342,  2451,  3154,   343,   344,   345,
     346,  1967,   347,   348,   349,   350,  1899,   351,  1635,  1636,
     352,   353,   880,  1105,  1639,  1647,   354,   988,  1414,  1415,
    1416,  2087,   355,  1466,  2858,   989,  1409,   990,  3094,  3745,
    3746,  3749,   991,  3091,   359,  2134,  2852,  2855,   992,  3098,
    3099,  3100,  3101,  3102,  3751,   993,  1011,  1352,  2766,   994,
    1555,   364,   365,   366,  1114,  1109,  1110,   368,  2261,  3021,
    1028,  1653,  1070,  1121,  3698,  2334,  2335,  2359,  2360,  1662,
    1663,  2347,  2351,  2352,  3079,  3073,  2340,  4222,  4598,  2355,
    2356,  1665,  1666,  1667,  2364,   369,  3024,  3679,  3680,  3681,
    4199,  4200,  4214,  4210,  4585,  4827,  3682,  1456,  1673,  3683,
    4818,  4819,  4981,  4217,  3690,  3743,  3459,  3460,  3461,  2434,
    2684,  1945,  1556,  1946,  2691,  1557,  2180,  1948,  1558,  1559,
    1560,  1951,  1561,  1562,  1563,  1564,  2163,  2223,  1565,  1566,
    2199,  1153,  1154,  2072,  2928,  1568,  1569,  1570,  3685,  1571,
    4157,  4553,  4542,  2954,  2955,  2300,  4153,  3625,  2257,  3011,
    4839,  4992,  4993,  3666,  4183,  4570,  4817,  5088,  5154,  5155,
    1572,  3008,  2252,  1233,  1573,  3952,  2254,  2948,  3033,  3034,
    2140,  2161,  2894,  2911,  2912,  2925,  3586,  2932,  2937,  3609,
    3610,  2949,  2977,  1574,  2897,  2898,  3569,  2165,  1575,  1628,
    1629,  2270,  2972,  1642,  1643,  1107,  1576,  1577,  1578,  2129,
    1096,  4823,   726,   709,  3286,  2315,  1266,  1025,  1579,  1580,
    1581,  1370,  1371,  1695,   671,   710,   711,  1191,   823,     2,
      75,   995,  3466,   373,   374,   921,   922,   923,  1344,  1345,
    2014,  2017,  1700,  2400,   675,   676,   727,  4507,  4783,  4966,
     979,   375,   376,   377,   378,  1696,  2396,  1155,    76,    84,
      77,  1156,   415,   416,  2377,   379,   840,   380,  1676,  1135,
    3757,   381,   382,   383,   384,   385,   976,   386,  1137,   387,
    1138,   388,   389,   390,   391,  1145,   392,  1678,  1679,  4254,
    1680,   393,   394,   713,   714,  1407,   395,   396,  1172,  1173,
    1439,  1440,  1706,  1721,  1722,  1723,   397,   683,   398,   399,
     400,  1712,  1713,   401,  2277,  2278,  2405,  2279,   402,  3115,
    3116,   403,  3714,  3715,  4607,  3716,   404,  2273,   405,   406,
    1099,  3762,   407,   836,   408,  1186,   715,   716,   717,  1193,
     826,  1056,   728,  1195,  3263,   828,   829,   719,   720,   721,
    2107,    78,  3123,  2108,  1583,   729,  1584,  2268,  1585,  1586,
    1587,  1588,  1589,  1729,   723,  1162,  1399,  1400,  3124,  1402,
      82,  1403,   412,  3964,  2075,  1441,  2807,  2093,  2094
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1113,  2044,   367,  1013,  1132,   357,  1599,  2112,   409,
    1062,   358,  1674,   360,  1133,   409,  2034,  1668,  2084,  2038,
    1122,  1741,   725,    79,  1013,   932,  1354,   827,  1831,   915,
     362,   410,   731,  2464,  1448,  1449,  1450,   410,  1319,  1098,
    1454,  1621,  2526,  2837,  3087,  1884,  1694,  1977,   409,  1232,
    1854,  3550,  2689,  1353,  1897,  3031,  2317,  1997,  3132,  3134,
     920,  1923,   825,  2681,  2201,  2152,  1095,  2803,   878,  3836,
    1417,  1380,   827,  1034,  2534,  2543,   411,  1170,  1613,  3288,
     987,  1392,   411,   934,  2557,  3039,  2649,   680,  1021,  1190,
     367,  3684,  1232,   409,  3427,  1377,   261,  1965,  1212,  2174,
    2175,  1970,   972,  3059,  3445,  2328,  1974,   825,  3345,  2690,
    3998,  1819,  2741,  1980,  4016,   411,  4055,  2331,  2190,  2025,
    2384,  2386,  2387,  1999,  3819,   874,  1063,  4238,  2893,  2601,
    1116,  3536,  1300,  2611,  3851,  1174,  3853,  2615,  2616,  3953,
     827,  4041,  1124,  4274,  1724,  3967,  1726,  3691,  3692,  1232,
    3750,   926,  3953,  3693,  4308,  3686,  1125,  4494,  3684,  4268,
     411,   409,  1412,  2533,  1354,  4452,  1050,  4486,  2317,  2519,
     712,  1848,  3384,  2795,  4502,   825,  1092,  1863,  3633,  4213,
    1084,  3082,  2074,  2442,  3085,  3766,  1889,  2745,  2069,  1358,
    1661,  1606,  2378,  2378,  3106,  1791,  4211,  2756,  4633,  1368,
    1664,  2099,  4831,  4763,  4833,  1165,  1059,  4242,   712,  1702,
    1703,  4135,  2275,  1401,  1059,  3440,  1059,  3761,  1996,   884,
    3131,   418,  3686,  4196,  4416,  2026,  2167,  2168,   411,   924,
     931,  1010,   824,  4959,  3122,  -141,  3590,  2221,  3126,   931,
    1187,  4859,  4480,  2544,  -141,  4170,  2622,  2738,  4631,  -141,
    4046,  1010,  2187,  4493,  3972,  3973,  3974,  3975,  3976,  3977,
     414, -1616, -1616, -1616, -1616,  1767,  1758,  2026, -1616, -1616,
   -1616, -1616, -1616,  5018,  1348,  2685, -1616,   824,   931,  1480,
      37,    38,    39,    40,  2026,  2318,  2073,    44,   875,  3504,
   -1842,  3506,  2536,  1715,  2869,  2627,  1103, -1842,   367,   270,
    3367,   357, -1950, -1950, -1950, -1950,   358,  2970,   360, -1950,
    2086,  3820,   409,   130,   131,  1918,  1716, -2684, -2684, -2684,
   -2684,  3755,  2965,  4004, -2684,   362,  2470,  2970,  2227, -1616,
     271,  1437, -2684,  2132,   410,  1464,   418,  4961,   272,  1339,
    4095,  3815,  1147,  2466,  3336,   824,  3012,   409,  1445,   273,
      45,   418,  4865,  2230,    37,    38,    39,    40,  2076,  4955,
      43,    44,  1486,  1717,  3005,    45,  5200,  1768,  1759,   410,
    2467,  3006,  2713, -1626, -1626, -1626, -1626,  3337,  5036,   411,
   -1626,  5146,  2219,  2232,  1657,  1603, -1626, -1626, -1626, -1626,
    2536,   261,  1126, -1626, -1611, -1611, -1611, -1611,   418,  2536,
    1148, -1611,  4640,  2686,  1897,  2739,  3338,    43,  3992,  2266,
    5216,  3541,    45,  3195,   411, -2685, -2685, -2685, -2685,  1592,
    1912,   293, -2685,  5086, -2682, -2682, -2682, -2682,  3548,  1961,
   -2685, -2682,  2218,  1242, -2105,   313,  2536,   318,  1632, -2682,
    1633,   334,  4989,  1209,  2609, -1858,  2714,  1310,  5240,  5087,
    3588,  3589, -1858,  1659, -1611,  3604,   338,  4636,  1243,  2536,
   -2681, -2681, -2681, -2681,  1189,  2036,   356, -2681,  1834,  1127,
    2201,  4005,  3013,  1133,  1232, -2681,    43,  2027,  4096,  1354,
    3542,    45,  4947, -2277, -2277, -2277, -2277, -1399,  4962,  2045,
   -2277,   361,   372,  1161,  1150,  3639,  3640,  1340, -2277,  3395,
    2536,  1835,  1354,  2468,  1446,  2293,  2062,  3023,  2319,  3590,
    2306,  2306,  1760,  1901,  5122,  5037,  1962,  3180,  2545,  2027,
    3820,  1438,  2174,  2175,  1907,  2262,   837,   363,   838,  2190,
    2546, -1583, -1583, -1583, -1583,  2848,  2027,  2660, -1583, -1596,
   -1596, -1596, -1596,   920,  5147,  1761, -1596,   841,  5217,  2681,
    1365,   681,  1341,  1168,  1169,  2656,  2740, -1623, -1623, -1623,
   -1623, -1399,  1825,  2130, -1623,  3816,  1453,  2309,  2310,  1354,
    4047,  3567,  1705,  1708,  1762,  2036,  2832,  -395,  2142,  1104,
    2838,  2547,  2840,  3217,  2010,  2843,  1767,  3139,  2026,   842,
    1737,  2153,  1159,  2687,   270,  2623,  2156,  2088,   886,  3368,
    2133,  4322, -1842,    37,    38,    39,    40,  5098,  3953,  2471,
      44,   246,  1711,  2064,   363,  2222,  1626,  2628,  2971,  1465,
    1627,  4261,  4278,  1962,  4765,   271,  1769,  4733,    37,    38,
      39,    40,  1763,   272,   926,    44,  2068,  2597,  3653,  2599,
    1753, -2105,  1166,  5226,   273,  2133,  2317,    37,    38,    39,
      40,  2679,  2849,  2162,    44,  2036,  5144,  3602,  2167,  2168,
    1905,  2162,  2652,  1128,  2606,  2276,  2187,  -141,  -141,  2507,
    3993,  3785,  4090,  2825,  1437,  4466,  3007,  2513,  1634,  4779,
    4641,  3283,  4722,  4723,  4724,  4725,  4726,  2648,  1768,  4213,
    3896,  1167,  4759,  2317,  1354,  1112,  1210,  3038,  3398, -1616,
    1311,  5158,  1354,  1354,  2505, -2105,  4576, -1616, -1399,  1246,
    2799,  4475,   924,  1962,  4618,  1453,   293,  3092,  4534,   418,
   -2105,  2288,    37,    38,    39,    40, -1947,  2610,    43,    44,
     313,  2587,   318,    45,  2590,  2591,   334,  2365,  1626,  1113,
   -1950,  2227,  1627,  3684,  2401,  3684,  1178,  2366,  4582,  2251,
    4299,   338,  4586,  2569,  1202, -2684,  1258, -1858,   931,   931,
    3768,   356,  3769,  4559,  1418,  2833,  2230,   409,  1007,  1008,
    1437,   409,  3311,  4999,  2844,  3218,  2522,  2196,  5139,  1669,
    3386,   825,   682,  1718,  1719,  5123,   361,   372,  4411,  2458,
    2196,  4326,  3181,   410,  3752,  1488,  2232,  2197,  3590,  1305,
    1350,   839,  2657,  1366, -1399,  4851,  1161,  3686,  3193,  3686,
    2197,  2198,  4861,  1174,  4426,  4363,  1123,  3031,  3031,  3031,
    2708,  4229,   363,  1295,  2200,  1615,  3590,  4259,  2834,  2850,
    1692,  1693, -1611,  1419,   411,  1425,  4012,  1430,   411,  3284,
    2027, -1399,  1198,  1434, -1399,  2896,  1259,  2851,  4698,  2808,
    3718,  1198,   680, -2685,  3684,  2069,  1363,  5189,   680,  1410,
    2460,  4033, -2682,     3,  2815,  1795,  1425,  1430,  4338,   680,
    2818,  1455,  3724,  3929,  1175,  5057,  3932,  3933,  2461,  4945,
    3936,  3146,  2385,  3934,  3935,  1198,  3939,  1260,  3108,  1124,
    3108,  1219,  1704,  4311,   935,  3234,  3537,   680, -2681,  1413,
    2472,   680,  3082,  1125,  3737,  2519,  5176,  1411,   367,  3419,
    1626, -1402,   680,  1906,  1627,  2920,  2921,  1683,  3686,  2987,
    2748, -2277,  2263,  2709,  1424,   831,  1429,  3599,  3600,  3601,
    3602,  1351,  4766,   215,  1068,  4820,  1443,  1261,   680,  5003,
    5004,  1455,  1198,  1426,  4767,   417,  2514,  1431,  1432,  1433,
    3539,   824,  1198,   680,  3266,  1458,  1460,  1444,   680,  3591,
     977,  1707,  4448,   223,  2576,  4245,  4339,  4364,   680,  2173,
     831,  1672,  1868,    81,  4505,  3699,  1150,  2179,  3700,  3701,
    3592,  2829,   680,   879,  4862, -1402,  4274,  3387,  4974,  3702,
    3703,  3704,  1437,  3705,  3706, -1623,    79,  1988,  3707,  3708,
    3709,   233,  5138,  1161,  3267,   931,  3481,  2462,  3592,  3276,
    1869,  2472, -1473,  3208,   236,  2019,  1058,  1476,  1232,  1637,
    4908,  3951,  2751,  2806,  1058,  2601,  1058,  1069,  1100,  1894,
     409,  2515,  1616,  4312,  3951,  1989,  2890,  2892,   831,  3593,
    1602,  2224,  1146,  2219,  1610,  2988,  4477,  2900,  2556,  2989,
    3093,  2904,  1631,  1773,  1406,  2835,  2841,  2842,   931,  2916,
    2917,  3194,  1423,  5065,  1428,  2020,  2264,  1596,  1198,   730,
    1119,  3420,  2934,  2936,  1059,  4821,   680,  5061,  1059,  5071,
    2467,  4913,  1438,  2950,  4262,  3044,  3209,  2990,  3268,  5177,
    1896,  3538,  1119,  1457,  1459,  2748,  1617,   411,  4449,  4768,
    2052,  2458,  4626,  2463,  1198,    37,    38,    39,    40,  1147,
    2749,  1476,    44,  1176,  4053,  4118,  3208,  2459,  4123,  4124,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  4132,  5218,  4824,
    4274,  4055, -1402,  4799,  4828,  3729,  4313,  4830,  2053,  4314,
    3710,  4756,  3721,   936,  2473,  3540,  2776,  2830,  1161,  3421,
     712,  1438,  4605,  2732,  1139,  2021,  1684,  2787,  5178,  2248,
    2249,  2250,  2251,  1870,   680,   680,  1417,  1148,  2685,  2794,
    1149,  4975,  2460,  1697,  1140,  2592,  2831,  4172,  4173,  5163,
    2784,  5179,  1171,  1895,  1141,  4653,  2341,   881,  1990,  3209,
    2461,  4738,  1727,   937,  3277,   130,   131,  2194,  5140,  5000,
    1050,  1858,  2227,  4717,  2019,  2022,  5035,  2991,  -799,  5006,
    3594,  3595,  3596,  4309,  3597,  3598,  3599,  3600,  3601,  3602,
    1755,  3978,  2474,  2342,   938,  4997,   939,  2230, -1402,  2663,
    2733,  4718,  3269,  2556,  1232,  1147,  4478,  3212,  1697,  1027,
    1059,  1059,  3597,  3598,  3599,  3600,  3601,  3602,  5145,  1035,
    4263,  1871,   980,  3696,  2810,  5188,  3221,  2232,  2811,  5190,
    3047,  1150,  2338,  5063,  3981, -1402,  1198,  2664, -1402,  2768,
    3684,   981,  3711,  4057,  3684,  4223,  1991,  1198,  2774,  4264,
     832,  3767,  3402,  1142,  2012,  4749,  2023,  3139,  4333,  3111,
     833,  2054,  -618,  1148,  3527,  3086,  2686,  4739,  4265, -2412,
    1960,  4617,  2593,   982,  2594,  5225,  1222,  1223,  1224,  1113,
    1225,  1226,  1227,  1228,  1229,  1230,  3136,  2344,  3712,  2462,
    1745,   418,  1001,   882,    37,    38,    39,    40,  2923,  3808,
      43,    44,  1486,  1717,  3686,    45,  4820,  1198,  3686,  4595,
    3212,  3222,  1002,   367,  2021,  1143,  3339,  2090,  4229,  2092,
    4058,  2339,  2096,  4602,  2098,  2416,  4881,  2101,  2102,  2103,
    1151, -2055,  4922,  2089,  1133,  1212,  2091,  3809,  2345,  2095,
    2110,  2097,  1452,  1036,  2100,  4986,   680,  4935,  2104,  2055,
    1152,  4522,  1232,  2135, -2686,  2136,  4334,  1150,  1724,   834,
    1726,   680,  4969,  3590,  2022,    81,    81,  4731,    81,  5102,
    5103,  4870,  3985,  1715,  4869,  4936,  1198,   841,  3953,  3507,
    4923,  2734,  3713,  1144,   680,  2463,  2324,  4924,    79,    79,
    2665,    79,  3501, -1583,  2735,  3502,  1716,  4274,  2332,  2333,
    4930,  2337,   363,  1112,  4390,  1258,  4934,  1697,  4889,  3986,
    4393,  4394,  1125,  1125,  4925,  1125,  1258,  2672,  2673,   842,
     680,  4086,  1453,  3987,   898,  3450,  3451,  3452,  3453,  5202,
    1590,  3233,   205,  1960,  1117,   680,  3389,  3458,  5016,  2036,
    5013,  4281,  5021,  5022,  4950,  2023,  4335,  3830,   680,  2282,
    1174,   680,  4951,  3312,  4059,  3155,  2687,  3031,   215, -2412,
    3951,  3315,  1198,  3317,  3064,  2390, -1583,  3137,  2391,  3138,
    1037,  1488,   891,  1626,  3590,  4445,  2688,  1627,  2666,  2382,
    4474,   980,   900,  1672,  1651,  1117,  4926,  3310,   223,   835,
    3810,  1198,  3725,  1118,  1591,  1259,  3340, -1447,  1873,  3497,
     981,  4251, -1447,  4106,  1874,  3988,  1259,  2316,  3303,  3323,
    1406,  3330,  2283,  2476,  4060,  4282,  3874,  3331, -2412,  1198,
    1198, -2055,  1198,  2477,  2267,  3341,   233,  3156,   409,  5208,
     983,  4911,   982,  1123,  1001,  2255,  1260,  2383,  3831,   236,
    3362,  1198,   825,  3065,  1118, -2686,  4885,  1260,  1038,  4510,
    2710,  4511,   898,  2036,  1002,  1067,  5203,  2280,  2281,  2392,
    1119,  2601,  2574,  3897,  3303,  1657, -1447,  5056,    80,  2742,
    4283,  -957,  4284, -2087,   418,   984,   680,  1652,  3811,  2296,
   -2055,   409,   409,   409,   680,   680,  1261,  3780,  2246,  2247,
    2248,  2249,  2250,  2251,  1198,   411,  1093,  1261,  4079,  3199,
    1875,  3832,  1697, -1447,   410,   410,  4952,  1697,  1697,  3230,
     900,  1119,  2592,  3332,   831,  4536,  3684,  4537,  3875, -1583,
     907,  3684,   908,  1198,  2575,  2316,  3684,  1198,  1198,  3684,
    1488,  1150,   409,  3590,  1659,    37,    38,    39,    40,   409,
     712,   712,    44,  5041,  1612,  1978,   409,  4886,   411,   411,
     411,  3446,  4927,  1232,   410,   679,  3592,  4556,  4557,  1992,
     825,  2420,  2398,  4960,  2478,  5007,  3894,  3684,  1608,   680,
    4055,  1660,  4116,  2608,  2863,  3167,  4791,  1120,  2271,  1993,
    3686,  2272,  2500,  2393,  2394,  3686,  3061,  1837,  1001,  2286,
    3686,   205,   841,  3686,  2549,  4446,  4136,  2479,  3187,   411,
    3791,  3402,   898,  3529,  5143,  1212,   411,  1960,  1002,  2412,
    2414,  4034,   824,   411,  4038,  3593,  5010,   215,  2661,   925,
    1059,  1039,  1040,  1718,  1719,   943,  4742,  3120,  1120,  3895,
    3168,  3686,  3837,  1838,   842,    37,    38,    39,    40,  2593,
    3476,  2594,    44,  3565,  1876,   712,  4538,   223,   907,   898,
     908,  1026,  1001,  1059,  2036,  3407,  5042,  3333,  4447,   910,
     900,  1960,  3876, -2087,  4324,   824,  1697,  4743,  4644,  4645,
     912,  2227,  1002,  1978,  1697,  2662,  4847,  1877,  4849,  3597,
    3598,  3599,  3600,  3601,  3602,   233, -1583,  1828,  5184,  2381,
    3334, -2106,  3617,  1960,  3807,  3877,  2230, -1583,   236,  2173,
   -1583,  1745, -1583,  2384,  3408,  3455,  1878,   900,  2298,  5105,
    3456,  3684,  1839,  1001,  -521,  3592,  1354,  1755,  4741,  3335,
    1755,  5043, -2087,  3642,  3878,  1994,  2232,  4325,  1697,  4748,
     824,  1697,  1697,  1002,   246,  3356,  -418,   363,  4758,  4637,
    1616,  1874,  2695,  3491,  5075,  2644,  2978,  2299,  2979,   843,
     680,  5110, -2133,  1354,  1058,  2540,  2382,  2645,  1058,  4203,
    1840,  2218,  1841,   409,  4696,  4697,  1809,  3684,   883,  1755,
    1960,  2980,  2600,  1755,  3593,  3686,  1106,   825,  2604,  1064,
    3515,  2646,   974,  3409,  3410,  1115,  3594,  3595,  3596,  2678,
    3597,  3598,  3599,  3600,  3601,  3602,  3697,  3411,   907,  1697,
     908,  1843,  4638,  5165,  1617,  3342,  2541,  1960,  2771,  2160,
    2306,  5111,  1830,  3838,  2383,  3054,  -163,  2070,  3799,  1476,
    3398,  2071,  2866,  1978,  1133,   122,  3765,  2227,  4204,  2177,
     411,  3686,  1065,  3163,  3343,  1960,  4296,  1875,  3839,  -418,
    1845,  -163,  3167,   126,  3412,   907,  2853,   908,  4279,  1828,
     680,  2452,  2230,  2235,  2236,  4085,  4205,  2227,  2070,  2204,
      35,  2453,  2802,   841,  1136,  1413,   680,  2981,    41,    42,
     913,  4206,  2982,  2216,   367,  1847,  2454,  2983,  3378,  3031,
    1809, -2106,  2232,  4207,  3031,  2813,  4017,  2814,  -963,  3031,
    1851,  2816,  1198,  2817,  3821,  4026,  2819,  3788,  1960,  2239,
    2820,  1198,  2059,   680,   680,   842,  4208,  4203,  1150,  3719,
    2642,  4606,  2232,  5234,   680,  1753,  3841,  3684,  2846,  3208,
    1058,  1058,  2060,  1852,  1129,  4825,   680,   680, -2476,  4796,
    3038,  3413,  4424,  3414,     8,    81,   367,  2865,    81,  2859,
   -2106,  3296, -2133,  2643,  2860,   208,  2861,   824,   680,  3597,
    3598,  3599,  3600,  3601,  3602,  4812,  4813,  2036,    79,  4089,
    2536,    79,  3247,  2862,  4300,  3249,  2105,   215,  2537,  2888,
    2578,  1171,  1123,  1123,  1883,  1123,  4204,  1177,  -163,  4310,
    4315,  3686,  4209,    37,    38,    39,    40,  3553,  1198,  2106,
      44,  3297,  3209,  3556,  4884,  2196,  2984,   223,  4090,  3659,
    2196, -2133,  1354,  -163,  4205,  4098,  2985,  4327,  3684,  2968,
    2455,  4137,  4138,  3248,  2341,  2197,  3250,  3824,  1853,  4206,
    2197,  1188,  3210,  3644,   418,  3645,  1198,  1198,   418,  2198,
     409,  4207,  1742,  3061,  1198,   233,  1203,  1198,  4204,  3519,
    3398,  1198,    45,  3298,   825,  1750,  2914,  3756,  3646,  1198,
    1198,  2342,  3038,  1232,  4208,  3211,  4826,  1198,  1205,  3968,
    1198,  1198,  1198,  1198,  3456,  1743,  4205,  4119,  4890,  4120,
    1198,  1198,  3686,  1198,  4102,  1198,  1198,  1753,  1751,  1198,
    3994,  4588,   208,  3867,   246,  3861,  4365,  2246,  2247,  2248,
    2249,  2250,  2251,  4207,  1744,  1960,  1198,   411,  1217,  4711,
    3862,  1198,   925,  2343,  4712,  1198,  4366,  1752,  1637,  1198,
    1332,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    4619,  1198,   409,  4931,  3157,   215,  3160,  3730,  4555,  1218,
    4209,  1198,  1198,  1774,  1248,  3299,  3777,  3778,  3687,  2226,
    1333,  1354,  2227,  3212,   410,  2344,  4381,  4713,  5238,  3647,
    5162,  5239,  4554,  1256,  3648,   223,    37,    38,    39,    40,
    3951,  4281,  4775,    44,  3481,  1775,  4382,  2230,  3798,  1334,
    1832,  1747,  3562,  2231,  1657,  4484,  2805,  1257,   409,  1658,
     409,  1753,  3563,  1299,  4101,  1881,  3564,  1885,  4121,   411,
    3095,  4968,  4209,   233,  1198,  1302,  2345,  2232,  4122,  2558,
     410,  4866,   410,  5038,  1748,  3687,   236,  1304,  1198,    37,
      38,    39,    40,  1335,   824,  3216,    44,  1198,  1198,  4276,
    4277,  1776,    35,  2316,  1648,  3151,  3886, -1399,  2536,  3402,
      41,    42,  4882,  1749,  2196,  4282,  2542,  2079,  3300,  2080,
    3081,  3081,   246,  1659,   409,   411,  3301,   411,  2559,  3302,
    2560,  2185,  2186,  1777,  2197,    35,   418,  2598,   825,    37,
      38,    39,    40,    41,    42,    43,    44,   680,  2200,  2436,
      45,  1332,  3772,  3649,  4956,  2956,  3871,  2173,  2959,  2443,
    1660,  1307,  3889,  3650,  2556,    81,  1697,    81,  1488,  1778,
    4283,  3590,  4284,  1960,  2558,  1405,   418,  1960,  1960,  2233,
    1327,  1333,  2437,  2234,  1337,   831,  1727,   680,    79,  3872,
      79,   411,   680, -1446,  4708,   680,  4710,  3978, -1446,  1779,
    4714,  4103,  4715,  3979,  2235,  2236,  2322,  4258,  2323,  4010,
    4014,  2438,  2173,  3980,  2443,  1320,  3273,   680,  3873,  -520,
    1198,  2237,  1336,  2559,  3616,  2560,  3618,  3619,  1297,  1338,
    1312,  1198,  1313,   409,  3294,  1343,  1161,   409,  1198,  1626,
    3981, -1950,  3982,  1627,  2290,  1346,   192,   825,  4143,   418,
    2239,   825,  1360,  2579,  1335,  1354,  2582,  1354,   680,  2556,
    1897,  1364, -1446,  2240,   208,  4219,  2520,  1372,  1782,  1059,
      37,    38,    39,    40,  1783,   680,   680,    44,   363,  4528,
    1373,  1784,  3995,  1960,  3997,  1378,  1355,   943,  1387,  2521,
     940,  4515,  4516,  4517,  4003,  1315,  4006,  1316,  1786, -1446,
     411,   680,  5014,   831,   411,  2631,  1787,  1408,   824,  2638,
    1058,    37,    38,    39,    40,  2159,  3983,   246,    44,  1864,
    1354,    80,  4792,  4793,  4794,  4795,  1059,   215,   680,  3304,
    2612,  1934,   680,  3730,  4224,  4225,  4226,  4420,  4421,  4422,
     363,  2242,  3447,  1058,  2374,  2375,  3730,  4050,  3732,  3733,
     680,  1179,  1865,  3592,  1393,  2291,  1866,   223,  1788,  3417,
    1697,   680,   975,  1180,  1181,  2374,  3104,  2558,  1697,  2226,
    1697,    45,  2227,  3984,   680,  4430,  2146,  2147,  3985,  1463,
     409,  1867,  1447,  1182,   680,  3304,  1183,  2325,  1451,  2326,
    4905,  2173,  1461,  1745,   825,   233,  2317,  2230,    37,    38,
      39,    40,  2764,  2231,  2765,    44,  3083,  3084,   236,  4097,
    1481,  1467,  3593,  5191,   192,  3986,  2559,   824,  2560,  1593,
   -1411,   824,  3038,  1605,  1355,  1607,  1473,  2232,  1198,  3987,
    1960,  1474, -1411,  2976,  2243,  2244,  2245, -1411,  2246,  2247,
    2248,  2249,  2250,  2251,   246, -1190,    35,   411, -1190,  2804,
    1468,  2805,  2556,  3304,    41,    42,    35,  4843,  3304,  1476,
      37,    38,    39,    40,    41,    42,  2826,    44,  2827,  1475,
    2828,  3433,  2827,  2641,  1488,  1477,  2856,  3590,  2857, -1411,
    1113,  1478,  3060,  4386,  3061,  1479,  3227,  3219,  3228,  3290,
    3304,  3291,  1482,  1483,  4163,   215,  3390,  1611,  3391,  4775,
    1184, -1411,  2173,  4432,  2443,  1960,  1485,  3403,   680,  3404,
    2558,  3988,   679,   679,  3470,  3285,  3471,  1728,  1614,  3521,
     831,  2827,  1618,  1212,  2558,   223,  1620,  3296,    37,    38,
      39,    40,  4503,  2234,  1619,    44,  5168,  1185, -1411,    45,
    1625,    35,   418, -1468, -1468,   680, -1411,  5173,  1645,    41,
      42,  1646,  2558,  1198,  2235,  2236,    45, -1471, -1471,  2559,
    2905,  2560,  1648,   233,   824,  3893,  1638,   363,  1692,  1693,
    1670,  4684,  4685,  2559,  4687,  2560,   236,  3297,  3898,  3672,
    3673,  3674,  1649,  1655, -2686, -2686,  1671,  3597,  3598,  3599,
    3600,  3601,  3602,   680,  3926,  2556, -1472, -1472,  1113,  5211,
    2239,  2559,  2558,  2560,  3561,  1960,  2805,  1677,  1675,  2556,
    1697,  3623,  5192,  2240,  1681,  2558,   680,  3630,  1685,  3571,
    1198,  2805,  1682,  3575,  3434,  2805,  1198,  2906,  3579,  3298,
    2805,  2558,   409,  4427,  3580,  1686,  2805,  2556,   409,  3606,
    3622,  2805,  2805,  1198,  1198,  1690,   825,  4301,  1161,  1198,
    1687,  2559,   825,  2560,    37,    38,    39,    40,  3627,  3592,
    3628,    44,  1688, -1411,  2559,  1689,  2560,  3667,  1691,  3668,
    3687,  3669,  3687,  3670,  1198,  1198,  3854,  1698,  3855,  1198,
    2559,  3859,  2560,  3860,  2558,  2907,  1699,  2556,  2908,  1701,
    1731,  1198,  1198,  1198,  1198,  1730,  4044,  4328,  4045,   411,
    2556,  4413,  1733,  4414,  1198,   411,  4107,  1198,  2805,  1198,
   -1587, -1587, -1587, -1587,  1739,  1745,  2556, -1587,  3593,  1198,
    1198,  3299,  1766,  1198,  1626,  1771,  1797,  1648,  1627,  1798,
    4144,  4518,  4145,  2559,  2558,  2560,  1198,   367,  1198,  1355,
    2859,  1793,  1198,    80,    80,  2860,    80,  2861,  1825,  1827,
    4705, -1594, -1594, -1594, -1594,  4154,  1828,  4155, -1594,  4434,
    3435,  1198,  1355,  4399,  2862, -1585, -1585, -1585, -1585,  2556,
    1833,  1198, -1585,  4543,  1198,  1198,  1198,  4746,  4166,  2909,
    2805,  3687,  4243,  2559,  4244,  2560,  4484,   831,  2246,  2247,
    2248,  2249,  2250,  2251,   680,  4247,  1836,  4248,  1198,  3436,
    1859,  4257,  3730,  3138,  4400,  1860,  4280,  2137,  2827,  1882,
    4476,  1198,  2827,  2483,  1872,  1886,   824,  1697,  4560,  2556,
    2857,  4621,   824,  3138,  3300,    74,  1198,  1891,  4401,  1355,
    1892,  4628,  3301,  4629,  4634,  3302,  2827,  1654,  1198,  1656,
    1893,  3736,  3736,  4402,  1898,  1900,  2484,  4403,  4635,  4701,
    2827,  4702,  1741,  4418,  4419,  4420,  4421,  4422,  1902,  2485,
    4760,  1904,  4761,  4720,  1908,  4462,  4463,  4404,  1909,  4801,
    4405,  4802,  2486,  4803,  1914,  2805,  1960,  1916,  2910,  1960,
    1919,  1960,  4406,  4811,  1921,  2857,  1960,  1924,   680,  3594,
    3595,  3596,  1753,  3597,  3598,  3599,  3600,  3601,  3602,  4587,
    1966,  4590,  2220,   680,   680,  4867,  4932,  4868,  2827,  1198,
    2487,  4957,  2225,  4958,  4418,  4419,  4420,  4421,  4422,  1969,
    1971,  2488,  4423,  1981,  1962,  2265,  4970,  4978,  2857,  4979,
     680,  1982,  4983,   680,  3061,  -184,  1960,   409,   409,   409,
    4988,  2489,  4024,  1986,  1984,  2806,  2490,  4990,  5032,  4024,
    5033,   825,   825,   825,  1355,  1998,  2008,  2295,  2297,  5064,
    4407,  2285,  1355,  1355, -1588, -1588, -1588, -1588,  4408,   859,
    2000, -1588, -1586, -1586, -1586, -1586,  1960,  2016,  5069, -1586,
    5070,  5080,  5081,  2857,  3628,  5082,  5092,  2805,  3061,  5094,
    1012,  4024,  5109,  5115,  2857,  2857,  5116,  5130,  2857,  5131,
    5159,   831,  3061,  4409,   411,   411,   411,  5206,  2006,  4024,
    1012,  2024,  5236,  2491,  5237,  5247,  2029,  5237,  2030,  2031,
    2032,  2033,  2035,  2043,  4900,  4902,  2036,  2046,   680,  2047,
    2048,  4982,  2057,  2049,  2051,  2077,  2056,  1960,  2058,  1960,
     680,  4982,  4707,  2063,  2492,  2111,  2141,   679,  2148,   680,
    2144,  2150,  2151,  2157,  2158,  2176,  4894,  1488,  2166,  2169,
    3590,  2170,  2171,  2172,  2695,   246,  2178,  2181,  4180,  2182,
    2183,  2184,  2189,   859,  2191,  2192,  2193,  4164,  2194,  1058,
    2195,  2202,  2203,  2205,  2206,   409,  2207,  2208,  2209,  2210,
    2211,  2256,  2258,  2212,  1960,  2289,  2301,  5028,  2260,   825,
    1437,  2330,  2263,  2285,  2311,  2321,  2493,  1658,  1660,  2361,
     831,  2872,  2494,   680,   831,  2495,  2363,  4065,  2373,  1960,
    2371,   824,   824,   824,  4611,  2380,  1150,  2397,  2399,  2408,
    2395,  2407,  2388,  2410,  2415,  2417,  1058, -2628,  2419,  3945,
    1960,  2496,  2439,  2440,  2441,  2443,  2444,  2497,  2445,  2446,
     920,  2475,   411,  1960,  2447,  2448,  2469,  2481,  2873,  2502,
    2498,  2506,  2508,  1697,  2509,  4650,  1113,   680,  4029,   680,
    2510,  2511,  2512,  2527,  2216,  2529,  1697,  4040,  1232,  2528,
    2539,   680,  1113,   680,  2549,  2499,  2550,  2874,  2976,  2555,
    2552,  2553,  2554,  2556,  5093,  2562,  2564,  3687,  4064,  2605,
    2563,  3687,  2565,  2566,  2570,  2577,  2571,  3662,  2875,  2580,
    2584,  5034,  2585,  2588,  2595,  2596,  4681,  1960,  4734,  2876,
    2602,  2603,  3678,  1809,  4836,  2607,  2613,  2614,  4185,  4186,
    4187,  4188,   680,  1960,  1354,  2624,  2625,  2626,  4835,  2877,
    2629,  4891,  3592,  2630,  2878,  4840,  1960,  2654,  2636,  4846,
    2640,  5020,  2655,  2667,  2669,  2670,  2680,   831,  2173,  2682,
    2683,   363,   680,  2162,  2179,  2696,  2675,  2699,  2700,   824,
    2703,   893,  2704,  5017,  2711,  2726,  1198,  1488,  2731,   680,
    3590,  5024,  1853,  5026,  2746,  2747,  4149,  2754,  2757,  3678,
    2879,  2707,  1112,  2759,  2760,  2761,   680,  4561,  2767,   680,
    2781,  3593,  2778,  2783,  2780,  2782,  2796,   409,  2797,  2822,
    2823,  2880,  2839,  2845,  2854,  1198,  1488,  2896,  1960,  3590,
    2938,   825,   931,  2227,  2868,  1198,  2951,  2957,  1697,  2969,
    2722,  1198,  2895,  1198,  2962,  2939,  4562,  2994,  1960,  1198,
    3009,  3023,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  2901,  3010,  2961,  1198,  1198,  3040,  3041,  2975,
    2992,  3043,  2354,  1960,  3046,  3048,  3051,  3052,  1198,  3062,
    1118,   859,  1198,  3063,   411,  3075,  1198,  3077,  3078,  3076,
    3090,  3110,  3112,  3113,  2275,  4894,  1198,  3127,  3128,  1198,
    3130,  1198,  3140,  3142,  3141,  3153,  3158,  3161,  2881,  1960,
    1198,  1198,  1198,  3163,  2882,  1799,  1198,  3188,  3165,  1198,
    2883,  1800,  3166,    80,  3182,  3172,    80,  3177,  3183,  3185,
    3192,  3196,  3204,  1198,  3207,  1198,  3220,  3225,  1608,  1612,
    4972,  3280,  3275,  3289,  3281,  3292,  3293,  1198,  3305,  2884,
    3344,  2885,  3347,  1198,  1198,  3365,  4946,  3358,  4737,  3369,
    3366,  1801,  3370,  3371,  3373,  3385,  3374,  3377,  2886,  3375,
    4977,  3376,  3592,  3383,  3392,  3394,  3399,  3405,  3400,  3425,
    3397,  4348,  3594,  3595,  3596,  3439,  3597,  3598,  3599,  3600,
    3601,  3602,  3441,  2887,  3398,  3448,  3454,  3457,  3463,  3464,
    1198,   824,  3465,  3473,  3475,  3493,  1198,  3478,  3462,  3490,
    1802,  3592,  1198,  3494,  3496,  3495,  3498,  1803,  3499,   831,
    1804,  3513,  3514,  3535,  3523,   831,  3508,  4854,  1960,  3524,
    3273,  3593,  4323,  4871,  2913,  3525,  3511,  3061,  2869,  3526,
    3543,  2064,  3546,  3528,  1198,  3549,   409,  3551,  3557,  1453,
    1354,   409,  3554,   409,  3555,  3558,  3577,  3559,  3573,  3574,
     825,  3576,  3578,  3581,  3582,   825,  3612,   825,  3584,  4876,
    3593,  3643,  2805,  3624,  1805,   680,  3658,  3587,  5212,  3638,
    3651,  1232,  3605,  3687,  3611,  3665,  3695, -1003,  3687,  3613,
   -1474,  3614,  3621,  3687,  3636,  3637,  3687,  3689,  3738,  3661,
    3663,  3664,  3739,  3694,  3742,  3744,  3748,  3758,  3759,  3763,
    2070,  4398,  3730,   411,  5085,  3770,  3776,  3754,   411,  1960,
     411,  3779,  3781,  1232,  3760,  3764,  3782,  3790,  3793,  3795,
    3802,  1806,   409,  1807,  3687,  3829,  2226,  3817,  3786,  2227,
    3787,  3818,  1697,  1808,  3834,  3828,   825,  3833,  3843,  3845,
    3045,  1809,  3858,  3884,  3885,  3888,  3891,  3892,  3899,  3890,
    3900,  1810,   680,  3901,  2230,   680,  3902,  3903,  3904,  3905,
    2231,  3907,  3908,  3906,  3909,   363,  4875,  3917,  3910,  3911,
    3912,  3919,  3914,  3921,   363,  3923,  3913,  2622,  3925,  3931,
    3937,  3938,  3941,  2391,  2232,  3956,  4008,  1812,  1813,   411,
    3957,  3969,  3594,  3595,  3596,   363,  3597,  3598,  3599,  3600,
    3601,  3602,  3965,  3970,  4001,  4011,  4013,  4015,  4035,  4039,
    4023,  4032,  1212,  1814,  4036,  4030,  4002,  4062,  2393,  2394,
     824,  4024,  4042,  4081,  4071,   824,  4082,   824,  4083,  1198,
    4084,  3594,  3595,  3596,  4092,  3597,  3598,  3599,  3600,  3601,
    3602,  4492,  4093,  4087,  4105,   679,  3641,  4094,  4073,  4110,
    3608,  2159,   680,   680,  3590,  3607,  1960,  2221,  4140,   680,
    4141,  1728,  4142,    80,  4148,    80,  4156,  4168,  3687,  4169,
    1119,  1815,  5104,  4194,  4181,  4177,  4221,  4216,  4239,  4260,
    4218,  4267,  4288,  4064,  4290,  4202, -2686,  4232,  4230,  4233,
    2234,  4721,  4253,  1960,  1198,  1198,  4291,  4304,    74,  4231,
    1133,  4305,  4302,  4303,  4316,  4236,   824,  4237,  4329,  4332,
    4344,  2235,  2236,  4330,   831,   831,   831,  4307,  4624,  1012,
    4331,  1012,   670,  1012,  3687,  4342,  4345,  4343, -2686,  1012,
    1435,  1436,  4355,  4346,  4347,  4356,  4362,  1944,   680,  4378,
    4380,  4311,  4383,  4389,  4391,  4392,  4417,  4450,  4622,  4442,
    4453,  4460,  1012,  1012,  4415,  4054,  1198,  2239,  1697,  4458,
    2216,  4465,  1607,  2827,  4469,  4470,  4472,  4473,  4487,  1354,
    2240,  4489,  4490,  4506,  4192,  4504,  4195,  4501,  4500,  4519,
    4523,  4508,  4514,  4521,  4524,  4525,  4526,  4527,  5101,  4535,
    4532,  4544,  4539,  1198,  4545,  2929,  4546,  4547,  4583,  4540,
    4656,  4584,  4548,  1198,  1198,  4591,  1960,  4568,  4552,  2952,
    4579,  1198,  1198,  4578,  5050,  4581,  1198,  1960,  4594,    35,
    4596,  4597,  1198,  1198,  4616,  4612,  1198,    41,    42,  1198,
    4599,  4623,  1799,  2226,  4600,  4620,  2227,  4601,  1800,  4630,
    4625,  4631,  1232,  4639,  4654,  4613,  4661,  4655, -2686,  4662,
    1198,  4674,  4663,  2228,  1198,  4683,  2229,  4677,  4688,  4716,
    4695,  2230,   831,  4719,  4727,  4735,  1198,  2231,  4740,  4745,
    2930,  1198,  4747,  4751,  3687,  1012,  1198,  4753,  1801,  4762,
    4764,  4772,  4770,  4773,  2930,  4781,  4789,  4797,   409,  4798,
    4800,  2232,  4805,  4807,  1720,  4808,  4816,  4809,  4810,  4829,
    2139,    81,   825,  4608,  4838,  4822,  4832,  3380,  4844,  4860,
    4848,  4863,  4864,  4729,  4873,  3380,  4878,  4887,  1198,  4879,
    4888,  4892,  4899,  4906,    79,  4916,  4909,  1802,  4914,  4917,
    4449,  4920,  4919,  4938,  1803,  3014,  1960,  1804,  4939,  4921,
    1012,  4940,  3074,  4942,  4944,  2246,  2247,  2248,  2249,  2250,
    2251,  4948,   680,  4949,  5137,   411,  4965,  4973,  2226,  4976,
    4980,  2227,  4985,  5001,  1960,  3687,  4991,  4995,  2226,  5011,
    5009,  2227,  3449,  5039,  5023,  5044,  5048,  5051,   680,  5053,
    5049,  5054,  5066,  1960,  5059,  5067,  2230,  5068,  2228,  5073,
     680,  1805,  2231,  2233,  5079,  5074,  2230,  2234,   409,  5084,
    3477,  5091,  2231,   680,  5170,  5083,  1355,  5095,  5096,  5097,
    5112,  5099,  5108,  5018,  5120,  5118,  2232,  2930,  2235,  2236,
     410,  5121,  5129,  5134,  5124,  5135,  2232,  5126,  5171,  5141,
    5175,  1960,  5142,  5157,  4182,  2237,  5164,  5123,  5122,  5183,
    5201,  5166,  5215,  1355,  5182,  5232,   680,  5187,  1806,  5235,
    1807,  5241,  5245,  1131,  2637,  1796,  3443,  1857,  3722,  3279,
    1808,  2238,  3840,  1856,  2239,   411,  4321,  3357,  1809,  1697,
    3940,  4395,   824,  5030,  4893,  5119,  4941,  2240,  1810,  4461,
    2241,  4943,  4732,  2308,   831,  4929,  3784,  3522,  5167,  4852,
    1198,  5210,  5127,  5125,  5181,  5062,  3789,  3423,  4457,  3424,
    4319,  1198,  2723,  3852,  3406,  4019,  5214,  5246,  5242,  4918,
    3966,  1811,  3944,   677,  1812,  1813,  5185,  4877,  2233,  5114,
      74,    74,  2234,    74,  2706,  5172,  4880,  4520,  2233,  1031,
    2131,  4996,  2234,  2143,  4496,  3133,  5244,  5072,   363,  1012,
    1814,  4497,  3771,  2235,  2236,  3920,  1356,  5194,  5243,  1960,
    1622,   370,  3057,  2235,  2236,  2242,  3056,   370,  2812,  3727,
    2237,  4479,   673,  4614,  3518,  4249,  1644,  3089,  2327,  3728,
    2237,   680,  3740,  3088,  3753,  2078,  3741,  3072,  4197,  2358,
     363,  2357,  2362,  1198,  4577,  4987,  2238,  1960,  4845,  2239,
     370,  1014,  1198,  4589,  4193,  5090,  2238,  2367,  1815,  2239,
    5089,  4160,  2240,  4971,  1630,  4250,  4150,  5160,  5156,  1198,
    1198,  1014,  2240,  1198,  5161,  2241,  3731,  3656,  3568,  3654,
    4246,  3025,  1164,  4063,  3492,  2018,  1198,  2763,  5149,  3114,
    2379,  1198,  2372,  1134,  3105,   370,  1198,  2138,  1738,  1198,
    1404,  3121,  1709,  4255,  1198,  1198,  3717,  1710,  2243,  2244,
    2245,  3119,  2246,  2247,  2248,  2249,  2250,  2251,  3118,  2274,
    2573,  4604,  4398,  4256,  4235,  2376,  3125,  3520,  2824,  1157,
      83,   680,  4615,   680,  2067,     0,  4842,  1198,  1442,     0,
    2242,  1054,     0,   409,     0,     0,     0,     0,     0,  1054,
    2242,  1054,  1355,  2226,     0,     0,  2227,   825,     0,     0,
       0,  3678,  1799,   370,     0,  3678,     0,     0,  1800,  1960,
     680,     0,     0,   831,     0,     0,     0,     0,   831,  1198,
     831,  2230,     0,     0,     0,     0,     0,  2231,     0,     0,
       0,     0,  1697,     0,  1012,     0,     0,  2653,     0,  1012,
    1012,     0,   363,     0,     0,     0,     0,     0,  1801,  4933,
     411,  2232,   680,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1198,     0,     0,     0,     0,
       0,     0,     0,  2243,  2244,  2245,     0,  2246,  2247,  2248,
    2249,  2250,  2251,  2243,  2244,  2245,     0,  2246,  2247,  2248,
    2249,  2250,  2251,     0,     0,  3049,     0,  1802,     0,   831,
       0,  3050,  2698,     0,  1803,     0,     0,  1804,     0,     0,
       0,     0,     0,  2389,     0,  1435,  1436,     0,     0,     0,
       0,  1198,     0,  1960,     0,     0,     0,     0,     0,     0,
       0,  1355,     0,     0,  2404,     0,     0,     0,     0,     0,
       0,  2411,  2413,     0,     0,  1198,  1960,     0,  1198,   409,
    1198,     0,     0,  2233,   370,     0,     0,  2234,     0,     0,
       0,  1805,     0,   825,     0,  2770,     0,   824,     0,     0,
       0,     0,     0,  1198,     0,     0,     0,  1198,  2235,  2236,
       0,     0,  1960,     0,     0,     0,     0,  1213,     0,   370,
       0,     0,     0,  1236,     0,  2237,     0,     0,  1012,     0,
       0,     0,     0,     0,  1253,     0,  1012,     0,  3857,     0,
       0,     0,     0,     0,     0,     0,   411,     0,  1806,     0,
    1807,     0,  1960,     0,  2239,     0,  1960,  1960,  2929,  2929,
    1808,     0,  1314,  2929,     0,     0,  1321,  2240,  1809,     0,
       0,     0,  5060,     0,     0,  3887,     0,  1331,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1012,     0,     0,  1012,  1012,     0,     0,  1198,     0,     0,
       0,     0,     0,  2929,  2929,     0,     0,     0,     0,     0,
       0,  1861,     0,     0,  1812,  1813,  1198,     0,     0,     0,
       0,     0,     0,     0,  3918,     0,     0,  5231,     0,     0,
       0,     0,     0,  2930,  2930,     0,  1960,     0,  2930,     0,
    1862,     0,     0,  5078,     0,  2242,  3380,     0,     0,  3380,
    3380,     0,     0,  3380,  1198,     0,     0,  1198,     0,  3380,
       0,  1012,     0,   824,     0,     0,     0,     0,  3954,     0,
       0,     0,  2226,     0,  3963,  2227,     0,     0,  2930,  2930,
       0,  3954,   371,     0,     0,     0,     0,     0,   371,  1198,
       0,     0,  2966,   674,     0,  1355,     0,  1355,  1815,     0,
    2230,     0,     0,     0,     0,     0,  2231,     0,     0,     0,
       0,   680,  3678,     0,     0,     0,     0,  3678,     0,     0,
    3678,   371,     0,     0,     0,     0,     0,     0,     0,     0,
    2232,     0,     0,  4022,     0,     0,     0,  1198,     0, -2686,
   -2686,     0,  2246,  2247,  2248,  2249,  2250,  2251,  1198,     0,
       0,     0,     0,   367,     0,     0,  5196,     0,     0,  4049,
    1355,  5197,     0,  5198,  1198,  1198,   371,  5186,     0,  2762,
       0,     0,     0,     0,     0,   680,     0,  5222,     0,     0,
    5199,     0,     0,     0,     0,     0,     0,  1198,     0,     0,
       0,     0,  3652,     0,     0,   831,     0,   367,   409,     0,
    5196,     0,     0,     0,     0,  5197,     0,  5198,     0,     0,
       0,     0,   825,     0,     0,     0,     0,     0,     0,     0,
      74,     0,     0,    74,  5199,     0,     0,  5222,  1198,   670,
     670,     0, -2686,     0,   371,  5222,  2234,     0,     0,     0,
    3483,     0,  1198,     0,   367,     0,     0,  5196,   409,     0,
       0,     0,  5197,     0,  5198,     0,   409,  2235,  2236,  1774,
       0,     0,   825,     0,     0,   411,     0,     0,     0,     0,
     825,  5199,     0,     0, -2686,     0,   363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1199,  1201,  5223,     0,
    1204,  1775,  1206,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2239,     0,     0,     0,     0,     0,     0,
    1198,  1250,     0,  4161,     0,   411,  2240,     0,     0,  1198,
       0,     0,     0,   411,  2902,  2903,     0,     0,     0,     0,
       0,  1303,  2915,     0,     0,  1306,  2918,  2919,  5223,   370,
       0,     0,     0,   370,     0,     0,  5223,  1776,     0,     0,
       0,  2940,  1329,  2941,     0,     0,     0,   673,  3678,     0,
       0,     0,     0,   673,     0,  2226,     0,     0,  2227,     0,
       0,     0,     0,     0,   673,  2963,     0,  2964,     0,  1777,
       0,     0,   824,     0,     0,   371,     0,     0,     0,     0,
       0,     0,     0,  2230, -2686,     0,     0,     0,     0,  2231,
    3235,     0,   673,     0,     0,     0,   673,     0,  3484,     0,
       0,     0,     0,  2226,     0,  1778,  2227,   673,     0,     0,
     371,     0,     0,  2232,     0,     0,     0,     0,     0,  2404,
       0,     0,   824,  2228,     0,     0,     0,     0,     0,     0,
     824,  2230,     0,   673,     0,  1779,     0,  2231,     0,     0,
    1014,     0,  1014,     0,  1014,     0,     0,     0,   673,     0,
    1014,     0,     0,   673,     0,     0,     0,     0,     0,   363,
       0,  2232,     0,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1014,  1014,  4174,     0,   673,     0,     0,
       0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,     0,
       0,     0,  3080,  3080,     0,     0,     0,     0,     0,     0,
     208,     0,     0,     0,  3485,     0,     0,     0,     0,     0,
    1783,     0,     0,     0,     0, -2686,     0,  1784,     0,  2234,
       0,     0,     0,     0,     0,  2521,     0,  3954,     0,     0,
       0,     0,     0,     0,  1786,     0,     0,  3396,  1012,     0,
    2235,  2236,  1787,     0,     0,     0,     0,     0,     0,     0,
       0,  4349,     0,     0,  4350,     0,  4351, -2686,  1720,     0,
      74,     0,    74,  2233,     0,     0,     0,  2234,     0,  1054,
       0,   673,     0,  1054,     0,     0,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,  2239,     0,  2235,  2236,
       0,     0,   370,     0,  1788,     0,  1014,  3380,  3486,  2240,
       0,     0,     0,  3380,  3380,  2237,  2675,     0,     0,     0,
     677,   677,     0,  2929,     0,  1725,  2929,  2929,  2929,  2929,
    2929,  2929,  2929,  2929,  2929,  2929,  3963,     0,     0,     0,
       0,  2238,     0,     0,  2239,     0,     0,  4429,  4431,  4433,
    4435,     0,     0,     0,     0,     0,  4147,  2240,     0,     0,
    2241,  1823,  1824,     0,   363,     0,     0,     0,     0,   673,
     673,  1014,     0,     0,     0,     0,     0,   363,     0,     0,
       0,     0,     0,     0,     0,  2929,  2929, -2686,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2930,     0,
       0,  2930,  2930,  2930,  2930,  2930,  2930,  2930,  2930,  2930,
    2930,     0,     0,     0,     0,     0,     0,     0,  4495,     0,
       0,  5230,  3544,     0,     0,     0,     0,     0,     0,     0,
       0,  2930,     0,     0,     0,  2242,     0,  1917,     0,     0,
       0,  2226,  1012,     0,  2227,  1054,  1054,     0,     0,     0,
    1012,     0,  1012,     0,     0,     0,   831,     0,  1975,  1976,
    2930,  2930,     0,     0,   670,  2050,     0,     0,   363,  2230,
       0,     0,     0,     0,     0,  2231,  2065,     0,  2007,     0,
       0,  4530,     0,     0,  2246,  2247,  2248,  2249,  2250,  2251,
       0,     0,     0,  2226,     0,     0,  2227,     0,     0,  2232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2228,     0,  2040,  2042,     0,     0,     0,
       0,  2230,     0,     0,     0,     0,     0,  2231,  2243,  2244,
    2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
     371,  3401,  2960,     0,   371,     0,     0,     0,     0,     0,
       0,  2232,     0,     0,     0,     0,     0,     0,   674,     0,
       0,  4175,     0,     0,   674,     0,     0,     0,     0,     0,
    1014,     0,     0,     0,     0,   674,     0,     0,     0,     0,
       0,   673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   673,     0,     0,     0,
       0, -2686,     0,   674,     0,  2234,  4603,   674,  4609,  4610,
       0,     0,     0,     0,     0,     0,     0,     0,   674,   673,
       0,     0,     0,     0,     0,     0,  2235,  2236,     0,    80,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2686,   674,  2635,     0,     0,     0,     0,
       0,     0,     0,  2233,     0,   673,     0,  2234,     0,   674,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
     673,     0,  2239,     0,   674,     0,     0,  3483,  2235,  2236,
       0,     0,     0,   673,     0,  2240,   673,     0,   674,     0,
       0,     0,  1012,     0,     0,  2237,  1774,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2929,     0,     0,     0,     0,     0,     0,
       0,  2238,     0,     0,  2239,     0,     0,     0,  1775,     0,
       0,     0,     0,     0,     0,     0,     0,  2240,     0,     0,
    2241,     0,     0,     0,     0,  2712,     0,     0,     0,     0,
       0,     0,     0,  3800,     0,     0,     0,  4690,  4691,     0,
       0,  2635,     0, -2686,     0,  1014,     0,  3380,  3380,     0,
    1014,  1014,     0,     0,  1355,   831,     0,     0,  4709,     0,
       0,     0,   674,     0,  1776,     0,  1799,     0,  2930,     0,
       0,     0,  1800,     0,  3963,  3963,  3963,  3963,  3963,  2777,
       0,     0,     0,   371,     0,     0,     0,     0,     0,     0,
       0,   673,     0,     0,     0,  2242,  1777,     0,     0,   673,
     673,     0,  2635,     0,     0,   831,     0,     0,     0,     0,
     370,     0,  1801,   831,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3484,     0,     0,     0,  4755,
       0,     0,  1778,     0,  3879,   677,  3881,     0,     0,     0,
    2246,  2247,  2248,  2249,  2250,  2251,     0,     0,     0,     0,
     674,   674,     0,     0,     0,     0,  4774,     0,     0,     0,
       0,  1802,  1779,   370,   370,   370,     0,     0,  1803,     0,
       0,  1804,     0,     0,  2404,  2929,  2929,  3720,     0,  1012,
    4530,  4530,  4530,  4530,   673,     0,     0,     0,  2243,  2244,
    2245,  3916,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
       0,     0,  3955,  3735,  3735,     0,     0,     0,     0,  1014,
       0,     0,     0,     0,   370,     0,  3930,  1014,     0,     0,
       0,   370,     0,     0,     0,  1805,     0,   208,   370,  2551,
       0,  1782,     0,     0,     0,  1054,     0,  1783,     0,     0,
       0,     0,     0,     0,  1784,     0,     0,     0,     0,     0,
    2930,  2930,  2521,     0,     0,     0,     0,     0,     0,     0,
       0,  1786,     0,     0,     0,     0,     0,     0,  1054,  1787,
       0,  1014,     0,     0,  1014,  1014,     0,  2226,     0,     0,
    2227,     0,  1806,     0,  1807,     0,     0,     0,     0,  2617,
    2618,  2619,  2620,     0,  1808,     0,     0,  2228,     0,     0,
       0,     0,  1809,     0,     0,  2230,     0,     0,     0,     0,
       0,  2231,  1810,     0,  3235,     0,     0,  3954,     0,     0,
       0,  1788,     0,     0,     0,  3486,  4054,     0,     0,     0,
       0,  2658,  2659,     0,     0,  2232,     0,  2668,     0,     0,
       0,     0,  1014,  4067,     0,  1887,     0,     0,  1812,  1813,
    2226,  3380,     0,  2227,     0,     0,     0,     0,     0,     0,
    1355,     0,   674,     0,  4897,   673,  4898,     0,     0,     0,
    4903,  4904,     0,  2226,  1888,     0,  2227,   674,  2230,     0,
       0,     0,  2692,     0,  2231,     0,  2769,     0,     0,     0,
       0,     0,     0,     0,     0,  2775,     0,     0,     0,  2779,
     674,  2230,     0,     0,     0,  2785,  2786,  2231,  2232,  2727,
    2728,  2729,  2730,     0,     0,  4111,     0,     0,     0,     0,
       0,     0,     0,  2798,     0,     0,     0,     0,     0,     0,
       0,  2232,  1815,     0,     0,  4117,   674,  2233,     0,     0,
       0,  2234,   670,     0,     0,   370,     0,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
    4139,     0,  2235,  2236,   674,   673,     0,   674,     0,  2789,
    4178,     0,     0,     0,     0,     0,     0,     0,  2793,  2237,
       0,   673,  3143,     0,     0,  2800,     0,  3147,     0,     0,
    3150,     0,     0,  4565,     0,     0,  2139,     0,     0,     0,
       0,     0,     0,     0,     0,  2238,     0,     0,  2239,     0,
   -2686,     0,  3173,     0,  2234,     0,     0,     0,   673,   673,
       0,  2240,     0,     0,  2241,  1012,     0,     0,     0,   673,
    3958,  3961,     0, -2686,     0,  2235,  2236,  2234,  1012,     0,
       0,   673,   673,     0,     0,     0,     0,  2929,  5031,     0,
       0,     0, -2686,  3223,     0,     0,  4804,  2226,  2235,  2236,
    2227,     0,     0,   673,     0,     0,     0,     0,     0,  4007,
    3229,     0,     0,  2929,  2929, -2686,     0,  2228,     0,     0,
       0,  2239,     0,     0,     0,  2230,     0,     0,     0,     0,
       0,  2231,   674,     0,  2240,     0,  3264,     0,     0,  2242,
     674,   674,     0,     0,  2239,     0,     0,     0,     0,     0,
       0,   371,     0,     0,     0,  2232,     0,  2240,     0,     0,
       0,     0,  2930,  3295,     0,     0,     0,  3306,     0,     0,
       0,  2930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3318,     0,     0,  2930,  2930,
       0,     0,     0,  2973,     0,     0,  3328,     0,     0,     0,
       0,     0,     0,     0,   371,   371,   371,     0,     0,  3352,
       0, -2191, -2686,     0,     0,     0,     0,     0,     0,  3359,
       0,  3053,     0,     0,     0,   674,     0,     0,     0,  1355,
    1012,     0,  2243,  2244,  2245, -2686,  2246,  2247,  2248,  2249,
    2250,  2251,     0,     0,     0,     0,     0,     0,  3583,     0,
       0,     0,   370,     0,     0,   371,     0,  2233, -2191,     0,
       0,  2234,   371,     0,     0,     0,     0,     0,     0,   371,
   -2191,     0,     0,     0,     0, -2191,     0,     0,     0,     0,
   -2191,     0,  2235,  2236,     0, -2191,     0,     0, -2191,     0,
   -2191,     0,     0,     0,     0,     0,     0,     0,     0,  2237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2246,
    2247,  2248,  2249,  2250,  2251,     0,     0, -2191,     0,     0,
       0,     0,     0,     0,     0,  2238,     0,     0,  2239,     0,
       0,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0, -2191,
       0,  2240,     0,     0,   370,     0,     0,     0,     0,  2929,
       0,     0,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   888,     0,  1014,
       0,     0,     0,   677,     0,     0, -2191,     0,     0,     0,
       0,     0,     0,  5224, -2191,     0,     0,     0,   889,  1725,
       0,     0,     0,  4464,     0,     0,     0,     0,     0,     0,
     370,   890,   370,     0,     0,     0,   674,     0,     0,     0,
     891,     0,     0,     0,  -755,     0,     0,     0,     0,  2242,
       0,     0,   673,     0,  2930,     0,     0,     0,  3534,  4252,
       0,   892, -2191,  5224,     0,     0,     0,   893,     0,     0,
       0,  5224,     0,     0,     0,     0,  3189,  3190,  3191,     0,
       0,  3534,   894,     0,     0,  3201,     0,  3203,     0,  3205,
    3206,     0,   673,   895,     0,     0,   370,   673,     0,     0,
     673,   896,     0,     0,     0,     0,     0,  1027,     0,     0,
       0,     0,     0,   897,     0,     0,   371,     0,     0,     0,
     898,     0,   673,     0,   899,     0,     0,     0,     0,     0,
       0, -2191,     0,     0,     0,     0,   674,     0,     0,  -957,
       0,     0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,
    2250,  2251,   674,     0,     0, -2191,     0, -2191, -2191,     0,
    3483,     0,     0,   673,  1012,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1054,     0,     0,     0,   900,  1774,
     673,   673,     0,     0,  2139,  -521,  3313,  1012,     0,   674,
     674,     0, -2191,  1014,     0, -2191, -2191,     0, -2191,     0,
     674,  1014,     0,  1014,     0,   370,   673,     0,     0,   370,
       0,  1775,   674,   674,     0,     0,   901,     0,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1054,     0,   673,   674,     0,     0,   673,     0,     0,
       0,   672,     0,     0,     0,  3372,     0,     0,     0,     0,
    1435,  1436,     0,  3381,  -418,   673,     0,     0,  3382,  4412,
       0,     0,     0,  3961,     0,     0,   673,  1776,  2226,   822,
       0,  2227,   903,     0,  4428,     0,     0,     0,   904,   673,
       0,     0,     0,     0,  -418,     0,     0,   905,  2228,   673,
       0,     0,     0,     0,     0,     0,  2230,     0,     0,  1777,
       0,     0,  2231,  4643,  3500,     0,     0,     0,     0,     0,
       0,     0,     0,  -418,   822,   906,   907,     0,   908,   909,
    3509,  3510,     0,     0,  3512,     0,  2232,   910,  3484,     0,
    3516,  4658,   911,     0,     0,  1778,     0,     0,   912,  3467,
       0,   913,     0,     0,   914,     0,     0,     0,     0,     0,
    4673,     0,   370,  3773,     0,     0,     0,  -418,     0,     0,
    1053,     0,     0,     0,     0,  1779,  1799,     0,  1053,     0,
    1053,  3503,  1800,  3505,     0,     0,     0,     0,     0,     0,
       0,     0,   822,   371,     0,     0,     0,     0,     0,     0,
    1012,     0,     0,     0,     0,  3796,     0,     0,  4692,     0,
       0,  3552,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1801,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2233,     0,
     208,     0,  2234,     0,  1782,     0,     0,     0,     0,     0,
    1783,     0,     0,  1014,     0,     0,     0,  1784,     0,  2226,
     673,     0,  2227,  2235,  2236,  2521,     0,     0,     0,     0,
       0,  1802,     0,     0,  1786,     0,     0,     0,  1803,  2228,
    2237,  1804,  1787,     0,     0,   371,     0,  2230,     0,     0,
    3560,     0,     0,  2231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3863,     0,     0,  2238,     0,   673,  2239,
       0,     0,     0,     0,     0,  3882,     0,  2232,     0,     0,
       0,     0,  2240,     0,     0,  2241,     0,     0,     0,     0,
       0,   673,     0,     0,  1788,  1805,     0,     0,  3486,     0,
       0,   371,     0,   371,     0,  2404,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   674,  2139,     0,    74,     0,     0,     0,
       0,     0,     0,     0,  1012,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3927,     0,
       0,     0,  1806,     0,  1807,     0,     0,     0,     0,     0,
    2242,     0,     0,   674,  1808,     0,     0,   371,   674,     0,
       0,   674,  1809,     0,   370,     0,     0,     0,     0,  2233,
     370,     0,  1810,  2234,     0,     0,  1012,     0,     0,     0,
       0,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2235,  2236,  4671,  4672,     0,     0,
       0,  4675,  4676,     0,     0,  2503,     0,     0,  1812,  1813,
    1014,  2237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2504,     0,     0,  2238,     0,     0,
    2239,   674,   674,  2243,  2244,  2245,     0,  2246,  2247,  2248,
    2249,  2250,  2251,  2240,     0,     0,  2241,  4112,     0,   673,
       0,  1012,  3794,     0,     0,     0,   371,   674,     0,     0,
     371,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3961,  3961,  3961,  3961,  3961,     0,  2635,     0,  1012,
       0,     0,  1815,     0,   674,     0,     0,     0,   674,     0,
       0,     0,     0,     0,  4088,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   674,     0,  2226,     0,
       0,  2227,     0,     0,  4100,     0,     0,   674,     0,     0,
       0,  2242,     0,     0,     0,  3844,     0,  3846,  2228,     0,
     674,     0,     0,     0,     0,  3803,  2230,  3804,  3805,  3806,
     674,     0,  2231,   673,     0,  1216,     0,     0,     0,     0,
       0,     0,     0,  1240,     0,     0,     0,     0,   673,   673,
       0,     0,  1255,  2139,     0,     0,  2232,     0,     0,     0,
    1265,     0,     0,     0,     0,  1298,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   673,     0,     0,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3916,
       0,     0,     0,   371,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2243,  2244,  2245,     0,  2246,  2247,
    2248,  2249,  2250,  2251,     0,     0,  3915,     0,     0,     0,
    3631,     0,  3922,     0,     0,     0,     0,     0,     0,  2139,
       0,     0,     0,  2139,  2139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4841,   370,
     370,   370,     0,     0,   674,     0,     0,     0,  2233,     0,
       0,     0,  2234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2235,  2236,   673,     0,     0,     0,     0,
       0,   674,     0,     0,   673,     0,     0,     0,     0,     0,
    2237,     0,     0,  2226,  1012,     0,  2227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1471,     0,  2228,     0,     0,  2238,     0,   822,  2239,
       0,  2230,     0,     0,     0,     0,  1014,  2231,  1799,   674,
       0,     0,  2240,     0,  1800,  2241,   672,     0,     0,  1014,
       0,     0,   672,     0,     0,  1600,     0,     0,   673,     0,
       0,  2232,   674,   672,     0,     0,     0,     0,  4066,     0,
    4297,     0,  4069,  4070,  1624,  4072,     0,  4074,  4075,     0,
       0,     0,     0,     0,  1801,     0,  4080,     0,     0,     0,
       0,   672,     0,     0,     0,   672,  1650,   370,     0,     0,
       0,     0,     0,     0,     0,     0,   672,     0,     0,     0,
       0,     0,   673,     0,   673,     0,  2226,     0,     0,  2227,
    2242,  4099,     0,     0,     0,     0,   673,     0,   673,     0,
       0,     0,   672,  1802,     0,     0,  2228,     0,     0,  4076,
    1803,     0,  4077,  1804,  2230,   371,     0,   672,     0,     0,
    2231,   371,   672,     0,     0,     0,     0,  4367,     0,     0,
    4370,     0,   672,  2233,     0,     0,     0,  2234,     0,     0,
     944,     0,     0,     0,  2232,     0,   672,   673,     0,     0,
       0,     0,   945,     0,     0,     0,     0,     0,  2235,  2236,
    4104,     0,     0,     0,     0,     0,     0,  1805,  1822,     0,
       0,  1014,     0,   946,     0,  2237,     0,   673,     0,     0,
       0,     0,     0,  2243,  2244,  2245,   947,  2246,  2247,  2248,
    2249,  2250,  2251,     0,   673,     0,     0,  4159,     0,   948,
       0,  2238,     0,     0,  2239,     0,     0,     0,     0,     0,
     674,   673,     0,     0,   673,     0,   949,  2240,     0,     0,
    2241,     0,     0,     0,  1806,     0,  1807,     0,     0,     0,
       0,     0,     0,     0,  4467,     0,  1808,   950,  1053,     0,
     672,     0,  1053,     0,  1809,     0,  2233,     0,   951,     0,
    2234,     0,     0,     0,  1810,     0,   952,     0,     0,     0,
       0,  1973,     0,     0,     0,     0,     0,     0,   953,     0,
       0,  2235,  2236,   954,     0,     0,     0,     0,  5076,   955,
       0,     0,     0,  2001,  2004,  2005,     0,  2567,  2237,   370,
    1812,  1813,     0,     0,   956,  2242,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,  3534,  2238,     0,  2568,  2239,     0,   674,
     674,     0,     0,     0,     0,     0,     0,     0,   672,   672,
    2240,     0,     0,  2241,     0,     0,     0,     0,     0,     0,
     957,     0,     0,     0,     0,     0,   674,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   958,     0,     0,  1815,     0,     0,     0,     0,     0,
       0,     0,   959,     0,     0,     0,     0,     0,  2243,  2244,
    2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
     859,  1600,  4269,     0,  1053,  1053,     0,     0,  2242,  4292,
    4293,  4294,  4295,     0,     0,     0,     0,     0,     0,     0,
     371,   371,   371,     0,     0,     0,     0,   960,     0,  1600,
       0,   961,     0,   962,     0,     0,     0,  1799,     0,   963,
       0,     0,   964,  1800,   674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,   674,     0,     0,   965,     0,
     966,     0,     0,     0,   967,  1014,     0,     0,     0,     0,
     673,     0,   968,  1801,     0,     0,     0,   969,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1014,   970,
    5221,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,
    2251,     0,   971,     0,     0,  4533,     0,     0,   370,     0,
    1774,     0,     0,   370,     0,   370,     0,     0,     0,   674,
       0,     0,  1802,     0,     0,     0,     0,     0,     0,  1803,
     672,     0,  1804,     0,     0,     0,     0,     0,     0,     0,
    5221,     0,  1775,  4668,     0,   672,     0,     0,  5221,     0,
       0,     0,     0,     0,     0,  4678,     0,   673,   371,     0,
     673,     0,     0,  2312,     0,     0,     0,     0,   672,     0,
    4443,     0,     0,   674,     0,   674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1805,   674,     0,   674,
       0,     0,     0,     0,   370,     0,     0,     0,  1776,  4509,
       0,     0,     0,  2226,   672,     0,  2227,  4512,  4513,     0,
       0,  2368,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,  2228,     0,     0,     0,     0,  1799,     0,
    1777,  2230,   672,     0,  1800,   672,     0,  2231,   674,     0,
       0,     0,     0,  1806,     0,  1807,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1808,  2226,   673,   673,  2227,
       0,  2232,     0,  1809,   673,     0,  1778,     0,   674,     0,
       0,     0,     0,  1810,  1801,     0,  2228,     0,     0,     0,
       0,     0,     0,     0,  2230,   674,     0,     0,     0,     0,
    2231,  1014,     0,     0,     0,     0,  1779,     0,     0,     0,
       0,     0,   674,     0,     0,   674,  3232,     0,     0,  1812,
    1813,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
       0,     0,     0,  1802,  1780,     0,     0,     0,     0,     0,
    1803,     0,     0,  1804,     0,  1814,  3534,     0,  2530,     0,
       0,     0,     0,   673,     0,  2548,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1781,     0,     0,
     672,   208,     0,  2233,     0,  1782,     0,  2234,   672,   672,
       0,  1783,  1957,  2583,     0,     0,  2586,     0,  1784,   822,
     371,     0,     0,     0,     0,     0,  1785,  1805,  2235,  2236,
       0,     0,     0,  1815,     0,  1786,     0,     0,     0,     0,
       0,     0,     0,  1787,     0,  2237,     0,     0,     0,     0,
       0,     0,  2621,     0,     0,     0,  2233,  4642,     0,     0,
    2234,     0,     0,     0,     0,     0,  2639,     0,     0,     0,
       0,  2238,   822,     0,  2239,     0,  3534,     0,  3534,     0,
    2651,  2235,  2236,     0,  1806,     0,  1807,  2240,  4659,  4660,
    2241,     0,     0,   672,     0,  1788,  1808,     0,  2237,     0,
       0,     0,     0,     0,  1809,  1014,     0,     0,     0,     0,
       0,     0,     0,     0,  1810,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2238,     0,     0,  2239,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   822,     0,     0,
    2240,     0,     0,  2241,  1053,     0,     0,  3321,     0,     0,
    1812,  1813,     0,     0,     0,  4693,  4694,  1014,     0,     0,
       0,     0,     0,     0,  2226,  2242,     0,  2227,     0,     0,
       0,     0,     0,     0,     0,  1957,  3322,  1053,     0,     0,
    2743,     0,     0,     0,  2228,     0,  2753,     0,     0,     0,
       0,     0,  2230,     0,     0,  4686,     0,   673,  2231,     0,
     370,     0,     0,     0,     0,     0,     0,     0,     0,  4689,
       0,   674,     0,     0,     0,     0,     0,     0,  2242,     0,
       0,     0,  2232,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1815,   673,     0,     0,     0,     0,
       0,  1799,  1014,     0,     0,     0,     0,  1800,   673,   371,
       0,     0,     0,     0,   371,     0,   371,  2809,  2243,  2244,
    2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,
    1014,     0,  4567,     0,   672,     0,     0,     0,     0,  4785,
       0,  4786,  4787,     0,     0,     0,     0,  1801,     0,     0,
       0,   673,     0,  4790,     0,     0,     0,     0,   674,     0,
       0,   674,     0,     0,  1600,  1600,     0,     0,  4757,     0,
     370,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,
    2251,     0,     0,  2864,  2233,  4806,     0,     0,  2234,     0,
       0,     0,     0,     0,     0,   371,  1802,     0,     0,     0,
       0,     0,     0,  1803,     0,     0,  1804,     0,     0,  2235,
    2236,     0,     0,     0,   822,     0,     0,     0,     0,     0,
       0,     0,     0,  1268,     0,     0,  2237,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,  2238,     0,     0,  2239,  1269,     0,   674,   674,
    1805,     0,     0,     0,     0,   674,     0,     0,  2240,  1270,
    1271,  2241,     0,     0,     0,     0,   673,     0,  1272,     0,
       0,     0,  1273,     0,     0,     0,     0,   672,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,  1274,
    3022,     0,     0,     0,     0,     0,     0,     0,     0,  2435,
     672,   672,     0,     0,     0,     0,     0,  1806,     0,  1807,
    1275,     0,  4855,  4857,  4857,  3042,     0,     0,     0,  1808,
       0,  1276,   672,     0,     0,     0,     0,  1809,     0,  1277,
       0,     0,     0,     0,   674,     0,  2242,  1810,     0,     0,
       0,  1278,     0,     0,     0,     0,  1279,     0,     0,     0,
       0,     0,  3055,  2435,  3058,  1014,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   673,  1280,   673,     0,
    3360,     0,     0,  1812,  1813,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,  1281,  1600,     0,     0,     0,     0,     0,  3361,
    3534,     0,     0,     0,     0,   673,     0,     0,     0,     0,
       0,     0,  4967,  1282,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,     0,     0,  4815,  1283,   370,     0,   673,     0,     0,
       0,     0,     0,  4953,     0,     0,     0,  1815,     0,     0,
       0,     0,  1957,     0,     0,     0,     0,     0,     0,     0,
    4998,   822,     0,   859,     0,     0,     0,     0,     0,     0,
       0,  2435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1957,
    1284,     0,     0,     0,  1285,     0,  1286,     0,     0,     0,
    5029,     0,  1287,     0,     0,  1288,     0,     0,     0,     0,
      85,     0,     0,     0,     0,     0,    89,  1957,     0,     0,
      93,     0,    94,     0,    96,    97,     0,  5002,     0,     0,
       0,  1289,     0,  1290,     0,   106,     0,  1291,   674,     0,
       0,   371,     0,     0,     0,  1292,     0,     0,     0,     0,
    1293,     0,   119,   120,     0,     0,  5025,     0,  5027,     0,
       0,     0,     0,     0,   674,     0,     0,     0,     0,  3255,
       0,     0,     0,     0,     0,  1294,   674,     0,     0,     0,
    1957,     0,     0,     0,   718,     0,  3282,     0,     0,   674,
       0,     0,     0,     0,     0,     0,     0,     0,   128,     0,
       0,   370,     0,     0,     0,     0,     0,     0,   129,     0,
     130,   131,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   718,     0,     0,  1130,     0,     0,     0,     0,
       0,   672,   674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   718,     0,   141,     0,   142,   143,  5077,
       0,   371,     0,   146,     0,   147,     0,     0,     0,     0,
       0,  1023,     0,     0,     0,   149,     0,   150,     0,     0,
    4857,   672,     0,     0,  1024,   822,   672,     0,     0,   672,
       0,   153,  1032,   154,     0,     0,   157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1043,   158,  1023,
     159,   672,     0,  1066,   160,     0,     0,     0,     0,     0,
     161,     0,     0,  1097,     0,     0,     0,     0,   163,     0,
     165,  1102,     0,     0,     0,  5133,   167,     0,     0,  3442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   171,   672,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1053,     0,     0,     0,   674,     0,   672,
     672,     0,     0,     0,     0,     0,   673,     0,     0,     0,
       0,     0,     0,  5207,     0,     0,     0,  1957,     0,  2226,
       0,     0,  2227,     0,   822,   672,     0,     0,   822,  5174,
       0,     0,     0,     0,     0,     0,   184,   185,     0,  2228,
       0,     0,   186,     0,     0,     0,     0,  2230,     0,     0,
    1053,   187,   672,  2231,  3035,     0,   672,     0,     0,     0,
       0,     0,   192,     0,     0,     0,     0,  1799,     0,     0,
     673,     0,     0,  1800,   672,     0,  2226,  2232,     0,  2227,
    1799,     0,  5213,     0,     0,   672,  1800,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2228,   674,   672,   674,
     202,     0,     0,     0,  2230,     0,     0,     0,   672,     0,
    2231,     0,   204,  1801,     0,     0,     0,   205,   206,     0,
     207,     0,     0,     0,     0,   208,  1801,     0,     0,  2226,
     209,     0,  2227,   211,  2232,     0,   674,   213,     0,     0,
       0,     0,   214,   215,     0,     0,     0,     0,     0,  2228,
     216,     0,     0,   218,     0,     0,     0,  2230,     0,     0,
     370,   221,  1802,  2231,     0,     0,     0,     0,     0,  1803,
       0,   822,  1804,   223,     0,  1802,   371,     0,   674,  2233,
       0,     0,  1803,  2234,     0,  1804,     0,  2232,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
     231,     0,     0,     0,  2235,  2236,   232,     0,     0,     0,
     370,   233,     0,     0,     0,  3129,     0,     0,   370,  2435,
    3135,  2237,     0,     0,   236,     0,  1805,     0,     0,     0,
       0,     0,   672,     0,     0,     0,  2233,     0,     0,  1805,
    2234,     0,     0,     0,     0,     0,     0,  2238,     0,     0,
    2239,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     246,  2235,  2236,  2240,  -138,     0,  2241,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,  3671,  2237,     0,
       0,     0,     0,  1806,     0,  1807,     0,     0,     0,  2233,
       0,     0,     0,  2234,     0,  1808,  1806,     0,  1807,     0,
       0,     0,     0,  1809,  2238,     0,     0,  2239,  1808,     0,
       0,     0,     0,  1810,  2235,  2236,  1809,   672,     0,     0,
    2240,     0,     0,  2241,     0,  1957,  1810,     0,     0,     0,
       0,  2237,     0,     0,     0,     0,     0,     0,     0,     0,
     672,  2242,   371,     0,     0,     0,  3822,     0,     0,  1812,
    1813,     0,     0,     0,     0,     0,     0,  2238,     0,  3865,
    2239,     0,  1812,  1813,     0,     0,   718,     0,     0,     0,
       0,     0,     0,  2240,     0,  3823,  2241,     0,   844,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   822,   845,     0,     0,     0,     0,   822,
       0,     0,     0,  1815,  2243,  2244,  2245,   846,  2246,  2247,
    2248,  2249,  2250,  2251,     0,     0,  1815,     0,  4850,     0,
       0,  2242,     0,     0,   847,     0,     0,     0,     0,     0,
     848,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1957,     0,     0,   849,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   850,     0,     0,     0,
       0,  2243,  2244,  2245,   851,  2246,  2247,  2248,  2249,  2250,
    2251,     0,     0,     0,     0,  4912,   852,   674,     0,     0,
       0,   853,     0,     0,     0,     0,     0,   854,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   855,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2243,  2244,  2245,  2435,  2246,  2247,
    2248,  2249,  2250,  2251,     0,     0,     0,   856,  5136,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,     0,     0,  1194,  1200,  1200,   718,   857,  1200,
       0,  1208,     0,  1194,     0,  1097,     0,     0,  1234,     0,
       0,     0,     0,  1097,     0,     0,  1097,     0,     0,     0,
    1200,     0,  1097,     0,     0,     0,     0,     0,     0,   858,
    1267,     0,   672,     0,     0,  1097,     0,  1194,     0,     0,
    1200,     0,   718,     0,  1200,     0,     0,   672,   672,     0,
       0,  1234,     0,     0,  1324,     0,     0,     0,   859,     0,
       0,  1200,     0,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,     0,     0,   672,     0,     0,   672,     0,     0,
       0,   371,     0,     0,     0,   860,     0,     0,     0,   861,
       0,   862,     0,     0,  1194,     0,     0,   863,     0,   718,
     864,     0,     0,     0,  1194,  3999,  4000,     0,  1234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4009,     0,  1200,     0,   865,   866,     0,   867,     0,
       0,   371,   868,     0,     0,  4018,     0,     0,     0,   371,
     869,     0,     0,     0,  4027,   870,     0,     0,   822,   822,
     822,     0,     0,     0,     0,     0,     0,   871,  4043,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     872,     0,   672,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,  1097,  1472,   672,     0,     0, -2193,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,   718,  1097,     0,     0,     0,  1600,
       0,     0,     0,     0,     0,     0,  3035,  3035,  3035,     0,
       0,     0,     0, -2193,  1097,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0, -2193,  1582,   672,     0,     0,
   -2193,     0,     0,     0,     0, -2193,  1097,     0,     0,     0,
   -2193,     0,     0, -2193,     0, -2193,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   822,     0,     0,     0,
       0,     0, -2193,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,   672,     0,     0,     0,  2226,     0,     0,
    2227,     0,     0,     0, -2193,   672,     0,   672,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2228,  2435,     0,
       0,  3135,     0,  3135,  2226,  2230,     0,  2227,  2435,     0,
       0,  2231,  4189,  4190,  4191,     0,     0,     0,     0,     0,
    1097, -2193,     0,     0,  2228,     0,     0,     0,  1097, -2193,
    1200,  1200,  2230,     0,     0,  2232,   672,     0,  2231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,  2232,     0,     0,     0,   672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2193,  1194,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,  1194,
       0,     0,     0,  1234,     0,     0,     0,     0,  2435,     0,
     672,     0,     0,   672,     0,     0,  1200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1097,  1027,     0,     0,     0,     0,  1200,  1200,     0,
       0,     0,     0,     0,     0,     0,     0,  2233,     0,     0,
       0,  2234,     0,  1097,  1097,  1097, -2193,  1200,     0,  1194,
       0,     0,     0,  2015,     0,     0,     0,     0,     0,  1957,
       0,  1957,  2235,  2236,  2233,     0,     0,     0,  2234,     0,
   -2193,     0, -2193, -2193,     0,     0,     0,     0,   822,  2237,
       0,     0,  1200,     0,  1200,  1200,     0,     0,     0,  2235,
    2236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2238,  2237, -2193,  2239,     0,
   -2193, -2193,     0, -2193,     0,     0,  1957,     0,  1582,     0,
       0,  2240,     0,     0,  2241,     0,     0,     0,     0,     0,
       0,     0,  2238,     0,     0,  2239,     0,     0,     0,     0,
       0,  1957,     0,     0,     0,     0,     0,     0,  2240,     0,
       0,  2241,     0,     0,     0,     0,  2114,  2114,     0,     0,
       0,  1097,  3135,  1023,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2149,     0,     0,  1097,
       0,     0,  2155,     0,     0,     0,     0,     0,     0,  2242,
       0,     0,     0,     0,  1582,     0,     0,     0,  4425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2242,  4451,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,  2226,     0,  1957,
    2227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4468,  3135,     0,  2228,     0,     0,
       0,  1582,  1582,     0,  1582,  2230,     0,     0,  1957,   672,
       0,  2231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,  1799,     0,     0,     0,     0,     0,
    1800,     0,  2243,  2244,  2245,  2232,  2246,  2247,  2248,  2249,
    2250,  2251,     0,     0,   718,   718,  5233,   822,     0,     0,
       0,     0,   822,     0,   822,  1837,     0,     0,     0,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
    1801,  4234,     0,  1097,     0,     0,  1582,     0,     0,     0,
    1957,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   672,     0,     0,   672,
    1957,  1838,     0,     0,     0,  1582,     0,     0,     0,  1582,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,  1802,
    1097,  1097,  2370,     0,     0,  1957,  1803,     0,     0,  1804,
       0,     0,     0,   822,     0,     0,     0,  2233,     0,     0,
       0,  2234,     0,     0,     0,     0,     0,     0,     0,   718,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1957,  2235,  2236,     0,  4572,  4573,  4574,  4575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2237,
    1839,     0,     0,  1805,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   672,   672,     0,     0,
       0,     0,     0,   672,     0,  2238,  3035,     0,  2239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2240,     0,     0,  2241,     0,     0,     0,  1840,     0,
    1841,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,     0,  1807,     0,  4151,     0,     0,     0,  1097,  2535,
       0,     0,  1808,     0,     0,  1097,     0,     0,  1200,     0,
    1809,     0,     0,     0,     0,     0,     0,     0,     0,  1843,
    1810,     0,     0,     0,     0,     0,     0,  1234,     0,     0,
    2435,     0,   672,  1097,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2242,
       0,     0,     0,  1844,     0,     0,  1812,  1813,  1845,     0,
    1097,     0,     0,  4152,     0,     0,     0,     0,  1200,  1200,
    1200,  1200,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1846,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,  1847,     0,     0,     0,     0,  2650,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1200,  1200,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,  3135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2226,     0,     0,  2227,
    1815,     0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,
    2250,  2251,     0,     0,     0,     0,  2228,     0,     0,     0,
    3064,  1200,     0,     0,  2230,     0,     0,     0,     0,     0,
    2231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1200,  1200,
    1200,  1200,     0,     0,  2232,     0,     0,     0,     0,     0,
    1097,     0,     0,     0,     0,     0,  1097,     0,     0,  2650,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1194,     0,     0,     0,     0,     0,
       0,   718,     0,  1194,  4780,     0,     0,     0,     0,  3065,
       0,     0,     0,  1234,     0,     0,   672,     0,  1200,   822,
       0,     0,     0,     0,     0,     0,     0,  1200,     0,     0,
       0,     0,     0,  1200,  1200,     0,     0,     0,  1957,     0,
       0,     0,   672,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2233,   672,     0,     0,
    2234,     0,     0,     0,     0,  2435,     0,     0,     0,     0,
       0,  2114,     0,     0,     0,     0,     0,     0,  1200,     0,
    1194,  2235,  2236,     0,  1097,  1097,     0,  1200,     0,     0,
       0,     0,     0,  1097,     0,     0,     0,     0,  2237,     0,
     672,     0,     0,  1097,     0,     0,     0,     0,     0,     0,
    1023,  1023,     0,     0,  2871,     0,     0,     0,  1582,  1582,
       0,     0,     0,     0,  2238,     0,  1582,  2239,     0,  1582,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
    2240,  1582,  1582,  2241,     0,     0,     0,     0,     0,  1582,
       0,  1234,  1582,  1582,  1582,  1582,     0,     0,     0,     0,
       0,     0,  1582,  1582,     0,  1582,     0,  1582,  1582,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,  1957,
       0,     0,  1200,  1582,     0,     0,     0,  1582,     0,     0,
       0,  1582,     0,  1582,  1582,  1582,  1582,  1582,  1582,  1582,
    1582,  1582,     0,  1582,     0,     0,     0,  4910,  2242,     0,
    1097,     0,     0,  1582,  1582,   672,     0,     0,     0,     0,
       0,     0,  2226,     0,     0,  2227,     0,     0,  3035,     0,
       0,     0,     0,  3035,     0,  1097,     0,     0,  3035,     0,
       0,     0,  2228,     0,  1600,     0,     0,     0,     0,     0,
    2230,     0,     0,     0,     0,     0,  2231,     0,  1799,  3066,
       0,     0,     0,     0,  1800,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,  1097,     0,  1582,     0,     0,     0,
    2232,     0,     0,     0,     0,     0,     0,     0,     0,  1837,
    1582,     0,     0,     0,     0,     0,     0,     0,  1957,  1582,
    1582,  2243,  2244,  2245,  1801,  2246,  2247,  2248,  2249,  2250,
    2251,     0,     0,  1097,     0,   672,     0,   672,     0,  3096,
       0,  3103,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,  1838,     0,     0,     0,     0,
    5005,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,  1802,   672,     0,     0,     0,     0,     0,
    1803,  3607,     0,  1804,     0,     0,  3608,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2233,     0,     0,     0,  2234,     0,     0,     0,
       0,     0,     0,  1957,   822,     0,   672,     0,   718,     0,
       0,     0,     0,  1023,     0,  1023,     0,  2235,  2236,     0,
       0,     0,     0,     0,  1839,     0,     0,  1805,     0,     0,
       0,     0,  1582,     0,  2237,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,     0,  1200,  1200,  1200,     0,     0,
    1194,     0,  1234,     0,  1200,     0,  1200,     0,  1200,  1200,
    2238,     0,  1097,  2239,     0,     0,     0,     0,     0,     0,
       0,     0,  1840,     0,  1841,     0,  2240,     0,     0,  2241,
       0,     0,     0,     0,  1842,     0,  1807,     0,     0,     0,
       0,  2535,     0,     0,     0,     0,  1808,     0,  3237,     0,
       0,     0,     0,  3246,  1809,     0,     0,     0,     0,  1097,
       0,     0,     0,  1843,  1810,     0,     0,     0,     0,     0,
       0,  4778,     0,     0,     0,     0,  1097,     0,     0,     0,
    3287,  3287,     0,     0,     0,     0,     0,   718,     0,     0,
       0,     0,     0,     0,     0,     0,  2226,  3308,     0,  2227,
    1812,  1813,  1845,     0,  2242,  1200,     0,     0,     0,  1957,
       0,     0,     0,     0,     0,     0,  2228,     0,     0,     0,
     822,     0,     0,     0,  2230,     0,  3309,     0,     0,     0,
    2231,     0,  3346,     0,  3349,  3351,     0,  1847,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1200,     0,     0,     0,     0,     0,
       0,     0,  1200,     0,     0,     0,     0,  1200,     0,     0,
       0,     0,     0,     0,  1815,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,  2243,  2244,  2245,
       0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,     0,
       0,     0,     0,     0,  2535,     0,     0,  3287,     0,  1097,
       0,  3444,     0,     0,  1023,     0,     0,     0,     0,  2226,
       0,  3135,  2227,     0,  5204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2228,
    3346,     0,  3570,     0,     0,     0,  2233,  2230,  1200,  3469,
    2234,     0,     0,  2231,     0,     0,     0,     0,     0,     0,
       0,  2015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2235,  2236,     0,     0,   672,     0,  2232,  1200,     0,
    1200,  3287,  1200,  3287,     0,     0,     0,     0,  2237,     0,
       0,  2226,     0,     0,  2227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,  2228,     0,     0,  2238,     0,     0,  2239,     0,  2230,
       0,     0,     0,     0,     0,  2231,     0,  2114,     0,     0,
    2240,     0,     0,  2241,     0,  3135,     0,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2232,
       0,  5205,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1194,     0,     0,     0,     0,     0,  1194,  2233,
       0,     0,     0,  2234,     0,     0,     0,     0,     0,  1200,
       0,     0,     0,     0,  1957,  1582,  1582,     0,     0,     0,
       0,  1582,     0,     0,  2235,  2236,     0,     0,  2242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2237,     0,     0,     0,     0,  1582,  1582,     0,   822,
       0,  1582,     0,     0,  1957,     0,     0,     0,  1957,  1957,
       0,     0,     0,  1582,  1582,  1582,  1582,  2238,     0,     0,
    2239,  2233,     0,     0,     0,  2234,  1582,     0,     0,  1582,
       0,  1582,  3635,  2240,     0,     0,  2241,     0,     0,     0,
       0,  1582,  1582,     0,     0,  1582,  2235,  2236,     0,   822,
       0,     0,     0,     0,     0,     0,     0,   822,  1582,     0,
    1582,     0,  1234,  2237,  1582,     0,     0,     0,     0,     0,
       0,  2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,
    2251,     0,     0,  1582,     0,     0,     0,  1097,  4778,  2238,
       0,     0,  2239,  3688,     0,     0,  1582,  1582,  1582,     0,
       0,     0,     0,     0,     0,  2240,     0,     0,  2241,     0,
       0,  2242,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,  3585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3688,     0,     0,  3747,     0,     0,     0,  3103,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2242,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2206,     0,     0,     0,
       0,     0,     0,     0,  2243,  2244,  2245,     0,  2246,  2247,
    2248,  2249,  2250,  2251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,  3287,     0,     0,     0,     0,  2114,     0,
       0,     0,     0, -2206,     0,     0,     0,     0,     0,     0,
       0,   830,     0,     0,     0, -2206,     0,     0,     0,     0,
   -2206,     0,     0,     0,  1200, -2206,  1200,  1200,  1200,     0,
   -2206,     0,     0, -2206,     0, -2206,  2243,  2244,  2245,     0,
    2246,  2247,  2248,  2249,  2250,  2251,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,     0,     0,     0,
       0,     0, -2206,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2206,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
    1057,     0,  1057,     0,     0,     0,     0,     5,     0,     0,
       0, -2206,     0,     0,   830,     0,     0,     6,     7, -2206,
       0,     0,     0,     8,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0, -2206,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3287,  3287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1027,     0,     0,     0,    46,     0,  3962,     0,
       0,     0,     0,     0,  2226,     0,     0,  2227,     0,     0,
       0,     0,     0,  1955,     0,     0, -2206,     0,     0,     0,
       0,     0,     0,     0,  2228,  1097,  1097,  3615,     0,     0,
       0,     0,  2230,     0,     0,     0,     0,     0,  2231,     0,
   -2206,  1097, -2206, -2206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2114,  1097,     0,     0,     0,     0,
       0,     0,  2232,  2114,  1097,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2206,  1097,     0,
   -2206, -2206,     0, -2206,    48,     0,     0,     0,     0,     0,
       0,     0,     0,   718,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,  1200,     0,
       0,  1200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,     0,  1194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
       0,     0,    51,     0,  2233,    52,     0,  1582,  2234,     0,
       0,     0,     0,     0,     0,     0,  1955,  1582,     0,     0,
      53,     0,     0,  1582,     0,  1582,     0,     0,     0,  2235,
    2236,  1582,     0,     0,  1582,  1582,  1582,  1582,  1582,  1582,
    1582,  1582,  1582,  1582,     0,     0,  2237,  1582,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,  1582,     0,     0,     0,  1582,     0,
       0,     0,  2238,     0,     0,  2239,     0,     0,  1582,     0,
       0,  1582,     0,  1582,     0,     0,     0,     0,  2240,     0,
       0,  2241,  1582,  1582,  1582,     0,    54,     0,  1582,     0,
       0,  1582,     0,     0,     0,  4184,     0,     0,     0,     0,
       0,     0,  1097,  1097,  1097,  1194,     0,  3688,  4201,     0,
       0,     0,  4201,  4215,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,  1582,  1582,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2294,     0,     0,     0,  2242,    57,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,  3103,     0,  1582,    58,     0,     0,     0,     0,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,    67,    68,     0,    69,    70,
      71,    72,    73,     0,     0,     0,  4275,  2114,  2114,     0,
    2650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1200,  1200,
    1200,  1200,     0,     0,     0,     0,     4,     0,     0,  2243,
    2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,  4318,     6,     7,     0,     0,
    1955,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
     830,     0,     0,     0,  1955,     0,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,  4384,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,  1196,  2226,     0,     0,  2227,     0,     0,     0,     0,
    3962,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,  2228,     0,     0,     0,     0,     0,     0,  1200,
    2230,  1582,     0,     0,     0,     0,  2231,  1097,     0,     0,
       0,     0,     0,  4456,     0,     0,     0,     0,     0,     0,
       0,     0,  2535,     0,     0,     0,     0,     0,  1196,     0,
    2232,     0,     0,  1955,  1097,    47,     0,     0,  1196,     0,
       0,     0,     0,     0,  3346,     0,     0,     0,     0,     0,
    4485,     0,  1955,    48,     0,     0,     0,     0,     0,     0,
    2226,     0,     0,  2227,     0,     0,  1582,  1582,     0,     0,
    1955,     0,     0,    49,     0,     0,     0,     0,     0,     0,
    2228,     0,     0,  3626,     0,     0,     0,     0,  2230,     0,
       0,  3287,     0,  3287,  2231,    50,     0,     0,  1955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3620,     0,  2232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,    51,  2233,     0,    52,     0,  2234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,  1196,     0,     0,  2235,  2236,     0,
    1057,  1955,     0,     0,  1057,  1582,     0,     0,     0,     0,
       0,     0,     0,     0,  2237,  1582,  1582,     0,     0,     0,
       0,     0,     0,  1582,  1582,     0,     0,     0,  1582,     0,
    1196,     0,     0,     0,  1582,  1582,     0,     0,  1582,     0,
    2238,  1582,  4571,  2239,     0,  1097,  1097,  1097,  1097,     0,
       0,     0,  4201,  4215,     0,  4201,  2240,     0,  4580,  2241,
    2233,     0,  3688,     0,  2234,    54,  3688,     0,     0,     0,
       0,     0,  4593,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,  1582,     0,  2235,  2236,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,  1234,  2226,     0,
       0,  2227,  2237,     0,  3747,     0,     0,    55,  3103,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,    56,     0,     0,     0,     0,  2230,  1023,  2238,     0,
    1582,  2239,  2231,     0,  2242,     0,    57,     0,     0,     0,
       0,     0,     0,     0,  2240,     0,     0,  2241,     0,     0,
    3287,  3287,     0,     0,     0,     0,  2232,     0,     0,     0,
       0,     0,     0,     0,    58,     0,  1057,  1057,     0,     0,
       0,    59,     0,     0,  4657,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1397,     0,     0,     0,     0,    71,
    1398,     0,  1196,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2242,     0,  1200,     0,  1958,  2243,  2244,  2245,
       0,  2246,  2247,  2248,  2249,  2250,  2251,     0,  1200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2233,     0,
       0,     0,  2234,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3962,  3962,
    3962,  3962,  3962,  2235,  2236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2237,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,     0,  2243,  2244,  2245,  2535,  2246,
    2247,  2248,  2249,  2250,  2251,  2114,  2238,     0,     0,  2239,
       0,     0,  1196,     0,     0,     0,     0,  1200,  2535,     0,
       0,     0,  2240,     0,     0,  2241,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,  4784,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,  1582,  1955,     0,     0,     0,
    1955,  1955,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
    2242,  1582,  1582,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,  4201,
       0,     0,     0,  3688,     0,     0,  4108,  1196,  3688,     0,
       0,  3688,  3346,     0,  4834,     0,  1582,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,  1196,     0,  1196,     0,
       0,     0,  2226,     0,     0,  2227,     0,     0,     0,  4275,
    1234,  1200,  1200,  1200,     0,     0,     0,  1196,     0,     0,
       0,     0,  2228,     0,     0,  4158,  1955,     0,     0,     0,
    2230,     0,     0,  2243,  2244,  2245,  2231,  2246,  2247,  2248,
    2249,  2250,  2251,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,  1234,     0,     0,     0,     0,     0,     0,     0,
    2232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,   830,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2114,  2114,     0,     0,     0,  1194,     0,  1196,
       0,     0,     0,  1196,  1196,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4456,     0,
       0,     0,     0,     0,     0,  3287,     0,     0,     0,  2535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4485,     0,     0,  1097,     0,     0,     0,     0,     0,
       0,     0,  1200,  4275,     0,     0,     0,     0,     0,     0,
       0,     0,  2233,     0,     0,  2226,  2234,     0,  2227,     0,
       0,     0,     0,  1955,     0,     0,     0,  1582,     0,     0,
    1582,     0,  1582,  1958,     0,  2228,     0,  2235,  2236,   830,
       0,     0,     0,  2230,     0,     0,  1057,     0,     0,  2231,
       0,     0,     0,     0,  2237,  1582,     0,     0,     0,  3688,
       0,     0,  4834,     0,     0,     0,     0,     0,  4994,     0,
       0,     0,     0,  2232,     0,     0,     0,     0,     0,  1057,
    2238,     0,     0,  2239,     0,     0,  1200,  1958,     0,     0,
    1097,     0,     0,     0,     0,     0,  2240,     0,  1955,  2241,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1200,  1200,  1200,  1200,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,  2242,  2233,     0,     0,     0,  2234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,  1955,     0,
    2235,  2236,     0,     0,     0,     0,  1582,     0,     0,  1194,
       0,     0,     0,     0,     0,  1958,     0,  2237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
       0,  1234,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,  2238,     0,     0,  2239,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,     0,     0,  2240,
       0,  1958,  2241,     0,     0,     0,     0,  2243,  2244,  2245,
       0,  2246,  2247,  2248,  2249,  2250,  2251,     0,     0,     0,
       0,     0,     0,     0,  1200,     0,     0,     0,     0,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4275,     0,     0,     0,     0,     0,     0,     0,     0,  4784,
       0,     0,     0,     0,     0,     0,  1582,  1582,  1196,     0,
       0,  3346,     0,     0,  1958,  4994,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2242,     0,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,  1200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,  1200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1947,     0,     0,     0,
    2243,  2244,  2245,     0,  2246,  2247,  2248,  2249,  2250,  2251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,  1196,     0,     0,     0,     0,     0,     0,
    1196,     0,  1582,  1196,     0,     0,     0,  1196,     0,  1955,
       0,  1194,  1955,     0,  1955,  1196,  1196,     0,     0,  1955,
       0,     0,     0,  1196,     0,     0,  1196,  1196,  1196,  1196,
       0,     0,     0,     0,     0,     0,  1196,  1196,     0,  1196,
       0,  1196,  1196,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1958,  1196,   830,     0,     0,     0,  1196,     0,  1955,
       0,  1196,     0,     0,     0,  1196,     0,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,     0,     0,     5,     0,     0,
    1955,     0,  1955,     0,  1196,     0,     0,     6,     7,     0,
       0,     0,     0,  1196,  1196,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,  1955,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,  1958,  1958,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,     0,    46,   830,     0,     0,
       0,     0,     0,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
    1955,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,    48,     0,  1955,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,    49,     0,   830,     0,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1947,     0,     0,    50,     0,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,  1947,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
       0,     0,     0,     0,     0,     0,  1955,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,  1958,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,  1955,   830,     0,     0,    54,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,  1947,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,    55,     0,
      45,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
       0,  1958,    56,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1947,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,     0,
       0,  1947,     0,     0,     0,    58,     0,     0,     0,  1196,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,  1955,     0,    65,    66,  1397,  2066,     0,     0,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1958,     0,     0,  1947,     0,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
    1196,     0,     0,     0,     0,  1196,    49,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
    1196,  1196,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,  1196,  1196,
    1196,     0,     0,     0,     0,   830,     0,     0,     0,     0,
    1196,   830,     0,  1196,    51,  1196,     0,    52,     0,     0,
       0,     0,     0,     0,     0,  1196,  1196,     0,     0,  1196,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,  1196,     0,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
    1196,  1196,  1196,     0,     0,     0,     0,     0,     0,     0,
    1055,     0,     0,     0,     0,     0,     0,     0,  1055,     0,
    1055,     0,     0,     0,  1196,     0,     0,     0,    54,  1955,
       0,  1947,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,  1955,     0,     0,     0,
      55,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,  1958,     0,     0,  1958,     0,  1958,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,    59,  1196,     0,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1397,  2801,     0,
       0,     0,    71,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
     830,   830,   830,  1947,  1947,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1958,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1958,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,  1947,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1947,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,  1958,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,  1196,     0,  1196,
    1955,  1947,     0,     0,  1958,  1196,     0,     0,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,     0,     0,
       0,  1196,  1196,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,  1196,     0,     0,     0,  1196,     0,
     830,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,  1196,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,  1958,  1196,  1196,  1196,     0,
       0,     0,  1196,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,  1196,
       0,  1196,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,  1947,     0,  1196,     0,     0,     0,     0,     0,  1196,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     4,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1958,     0,  1192,     5,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     6,     7,     0,
    1196,     0,     0,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,  1955,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
       0,     0,     0,     0,   830,  1958,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1955,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,  1055,     0,
       0,     0,  1055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1955,     0,     0,     0,  1955,
    1955,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,  1947,     0,     0,  1947,     0,  1947,     0,     0,
       0,     0,  1947,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,    50,     0,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
    1196,  1196,    51,     0,     0,    52,     0,     0,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,  1055,  1055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1947,     0,  1947,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    54,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
    1196,     0,  1958,     0,     0,     0,     0,  1196,  1196,     0,
       0,  1192,  1196,  1958,     0,     0,     0,     0,  1196,  1196,
    1947,     0,  1196,     0,     0,  1196,     0,     0,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,  1947,  1196,     0,     0,     0,
    1196,     0,  1949,     0,     0,     0,     0,    57,     0,     0,
       0,     0,  1196,     0,     0,     0,  1947,  1196,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,  1947,
    1192,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1397,     0,     0,     0,     0,
      71,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,  1956,     0,     0,
       0,     0,     0,  1947,     0,     0,     0,     0,     0,     0,
       0,   830,     0,     0,     0,     0,     0,     0,     0,  1947,
    1958,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,     0,  1192,  1192,     0,  1192,  1958,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1947,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1947,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,  1947,
       0,     0,     0,     0,     0,     0,     0,  1196,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1947,     0,  1192,     0,     0,
       0,  1192,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,  1958,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,  1196,     0,     0,  1196,
       0,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,  1055,     0,     0,  1196,     0,     0,
       0,     0,  1196,     0,     0,  1196,     0,     0,     0,     0,
    1196,  1196,     0,     0,  1947,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1055,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,  1949,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,  1196,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1956,
       0,  1196,  1958,     0,  1196,     0,  1196,     0,     0,     0,
       0,     0,  1949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,  1949,     0,  1196,     0,     0,     0,     0,  1958,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,  1956,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,     0,  1949,  1958,  1947,
       0,     0,  1958,  1958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1949,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
    1192,  1192,  1947,     0,     0,     0,     0,     0,  1192,     0,
       0,  1192,     0,  1947,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,  1192,  1192,  1196,     0,     0,     0,     0,
       0,  1192,     0,     0,  1192,  1192,  1192,  1192,     0,     0,
       0,     0,     0,     0,  1192,  1192,     0,  1192,     0,  1192,
    1192,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1956,
    1192,     0,     0,  1196,     0,  1192,     0,     0,     0,  1192,
       0,     0,     0,  1192,  1196,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,     0,  1192,     0,     0,     0,     0,
    1196,  1196,     0,     0,     0,  1192,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1949,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1947,     0,     0,     0,  1196,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,  1947,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,   830,     0,     0,   930,     0,     0,     0,     0,     0,
       0,     0,     0,   930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,   830,   930,     0,     0,  1196,     0,     0,     0,   830,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,  1956,  1956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1111,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,  1949,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,     0,     0,  1947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1160,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1956,
       0,     0,  1949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1949,  1947,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,  1947,     0,
    1192,     0,  1947,  1947,     0,     0,     0,     0,     0,     0,
       0,     0,   930,   930,     0,     0,     0,  1192,  1192,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,  1192,
       0,     0,     0,  1192,     0,     0,     0,  1949,     0,     0,
    1160,     0,     0,     0,     0,  1192,  1192,  1192,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,  1192,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,  1192,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,  1192,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,  1192,  1192,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,  1207,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,  1237,  1238,     0,  1241,     0,     0,  1247,     0,  1249,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,  1301,     0,
       0,     0,     0,     0,     0,     0,  1309,     0,     0,     0,
       0,     0,     0,     0,     0,  1325,  1326,     0,     0,     0,
    1328,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,     0,     0,  1956,     0,  1956,     0,  1160,     0,   930,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,  1382,     0,     0,  1384,     0,  1386,     0,  1389,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,     0,   930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,     0,
       0,  1949,     0,  1949,     0,     0,     0,     0,  1949,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1469,     0,  1470,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1160,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1111,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
       0,  1949,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1732,
       0,  1734,     0,     0,  1956,  1736,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,  1765,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,  1956,  1949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,  1949,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,  1913,     0,     0,     0,     0,
    1956,     0,  1915,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1964,     0,     0,  1968,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
    2011,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,  1192,
       0,     0,  1956,     0,     0,     0,     0,     0,  1949,  1192,
       0,     0,     0,     0,     0,  1192,     0,  1192,     0,     0,
       0,     0,  1956,  1192,     0,     0,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,     0,     0,     0,  1192,
    1192,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
       0,     0,  1192,     0,     0,     0,  1192,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,  1192,     0,  1192,     0,     0,     0,     0,
    1949,     0,     0,  1956,  1192,  1192,  1192,     0,     0,     0,
    1192,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
    1949,     0,     0,     0,     0,     0,     0,  1192,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,  1949,     0,  1192,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1949,     0,     0,     0,     0,  1111,  2329,     0,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2402,     0,     0,  2402,     0,     0,
       0,     0,     0,     0,     0,  2409,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,  2418,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2501,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1956,  1192,  1192,
       0,     0,     0,     0,     0,   678,     0,     0,     0,     0,
     722,     0,   722,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   722,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,   722,
     722,     0,     0,   722,     0,  1949,     0,     0,     0,   722,
       0,     0,     0,  1015,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,  1015,     0,     0,     0,  1192,  1192,     0,
    1956,     0,     0,     0,     0,  1192,  1192,     0,   722,     0,
    1192,  1956,     0,     0,     0,     0,  1192,  1192,     0,     0,
    1192,  2702,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2725,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,  1949,     0,
       0,     0,  2773,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,  2788,     0,  2790,
       0,  2791,     0,     0,     0,     0,  2792,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2821,     0,     0,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,  2329,     0,     0,
       0,  2329,     0,  2329,     0,     0,  2329,  1956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   722,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3036,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,  1956,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,  1192,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
    1192,     0,     0,  1192,     0,     0,     0,     0,  1192,  1192,
       0,     0,   722,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
    1160,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,   722,
    3144,  3145,     0,     0,     0,  3148,  3149,     0,     0,  3152,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,  3162,
       0,     0,     0,  1192,     0,     0,  3171,     0,     0,     0,
    3174,  3175,     0,     0,  3178,  3179,     0,     0,     0,     0,
       0,  3184,     0,     0,     0,     0,   722,     0,     0,     0,
       0,     0,     0,  3200,     0,  3202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,  3224,     0,     0,     0,     0,  3226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3231,
       0,  1949,     0,     0,     0,     0,     0,  3236,     0,  3238,
    3239,  3242,  3244,     0,     0,     0,  3251,  3254,     0,     0,
       0,     0,     0,     0,  3265,     0,     0,     0,  3274,     0,
       0,     0,  3278,     0,     0,  1192,     0,  1956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3307,     0,     0,     0,  1192,
    1956,     0,  1192,     0,  1192,     0,  3314,     0,  3316,     0,
       0,     0,     0,  3319,     0,     0,     0,  3320,     0,  3324,
    3325,  3326,  3327,     0,  3329,     0,     0,  1192,     0,     0,
       0,  1192,     0,     0,     0,     0,  1956,  3353,  3354,  3355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3363,  3364,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,  1949,     0,
    1956,  1956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,   722,     0,   722,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3418,     0,     0,     0,  1949,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,   722,     0,     0,   722,   722,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,  1949,  1949,
    1956,     0,   678,     0,  1015,     0,  1015,     0,     0,     0,
       0,     0,   678,     0,     0,     0,   722,     0,  1192,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1015,  1015,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1160,     0,     0,     0,     0,     0,   722,     0,
     722,     0,     0,     0,     0,  2329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,  3545,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,   678,     0,     0,  1714,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3726,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3774,  3775,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2329,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,     0,     0,     0,   722,     0,   722,
       0,     0,   722,  3797,   722,     0,     0,   722,   722,   722,
       0,     0,  3801,  2109,     0,     0,     0,     0,     0,     0,
     722,     0,     0,     0,     0,     0,     0,  3812,  3814,     0,
       0,     0,  3814,   722,     0,   722,     0,  3825,  3826,  3827,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,  3847,  3848,  3849,
    3850,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3864,     0,  3868,  3869,  3870,     0,     0,     0,     0,
       0,     0,     0,  3883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2269,     0,     0,     0,     0,     0,     0,     0,     0,
     722,   722,     0,     0,     0,     0,     0,     0,  3924,     0,
       0,     0,     0,     0,     0,     0,  3928,   678,     0,     0,
       0,     0,   678,   678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3996,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,     0,   678,     0,     0,
       0,     0,  4025,     0,  1567,  4028,     0,  2406,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,   930,     0,     0,  4068,
    1641,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4078,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2329,     0,     0,     0,
       0,   678,     0,     0,     0,  1197,     0,     0,     0,   678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,   678,     0,     0,   678,   678,     0,     0,
       0,  1950,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4286,     0,  4287,     0,     0,     0,     0,
       0,     0,  4289,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4298,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4306,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4317,     0,   722,     0,   722,     0,     0,
       0,   722,     0,   722,     0,     0,   722,     0,  4320,     0,
     722,     0,     0,     0,     0,  2269,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2164,     0,
       0,  4352,  4353,  4354,     0,     0,  4357,  4358,  4359,  4360,
    4361,     0,     0,     0,     0,  4368,  4369,     0,  4371,  4372,
    4373,  4374,  4375,  4376,  4377,     0,  1197,  2188,     0,     0,
       0,     0,     0,  4385,     0,  4387,  4388,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2213,  2214,     0,  2217,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2259,     0,     0,
       0,     0,     0,     0,     0,  4437,  4439,  4441,     0,     0,
    4444,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2109,     0,     0,     0,
    2313,     0,     0,  3037,     0,     0,     0,     0,     0,     0,
       0,     0,  2406,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2336,
       0,     0,     0,  2348,  2353,     0,  1197,     0,     0,     0,
       0,     0,  3814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2329,  2329,  2329,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,   678,     0,     0,     0,     0,
       0,  3117,     0,  1714,     0,     0,   722,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
    1197,  1950,  1197,     0,     0,  1950,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4646,
    4647,  4648,  4649,  1197,     0,  4651,     0,  1197,  1197,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4664,  4665,  4666,  4667,
       0,  4669,  4670,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4679,  4680,   678,     0,     0,     0,     0,
       0,     0,     0,   678,     0,   678,  4682,     0,     0,     0,
       0,     0,  2329,  2329,     0,  2329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1959,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
    4744,     0,     0,     0,     0,     0,     0,     0,     0,  4750,
       0,     0,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2899,     0,     0,     0,     0,     0,     0,     0,     0,  1959,
       0,     0,     0,     0,     0,     0,     0,     0,   722,  2109,
       0,  2329,     0,  2922,     0,     0,  2924,  1959,     0,  2935,
       0,     0,     0,     0,  2329,   678,  2942,  2947,     0,     0,
       0,     0,  2953,     0,     0,  2958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1959,     0,     0,     0,     0,
       0,     0,  2967,     0,     0,     0,     0,  2974,     0,     0,
       0,  2986,     0,  1950,     0,  2993,     0,  2995,  2996,  2997,
    2998,  2999,  3000,  3001,  3002,  3003,     0,  3004,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1567,  3032,     0,
       0,     0,     0,  4872,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,  1959,     0,
       0,  1197,     0,  4883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1641,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2213,  2214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2406,     0,     0,
       0,     0,   678,     0,     0,     0,  1197,  1197,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,  1197,     0,     0,
       0,  1197,  2329,     0,     0,     0,     0,     0,     0,  1197,
    1197,     0,  2329,     0,     0,     0,     0,  1197,     0,     0,
    1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,     0,
    1197,  1197,     0,  1197,     0,  1197,  1197,     0,     0,  1197,
    1952,     0,     0,     0,  5008,     0,  3176,     0,     0,     0,
       0,     0,     0,  5015,     0,  1959,  1197,     0,     0,     0,
       0,  1197,     0,     0,     0,  1197,     0,     0,  2329,  1197,
       0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
       0,  1197,     0,     0,  1950,     0,     0,  1950,     0,  1950,
       0,  1197,  1197,     0,  1950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3814,     0,  1950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2329,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1197,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,  5106,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5117,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5128,     0,
       0,     0,     0,  5132,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,  1950,     0,     0,
       0,     0,     0,  1959,  3393,     0,     0,  1959,  1959,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5169,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,  1952,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,  1950,   678,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,  1959,     0,     0,     0,     0,  1952,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3517,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,   722,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3566,     0,     0,     0,     0,  3572,     0,  1952,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
    1959,     0,     0,     0,  1952,     0,     0,  2947,     0,  2947,
    2947,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
    3629,     0,     0,  3632,     0,  3634,     0,     0,     0,     0,
       0,     0,  1952,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3655,     0,  3657,     0,     0,     0,  3660,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1959,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3032,  3032,  3032,     0,     0,  1952,     0,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3723,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  2336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1959,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3117,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,  1197,     0,  1950,     0,     0,  1197,
       0,     0,     0,     0,     0,  3783,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2253,     0,     0,
       0,     0,     0,     0,  1197,  1197,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,  1197,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,   678,     0,  1197,
    1197,     0,  1952,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,  1950,  1197,     0,
     678,  2253,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,  1197,  1197,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1959,     0,     0,  1959,
       0,  1959,     0,     0,  1950,     0,  1959,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,  1950,     0,     0,  1952,  1952,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1959,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1959,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,  1950,     0,     0,  1959,     0,  1959,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4109,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4113,     0,     0,     0,     0,     0,  4114,     0,  4115,
       0,     0,     0,     0,     0,     0,     0,     0,  2406,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,     0,
       0,  4133,  4134,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1954,     0,     0,   678,     0,  1959,
       0,     0,  2953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4162,     0,     0,  4165,     0,  4167,     0,     0,
    1959,     0,     0,     0,     0,     0,  4171,     0,     0,     0,
       0,     0,  4176,  1959,     0,  4179,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,   678,
       0,     0,  2253,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,  4220,     0,     0,     0,     0,     0,  4227,
    3032,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1959,     0,     0,  4241,     0,     0,     0,
       0,     0,  1567,     0,     0,     0,  1959,     0,  1641,     0,
       0,     0,  1952,     0,   678,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,  2253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,  1954,     0,     0,
       0,     0,   678,     0,     0,     0,     0,     0,  2253,     0,
       0,     0,     0,  2931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2253,  2253,  1197,     0,  2253,  1959,     0,
       0,     0,     0,     0,  1953,  1197,     0,     0,     0,     0,
       0,  1197,     0,  1197,     0,     0,     0,     0,  1959,  1197,
       0,     0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1952,     0,     0,  1197,  1197,     0,     0,  2253,
       0,     0,     0,  1959,     0,     0,     0,     0,  1197,     0,
       0,     0,  1197,     0,     0,     0,  1197,     0,  1953,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,  1197,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,  1959,
    1197,  1197,  1197,     0,     0,     0,  1197,     0,     0,  1197,
    1953,     0,     0,  2253,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2253,  1197,     0,     0,
       0,     0,     0,  1197,  1197,     0,     0,     0,  2253,     0,
       0,     0,     0,  2253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
    1197,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   678,  1959,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,  1950,     0,     0,
    4498,  4499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4531,     0,     0,  1954,     0,     0,     0,  1959,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,  1952,     0,  1952,     0,
       0,     0,     0,  1952,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4549,
    4551,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4558,     0,     0,     0,     0,     0,  4563,  4564,
       0,     0,  4566,     0,  1950,  4569,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1950,     0,  3032,     0,  1954,     0,     0,  3032,     0,     0,
       0,     0,  3032,  1952,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1950,  1954,     0,     0,  1950,  1950,  1959,     0,     0,     0,
       0,     0,     0,     0,  4627,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,  1952,     0,  1952,     0,     0,     0,
       0,     0,     0,  1959,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1952,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1952,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,  1197,  1197,     0,  1959,     0,     0,     0,
       0,  1197,  1197,     0,     0,     0,  1197,  1959,     0,     0,
       0,     0,  1197,  1197,     0,     0,  1197,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,  4730,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1952,     0,  1197,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,  1197,     0,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,     0,     0,  2253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,  1953,  1953,     0,     0,  1197,     0,
       0,     0,  2253,     0,  2253,     0,  2931,  2931,  3603,     0,
       0,  2931,     0,     0,     0,  2253,  1959,     0,     0,  1954,
       0,     0,  2253,     0,     0,     0,     0,  2253,     0,     0,
       0,     0,     0,  2253,     0,     0,     0,     0,  2253,  4814,
       0,     0,     0,     0,  1959,  1952,     0,  2253,     0,     0,
       0,  2931,  2931,     0,  2253,     0,     0,     0,     0,     0,
       0,     0,     0,  1959,     0,  1952,  2253,     0,     0,     0,
       0,  4837,     0,  2253,     0,  2253,  2253,  2253,  2253,  2253,
    2253,  2253,  2253,  2253,  2253,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1959,  2253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,  1954,  1954,     0,     0,     0,     0,     0,     0,  1959,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1952,     0,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,  2253,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1959,     0,     0,
       0,     0,  1197,     0,  2953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
    1197,     0,     0,  1197,     0,     0,     0,     0,     0,  4984,
       0,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,  1197,     0,     0,  1197,
       0,     0,  1953,     0,  1197,  1197,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,  1952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1959,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5058,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2253,  1954,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,  5107,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,     0,  1197,  1959,     0,  1197,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,  1197,     0,     0,     0,  1197,     0,     0,
    5153,  5153,  1959,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2253,     0,     0,
       0,     0,  1959,     0,     0,     0,  1959,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5153,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,     0,  5209,     0,
       0,     0,     0,     0,  1952,     0,  2253,  1197,     0,  1954,
       0,     0,  2253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,  3603,  3603,
       0,  2931,     0,     0,  2931,  2931,  2931,  2931,  2931,  2931,
    2931,  2931,  2931,  2931,  3603,     0,  1959,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,  1953,     0,  1953,     0,
       0,     0,     0,  1953,  1197,     0,  5153,  1197,     0,  2253,
       0,     0,  2253,     0,  2253,     0,     0,     0,     0,  3603,
    3603,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2931,  2931,  2253,     0,  2253,     0,  1197,
    2253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,  1952,     0,  1953,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,  2253,     0,     0,     0,     0,     0,     0,
    1952,     0,     0,     0,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,  1953,     0,  1952,     0,
       0,     0,     0,  2253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,  1954,     0,  1954,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1952,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2931,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,  1952,     0,  1954,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,  1954,     0,     0,     0,     0,  2253,
       0,     0,     0,  2253,  2253,  2253,     0,  1954,  3603,     0,
       0,     0,     0,  3603,  3603,  3603,  3603,  3603,  3603,  3603,
    3603,  3603,  3603,  2253,  2253,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2253,  2931,  2931,  2253,     0,  2253,     0,     0,
    1952,  2253,  3603,  3603,     0,     0,  2253,     0,     0,  2253,
       0,  1954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1952,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2253,     0,     0,     0,     0,     0,     0,  2253,     0,  1952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1952,
       0,     0,     0,  1952,  1952,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3603,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,  2253,  2253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,  2253,     0,     0,     0,  2931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2253,
       0,  2253,     0,     0,     0,     0,  3603,  3603,  2253,     0,
       0,  2931,  2931,  2253,  2253,     0,  2253,     0,     0,  2253,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3603,  2931,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3603,  3603,  2253,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1953,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,  3603,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,  1953,     0,     0,   140,  1954,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,  2253,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1954,   162,     0,     0,     0,
       0,     0,     0,     0,   164,     0,     0,  2253,   166,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
     174,   175,     0,  2253,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,  2253,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,     0,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,   203,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,   212,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,  1953,
     235,     0,     0,  1953,  1953,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3107,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  1954,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,  1954,     0,     0,     0,
    1954,  1954,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,   739,   427,   428,
     429,   740,   741,   742,   743,   744,   745,   746,   430,   431,
     747,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,   748,   437,   438,   439,   440,   441,   749,   750,
     442,   443,   751,   140,   444,   752,   445,   446,   447,   448,
     144,   753,   145,   754,   449,   450,   451,   452,   148,   453,
     755,   756,   454,   455,   456,   457,   458,   459,   757,   151,
     460,   758,   759,   760,   761,   152,   762,   763,   764,   461,
     462,   463,   464,   701,   465,   155,   156,   466,   765,   467,
     766,   468,   469,   470,   471,   472,   767,   473,   474,   475,
     768,   769,   476,   477,   478,   479,   480,   770,   481,   482,
     483,   771,   484,   485,   486,   772,   487,   488,   489,   490,
     164,   491,   492,   493,   166,   773,   494,   774,   495,   496,
     168,   497,   775,   498,   776,   499,   169,   777,   170,   500,
     501,   502,   778,   503,   172,   779,   504,   780,   505,   506,
     703,   507,   508,   173,   509,   510,   511,   781,   512,   513,
     514,   515,   516,   517,   782,   518,   174,   175,   783,   519,
     520,   521,   784,   176,   785,   177,   786,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,   787,   529,   530,
     788,   531,   181,   182,   532,   183,   789,   533,   534,   535,
     790,   791,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,   792,   549,   550,   193,   551,   793,   194,   552,   195,
     553,   554,   555,   794,   556,   795,   796,   557,   558,   559,
     797,   798,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,   799,   569,   200,   570,   201,
     571,   572,   573,   800,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,   801,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   802,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,   803,   608,   609,   610,   611,   612,
     804,   613,   217,   614,   615,   219,   616,   220,   617,   805,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,   806,   628,   629,   807,   630,   631,   632,   633,   634,
     635,   808,   224,   225,   809,   810,   637,   226,   638,   227,
     811,   639,   640,   641,   642,   643,   644,   645,   812,   813,
     646,   647,   648,   649,   650,   814,   815,   651,   652,   653,
     654,   655,   816,   234,   817,   656,   235,   657,   658,   659,
     660,   818,   819,   661,   820,   821,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,    85,     0,     0,    86,    87,
      88,    89,    90,    91,    92,    93,     0,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   975,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,   119,   120,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,   127,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   129,     0,   130,   131,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,   133,     0,     0,
     134,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
     141,     0,   142,   143,   144,     0,   145,     0,   146,     0,
     147,     0,   148,     0,     0,     0,     0,     0,     0,     0,
     149,     0,   150,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,   153,     0,   154,   155,
     156,   157,     0,     0,     0,     0,     0, -1424,     0,     0,
       0,     0,     0,   158,     0,   159,     0,     0,     0,   160,
       0,     0,     0,     0,     0,   161,   162,     0,     0,     0,
       0,     0,     0,   163,   164,   165,     0,     0,   166,     0,
       0,   167,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0, -1424,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,   184,   185,     0,     0,     0,     0,   186,     0,     0,
       0,     0,     0,     0,     0,     0,   187,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,   192,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,     0,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,     0,
       0,     0,   205,   206,     0,   207,     0,     0,     0,     0,
     208,     0,     0,     0,     0,   209,   210,     0,   211,   212,
       0,     0,   213,     0,     0,     0,     0,   214,   215,     0,
       0,     0,     0,     0,     0,   216,   217,     0,   218,   219,
       0,   220,     0,     0,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,   228,     0,   229,     0,     0,
       0,     0,   230,     0,     0,   231,     0,     0, -1424,     0,
       0,   232,     0,     0,     0,     0,   233,   234,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   246,   104,   105,     0,  -138,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,     0,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,     0,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
    3109,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  3026,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,     0,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,  3027,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,  1523,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,     0,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,   643,   644,   645,
       0,  1540,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,  3028,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1551,  1552,  3029,     0,     0,     0,
       0,     0,     0,  1554,  3030,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,     0,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,  1523,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,     0,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,   643,   644,   645,
       0,  1540,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1551,  1552,     0,     0,     0,     0,
       0,     0,     0,  1554,  2933,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1925,   137,  1926,  1927,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1928,  1929,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1930,  1931,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1932,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,  2421,
     512,   513,   514,   515,   516,   517,     0,   518,   174,  2422,
       0,   519,   520,   521,  1515,  1933,     0,  1934,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1935,   189,  1936,
     547,   548,     0,     0,   549,   550,   193,   551,     0,     0,
     552,  1937,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,  2424,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1938,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  2425,   614,   615,   219,   616,  1940,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1941,  1942,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1943,  2426,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,     0,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  2524,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,     0,  1925,   137,  1926,  1927,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1928,  1929,   444,     0,   445,   446,   447,   448,     0,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,  1930,  1931,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1509,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,     0,   491,
     492,   493,     0,     0,   494,     0,   495,   496,  1932,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,     0,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,  2421,   512,   513,   514,   515,
     516,   517,     0,   518,   174,  2422,     0,   519,   520,   521,
    1515,  1933,     0,  1934,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
       0,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1935,   189,  1936,   547,   548,     0,     0,
     549,   550,   193,   551,     0,     0,   552,  1937,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,  2424,   197,   561,   198,     0,   562,   563,   564,   565,
     566,   567,   568,     0,   569,     0,   570,     0,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1938,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
    2425,   614,   615,   219,   616,  1940,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,     0,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1941,  1942,     0,     0,   637,     0,   638,     0,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,  1943,  2426,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   708,
     668,   669,     0,     0,     0,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    3479,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1490,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1491,   137,  1492,  1493,  2943,   437,   438,   439,
     440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,  1507,
    1508,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1510,   491,   492,   493,  1511,  1512,
     494,     0,   495,   496,  1513,   497,     0,   498,     0,   499,
     169,  2944,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1515,  1516,     0,  1517,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,  2945,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1521,
     189,  1522,   547,   548,   191,  1523,   549,   550,   193,   551,
    1524,  1525,   552,  1526,   553,   554,   555,     0,   556,     0,
       0,  1527,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1530,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1531,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,  1533,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1535,  1536,     0,  2946,
     637,  1537,   638,  1538,  1539,   639,   640,   641,   642,   643,
     644,   645,     0,  1540,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,  1542,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,  1552,     0,     0,
       0,     0,     0,     0,     0,  1554,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1490,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1491,   137,  1492,  1493,     0,   437,   438,   439,   440,
     441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,
     446,   447,   448,  1498,     0,  1499,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,
    1505,  1506,   461,   462,   463,   464,   701,   465,  1507,  1508,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1510,   491,   492,   493,  1511,  1512,   494,
       0,   495,   496,  1513,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1514,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1515,  1516,     0,  1517,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1518,   182,   532,   183,     0,
     533,   534,   535,  1519,  1520,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1521,   189,
    1522,   547,   548,   191,  1523,   549,   550,   193,   551,  1524,
    1525,   552,  1526,   553,   554,   555,     0,   556,     0,     0,
    1527,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1528,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1529,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1530,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1531,   601,
     602,   603,   604,   605,   606,   706,   607,   215,   608,   609,
     610,   611,   612,  1532,   613,   217,   614,   615,   219,   616,
    1533,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1534,     0,   628,   629,   223,   630,   631,
     632,   633,   634,   635,     0,  1535,  1536,     0,     0,   637,
    1537,   638,  1538,  1539,   639,   640,   641,   642,   643,   644,
     645,     0,  1540,   646,   647,   648,   649,   650,  1541,     0,
     651,   652,   653,   654,   655,  2215,  1542,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,   236,   662,
     663,   664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1551,  1552,     0,     0,     0,
       0,     0,     0,     0,  1554,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,     0,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,  1523,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,     0,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,   643,   644,   645,
       0,  1540,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1551,  1552,     0,     0,     0,     0,
       0,  2159,  2891,  1554,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1491,
     137,  1492,  1493,     0,   437,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,   183,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,  1523,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,  1527,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,   219,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,   643,   644,   645,     0,
    1540,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,   707,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,  1552,  1553,     0,     0,     0,     0,
       0,     0,  1554,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,  1640,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,  1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,     0,     0,     0,     0,     0,     0,
       0,  1554,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,  2346,   427,   428,   429,
       0,     0,     0,     0,  1490,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1491,   137,  1492,
    1493,     0,   437,   438,   439,   440,   441,  1494,  1495,   442,
     443,  1496,  1497,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,  1507,  1508,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1510,
     491,   492,   493,  1511,  1512,   494,     0,   495,   496,  1513,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1515,  1516,     0,  1517,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1521,   189,  1522,   547,   548,   191,
    1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,   553,
     554,   555,     0,   556,     0,     0,  1527,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1530,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1531,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,  1533,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,
     639,   640,   641,   642,   643,   644,   645,     0,  1540,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,  1542,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1551,  1552,     0,     0,     0,     0,     0,     0,     0,
    1554,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1486,
    1487,  1488,    45,  1489,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1490,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1491,   137,  1492,  1493,
       0,   437,   438,   439,   440,   441,  1494,  1495,   442,   443,
    1496,  1497,   444,     0,   445,   446,   447,   448,  1498,     0,
    1499,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,
     464,   701,   465,  1507,  1508,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1509,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1510,   491,
     492,   493,  1511,  1512,   494,     0,   495,   496,  1513,   497,
       0,   498,     0,   499,   169,  2944,   170,   500,   501,   502,
       0,   503,  1514,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1515,  1516,     0,  1517,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1518,   182,   532,   183,     0,   533,   534,   535,  1519,  1520,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1521,   189,  1522,   547,   548,   191,  1523,
     549,   550,   193,   551,  1524,  1525,   552,  1526,   553,   554,
     555,     0,   556,     0,     0,  1527,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1528,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1529,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1530,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1531,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1532,   613,
     217,   614,   615,   219,   616,  1533,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1534,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,
     640,   641,   642,   643,   644,   645,     0,  1540,   646,   647,
     648,   649,   650,  1541,     0,   651,   652,   653,   654,   655,
     707,  1542,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1551,  1552,     0,     0,     0,     0,     0,     0,     0,  1554,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1486,  1487,
    1488,    45,  1489,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1490,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1491,   137,  1492,  1493,     0,
     437,   438,   439,   440,   441,  1494,  1495,   442,   443,  1496,
    1497,   444,     0,   445,   446,   447,   448,  1498,     0,  1499,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1500,
    1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,
     701,   465,  1507,  1508,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1509,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1510,   491,   492,
     493,  1511,  1512,   494,     0,   495,   496,  1513,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1514,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1515,
    1516,     0,  1517,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1518,
     182,   532,   183,     0,   533,   534,   535,  1519,  1520,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1521,   189,  1522,   547,   548,   191,  1523,   549,
     550,   193,   551,  1524,  1525,   552,  1526,   553,   554,   555,
       0,   556,     0,     0,  1527,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1528,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1529,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1530,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1531,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1532,   613,   217,
     614,   615,   219,   616,  1533,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1534,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1535,
    1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,   640,
     641,   642,   643,   644,   645,     0,  1540,   646,   647,   648,
     649,   650,  1541,     0,   651,   652,   653,   654,   655,   707,
    1542,  4228,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1551,
    1552,     0,     0,     0,     0,     0,     0,     0,  1554,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,  1488,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1491,   137,  1492,  1493,     0,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,  4240,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1518,   182,
     532,   183,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,  1523,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,  1527,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,   219,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,     0,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,   643,   644,   645,     0,  1540,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1551,  1552,
       0,     0,     0,     0,     0,     0,     0,  1554,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1486,  1487,  1488,    45,
    1489,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1490,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,  5150,  1491,   137,  1492,  1493,     0,   437,   438,
     439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,  5151,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
    1507,  1508,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1510,   491,   492,   493,  1511,
    1512,   494,     0,   495,   496,  1513,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1515,  1516,     0,
    1517,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
     183,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1521,   189,  1522,   547,   548,   191,  1523,   549,   550,   193,
     551,  1524,  1525,   552,  1526,   553,   554,   555,     0,   556,
       0,     0,  1527,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1530,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1531,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
     219,   616,  1533,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1535,  1536,     0,
       0,   637,  1537,   638,  1538,  1539,   639,   640,   641,   642,
    5152,   644,   645,     0,  1540,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,  1542,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1551,  1552,     0,
       0,     0,     0,     0,     0,     0,  1554,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1490,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1491,   137,  1492,  1493,     0,   437,   438,   439,
     440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,  5151,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,  1507,
    1508,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1510,   491,   492,   493,  1511,  1512,
     494,     0,   495,   496,  1513,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1515,  1516,     0,  1517,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1521,
     189,  1522,   547,   548,   191,  1523,   549,   550,   193,   551,
    1524,  1525,   552,  1526,   553,   554,   555,     0,   556,     0,
       0,  1527,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1530,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1531,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,  1533,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1535,  1536,     0,     0,
     637,  1537,   638,  1538,  1539,   639,   640,   641,   642,  5152,
     644,   645,     0,  1540,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,  1542,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,  1552,     0,     0,
       0,     0,     0,     0,     0,  1554,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1490,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1491,   137,  1492,  1493,     0,   437,   438,   439,   440,
     441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,
     446,   447,   448,  1498,     0,  1499,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,
    1505,  1506,   461,   462,   463,   464,   701,   465,  1507,  1508,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1510,   491,   492,   493,  1511,  1512,   494,
       0,   495,   496,  1513,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1514,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1515,  1516,     0,  1517,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1518,   182,   532,   183,     0,
     533,   534,   535,  1519,  1520,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1521,   189,
    1522,   547,   548,   191,  1523,   549,   550,   193,   551,  1524,
    1525,   552,  1526,   553,   554,   555,     0,   556,     0,     0,
    1527,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1528,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1529,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1530,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1531,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1532,   613,   217,   614,   615,   219,   616,
    1533,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1534,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1535,  1536,     0,     0,   637,
    1537,   638,  1538,  1539,   639,   640,   641,   642,   643,   644,
     645,     0,  1540,   646,   647,   648,   649,   650,  1541,     0,
     651,   652,   653,   654,   655,   707,  1542,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1551,  1552,     0,     0,     0,
       0,     0,     0,     0,  1554,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,     0,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,  1523,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,     0,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,   643,   644,   645,
       0,  1540,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  2349,  2350,     0,     0,     0,     0,
       0,     0,     0,  1554,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1491,
     137,  1492,  1493,     0,   437,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,   183,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,  1523,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,  1527,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,   219,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,   643,   644,   645,     0,
    1540,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,   707,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,  4541,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,  1552,     0,     0,     0,     0,     0,
       0,     0,  1554,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,  4550,
     191,  1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,     0,     0,     0,     0,     0,     0,
       0,  1554,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1490,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1491,   137,  1492,
    1493,     0,   437,   438,   439,   440,   441,  1494,  1495,   442,
     443,  1496,  1497,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,  1507,  1508,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1510,
     491,   492,   493,  1511,  1512,   494,     0,   495,   496,  1513,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1515,  1516,     0,  1517,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1521,   189,  1522,   547,   548,   191,
       0,   549,   550,   193,   551,  1524,  1525,   552,  1526,   553,
     554,   555,     0,   556,     0,     0,  1527,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1530,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1531,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,  1533,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,  1542,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  2926,  2927,     0,     0,     0,     0,     0,     0,     0,
    1554,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1486,
    1487,     0,    45,  1489,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1490,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1491,   137,  1492,  1493,
       0,   437,   438,   439,   440,   441,  1494,  1495,   442,   443,
    1496,  1497,   444,     0,   445,   446,   447,   448,  1498,     0,
    1499,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,
     464,   701,   465,  1507,  1508,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1509,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1510,   491,
     492,   493,  1511,  1512,   494,     0,   495,   496,  1513,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1514,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1515,  1516,     0,  1517,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1518,   182,   532,   183,     0,   533,   534,   535,  1519,  1520,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1521,   189,  1522,   547,   548,   191,     0,
     549,   550,   193,   551,  1524,  1525,   552,  1526,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1528,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1529,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1530,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  3068,  3069,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1532,   613,
     217,   614,   615,   219,   616,  1533,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1534,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  1541,     0,   651,   652,   653,   654,   655,
     707,  1542,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    3070,  3071,     0,     0,     0,     0,     0,     0,     0,  1554,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1486,  1487,
    1488,    45,  1489,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1490,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436, -2686,  1491,   137,  1492,  1493,     0,
     437,   438,   439,   440,   441,  1494,  1495,   442,   443,  1496,
    1497,   444,     0,   445,   446,   447,   448,  1498,     0,  1499,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,  5151,  1500,
    1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,
     701,   465,  1507,  1508,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1509,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1510,   491,   492,
     493,  1511,  1512,   494,     0,   495,   496,  1513,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1514,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1515,
    1516,     0,  1517,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1518,
     182,   532,     0,     0,   533,   534,   535,  1519,  1520,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1521,   189,  1522,   547,   548,   191,     0,   549,
     550,   193,   551,  1524,  1525,   552,  1526,   553,   554,   555,
       0,   556,     0,     0,  1527,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1528,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1529,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1530,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1531,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1532,   613,   217,
     614,   615,     0,   616,  1533,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1534,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1535,
    1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,   640,
     641,   642,  5152,   644,   645,     0,  1540,   646,   647,   648,
     649,   650,  1541,     0,   651,   652,   653,   654,   655,   707,
    1542,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1551,
    1552,     0,     0,     0,     0,     0,     0,     0,  1554,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,     0,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1491,   137,  1492,  1493,     0,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1518,   182,
     532,   183,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,     0,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,   219,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,     0,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  1554,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,     0,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1491,
     137,  1492,  1493,     0,  4146,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,   183,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,     0,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,   219,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,   707,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  1554,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,  1488,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1491,   137,  1492,  1493,     0,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,     0,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1518,   182,
     532,     0,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,     0,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,  1527,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,     0,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,     0,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,   643,   644,   645,     0,  1540,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1551,  1552,
       0,     0,     0,     0,     0,     0,     0,  1554,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1486,  1487,  1488,    45,
    1489,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1490,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1491,   137,  1492,  1493,     0,   437,   438,
     439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
    1507,  1508,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,     0,   486,
       0,   487,   488,   489,   490,  1510,   491,   492,   493,  1511,
    1512,   494,     0,   495,   496,  1513,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1515,  1516,     0,
    1517,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
       0,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1521,   189,  1522,   547,   548,   191,     0,   549,   550,   193,
     551,  1524,  1525,   552,  1526,   553,   554,   555,     0,   556,
       0,     0,  1527,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1530,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1531,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
       0,   616,  1533,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1535,  1536,     0,
       0,   637,  1537,   638,  1538,  1539,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,  1542,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  2926,  2927,     0,
       0,     0,     0,     0,     0,     0,  1554,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,  1495,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,  1511,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,  3675,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,  1525,   552,   195,   553,   554,   555,     0,   556,     0,
    1094,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
    3676,   602,   603,   604,   605,   606,   706,   607,   215,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,   223,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,  1537,   638,  1538,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,  2215,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,   236,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  3677,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,  1495,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,  1511,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,  3675,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,  1525,   552,   195,   553,
     554,   555,     0,   556,     0,  1094,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,  3676,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,  1537,   638,  1538,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    3677,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,  1495,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,  1511,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,  1525,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
    3676,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,  1537,   638,  1538,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,   246,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,  1495,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,  1511,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,  1525,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,  1537,   638,  1538,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    4270,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  4874,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,  4198,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0, -1518,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0, -1518,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518, -1518,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
   -1518,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181, -1518,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188, -1518,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598, -1518,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  1648,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,  3959,  3960,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  3960,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,   215,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,   223,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  2215,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
     236,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,   215,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,   223,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  2215,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,   236,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,   246,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  1623,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  3097,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  4182,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  4592,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1219,    45,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,   739,   427,   428,   429,   740,   741,   742,   743,
     744,   745,   746,   430,   431,   747,   432,   433,   133,   434,
     435,   436,     0,  1925,   137,  1926,  1927,   748,   437,   438,
     439,   440,   441,   749,   750,   442,   443,  1928,  1929,   444,
     752,   445,   446,   447,   448,     0,   753,   145,   754,   449,
     450,   451,   452,   148,   453,   699,   756,   454,   455,   456,
     457,   458,   459,   757,   151,   460,     0,   759,   760,   761,
     152,   762,   763,   764,   461,   462,   463,   464,   701,   465,
    1930,  1931,   466,   765,   467,   766,   468,   469,   470,   471,
     472,   767,   473,   474,   475,   768,   769,   476,   477,  1509,
     479,   480,   770,   481,   482,   483,   771,   484,   485,   486,
     772,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     773,   494,   774,   495,   496,  1932,   497,   775,   498,   776,
     499,   169,   777,   170,   500,   501,   502,   778,   503,     0,
     779,   504,   780,   505,   506,   703,   507,   508,   173,   509,
     510,   511,   781,   512,   513,   514,   515,   516,   517,   782,
     518,   174,     0,     0,   519,   520,   521,  1515,  1933,   785,
    1934,   786,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,   787,   529,   530,   788,   531,     0,   182,   532,
     183,   789,   533,   534,   535,   790,   791,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1935,   189,  1936,   547,   548,     0,   792,   549,   550,   193,
     551,   793,     0,   552,  1937,   553,   554,   555,   794,   556,
     795,   796,  3946,   558,   559,   797,   798,   560,     0,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
     799,   569,     0,   570,     0,   571,   572,   573,   800,   574,
     575,   576,   577,   578,   579,   580,   581,  1938,   582,   583,
     584,   585,   801,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   802,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,   803,
     608,   609,   610,   611,   612,   804,   613,  2425,   614,   615,
     219,   616,  1940,   617,   805,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,   806,   628,   629,   807,
     630,   631,   632,   633,   634,   635,   808,  1941,  1942,     0,
     810,   637,     0,   638,     0,   811,   639,   640,   641,   642,
     643,   644,   645,     0,   813,   646,   647,   648,   649,   650,
     814,   815,   651,   652,   653,   654,   655,     0,  1943,   817,
     656,   235,   657,   658,   659,   660,   818,   819,   661,   820,
     821,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,     0,
       0,     0,     0,  1222,  1223,  1224,     0,  3947,  3948,  1227,
    1228,  1229,  1230,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1219,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,  1220,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,  1221,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1222,  1223,  1224,
       0,  1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
    1317,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,  1318,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,
    1230,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1219,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,  1374,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,  1375,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,  1376,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,  1222,  1223,  1224,     0,  1225,
    1226,  1227,  1228,  1229,  1230,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1219,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,  1910,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,  1911,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,  1222,
    1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1219,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,  1222,  1223,  1224,     0,  1225,  1226,  1227,
    1228,  1229,  1230,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1219,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,  3197,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,  3198,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1222,  1223,  1224,
       0,  1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
    4853,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,
    1230,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   739,   427,   428,   429,   740,
     741,   742,   743,   744,   745,   746,   430,   431,   747,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
     748,   437,   438,   439,   440,   441,   749,   750,   442,   443,
     751,   140,   444,   752,   445,   446,   447,   448,   144,   753,
     145,   754,   449,   450,   451,   452,   148,   453,   755,   756,
     454,   455,   456,   457,   458,   459,   757,   151,   460,   758,
     759,   760,   761,   152,   762,   763,   764,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   765,   467,   766,   468,
     469,   470,   471,   472,   767,   473,   474,   475,   768,   769,
     476,   477,   478,   479,   480,   770,   481,   482,   483,   771,
     484,   485,   486,   772,   487,   488,   489,   490,   164,   491,
     492,   493,   166,   773,   494,   774,   495,   496,   168,   497,
     775,   498,   776,   499,   169,   777,   170,   500,   501,   502,
     778,   503,   172,   779,   504,   780,   505,   506,   703,   507,
     508,   173,   509,   510,   511,   781,   512,   513,   514,   515,
     516,   517,   782,   518,   174,   175,   783,   519,   520,   521,
     784,   176,   785,   177,   786,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,   787,   529,   530,   788,   531,
     181,   182,   532,   183,   789,   533,   534,   535,   790,   791,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,   792,
     549,   550,   193,   551,   793,   194,   552,   195,   553,   554,
     555,   794,   556,   795,   796,   557,   558,   559,   797,   798,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,   799,   569,   200,   570,   201,   571,   572,
     573,   800,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,   801,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   802,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,   803,   608,   609,   610,   611,   612,   804,   613,
     217,   614,   615,   219,   616,   220,   617,   805,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,   806,
     628,   629,   807,   630,   631,   632,   633,   634,   635,   808,
     224,   225,   809,   810,   637,   226,   638,   227,   811,   639,
     640,   641,   642,   643,   644,   645,   812,   813,   646,   647,
     648,   649,   650,   814,   815,   651,   652,   653,   654,   655,
     816,   234,   817,   656,   235,   657,   658,   659,   660,   818,
     819,   661,   820,   821,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,  2314,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1925,   137,
    1926,  1927,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1928,  1929,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1930,  1931,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1932,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,  2421,   512,   513,
     514,   515,   516,   517,     0,   518,   174,  2422,     0,   519,
     520,   521,  1515,  1933,     0,  1934,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1935,   189,  1936,   547,   548,
       0,     0,   549,   550,   193,   551,     0,     0,   552,  1937,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,  2423,   560,  2424,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1938,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  2425,   614,   615,   219,   616,  1940,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1941,  1942,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1943,  2426,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,     0,     0,    86,    87,    88,   684,
      90,    91,    92,   685,  2427,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,  1101,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,  4901,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   996,   421,   422,   423,
     424,   425,   426,   997,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     998,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   999,   168,   497,     0,   498,
       0,  1000,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,  1003,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,  1004,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
    1005,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,  1006,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   996,   421,   422,   423,
     424,   425,   426,   997,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
    1029,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   999,   168,   497,     0,   498,
       0,  1030,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,  1003,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,  1004,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
    1005,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,  1006,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1422,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1427,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,  1001,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,  1002,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1007,  1008,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   702,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
    1594,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,  1071,  1595,    86,    87,    88,   684,    90,
      91,    92,   685,  1072,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,  1073,   443,  1045,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,  1074,     0,  1075,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
    1076,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,  1077,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,  1078,   600,   212,   601,   602,   603,
    1079,   605,   606,   706,   607,     0,   608,   609,   610,   611,
    1080,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1081,   225,     0,     0,  1082,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,  1049,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,  1083,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   739,
     427,   428,   429,   740,   741,   742,   743,   744,   745,   746,
     430,   431,   747,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,   748,   437,   438,   439,   440,   441,
     749,   750,   442,   443,   751,   140,   444,   752,   445,   446,
     447,   448,   144,   753,   145,   754,   449,   450,   451,   452,
     148,   453,   755,   756,   454,   455,   456,   457,   458,   459,
     757,   151,   460,   758,   759,   760,   761,   152,   762,   763,
     764,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     765,   467,   766,   468,   469,   470,   471,   472,   767,   473,
     474,   475,   768,   769,   476,   477,   478,   479,   480,   770,
     481,   482,   483,   771,   484,   485,   486,   772,   487,   488,
     489,   490,   164,   491,   492,   493,   166,   773,   494,   774,
     495,   496,   168,   497,   775,   498,   776,   499,   169,   777,
     170,   500,   501,   502,   778,   503,   172,   779,   504,   780,
     505,   506,   703,   507,   508,   173,   509,   510,   511,   781,
     512,   513,   514,   515,   516,   517,   782,   518,   174,   175,
     783,   519,   520,   521,   784,   176,   785,   177,   786,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,   787,
     529,   530,   788,   531,   181,   182,   532,   183,   789,   533,
     534,   535,   790,   791,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,   189,   190,
     547,   548,   191,   792,   549,   550,   193,   551,   793,   194,
     552,   195,   553,   554,   555,   794,   556,   795,   796,   557,
     558,   559,   797,   798,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,   799,   569,   200,
     570,   201,   571,   572,   573,   800,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,   801,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   802,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,   803,   608,   609,   610,
     611,   612,   804,   613,   217,   614,   615,   219,   616,   220,
     617,   805,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,   806,   628,   629,   807,   630,   631,   632,
     633,   634,   635,   808,   224,   225,   809,   810,   637,   226,
     638,   227,   811,   639,   640,   641,   642,   643,   644,   645,
     812,   813,   646,   647,   648,   649,   650,   814,   815,   651,
     652,   653,   654,   655,   816,   234,   817,   656,   235,   657,
     658,   659,   660,   818,   819,   661,   820,   821,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
     739,   427,   428,   429,   740,   741,   742,   743,   744,   745,
     746,   430,   431,   747,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,   748,   437,   438,   439,   440,
     441,   749,   750,   442,   443,   751,   140,   444,   752,   445,
     446,   447,   448,   144,   753,   145,   754,   449,   450,   451,
     452,   148,   453,   755,   756,   454,   455,   456,   457,   458,
     459,   757,   151,   460,   758,   759,   760,   761,   152,   762,
     763,   764,   461,   462,   463,   464,   701,   465,   155,   156,
     466,   765,   467,   766,   468,   469,   470,   471,   472,   767,
     473,   474,   475,   768,   769,   476,   477,   478,   479,   480,
     770,   481,   482,   483,   771,   484,   485,   486,   772,   487,
     488,   489,   490,   164,   491,   492,   493,   166,   773,   494,
     774,   495,   496,   168,   497,   775,   498,   776,   499,   169,
     777,   170,   500,   501,   502,   778,   503,   172,   779,   504,
     780,   505,   506,   703,   507,   508,   173,   509,   510,   511,
     781,   512,   513,   514,   515,   516,   517,   782,   518,   174,
     175,   783,   519,   520,   521,   784,   176,   785,   177,   786,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
     787,   529,   530,   788,   531,   181,   182,   532,   183,   789,
     533,   534,   535,   790,   791,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,   792,   549,   550,   193,   551,   793,
     194,   552,   195,   553,   554,   555,   794,   556,   795,   796,
     557,   558,   559,   797,   798,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,   799,   569,
     200,   570,   201,   571,   572,   573,   800,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
     801,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   802,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,   803,   608,   609,
     610,   611,   612,   804,   613,   217,   614,   615,   219,   616,
     220,   617,   805,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,   806,   628,   629,   807,   630,   631,
     632,   633,   634,   635,   808,   224,   225,   809,   810,   637,
     226,   638,   227,   811,   639,   640,   641,   642,   643,   644,
     645,   812,   813,   646,   647,   648,   649,   650,   814,   815,
     651,   652,   653,   654,   655,   816,   234,   817,   656,   235,
     657,   658,   659,   660,   818,   819,   661,   820,   821,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,  3256,   424,   425,
     426,   739,   427,   428,   429,   740,   741,   742,   743,   744,
     745,   746,   430,   431,   747,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,   748,   437,   438,   439,
     440,   441,   749,   750,   442,   443,   751,   140,   444,   752,
     445,   446,   447,   448,   144,   753,   145,   754,   449,   450,
     451,   452,   148,   453,   755,   756,   454,   455,   456,   457,
     458,   459,   757,   151,   460,   758,   759,   760,   761,   152,
     762,   763,   764,   461,   462,   463,   464,   701,   465,   155,
     156,   466,   765,   467,   766,   468,   469,   470,   471,   472,
     767,   473,   474,   475,   768,   769,   476,   477,   478,  3257,
     480,   770,   481,   482,   483,   771,   484,   485,   486,   772,
     487,   488,   489,   490,   164,   491,   492,   493,   166,   773,
     494,   774,   495,   496,   168,   497,   775,   498,   776,   499,
     169,   777,   170,   500,   501,   502,   778,   503,   172,   779,
     504,   780,   505,   506,   703,   507,   508,   173,   509,   510,
     511,   781,   512,   513,   514,   515,   516,   517,   782,   518,
     174,   175,   783,   519,   520,   521,   784,   176,   785,   177,
     786,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,   787,   529,   530,   788,   531,   181,   182,   532,   183,
     789,   533,   534,   535,   790,   791,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,   792,   549,   550,   193,   551,
     793,   194,   552,   195,   553,   554,   555,   794,   556,   795,
     796,   557,   558,   559,   797,   798,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,   799,
     569,   200,   570,   201,   571,   572,   573,   800,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,   801,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   802,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,   803,   608,
     609,   610,   611,   612,   804,  3258,   217,   614,   615,   219,
     616,   220,   617,   805,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,   806,   628,   629,   807,   630,
     631,   632,   633,   634,   635,   808,   224,   225,   809,   810,
     637,   226,   638,   227,   811,   639,   640,   641,   642,   643,
     644,   645,   812,   813,   646,   647,   648,   649,   650,   814,
     815,   651,   652,   653,   654,   655,   816,   234,   817,   656,
     235,   657,   658,   659,   660,   818,   819,   661,   820,   821,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,  1495,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,  1511,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
     183,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,  1525,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,  1537,   638,  1538,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,  1357,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
    1367,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1925,   137,  1926,
    1927,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,  1928,  1929,   444,     0,   445,   446,   447,   448,     0,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,  1930,  1931,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,     0,
     491,   492,   493,     0,     0,   494,     0,   495,   496,  1932,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,     0,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,  2421,   512,   513,   514,
     515,   516,   517,     0,   518,   174,  2422,     0,   519,   520,
     521,  1515,  1933,     0,  1934,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,     0,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1935,   189,  1936,   547,   548,     0,
       0,   549,   550,   193,   551,     0,     0,   552,  1937,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,  2424,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,     0,   569,     0,   570,     0,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1938,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,  2425,   614,   615,   219,   616,  1940,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1941,  1942,     0,     0,   637,     0,   638,     0,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,  1943,  2426,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1925,   137,
    1926,  1927,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1928,  1929,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1930,  1931,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1932,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,     0,     0,   519,
     520,   521,  1515,  1933,     0,  1934,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1935,   189,  1936,   547,   548,
       0,     0,   549,   550,   193,   551,  2512,     0,   552,  1937,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,     0,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1938,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  2425,   614,   615,   219,   616,  1940,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,  4051,   630,   631,   632,   633,   634,
     635,     0,  1941,  1942,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1943,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,     0,  1925,
     137,  1926,  1927,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,  1928,  1929,   444,     0,   445,   446,   447,
     448,     0,     0,   145,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,   701,   465,  1930,  1931,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,     0,   491,   492,   493,     0,     0,   494,     0,   495,
     496,  1932,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,     0,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,     0,     0,
     519,   520,   521,  1515,  1933,     0,  1934,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,     0,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1935,   189,  1936,   547,
     548,  2572,     0,   549,   550,   193,   551,     0,     0,   552,
    1937,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,     0,   197,   561,   198,     0,   562,
     563,   564,   565,   566,   567,   568,     0,   569,     0,   570,
       0,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1938,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,  1939,   614,   615,   219,   616,  1940,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,     0,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1941,  1942,     0,     0,   637,     0,   638,
       0,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,  1943,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1925,   137,  1926,  1927,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1928,  1929,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1930,  1931,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1932,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,     0,
       0,   519,   520,   521,  1515,  1933,     0,  1934,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1935,   189,  1936,
     547,   548,  3880,     0,   549,   550,   193,   551,     0,     0,
     552,  1937,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,     0,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1938,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  1939,   614,   615,   219,   616,  1940,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1941,  1942,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1943,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
       0,  1925,   137,  1926,  1927,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,  1928,  1929,   444,     0,   445,
     446,   447,   448,     0,     0,   145,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,   701,   465,  1930,  1931,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,     0,   491,   492,   493,     0,     0,   494,
       0,   495,   496,  1932,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,     0,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
       0,     0,   519,   520,   521,  1515,  1933,     0,  1934,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,     0,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1935,   189,
    1936,   547,   548,     0,     0,   549,   550,   193,   551,     0,
       0,   552,  1937,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,     0,   197,   561,   198,
       0,   562,   563,   564,   565,   566,   567,   568,     0,   569,
       0,   570,     0,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1938,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,  1939,   614,   615,   219,   616,
    1940,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,     0,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1941,  1942,     0,     0,   637,
       0,   638,     0,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,  1943,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1925,   137,  1926,  1927,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,  1928,  1929,   444,     0,
     445,   446,   447,   448,     0,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,  1930,
    1931,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,     0,   491,   492,   493,     0,     0,
     494,     0,   495,   496,  1932,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,     0,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,     0,     0,   519,   520,   521,  1515,  1933,     0,  1934,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,     0,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1935,
     189,  1936,   547,   548,     0,     0,   549,   550,   193,   551,
       0,     0,   552,  1937,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,     0,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,     0,
     569,     0,   570,     0,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1938,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,  2425,   614,   615,   219,
     616,  1940,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1941,  1942,     0,     0,
     637,     0,   638,     0,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,  1943,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1925,   137,  1926,  1927,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1928,  1929,   444,
       0,   445,   446,   447,   448,     0,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
    1930,  1931,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,     0,   491,   492,   493,     0,
       0,   494,     0,   495,   496,  1932,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,     0,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,     0,     0,   519,   520,   521,  1515,  1933,     0,
    1934,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,     0,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1935,   189,  1936,   547,   548,     0,     0,   549,   550,   193,
     551,     0,     0,   552,  1937,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,     0,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
       0,   569,     0,   570,     0,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1938,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,     0,   614,   615,
     219,   616,  1940,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1941,  1942,     0,
       0,   637,     0,   638,     0,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,  1943,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,     0,   137,     0,     0,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,     0,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,     0,     0,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,     0,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,     0,     0,   519,   520,   521,     0,     0,
       0,     0,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,     0,   189,     0,   547,   548,     0,     0,   549,   550,
     193,   551,     0,     0,   552,     0,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,     0,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,     0,   614,
     615,   219,   616,     0,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,     0,     0,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,     0,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   739,   427,   428,   429,   740,   741,   742,
     743,   744,   745,   746,   430,   431,   747,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,   748,   437,
     438,   439,   440,   441,   749,   750,   442,   443,     0,   140,
     444,   752,   445,   446,   447,   448,   144,   753,   145,   754,
     449,   450,   451,   452,   148,   453,   755,   756,   454,   455,
     456,   457,   458,   459,   757,   151,   460,     0,   759,   760,
     761,   152,   762,   763,   764,   461,   462,   463,   464,     0,
     465,   155,   156,   466,   765,   467,   766,   468,   469,   470,
     471,   472,   767,   473,   474,   475,   768,   769,   476,   477,
     478,   479,   480,   770,   481,   482,   483,   771,   484,   485,
     486,   772,   487,   488,   489,   490,   164,   491,   492,   493,
     166,   773,   494,   774,   495,   496,   168,   497,   775,   498,
     776,   499,   169,   777,   170,   500,   501,   502,   778,   503,
     172,   779,   504,   780,   505,   506,     0,   507,   508,   173,
     509,   510,   511,   781,   512,   513,   514,   515,   516,   517,
     782,   518,   174,   175,     0,   519,   520,   521,     0,   176,
     785,   177,   786,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,   787,   529,   530,   788,   531,   181,   182,
     532,   183,   789,   533,   534,   535,   790,   791,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,   792,   549,   550,
     193,   551,   793,   194,   552,   195,   553,   554,   555,   794,
     556,   795,   796,   557,   558,   559,   797,   798,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,   799,   569,   200,   570,   201,   571,   572,   573,   800,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,   801,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   802,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
     803,   608,   609,   610,   611,   612,   804,   613,   217,   614,
     615,   219,   616,   220,   617,   805,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,   806,   628,   629,
     807,   630,   631,   632,   633,   634,   635,   808,   224,   225,
       0,   810,   637,   226,   638,   227,   811,   639,   640,   641,
     642,   643,   644,   645,     0,   813,   646,   647,   648,   649,
     650,   814,   815,   651,   652,   653,   654,   655,     0,   234,
     817,   656,   235,   657,   658,   659,   660,   818,   819,   661,
     820,   821,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  1163,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,  2458,   445,   446,   447,   448,   144,     0,     0,  2531,
     449,   450,   451,   452,     0,   453,   699,  2459,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,  2532,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2461,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,  2462,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,  2463,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,  2458,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,  2459,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,  2532,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2461,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,  3426,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,  2462,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,  2463,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
    1060,   425,   426,  1016,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,  1061,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1016,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,  3159,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,  2458,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,  2459,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,  2532,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2461,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,  2462,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,  2463,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   697,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,   700,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   702,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1016,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,   927,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   928,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   929,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  2116,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,  2117,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,  2118,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
    2119,   499,     0,     0,     0,  2120,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
    2121,  2122,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,  2123,   605,   606,   706,   607,
       0,  2124,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
    2125,   630,  2126,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,  2127,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,  1017,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,  1018,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
    1019,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,  2105,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,  2403,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,  3015,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,  3016,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
    3017,   630,   631,  3018,   633,  3019,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,  3020,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   724,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   702,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   877,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1244,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1245,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,  1094,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1349,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,   130,   131,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  3240,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  3241,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  3252,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  3253,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   933,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     978,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,  1033,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,  1094,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1214,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1215,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1597,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1772,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,  1094,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1820,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1821,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,  2013,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,  2105,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,  2403,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,  4198,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,  4212,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  4436,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  4438,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,  4440,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,  4856,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,  1042,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1044,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1046,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1047,   225,
       0,     0,  1048,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1088,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1089,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1090,   225,
       0,     0,  1091,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,  1108,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1239,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1254,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1308,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1322,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1362,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1381,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1383,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1385,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1388,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1394,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,  1608,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
    1609,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1601,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  1082,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
    1735,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1044,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  1972,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2002,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2037,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2039,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2041,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,  2154,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,  2369,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,     0,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  2772,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3170,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3243,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3245,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,  3350,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1601,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  1082,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  1601,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,  2449,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  1082,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  2516,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  2517,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  2518,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,  1073,   443,  1045,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
    1077,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,  1078,
     600,   212,   601,   602,   603,  1079,   605,   606,   706,   607,
       0,   608,   609,   610,   611,  2517,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1081,   225,
       0,     0,  2518,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  1049,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,  1083,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,     0,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,     0,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,     0,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115, -2440,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,   413,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,     0,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,     0,
       0,   219,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,   226,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115, -2441,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,   127,    35,     0,  1158,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,   145,     0,     0,     0,     0,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,   152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   155,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0,     0,     0,     0,   176,     0,   177,     0,
       0,   178,   179,     0,   180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,   189,
     190,     0,     0,   191,     0,     0,     0,   193,     0,     0,
     194,     0,   195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,     0,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,   219,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,     0,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,   144,     0,   145,
       0,     0,     0,     0,     0,   148,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,     0,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,     0,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,  2081,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,  2082,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,  2083,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
       0,     0,     0,    35,     0,     0,     0,     0,  1692,  1693,
    4703,    41,    42,     0,     0,     0,     0,  4704,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,   130,   131,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,   215,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,   223,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   233,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,   236,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   668,   669,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,   246,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,  2302,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,  2081,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,  2082,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,  2083,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,   668,   669,     0,     0,     0,     0,     0,     0,    35,
     418,  1692,  1693,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,  2307,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,  2081,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,  2082,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
    2083,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   668,   669,     0,     0,     0,     0,     0,     0,
      35,   418,  1692,  1693,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,  2081,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,  2082,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,  2083,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   668,   669,     0,     0,     0,     0,     0,
       0,    35,     0,  1692,  1693,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,  2081,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,  2082,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,  2083,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   668,   669,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,     0,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,     0,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,     0,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   543,     0,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,     0,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,   636,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   668,
     669,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,  2287,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
    2061,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,  2632,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  2633,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,   130,   131,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,  1235,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  1251,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
    1252,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,  3531,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,  1330,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,  1369,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,  1379,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
    1390,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,  1391,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     668,   669
};

static const yytype_int16 yycheck[] =
{
       2,   246,  1377,    78,   167,   381,    78,  1075,  1446,    78,
     209,    78,  1129,    78,   381,    84,  1368,  1124,  1416,  1372,
     365,  1194,    96,     2,   187,   154,   940,   117,  1236,   150,
      78,    78,   106,  1758,  1017,  1018,  1019,    84,   901,   228,
    1023,  1092,  1793,  2120,  2364,  1253,  1152,  1319,   117,   858,
    1241,  2868,  1955,   940,  1263,  2264,  1629,  1329,  2429,  2430,
     153,  1300,   117,  1939,  1536,  1479,   223,  2070,   142,  3236,
     984,   960,   162,   202,  1799,  1803,    78,   730,  1082,  2571,
     165,   970,    84,   157,  1813,  2276,  1898,    89,   171,   844,
     165,  3023,   901,   162,  2704,   958,    78,  1305,   853,  1507,
    1508,  1309,   160,  2326,  2712,  1646,  1314,   162,  2622,  1957,
    3424,  1217,  1998,  1321,  3449,   117,  3487,  1650,  1526,  1358,
    1686,  1687,  1688,  1331,  3212,   132,   209,  3731,  2159,  1849,
     353,  2847,   887,  1861,  3256,   731,  3258,  1866,  1867,  3392,
     230,  3476,   367,  3786,  1171,  3405,  1171,  3026,  3027,   958,
    3097,   153,  3405,  3028,  3835,  3023,   367,  4041,  3090,  3782,
     162,   230,   983,  1799,  1078,  3988,   208,  4031,  1741,  1785,
      94,  1240,  2669,  2059,  4052,   230,   218,  1246,  2960,  3683,
     216,  2350,  1409,  1745,  2352,  3128,  1255,  2001,  1400,   944,
    1121,  1078,  1681,  1682,  2376,  1211,  3682,  2009,  4275,   954,
    1121,  1429,  4592,  4486,  4594,    21,   208,  3743,   132,  1166,
    1167,  3609,    10,   975,   216,  2707,   218,    30,   108,   121,
    2429,    72,  3090,  3677,  3960,   128,  1496,  1497,   230,   153,
     154,   167,   117,  4780,  2416,    72,    88,   135,  2420,   163,
     838,  4633,  4029,   102,    81,  3651,   114,   204,   143,    86,
     180,   187,  1522,  4040,  3409,  3410,  3411,  3412,  3413,  3414,
      84,    75,    76,    77,    78,    95,    95,   128,    82,    75,
      76,    77,    78,   224,   927,   175,    82,   162,   202,   229,
      75,    76,    77,    78,   128,   156,  1408,    82,   179,  2781,
      99,  2783,   145,    14,   235,   114,   230,   106,   373,    78,
     149,   373,    75,    76,    77,    78,   373,   112,   373,    82,
    1416,  3214,   381,   103,   104,  1298,    37,    75,    76,    77,
      78,  3103,  2225,   237,    82,   373,   153,   112,    88,   135,
      78,   268,    90,   249,   381,   229,    72,   311,    78,   231,
     173,   238,   242,   153,   341,   230,   387,   416,   357,    78,
      86,    72,   403,   113,    75,    76,    77,    78,  1409,  4773,
      81,    82,    83,    84,    99,    86,  5150,   197,   197,   416,
     180,   106,   160,    75,    76,    77,    78,   374,   111,   381,
      82,   100,  1555,   143,   219,   180,    75,    76,    77,    78,
     145,   373,   185,    82,    75,    76,    77,    78,    72,   145,
     300,    82,   182,   303,  1613,   362,   403,    81,   211,  1582,
     180,   387,    86,  2490,   416,    75,    76,    77,    78,  1072,
    1283,    78,    82,   362,    75,    76,    77,    78,   229,   229,
      90,    82,  1554,   378,   229,    78,   145,    78,   228,    90,
     230,    78,  4832,   173,   153,    99,   234,   173,  5232,   388,
    2926,  2927,   106,   288,   135,  2931,    78,  4280,   403,   145,
      75,    76,    77,    78,   840,   516,    78,    82,   341,   262,
    1942,   385,   513,   840,  1283,    90,    81,   380,   311,  1393,
     456,    86,  4765,    75,    76,    77,    78,   160,   462,  1378,
      82,    78,    78,   417,   394,  2971,  2972,   389,    90,  2681,
     145,   374,  1416,   313,   513,  1611,  1393,   229,   379,    88,
    1616,  1617,   341,  1268,   185,   248,   513,   102,   377,   380,
    3423,   458,  1930,  1931,  1279,  1576,    38,    78,    40,  1937,
     389,    75,    76,    77,    78,    93,   380,  1912,    82,    75,
      76,    77,    78,   636,   263,   374,    82,   438,   318,  2425,
     173,    29,   444,   682,   683,  1907,   513,    75,    76,    77,
      78,   234,   513,  1452,    82,   462,   516,  1618,  1619,  1483,
     500,   199,  1168,  1169,   403,   516,  2117,   187,  1467,   513,
    2121,   440,  2123,   436,  1339,  2126,    95,  2435,   128,   480,
    1188,  1480,   416,   493,   373,   463,  1483,  1418,   149,   448,
     516,  3861,   411,    75,    76,    77,    78,  4999,  3861,   436,
      82,   513,   463,   516,   165,   513,   511,   436,   423,   513,
     515,  3776,  3789,   513,  4488,   373,   456,  4450,    75,    76,
      77,    78,   461,   373,   636,    82,  1398,  1845,   423,  1847,
     477,   436,   458,  5190,   373,   516,  2219,    75,    76,    77,
      78,  1923,   210,   467,    82,   516,  5070,   509,  1928,  1929,
     173,   467,  1901,   456,  1855,   463,  1936,   504,   505,  1775,
     473,  3163,   516,  2111,   268,  4010,   411,  1783,   468,  4502,
     460,   436,  4418,  4419,  4420,  4421,  4422,  1896,   197,  4193,
     436,   507,  4479,  2266,  1608,   246,   426,  2270,   511,   513,
     426,  5091,  1616,  1617,  1773,   500,  4192,   513,   381,   866,
    2063,  4025,   636,   513,  4250,   516,   373,   180,  4116,    72,
     515,  1608,    75,    76,    77,    78,   327,   436,    81,    82,
     373,  1837,   373,    86,  1840,  1841,   373,  1668,   511,   984,
     513,    88,   515,  3675,  1701,  3677,   836,  1668,  4202,   509,
     436,   373,  4206,  1822,   847,   513,   182,   411,   682,   683,
    3131,   373,  3133,  4169,   987,  2118,   113,   836,   504,   505,
     268,   840,  2586,  4850,  2127,  2503,  1792,   479,  5061,  1124,
     229,   836,   260,   504,   505,   456,   373,   373,  3955,   137,
     479,   436,   377,   840,   516,    85,   143,   499,    88,   892,
     929,   313,  1908,   426,   477,  4628,   730,  3675,   173,  3677,
     499,   513,  4635,  1409,  3969,   224,   367,  3026,  3027,  3028,
     367,  3696,   373,   881,   513,   229,    88,  3770,   173,   387,
     504,   505,   513,   996,   836,   998,  3444,  1000,   840,  2567,
     380,   514,   844,  1006,   517,   473,   272,   405,   458,  2076,
    3041,   853,   854,   513,  3786,  2067,   949,  5140,   860,   980,
     208,   326,   513,     0,  2092,   374,  1029,  1030,   231,   871,
    2098,  1028,  3054,  3370,    25,  4933,  3373,  3374,   226,  4763,
    3377,  2443,   300,  3375,  3376,   887,  3383,   313,  2377,  1114,
    2379,    85,   268,   173,    99,  2531,   210,   899,   513,   984,
     180,   903,  3071,  1114,  3072,  2521,   128,   981,   983,   229,
     511,   160,   914,   426,   515,  2185,  2186,    25,  3786,   119,
     323,   513,   516,   470,   998,   117,  1000,   506,   507,   508,
     509,   933,   185,   396,    99,  4578,  1010,   363,   940,  4858,
    4859,  1098,   944,   999,   197,    14,   184,  1003,  1004,  1005,
     210,   836,   954,   955,   180,  1029,  1030,  1013,   960,   249,
     162,   268,   182,   426,  1827,  3747,   329,   376,   970,   513,
     162,  1128,   151,   975,  4062,     8,   394,   513,    11,    12,
     270,   232,   984,   468,  4636,   234,  4629,   436,   311,    22,
      23,    24,   268,    26,    27,   513,   975,   151,    31,    32,
      33,   464,  5060,   927,   230,   929,  2757,   355,   270,   141,
     189,   180,   328,   238,   477,   121,   208,   515,  1827,  1104,
    4719,  3392,  2005,  2074,   216,  2745,   218,   192,   230,   328,
    1099,   269,   436,   313,  3405,   189,  2158,  2159,   230,   329,
    1076,   513,   175,  2216,  1080,   245,   323,  2169,   513,   249,
     513,  2173,  1099,  1210,   978,   400,  2124,  2125,   982,  2181,
    2182,   426,   998,  4947,  1000,   171,   513,  1074,  1070,    14,
     333,   391,  2194,  2195,  1076,  4579,  1078,  4941,  1080,  4957,
     180,  4733,   458,  2205,   232,   513,   311,   287,   314,   311,
     516,   405,   333,  1029,  1030,   323,   500,  1099,   318,   352,
     151,   137,  4269,   451,  1106,    75,    76,    77,    78,   242,
     513,   515,    82,   264,  3485,  3591,   238,   153,  3594,  3595,
    3596,  3597,  3598,  3599,  3600,  3601,  3602,  3603,  5186,  4583,
    4773,  4502,   381,  4539,  4588,   329,   416,  4591,   189,   419,
     173,  4476,  3045,   348,   313,   405,  2035,   398,  1072,   469,
    1074,   458,   505,   185,     5,   261,   264,  2046,   380,   506,
     507,   508,   509,   342,  1166,  1167,  2080,   300,   175,  2058,
     303,   494,   208,  1152,    25,   172,   427,  3653,  3654,  5098,
    2043,   403,   458,   482,    35,  4307,   274,   327,   342,   311,
     226,   105,  1171,   398,   326,   103,   104,   513,  5062,  4851,
    1242,  1243,    88,   231,   121,   311,  4905,   407,   403,  4861,
     500,   501,   502,   313,   504,   505,   506,   507,   508,   509,
    1202,   137,   391,   311,   429,  4848,   431,   113,   477,   151,
     262,   259,   458,   513,  2043,   242,   513,   462,  1217,   426,
    1242,  1243,   504,   505,   506,   507,   508,   509,  5071,   340,
     398,   430,   160,   516,   171,  5139,   184,   143,  2079,  5143,
    2311,   394,   221,  4944,   180,   514,  1268,   189,   517,  2024,
    4202,   179,   305,   185,  4206,   516,   430,  1279,  2033,   427,
      25,  3129,  2690,   134,  1342,   513,   392,  3135,   231,  2395,
      35,   342,   517,   300,  2835,  2363,   303,   211,   446,   268,
    1302,  4248,   299,   211,   301,  5189,   500,   501,   502,  1554,
     504,   505,   506,   507,   508,   509,   333,   405,   351,   355,
     515,    72,   229,   354,    75,    76,    77,    78,  2191,   151,
      81,    82,    83,    84,  4202,    86,  4979,  1339,  4206,  4218,
     462,   269,   249,  1418,   261,   196,  2618,  1421,  4223,  1423,
     262,   310,  1426,  4228,  1428,  1731,   403,  1431,  1432,  1433,
     493,   268,    99,  1419,  1731,  2120,  1422,   189,   456,  1425,
    1444,  1427,   436,   298,  1430,  4829,  1378,   387,  1434,   430,
     513,  4097,  2191,  1457,   270,  1459,   329,   394,  2415,   134,
    2415,  1393,  4798,    88,   311,  1397,  1398,   313,  1400,  5003,
    5004,  4661,   318,    14,  4658,   415,  1408,   438,  4661,  2784,
     147,   443,   445,   264,  1416,   451,  1639,   154,  1397,  1398,
     342,  1400,  2774,   107,   456,  2778,    37,  5070,  1653,  1654,
    4744,  1656,   983,   984,  3931,   182,  4750,  1416,  4692,   355,
    3937,  3938,  1653,  1654,   181,  1656,   182,   417,   418,   480,
    1452,  3528,   516,   369,   233,  2727,  2728,  2729,  2730,   223,
     436,  2530,   370,  1465,   207,  1467,  2674,  2739,  4874,   516,
     403,   182,  4878,  4879,   129,   392,   419,  3228,  1480,   183,
    2076,  1483,   137,  2589,   396,   385,   493,  3696,   396,   458,
    3861,  2597,  1494,  2599,   109,   300,   180,   514,   303,   516,
     174,    85,   153,   511,    88,  3981,   513,   515,   430,   242,
    4024,   160,   291,  1670,    99,   207,   253,  2586,   426,   264,
     342,  1523,  3055,   266,   500,   272,   374,   219,    95,  2768,
     179,  3754,   224,  3564,   101,   451,   272,  1627,  2581,  2608,
    1464,    95,   246,   190,   456,   256,    95,   101,   517,  1551,
    1552,   458,  1554,   200,    22,   403,   464,   457,  1627,  5163,
     468,  4728,   211,  1114,   229,  1567,   313,   300,   340,   477,
    2639,  1573,  1627,   188,   266,   270,   376,   313,   252,  4071,
    1980,  4073,   233,   516,   249,   275,   350,  1594,  1595,   394,
     333,  3311,   341,  3321,  2637,   219,   288,  4932,     2,  1999,
     311,   252,   313,   268,    72,   513,  1608,   192,   430,  1611,
     517,  1680,  1681,  1682,  1616,  1617,   363,  3158,   504,   505,
     506,   507,   508,   509,  1626,  1627,   438,   363,  3514,  2492,
     197,   403,  1611,   325,  1681,  1682,   291,  1616,  1617,  2528,
     291,   333,   172,   197,   836,   192,  4578,   194,   197,   333,
     429,  4583,   431,  1655,   403,  1745,  4588,  1659,  1660,  4591,
      85,   394,  1731,    88,   288,    75,    76,    77,    78,  1738,
    1594,  1595,    82,   230,   410,   454,  1745,   477,  1680,  1681,
    1682,   332,   419,  2492,  1731,    89,   270,  4163,  4164,    97,
    1745,  1738,  1699,  4781,   341,  4862,   340,  4629,   115,  1701,
    5071,   325,  3586,  1860,   436,   458,  4523,   450,   324,   117,
    4578,   327,  1770,  1692,  1693,  4583,   516,   126,   229,   136,
    4588,   370,   438,  4591,   254,   183,  3610,   374,  2483,  1731,
    3168,  3139,   233,  2839,  5069,  2490,  1738,  1739,   249,  1718,
    1719,  3470,  1627,  1745,  3473,   329,  4868,   396,   270,   153,
    1752,   425,   426,   504,   505,   159,   209,  2410,   450,   403,
     513,  4629,   197,   172,   480,    75,    76,    77,    78,   299,
    2753,   301,    82,  2895,   341,  1699,   323,   426,   429,   233,
     431,   185,   229,  1785,   516,   152,   343,   341,   246,   440,
     291,  1793,   341,   458,   340,  1680,  1775,   250,  4290,  4291,
     451,    88,   249,   454,  1783,   327,  4623,   374,  4625,   504,
     505,   506,   507,   508,   509,   464,   500,   249,  5132,   175,
     374,   268,  2944,  1825,  3199,   374,   113,   511,   477,   513,
     514,   515,   516,  3399,   201,   327,   403,   291,   155,  5006,
     332,  4773,   251,   229,   298,   270,  2760,  1829,  4458,   403,
    1832,   408,   517,  2975,   403,   263,   143,   403,  1837,  4467,
    1745,  1840,  1841,   249,   513,    95,   367,  1418,  4478,   183,
     436,   101,  1962,  2760,  4962,   363,   192,   194,   194,   128,
    1882,   333,   268,  2797,  1076,   389,   242,   375,  1080,   161,
     299,  3013,   301,  1962,  4391,  4392,   331,  4829,   147,  1881,
    1902,   217,   311,  1885,   329,  4773,   513,  1962,   318,   354,
    2797,   399,   161,   280,   281,   517,   500,   501,   502,  1921,
     504,   505,   506,   507,   508,   509,  3033,   294,   429,  1908,
     431,   340,   246,  5100,   500,   374,   440,  1939,  2031,  1490,
    3046,   393,   374,   378,   300,  2321,   378,   516,  3187,   515,
     511,   520,  2151,   454,  2321,    51,   517,    88,   230,  1510,
    1962,  4829,   211,   458,   403,  1967,  3814,   197,   403,   470,
     379,   403,   458,    69,   341,   429,  2133,   431,  3790,   249,
    1982,   224,   113,   270,   271,  3526,   258,    88,   516,  1540,
      71,   234,   520,   438,   517,  2080,  1998,   313,    79,    80,
     454,   273,   318,  1554,  2079,   414,   249,   323,   318,  4218,
     331,   458,   143,   285,  4223,  2089,  3454,  2091,   513,  4228,
     341,  2095,  2024,  2097,  3215,  3463,  2100,   513,  2030,   316,
    2104,  2033,   224,  2035,  2036,   480,   308,   161,   394,  3043,
     341,  4232,   143,  5210,  2046,   477,  3237,  4979,   477,   238,
    1242,  1243,   244,   374,   516,   327,  2058,  2059,   519,  4535,
    3633,   428,  3965,   430,    41,  2067,  2141,  2150,  2070,  2141,
     517,   152,   458,   374,  2141,   378,  2141,  1962,  2080,   504,
     505,   506,   507,   508,   509,  4561,  4562,   516,  2067,   477,
     145,  2070,   389,  2141,  3822,   389,    14,   396,   153,  2157,
     403,   458,  1653,  1654,   374,  1656,   230,   264,   378,  3838,
    3839,  4979,   384,    75,    76,    77,    78,  2872,  2120,    37,
      82,   202,   311,  2878,   477,   479,   442,   426,   516,  2992,
     479,   517,  3046,   403,   258,  3549,   452,  3865,  5070,  2229,
     383,  3613,  3614,   440,   274,   499,   440,  3216,   469,   273,
     499,    16,   341,   192,    72,   194,  2158,  2159,    72,   513,
    2229,   285,   341,   516,  2166,   464,   357,  2169,   230,  2822,
     511,  2173,    86,   254,  2229,   341,  2178,   518,   217,  2181,
    2182,   311,  3755,  2992,   308,   374,   458,  2189,   440,   327,
    2192,  2193,  2194,  2195,   332,   374,   258,   192,  4695,   194,
    2202,  2203,  5070,  2205,  3556,  2207,  2208,   477,   374,  2211,
    3418,   273,   378,  3282,   513,   500,   224,   504,   505,   506,
     507,   508,   509,   285,   403,  2227,  2228,  2229,   322,   313,
     515,  2233,   636,   363,   318,  2237,   244,   403,  2323,  2241,
     367,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
    4253,  2253,  2321,  4745,  2453,   396,  2455,  3066,  4161,   470,
     384,  2263,  2264,   127,   393,   346,  3155,  3156,  3023,    85,
     397,  3185,    88,   462,  2321,   405,    97,   361,   514,   318,
    5097,   517,  4158,   276,   323,   426,    75,    76,    77,    78,
    4661,   182,  4501,    82,  4045,   159,   117,   113,  3185,   426,
    1236,   341,   512,   119,   219,  4030,   516,    34,  2377,   224,
    2379,   477,   512,   436,  3553,  1251,   516,  1253,   313,  2321,
    2368,  4797,   384,   464,  2326,   513,   456,   143,   323,   428,
    2377,  4651,  2379,   224,   374,  3090,   477,   440,  2340,    75,
      76,    77,    78,   470,  2229,  2502,    82,  2349,  2350,  3787,
    3788,   215,    71,  2443,   514,  2448,   318,   517,   145,  3767,
      79,    80,  4682,   403,   479,   256,   153,   514,   449,   516,
    2349,  2350,   513,   288,  2443,  2377,   457,  2379,   477,   460,
     479,   134,   135,   247,   499,    71,    72,   391,  2443,    75,
      76,    77,    78,    79,    80,    81,    82,  2399,   513,   341,
      86,   367,   508,   442,  4775,  2209,   341,   513,  2212,   515,
     325,   440,  3301,   452,   513,  2417,  2395,  2419,    85,   283,
     311,    88,   313,  2425,   428,    71,    72,  2429,  2430,   245,
     393,   397,   374,   249,   157,  1627,  2415,  2439,  2417,   374,
    2419,  2443,  2444,   219,  4401,  2447,  4403,   137,   224,   313,
    4407,  3557,  4409,   143,   270,   271,   514,   508,   516,  3442,
     426,   403,   513,   153,   515,   376,  2556,  2469,   403,   298,
    2472,   287,   298,   477,  2943,   479,  2945,  2946,   882,   252,
     429,  2483,   431,  2552,  2577,    85,  2410,  2556,  2490,   511,
     180,   513,   182,   515,   180,   518,   315,  2552,  3620,    72,
     316,  2556,   244,  1829,   470,  3419,  1832,  3421,  2510,   513,
    3719,   440,   288,   329,   378,  3688,   380,   150,   382,  2521,
      75,    76,    77,    78,   388,  2527,  2528,    82,  2079,   318,
     470,   395,  3419,  2535,  3421,   125,   940,   941,   393,   403,
     276,  4082,  4083,  4084,  3433,   429,  3435,   431,   412,   325,
    2552,  2553,  4872,  1745,  2556,  1881,   420,   513,  2443,  1885,
    1752,    75,    76,    77,    78,   511,   256,   513,    82,   341,
    3484,   975,  4524,  4525,  4526,  4527,  2578,   396,  2580,  2581,
     391,   267,  2584,  3392,  3691,  3692,  3693,   506,   507,   508,
    2141,   407,  2713,  1785,   516,   517,  3405,  3484,   496,   497,
    2602,     7,   374,   270,   276,   291,   378,   426,   472,  2699,
    2589,  2613,   519,    19,    20,   516,   517,   428,  2597,    85,
    2599,    86,    88,   313,  2626,   180,  1470,  1471,   318,  1033,
    2699,   403,   513,    39,  2636,  2637,    42,   514,   327,   516,
    4717,   513,   516,   515,  2699,   464,  4219,   113,    75,    76,
      77,    78,   477,   119,   479,    82,   387,   388,   477,  3548,
    1064,   125,   329,   314,   315,   355,   477,  2552,   479,  1073,
     207,  2556,  4245,  1077,  1078,  1079,   115,   143,  2680,   369,
    2682,   495,   219,  2234,   500,   501,   502,   224,   504,   505,
     506,   507,   508,   509,   513,   514,    71,  2699,   517,   514,
     470,   516,   513,  2705,    79,    80,    71,  4610,  2710,   515,
      75,    76,    77,    78,    79,    80,   514,    82,   516,   272,
     514,    96,   516,   391,    85,   330,   514,    88,   516,   266,
    2975,   330,   514,  3924,   516,   327,   514,   391,   516,   514,
    2742,   516,   436,   224,   105,   396,   514,   495,   516,  4958,
     156,   288,   513,   180,   515,  2757,   327,   514,  2760,   516,
     428,   451,  1166,  1167,   477,   391,   479,  1171,   330,   514,
    1962,   516,   115,  3528,   428,   426,   272,   152,    75,    76,
      77,    78,  4054,   249,   495,    82,  5106,   193,   325,    86,
     506,    71,    72,   387,   388,  2797,   333,  5117,   516,    79,
      80,   513,   428,  2805,   270,   271,    86,   387,   388,   477,
     175,   479,   514,   464,  2699,   391,   228,  2368,   504,   505,
     229,  4362,  4363,   477,  4365,   479,   477,   202,   391,  3018,
    3019,  3020,   514,   125,   501,   502,   268,   504,   505,   506,
     507,   508,   509,  2845,   391,   513,   387,   388,  3093,  5169,
     316,   477,   428,   479,   514,  2857,   516,   506,   517,   513,
    2839,  2951,   513,   329,   519,   428,  2868,  2957,   264,   514,
    2872,   516,   519,   514,   249,   516,  2878,   242,   514,   254,
     516,   428,  2951,   180,   514,   436,   516,   513,  2957,   514,
     514,   516,   516,  2895,  2896,   513,  2951,   391,  2822,  2901,
     436,   477,  2957,   479,    75,    76,    77,    78,   514,   270,
     516,    82,   436,   450,   477,   436,   479,   429,   436,   431,
    3675,   429,  3677,   431,  2926,  2927,   514,   203,   516,  2931,
     477,   514,   479,   516,   428,   300,   108,   513,   303,   125,
     270,  2943,  2944,  2945,  2946,   264,   514,   391,   516,  2951,
     513,   477,   436,   479,  2956,  2957,   514,  2959,   516,  2961,
      75,    76,    77,    78,   513,   515,   513,    82,   329,  2971,
    2972,   346,   403,  2975,   511,   481,   249,   514,   515,   212,
     514,  4087,   516,   477,   428,   479,  2988,  3062,  2990,  1393,
    3062,   513,  2994,  1397,  1398,  3062,  1400,  3062,   513,   515,
    4398,    75,    76,    77,    78,   514,   249,   516,    82,   180,
     385,  3013,  1416,   121,  3062,    75,    76,    77,    78,   513,
     327,  3023,    82,  4145,  3026,  3027,  3028,  4465,   514,   394,
     516,  3786,   514,   477,   516,   479,  4761,  2229,   504,   505,
     506,   507,   508,   509,  3046,   514,   212,   516,  3050,   424,
     249,   514,  3861,   516,   162,   212,   514,  1461,   516,   224,
     514,  3063,   516,    98,   327,   212,  2951,  3046,   514,   513,
     516,   514,  2957,   516,   449,     2,  3078,   517,   186,  1483,
     286,   514,   457,   516,   514,   460,   516,  1118,  3090,  1120,
     182,  3070,  3071,   201,   458,   327,   131,   205,   514,   514,
     516,   516,  4275,   504,   505,   506,   507,   508,   513,   144,
     514,   440,   516,   514,   322,  4004,  4005,   225,   470,   514,
     228,   516,   157,   514,   393,   516,  3128,   276,   493,  3131,
     360,  3133,   240,   514,   513,   516,  3138,   137,  3140,   500,
     501,   502,   477,   504,   505,   506,   507,   508,   509,  4207,
     108,  4209,  1556,  3155,  3156,   514,   514,   516,   516,  3161,
     195,   514,  1566,   516,   504,   505,   506,   507,   508,   313,
     481,   206,   512,   313,   513,  1579,   514,   514,   516,   516,
    3182,   115,   514,  3185,   516,   115,  3188,  3256,  3257,  3258,
     514,   226,   516,   341,   445,  4246,   231,   514,   514,   516,
     516,  3256,  3257,  3258,  1608,   224,   150,  1611,  1612,   514,
     318,   516,  1616,  1617,    75,    76,    77,    78,   326,   358,
     470,    82,    75,    76,    77,    78,  3228,   518,   514,    82,
     516,   514,   514,   516,   516,   514,   514,   516,   516,   514,
     167,   516,   514,   514,   516,   516,   514,   514,   516,   516,
     514,  2443,   516,   361,  3256,  3257,  3258,   514,   470,   516,
     187,   212,   514,   298,   516,   514,   212,   516,   513,   212,
     481,   212,   212,   212,  4712,  4713,   516,   212,  3280,   212,
     327,  4822,   327,   212,   212,   426,   212,  3289,   212,  3291,
    3292,  4832,  4398,   212,   329,   513,   108,  1701,   286,  3301,
     225,   224,   224,   327,   513,   351,  4704,    85,   513,   513,
      88,   224,   513,   513,  3404,   513,   513,   513,  3663,   513,
     513,   513,   513,   358,   513,   513,   513,   105,   513,  2521,
     513,   513,   513,   513,   513,  3404,   513,   513,   513,   513,
     513,   478,   338,   513,  3346,   108,   163,  4888,   268,  3404,
     268,   108,   516,   516,   286,   270,   391,   224,   325,   224,
    2552,    98,   397,  3365,  2556,   400,   323,  3496,   506,  3371,
     403,  3256,  3257,  3258,  4237,   264,   394,   179,   457,   500,
     516,   516,   303,    14,   516,   513,  2578,   513,   513,  3391,
    3392,   426,   436,   436,   391,   515,   436,   432,   436,   391,
    3493,   153,  3404,  3405,   436,   436,   436,   391,   145,   212,
     445,   327,   395,  3392,   283,  4304,  3661,  3419,  3466,  3421,
     436,   436,   318,   436,  2975,   428,  3405,  3475,  4237,   457,
     327,  3433,  3677,  3435,   254,   470,   323,   174,  2989,   243,
     513,   436,   436,   513,  4985,   153,   341,  4202,  3496,  1853,
     516,  4206,   249,   212,   458,   174,   458,  3008,   195,   436,
     436,  4899,   436,   125,   125,   436,  4355,  3469,  4451,   206,
     436,   436,  3023,   331,  4596,   428,   436,   436,  3667,  3668,
    3669,  3670,  3484,  3485,  4398,   114,   114,   436,  4595,   226,
     391,  4699,   270,   516,   231,  4602,  3498,   327,   436,  4616,
     436,  4876,   481,   327,   270,   477,   513,  2699,   513,   108,
     107,  3062,  3514,   467,   513,    97,  1920,   327,   212,  3404,
     313,   180,   513,  4875,   212,   294,  3528,    85,   323,  3531,
      88,  4884,   469,  4886,   313,   108,  3626,   224,   513,  3090,
     277,   458,  3093,   108,   276,   515,  3548,   105,   392,  3551,
     458,   329,   212,   458,   212,   212,   212,  3626,   212,    14,
     516,   298,   322,   436,   317,  3567,    85,   473,  3570,    88,
     434,  3626,  3496,    88,   229,  3577,   305,   305,  3557,   434,
    1984,  3583,   513,  3585,   403,   495,   105,   436,  3590,  3591,
     237,   229,  3594,  3595,  3596,  3597,  3598,  3599,  3600,  3601,
    3602,  3603,   513,   220,   516,  3607,  3608,   516,   500,   513,
     513,   438,  1660,  3615,   516,   514,   243,   243,  3620,   513,
     266,   358,  3624,   516,  3626,   405,  3628,   328,   516,   274,
     458,   514,   514,    34,    10,  5033,  3638,   335,   125,  3641,
     514,  3643,   436,   391,   436,   152,   391,   513,   385,  3651,
    3652,  3653,  3654,   458,   391,    95,  3658,   513,   274,  3661,
     397,   101,   274,  2067,   436,   318,  2070,   318,   436,   436,
     440,   470,   393,  3675,   276,  3677,   318,   327,   115,   410,
    4802,   436,   326,   516,   428,   436,   391,  3689,   374,   426,
     374,   428,   244,  3695,  3696,   436,  4764,   400,  4453,   363,
     436,   141,   270,   108,   270,   326,   270,   270,   445,   458,
    4817,   458,   270,   270,   500,   107,   436,   500,   436,   212,
     511,  3884,   500,   501,   502,   224,   504,   505,   506,   507,
     508,   509,   470,   470,   511,   226,   323,   513,   513,   212,
    3742,  3626,   211,   477,   108,   507,  3748,   327,   400,   327,
     190,   270,  3754,   241,   224,   241,   108,   197,   212,  2951,
     200,   400,   224,    96,   249,  2957,   327,  4630,  3770,   249,
    3860,   329,  3862,  4662,  2178,   249,   327,   516,   235,   481,
     302,   516,   477,   516,  3786,   327,  3855,   125,   322,   516,
    4704,  3860,   440,  3862,   426,   470,   229,   276,   514,   514,
    3855,   514,   514,   514,   514,  3860,   495,  3862,   514,  4672,
     329,   229,   516,   345,   254,  3817,   436,   514,  5170,   495,
     513,  4630,   514,  4578,   514,   337,    90,    90,  4583,   514,
     328,   514,   514,  4588,   514,   514,  4591,   474,   328,   513,
     513,   513,   456,   514,   474,   464,   381,   517,   516,   514,
     516,  3941,  4661,  3855,  4976,   125,   288,   500,  3860,  3861,
    3862,   327,   330,  4672,   500,   514,   327,   252,   212,   436,
     481,   311,  3941,   313,  4629,   318,    85,   436,   513,    88,
     513,   436,  3861,   323,   331,   260,  3941,   436,   212,   212,
    2294,   331,   252,   288,   346,   346,   436,   436,   436,   455,
     436,   341,  3904,   296,   113,  3907,   296,   296,   436,   436,
     119,   436,   436,   391,   391,  3466,  4671,   313,   436,   391,
     436,   403,   436,   212,  3475,   436,   391,   114,   436,   270,
     270,   270,   513,   303,   143,   511,   445,   377,   378,  3941,
     514,   288,   500,   501,   502,  3496,   504,   505,   506,   507,
     508,   509,   514,   500,   514,   115,   376,   173,   326,   108,
     514,   514,  4717,   403,   327,   513,   516,   238,  3947,  3948,
    3855,   516,   436,   224,   458,  3860,   391,  3862,   391,  3981,
     391,   500,   501,   502,   330,   504,   505,   506,   507,   508,
     509,  4039,   210,   516,   270,  2399,   205,   210,   458,   203,
     229,   511,  4004,  4005,    88,   224,  4008,   135,   514,  4011,
     514,  2415,   514,  2417,   514,  2419,   469,   229,  4773,   513,
     333,   461,  5005,   229,   474,   514,   237,   498,   328,   445,
     513,   224,   108,  4081,   458,   516,   245,   500,   514,   514,
     249,  4417,   500,  4045,  4046,  4047,   458,   125,   975,   516,
    4417,   428,   436,   260,   445,   514,  3941,   513,   436,   391,
     391,   270,   271,   436,  3256,  3257,  3258,   513,  4267,   996,
     436,   998,    89,  1000,  4829,   436,   514,   436,   287,  1006,
    1007,  1008,   125,   514,   514,   428,   224,  1302,  4090,   143,
     212,   173,   445,   514,   270,   270,   513,   274,  4261,   513,
     359,   400,  1029,  1030,   512,   477,  4108,   316,  4087,   513,
    3661,   513,  2516,   516,   481,   224,   514,   516,   255,  5033,
     329,   148,   428,    85,  3675,   436,  3677,   513,   516,   234,
     229,   514,   400,   173,   270,   270,   270,   270,  5001,   229,
     514,   368,   513,  4145,   125,  2193,   475,   475,   273,   514,
    4313,   336,   514,  4155,  4156,   273,  4158,   514,   516,  2207,
     514,  4163,  4164,   513,  4919,   513,  4168,  4169,   513,    71,
     125,   239,  4174,  4175,   500,   323,  4178,    79,    80,  4181,
     514,   436,    95,    85,   514,   445,    88,   514,   101,   477,
     229,   143,  5001,   254,   318,  4243,   500,   318,   407,   125,
    4202,   516,   428,   105,  4206,   436,   108,   516,   212,   512,
     270,   113,  3404,   231,   229,   458,  4218,   119,   249,   458,
    2193,  4223,   108,   198,  4979,  1152,  4228,   473,   141,   477,
     513,   229,   477,   513,  2207,   257,   330,   229,  4307,   513,
     513,   143,   368,   463,  1171,   413,   344,   514,   514,   273,
    1465,  4253,  4307,  4232,   476,   513,   513,  2661,   514,   369,
     327,   514,   436,  4426,   436,  2669,   513,   477,  4270,   513,
     224,   187,   318,   108,  4253,   252,   514,   190,   297,   513,
     318,   513,   359,   513,   197,  2258,  4288,   200,   211,   514,
    1217,   108,  2340,   514,   331,   504,   505,   506,   507,   508,
     509,   388,  4304,   388,  5059,  4307,   500,   125,    85,   125,
     108,    88,   513,   513,  4316,  5070,   514,   514,    85,   458,
     428,    88,  2726,   311,   428,   327,   428,    82,  4330,   400,
     514,   218,   137,  4335,   359,   330,   113,   137,   105,   193,
    4342,   254,   119,   245,    85,   462,   113,   249,  4417,   463,
    2754,   513,   119,  4355,  5109,   368,  2760,   516,   108,   229,
     366,   474,   428,   224,   198,   477,   143,  2340,   270,   271,
    4417,   254,   513,   108,   327,   108,   143,   327,   125,   330,
     387,  4383,   330,   514,   513,   287,   513,   456,   185,    82,
     387,   514,    94,  2797,   514,   105,  4398,   513,   311,   211,
     313,   359,   513,   373,  1884,  1213,  2711,  1243,  3046,  2563,
     323,   313,  3237,  1242,   316,  4417,  3860,  2630,   331,  4398,
    3388,  3940,  4307,  4891,  4702,  5033,  4757,   329,   341,  4002,
     332,  4761,  4444,  1617,  3626,  4743,  3162,  2827,  5104,  4629,
    4442,  5167,  5047,  5046,  5123,  4942,  3166,  2702,  3994,  2702,
    3855,  4453,  1985,  3257,  2696,  3456,  5175,  5245,  5237,  4738,
    3404,   374,  3391,    89,   377,   378,  5134,  4674,   245,  5020,
    1397,  1398,   249,  1400,  1975,  5114,  4677,  4090,   245,   187,
    1453,  4847,   249,  1468,  4043,  2430,  5241,  4958,  4039,  1416,
     403,  4045,  3138,   270,   271,  3349,   941,  5148,  5239,  4501,
    1093,    78,  2324,   270,   271,   407,  2323,    84,  2080,  3062,
     287,  4028,    89,  4244,  2810,  3752,  1108,  2366,  1645,  3063,
     287,  4523,  3078,  2365,  3098,  1411,  3090,  2340,  3677,  1663,
    4081,  1662,  1665,  4535,  4193,  4830,   313,  4539,  4612,   316,
     117,   167,  4544,  4208,  3675,  4979,   313,  1670,   461,   316,
    4978,  3636,   329,  4800,  1098,  3753,  3628,  5095,  5087,  4561,
    4562,   187,   329,  4565,  5096,   332,  3066,  2989,  2897,  2987,
    3748,  2263,   636,  3493,  2761,  1346,  4578,  2018,  5079,  2399,
    1682,  4583,  1676,   382,  2374,   162,  4588,  1464,  1189,  4591,
     977,  2415,  1169,  3759,  4596,  4597,  3040,  1169,   500,   501,
     502,  2408,   504,   505,   506,   507,   508,   509,  2407,  1591,
    1825,  4231,  4702,  3760,  3724,  1680,  2419,  2823,  2109,   415,
       2,  4623,  4246,  4625,  1397,    -1,  4605,  4629,  1009,    -1,
     407,   208,    -1,  4702,    -1,    -1,    -1,    -1,    -1,   216,
     407,   218,  3046,    85,    -1,    -1,    88,  4702,    -1,    -1,
      -1,  4202,    95,   230,    -1,  4206,    -1,    -1,   101,  4661,
    4662,    -1,    -1,  3855,    -1,    -1,    -1,    -1,  3860,  4671,
    3862,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,  4661,    -1,  1611,    -1,    -1,  1902,    -1,  1616,
    1617,    -1,  4243,    -1,    -1,    -1,    -1,    -1,   141,  4747,
    4702,   143,  4704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,   512,    -1,   190,    -1,  3941,
      -1,   518,  1967,    -1,   197,    -1,    -1,   200,    -1,    -1,
      -1,    -1,    -1,  1690,    -1,  1692,  1693,    -1,    -1,    -1,
      -1,  4773,    -1,  4775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3185,    -1,    -1,  1711,    -1,    -1,    -1,    -1,    -1,
      -1,  1718,  1719,    -1,    -1,  4797,  4798,    -1,  4800,  4868,
    4802,    -1,    -1,   245,   381,    -1,    -1,   249,    -1,    -1,
      -1,   254,    -1,  4868,    -1,  2030,    -1,  4702,    -1,    -1,
      -1,    -1,    -1,  4825,    -1,    -1,    -1,  4829,   270,   271,
      -1,    -1,  4834,    -1,    -1,    -1,    -1,   854,    -1,   416,
      -1,    -1,    -1,   860,    -1,   287,    -1,    -1,  1775,    -1,
      -1,    -1,    -1,    -1,   871,    -1,  1783,    -1,  3262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4868,    -1,   311,    -1,
     313,    -1,  4874,    -1,   316,    -1,  4878,  4879,  2926,  2927,
     323,    -1,   899,  2931,    -1,    -1,   903,   329,   331,    -1,
      -1,    -1,  4940,    -1,    -1,  3299,    -1,   914,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1837,    -1,    -1,  1840,  1841,    -1,    -1,  4919,    -1,    -1,
      -1,    -1,    -1,  2971,  2972,    -1,    -1,    -1,    -1,    -1,
      -1,   374,    -1,    -1,   377,   378,  4938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3348,    -1,    -1,  5192,    -1,    -1,
      -1,    -1,    -1,  2926,  2927,    -1,  4958,    -1,  2931,    -1,
     403,    -1,    -1,  4965,    -1,   407,  3370,    -1,    -1,  3373,
    3374,    -1,    -1,  3377,  4976,    -1,    -1,  4979,    -1,  3383,
      -1,  1908,    -1,  4868,    -1,    -1,    -1,    -1,  3392,    -1,
      -1,    -1,    85,    -1,  3398,    88,    -1,    -1,  2971,  2972,
      -1,  3405,    78,    -1,    -1,    -1,    -1,    -1,    84,  5011,
      -1,    -1,  2227,    89,    -1,  3419,    -1,  3421,   461,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,  5033,  4583,    -1,    -1,    -1,    -1,  4588,    -1,    -1,
    4591,   117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,  3457,    -1,    -1,    -1,  5059,    -1,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,  5070,    -1,
      -1,    -1,    -1,  5148,    -1,    -1,  5148,    -1,    -1,  3483,
    3484,  5148,    -1,  5148,  5086,  5087,   162,  5135,    -1,  2016,
      -1,    -1,    -1,    -1,    -1,  5097,    -1,  5187,    -1,    -1,
    5148,    -1,    -1,    -1,    -1,    -1,    -1,  5109,    -1,    -1,
      -1,    -1,   205,    -1,    -1,  4307,    -1,  5192,  5187,    -1,
    5192,    -1,    -1,    -1,    -1,  5192,    -1,  5192,    -1,    -1,
      -1,    -1,  5187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2067,    -1,    -1,  2070,  5192,    -1,    -1,  5237,  5150,  1166,
    1167,    -1,   245,    -1,   230,  5245,   249,    -1,    -1,    -1,
     108,    -1,  5164,    -1,  5239,    -1,    -1,  5239,  5237,    -1,
      -1,    -1,  5239,    -1,  5239,    -1,  5245,   270,   271,   127,
      -1,    -1,  5237,    -1,    -1,  5187,    -1,    -1,    -1,    -1,
    5245,  5239,    -1,    -1,   287,    -1,  4747,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   845,   846,  5187,    -1,
     849,   159,   851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
    5232,   870,    -1,  3637,    -1,  5237,   329,    -1,    -1,  5241,
      -1,    -1,    -1,  5245,  2171,  2172,    -1,    -1,    -1,    -1,
      -1,   890,  2179,    -1,    -1,   894,  2183,  2184,  5237,   836,
      -1,    -1,    -1,   840,    -1,    -1,  5245,   215,    -1,    -1,
      -1,  2198,   911,  2200,    -1,    -1,    -1,   854,  4829,    -1,
      -1,    -1,    -1,   860,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,   871,  2222,    -1,  2224,    -1,   247,
      -1,    -1,  5187,    -1,    -1,   381,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   407,    -1,    -1,    -1,    -1,   119,
    2535,    -1,   899,    -1,    -1,    -1,   903,    -1,   276,    -1,
      -1,    -1,    -1,    85,    -1,   283,    88,   914,    -1,    -1,
     416,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,  2276,
      -1,    -1,  5237,   105,    -1,    -1,    -1,    -1,    -1,    -1,
    5245,   113,    -1,   940,    -1,   313,    -1,   119,    -1,    -1,
     996,    -1,   998,    -1,  1000,    -1,    -1,    -1,   955,    -1,
    1006,    -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,  4940,
      -1,   143,    -1,   970,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1029,  1030,   205,    -1,   984,    -1,    -1,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,  2349,  2350,    -1,    -1,    -1,    -1,    -1,    -1,
     378,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,    -1,
     388,    -1,    -1,    -1,    -1,   245,    -1,   395,    -1,   249,
      -1,    -1,    -1,    -1,    -1,   403,    -1,  3861,    -1,    -1,
      -1,    -1,    -1,    -1,   412,    -1,    -1,  2682,  2395,    -1,
     270,   271,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3885,    -1,    -1,  3888,    -1,  3890,   287,  2415,    -1,
    2417,    -1,  2419,   245,    -1,    -1,    -1,   249,    -1,  1076,
      -1,  1078,    -1,  1080,    -1,    -1,    -1,    -1,    -1,    -1,
    4702,    -1,    -1,    -1,    -1,    -1,   316,    -1,   270,   271,
      -1,    -1,  1099,    -1,   472,    -1,  1152,  3931,   476,   329,
      -1,    -1,    -1,  3937,  3938,   287,  3940,    -1,    -1,    -1,
    1166,  1167,    -1,  3591,    -1,  1171,  3594,  3595,  3596,  3597,
    3598,  3599,  3600,  3601,  3602,  3603,  3960,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,  3971,  3972,  3973,
    3974,    -1,    -1,    -1,    -1,    -1,  3624,   329,    -1,    -1,
     332,  1220,  1221,    -1,  5135,    -1,    -1,    -1,    -1,  1166,
    1167,  1217,    -1,    -1,    -1,    -1,    -1,  5148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3653,  3654,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3591,    -1,
      -1,  3594,  3595,  3596,  3597,  3598,  3599,  3600,  3601,  3602,
    3603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4042,    -1,
      -1,  5192,  2857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3624,    -1,    -1,    -1,   407,    -1,  1296,    -1,    -1,
      -1,    85,  2589,    -1,    88,  1242,  1243,    -1,    -1,    -1,
    2597,    -1,  2599,    -1,    -1,    -1,  4868,    -1,  1317,  1318,
    3653,  3654,    -1,    -1,  1701,  1384,    -1,    -1,  5239,   113,
      -1,    -1,    -1,    -1,    -1,   119,  1395,    -1,  1337,    -1,
      -1,  4105,    -1,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,  1374,  1375,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
     836,  2688,   514,    -1,   840,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,   854,    -1,
      -1,   205,    -1,    -1,   860,    -1,    -1,    -1,    -1,    -1,
    1416,    -1,    -1,    -1,    -1,   871,    -1,    -1,    -1,    -1,
      -1,  1378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,
      -1,   245,    -1,   899,    -1,   249,  4230,   903,  4232,  4233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   914,  1416,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,  4253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,   940,  1882,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,  1452,    -1,   249,    -1,   955,
      -1,    -1,    -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,
    1467,    -1,   316,    -1,   970,    -1,    -1,   108,   270,   271,
      -1,    -1,    -1,  1480,    -1,   329,  1483,    -1,   984,    -1,
      -1,    -1,  2839,    -1,    -1,   287,   127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
     332,    -1,    -1,    -1,    -1,  1982,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3188,    -1,    -1,    -1,  4381,  4382,    -1,
      -1,  1998,    -1,   407,    -1,  1611,    -1,  4391,  4392,    -1,
    1616,  1617,    -1,    -1,  4398,  5187,    -1,    -1,  4402,    -1,
      -1,    -1,  1078,    -1,   215,    -1,    95,    -1,  3981,    -1,
      -1,    -1,   101,    -1,  4418,  4419,  4420,  4421,  4422,  2036,
      -1,    -1,    -1,  1099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1608,    -1,    -1,    -1,   407,   247,    -1,    -1,  1616,
    1617,    -1,  2059,    -1,    -1,  5237,    -1,    -1,    -1,    -1,
    1627,    -1,   141,  5245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,  4473,
      -1,    -1,   283,    -1,  3289,  1701,  3291,    -1,    -1,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
    1166,  1167,    -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,
      -1,   190,   313,  1680,  1681,  1682,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,  3041,  4163,  4164,  3044,    -1,  3046,
    4524,  4525,  4526,  4527,  1701,    -1,    -1,    -1,   500,   501,
     502,  3346,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,   514,  3070,  3071,    -1,    -1,    -1,    -1,  1775,
      -1,    -1,    -1,    -1,  1731,    -1,  3371,  1783,    -1,    -1,
      -1,  1738,    -1,    -1,    -1,   254,    -1,   378,  1745,  1808,
      -1,   382,    -1,    -1,    -1,  1752,    -1,   388,    -1,    -1,
      -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,    -1,    -1,
    4163,  4164,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,  1785,   420,
      -1,  1837,    -1,    -1,  1840,  1841,    -1,    85,    -1,    -1,
      88,    -1,   311,    -1,   313,    -1,    -1,    -1,    -1,  1868,
    1869,  1870,  1871,    -1,   323,    -1,    -1,   105,    -1,    -1,
      -1,    -1,   331,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,   341,    -1,  3469,    -1,    -1,  4661,    -1,    -1,
      -1,   472,    -1,    -1,    -1,   476,   477,    -1,    -1,    -1,
      -1,  1910,  1911,    -1,    -1,   143,    -1,  1916,    -1,    -1,
      -1,    -1,  1908,  3498,    -1,   374,    -1,    -1,   377,   378,
      85,  4695,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
    4704,    -1,  1378,    -1,  4708,  1882,  4710,    -1,    -1,    -1,
    4714,  4715,    -1,    85,   403,    -1,    88,  1393,   113,    -1,
      -1,    -1,  1961,    -1,   119,    -1,  2025,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2034,    -1,    -1,    -1,  2038,
    1416,   113,    -1,    -1,    -1,  2044,  2045,   119,   143,  1988,
    1989,  1990,  1991,    -1,    -1,  3570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2062,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,   461,    -1,    -1,  3590,  1452,   245,    -1,    -1,
      -1,   249,  2399,    -1,    -1,  1962,    -1,    -1,    -1,    -1,
      -1,  1467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3615,    -1,   270,   271,  1480,  1982,    -1,  1483,    -1,  2048,
     205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2057,   287,
      -1,  1998,  2439,    -1,    -1,  2064,    -1,  2444,    -1,    -1,
    2447,    -1,    -1,   205,    -1,    -1,  3651,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
     245,    -1,  2469,    -1,   249,    -1,    -1,    -1,  2035,  2036,
      -1,   329,    -1,    -1,   332,  3392,    -1,    -1,    -1,  2046,
    3397,  3398,    -1,   245,    -1,   270,   271,   249,  3405,    -1,
      -1,  2058,  2059,    -1,    -1,    -1,    -1,  4535,  4892,    -1,
      -1,    -1,   287,  2510,    -1,    -1,  4544,    85,   270,   271,
      88,    -1,    -1,  2080,    -1,    -1,    -1,    -1,    -1,  3436,
    2527,    -1,    -1,  4561,  4562,   287,    -1,   105,    -1,    -1,
      -1,   316,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,  1608,    -1,   329,    -1,  2553,    -1,    -1,   407,
    1616,  1617,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,  1627,    -1,    -1,    -1,   143,    -1,   329,    -1,    -1,
      -1,    -1,  4535,  2580,    -1,    -1,    -1,  2584,    -1,    -1,
      -1,  4544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2602,    -1,    -1,  4561,  4562,
      -1,    -1,    -1,  2232,    -1,    -1,  2613,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1680,  1681,  1682,    -1,    -1,  2626,
      -1,   160,   407,    -1,    -1,    -1,    -1,    -1,    -1,  2636,
      -1,  2320,    -1,    -1,    -1,  1701,    -1,    -1,    -1,  5033,
    3557,    -1,   500,   501,   502,   407,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,   516,    -1,
      -1,    -1,  2229,    -1,    -1,  1731,    -1,   245,   207,    -1,
      -1,   249,  1738,    -1,    -1,    -1,    -1,    -1,    -1,  1745,
     219,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,
     229,    -1,   270,   271,    -1,   234,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,   504,   505,   506,   507,   508,   509,    -1,   288,
      -1,   329,    -1,    -1,  2321,    -1,    -1,    -1,    -1,  4797,
      -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,    -1,  2395,
      -1,    -1,    -1,  2399,    -1,    -1,   325,    -1,    -1,    -1,
      -1,    -1,    -1,  5187,   333,    -1,    -1,    -1,   131,  2415,
      -1,    -1,    -1,  4008,    -1,    -1,    -1,    -1,    -1,    -1,
    2377,   144,  2379,    -1,    -1,    -1,  1882,    -1,    -1,    -1,
     153,    -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,   407,
      -1,    -1,  2399,    -1,  4797,    -1,    -1,    -1,  2845,  3756,
      -1,   174,   381,  5237,    -1,    -1,    -1,   180,    -1,    -1,
      -1,  5245,    -1,    -1,    -1,    -1,  2485,  2486,  2487,    -1,
      -1,  2868,   195,    -1,    -1,  2494,    -1,  2496,    -1,  2498,
    2499,    -1,  2439,   206,    -1,    -1,  2443,  2444,    -1,    -1,
    2447,   214,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,
      -1,    -1,    -1,   226,    -1,    -1,  1962,    -1,    -1,    -1,
     233,    -1,  2469,    -1,   237,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,  1982,    -1,    -1,   252,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,  1998,    -1,    -1,   474,    -1,   476,   477,    -1,
     108,    -1,    -1,  2510,  3861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2521,    -1,    -1,    -1,   291,   127,
    2527,  2528,    -1,    -1,  4169,   298,  2595,  3884,    -1,  2035,
    2036,    -1,   511,  2589,    -1,   514,   515,    -1,   517,    -1,
    2046,  2597,    -1,  2599,    -1,  2552,  2553,    -1,    -1,  2556,
      -1,   159,  2058,  2059,    -1,    -1,   329,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2578,    -1,  2580,  2080,    -1,    -1,  2584,    -1,    -1,
      -1,    89,    -1,    -1,    -1,  2654,    -1,    -1,    -1,    -1,
    3947,  3948,    -1,  2662,   367,  2602,    -1,    -1,  2667,  3956,
      -1,    -1,    -1,  3960,    -1,    -1,  2613,   215,    85,   117,
      -1,    88,   385,    -1,  3971,    -1,    -1,    -1,   391,  2626,
      -1,    -1,    -1,    -1,   397,    -1,    -1,   400,   105,  2636,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,   247,
      -1,    -1,   119,  4288,  2773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,   162,   428,   429,    -1,   431,   432,
    2789,  2790,    -1,    -1,  2793,    -1,   143,   440,   276,    -1,
    2799,  4316,   445,    -1,    -1,   283,    -1,    -1,   451,  2748,
      -1,   454,    -1,    -1,   457,    -1,    -1,    -1,    -1,    -1,
    4335,    -1,  2699,  3140,    -1,    -1,    -1,   470,    -1,    -1,
     208,    -1,    -1,    -1,    -1,   313,    95,    -1,   216,    -1,
     218,  2780,   101,  2782,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,  2229,    -1,    -1,    -1,    -1,    -1,    -1,
    4087,    -1,    -1,    -1,    -1,  3182,    -1,    -1,  4383,    -1,
      -1,  2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,  2760,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
     378,    -1,   249,    -1,   382,    -1,    -1,    -1,    -1,    -1,
     388,    -1,    -1,  2839,    -1,    -1,    -1,   395,    -1,    85,
    2797,    -1,    88,   270,   271,   403,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,   412,    -1,    -1,    -1,   197,   105,
     287,   200,   420,    -1,    -1,  2321,    -1,   113,    -1,    -1,
    2889,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3280,    -1,    -1,   313,    -1,  2845,   316,
      -1,    -1,    -1,    -1,    -1,  3292,    -1,   143,    -1,    -1,
      -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,
      -1,  2868,    -1,    -1,   472,   254,    -1,    -1,   476,    -1,
      -1,  2377,    -1,  2379,    -1,  4232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2399,  4539,    -1,  4253,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3365,    -1,
      -1,    -1,   311,    -1,   313,    -1,    -1,    -1,    -1,    -1,
     407,    -1,    -1,  2439,   323,    -1,    -1,  2443,  2444,    -1,
      -1,  2447,   331,    -1,  2951,    -1,    -1,    -1,    -1,   245,
    2957,    -1,   341,   249,    -1,    -1,  4313,    -1,    -1,    -1,
      -1,    -1,    -1,  2469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,  4333,  4334,    -1,    -1,
      -1,  4338,  4339,    -1,    -1,   374,    -1,    -1,   377,   378,
    3046,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,   313,    -1,    -1,
     316,  2527,  2528,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   329,    -1,    -1,   332,   514,    -1,  3046,
      -1,  4398,  3171,    -1,    -1,    -1,  2552,  2553,    -1,    -1,
    2556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4418,  4419,  4420,  4421,  4422,    -1,  3514,    -1,  4426,
      -1,    -1,   461,    -1,  2580,    -1,    -1,    -1,  2584,    -1,
      -1,    -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2602,    -1,    85,    -1,
      -1,    88,    -1,    -1,  3551,    -1,    -1,  2613,    -1,    -1,
      -1,   407,    -1,    -1,    -1,  3244,    -1,  3246,   105,    -1,
    2626,    -1,    -1,    -1,    -1,  3194,   113,  3196,  3197,  3198,
    2636,    -1,   119,  3140,    -1,   855,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   863,    -1,    -1,    -1,    -1,  3155,  3156,
      -1,    -1,   872,  4798,    -1,    -1,   143,    -1,    -1,    -1,
     880,    -1,    -1,    -1,    -1,   885,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,  3185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4834,
      -1,    -1,    -1,  2699,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,  3345,    -1,    -1,    -1,
     516,    -1,  3351,    -1,    -1,    -1,    -1,    -1,    -1,  4874,
      -1,    -1,    -1,  4878,  4879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4605,  3256,
    3257,  3258,    -1,    -1,  2760,    -1,    -1,    -1,   245,    -1,
      -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,   271,  3292,    -1,    -1,    -1,    -1,
      -1,  2797,    -1,    -1,  3301,    -1,    -1,    -1,    -1,    -1,
     287,    -1,    -1,    85,  4661,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1041,    -1,   105,    -1,    -1,   313,    -1,   836,   316,
      -1,   113,    -1,    -1,    -1,    -1,  3392,   119,    95,  2845,
      -1,    -1,   329,    -1,   101,   332,   854,    -1,    -1,  3405,
      -1,    -1,   860,    -1,    -1,  1075,    -1,    -1,  3365,    -1,
      -1,   143,  2868,   871,    -1,    -1,    -1,    -1,  3497,    -1,
    3817,    -1,  3501,  3502,  1094,  3504,    -1,  3506,  3507,    -1,
      -1,    -1,    -1,    -1,   141,    -1,  3515,    -1,    -1,    -1,
      -1,   899,    -1,    -1,    -1,   903,  1116,  3404,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   914,    -1,    -1,    -1,
      -1,    -1,  3419,    -1,  3421,    -1,    85,    -1,    -1,    88,
     407,  3550,    -1,    -1,    -1,    -1,  3433,    -1,  3435,    -1,
      -1,    -1,   940,   190,    -1,    -1,   105,    -1,    -1,  3508,
     197,    -1,  3511,   200,   113,  2951,    -1,   955,    -1,    -1,
     119,  2957,   960,    -1,    -1,    -1,    -1,  3904,    -1,    -1,
    3907,    -1,   970,   245,    -1,    -1,    -1,   249,    -1,    -1,
      98,    -1,    -1,    -1,   143,    -1,   984,  3484,    -1,    -1,
      -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,   270,   271,
    3559,    -1,    -1,    -1,    -1,    -1,    -1,   254,  1218,    -1,
      -1,  3557,    -1,   131,    -1,   287,    -1,  3514,    -1,    -1,
      -1,    -1,    -1,   500,   501,   502,   144,   504,   505,   506,
     507,   508,   509,    -1,  3531,    -1,    -1,   514,    -1,   157,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
    3046,  3548,    -1,    -1,  3551,    -1,   174,   329,    -1,    -1,
     332,    -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4011,    -1,   323,   195,  1076,    -1,
    1078,    -1,  1080,    -1,   331,    -1,   245,    -1,   206,    -1,
     249,    -1,    -1,    -1,   341,    -1,   214,    -1,    -1,    -1,
      -1,  1311,    -1,    -1,    -1,    -1,    -1,    -1,   226,    -1,
      -1,   270,   271,   231,    -1,    -1,    -1,    -1,  4965,   237,
      -1,    -1,    -1,  1333,  1334,  1335,    -1,   374,   287,  3626,
     377,   378,    -1,    -1,   252,   407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4090,   313,    -1,   403,   316,    -1,  3155,
    3156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1166,  1167,
     329,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,  3185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
     358,  1451,   514,    -1,  1242,  1243,    -1,    -1,   407,  3808,
    3809,  3810,  3811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3256,  3257,  3258,    -1,    -1,    -1,    -1,   385,    -1,  1479,
      -1,   389,    -1,   391,    -1,    -1,    -1,    95,    -1,   397,
      -1,    -1,   400,   101,  3280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3301,    -1,    -1,   426,    -1,
     428,    -1,    -1,    -1,   432,  3861,    -1,    -1,    -1,    -1,
    3817,    -1,   440,   141,    -1,    -1,    -1,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3884,   457,
    5187,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,   470,    -1,    -1,   514,    -1,    -1,  3855,    -1,
     127,    -1,    -1,  3860,    -1,  3862,    -1,    -1,    -1,  3365,
      -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,
    1378,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5237,    -1,   159,  4330,    -1,  1393,    -1,    -1,  5245,    -1,
      -1,    -1,    -1,    -1,    -1,  4342,    -1,  3904,  3404,    -1,
    3907,    -1,    -1,  1623,    -1,    -1,    -1,    -1,  1416,    -1,
    3979,    -1,    -1,  3419,    -1,  3421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,  3433,    -1,  3435,
      -1,    -1,    -1,    -1,  3941,    -1,    -1,    -1,   215,  4068,
      -1,    -1,    -1,    85,  1452,    -1,    88,  4076,  4077,    -1,
      -1,  1671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1467,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    95,    -1,
     247,   113,  1480,    -1,   101,  1483,    -1,   119,  3484,    -1,
      -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    85,  4004,  4005,    88,
      -1,   143,    -1,   331,  4011,    -1,   283,    -1,  3514,    -1,
      -1,    -1,    -1,   341,   141,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,  3531,    -1,    -1,    -1,    -1,
     119,  4087,    -1,    -1,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,  3548,    -1,    -1,  3551,   374,    -1,    -1,   377,
     378,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   190,   341,    -1,    -1,    -1,    -1,    -1,
     197,    -1,    -1,   200,    -1,   403,  4523,    -1,  1798,    -1,
      -1,    -1,    -1,  4090,    -1,  1805,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,
    1608,   378,    -1,   245,    -1,   382,    -1,   249,  1616,  1617,
      -1,   388,  1302,  1833,    -1,    -1,  1836,    -1,   395,  1627,
    3626,    -1,    -1,    -1,    -1,    -1,   403,   254,   270,   271,
      -1,    -1,    -1,   461,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,  1872,    -1,    -1,    -1,   245,  4286,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,  1886,    -1,    -1,    -1,
      -1,   313,  1680,    -1,   316,    -1,  4623,    -1,  4625,    -1,
    1900,   270,   271,    -1,   311,    -1,   313,   329,  4317,  4318,
     332,    -1,    -1,  1701,    -1,   472,   323,    -1,   287,    -1,
      -1,    -1,    -1,    -1,   331,  4261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1745,    -1,    -1,
     329,    -1,    -1,   332,  1752,    -1,    -1,   374,    -1,    -1,
     377,   378,    -1,    -1,    -1,  4384,  4385,  4313,    -1,    -1,
      -1,    -1,    -1,    -1,    85,   407,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1465,   403,  1785,    -1,    -1,
    2000,    -1,    -1,    -1,   105,    -1,  2006,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,  4364,    -1,  4304,   119,    -1,
    4307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4378,
      -1,  3817,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,
      -1,    -1,   143,  4330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   461,  4342,    -1,    -1,    -1,    -1,
      -1,    95,  4398,    -1,    -1,    -1,    -1,   101,  4355,  3855,
      -1,    -1,    -1,    -1,  3860,    -1,  3862,  2077,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
    4426,    -1,   514,    -1,  1882,    -1,    -1,    -1,    -1,  4508,
      -1,  4510,  4511,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,  4398,    -1,  4522,    -1,    -1,    -1,    -1,  3904,    -1,
      -1,  3907,    -1,    -1,  2124,  2125,    -1,    -1,  4477,    -1,
    4417,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,  2143,   245,   514,    -1,    -1,   249,    -1,
      -1,    -1,    -1,    -1,    -1,  3941,   190,    -1,    -1,    -1,
      -1,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,   270,
     271,    -1,    -1,    -1,  1962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,    -1,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1982,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1998,    -1,   313,    -1,    -1,   316,   131,    -1,  4004,  4005,
     254,    -1,    -1,    -1,    -1,  4011,    -1,    -1,   329,   144,
     145,   332,    -1,    -1,    -1,    -1,  4523,    -1,   153,    -1,
      -1,    -1,   157,    -1,    -1,    -1,    -1,  2035,  2036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2046,   174,
    2260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,
    2058,  2059,    -1,    -1,    -1,    -1,    -1,   311,    -1,   313,
     195,    -1,  4631,  4632,  4633,  2285,    -1,    -1,    -1,   323,
      -1,   206,  2080,    -1,    -1,    -1,    -1,   331,    -1,   214,
      -1,    -1,    -1,    -1,  4090,    -1,   407,   341,    -1,    -1,
      -1,   226,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,  2322,  1793,  2324,  4661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4623,   252,  4625,    -1,
     374,    -1,    -1,   377,   378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,    -1,    -1,
      -1,    -1,   277,  2363,    -1,    -1,    -1,    -1,    -1,   403,
    5097,    -1,    -1,    -1,    -1,  4662,    -1,    -1,    -1,    -1,
      -1,    -1,  4791,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,   514,   329,  4702,    -1,  4704,    -1,    -1,
      -1,    -1,    -1,  4772,    -1,    -1,    -1,   461,    -1,    -1,
      -1,    -1,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4849,  2229,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1939,
     385,    -1,    -1,    -1,   389,    -1,   391,    -1,    -1,    -1,
    4889,    -1,   397,    -1,    -1,   400,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,     9,  1967,    -1,    -1,
      13,    -1,    15,    -1,    17,    18,    -1,  4856,    -1,    -1,
      -1,   426,    -1,   428,    -1,    28,    -1,   432,  4304,    -1,
      -1,  4307,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
     445,    -1,    45,    46,    -1,    -1,  4885,    -1,  4887,    -1,
      -1,    -1,    -1,    -1,  4330,    -1,    -1,    -1,    -1,  2549,
      -1,    -1,    -1,    -1,    -1,   470,  4342,    -1,    -1,    -1,
    2030,    -1,    -1,    -1,    94,    -1,  2566,    -1,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,
      -1,  4868,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   132,    -1,    -1,   118,    -1,    -1,    -1,    -1,
      -1,  2399,  4398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   153,    -1,   138,    -1,   140,   141,  4965,
      -1,  4417,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   158,    -1,   160,    -1,    -1,
    4999,  2439,    -1,    -1,   184,  2443,  2444,    -1,    -1,  2447,
      -1,   174,   192,   176,    -1,    -1,   179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,   191,   209,
     193,  2469,    -1,   213,   197,    -1,    -1,    -1,    -1,    -1,
     203,    -1,    -1,   223,    -1,    -1,    -1,    -1,   211,    -1,
     213,   231,    -1,    -1,    -1,  5054,   219,    -1,    -1,  2709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,  2510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2521,    -1,    -1,    -1,  4523,    -1,  2527,
    2528,    -1,    -1,    -1,    -1,    -1,  5033,    -1,    -1,    -1,
      -1,    -1,    -1,  5162,    -1,    -1,    -1,  2227,    -1,    85,
      -1,    -1,    88,    -1,  2552,  2553,    -1,    -1,  2556,  5118,
      -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   105,
      -1,    -1,   295,    -1,    -1,    -1,    -1,   113,    -1,    -1,
    2578,   304,  2580,   119,  2264,    -1,  2584,    -1,    -1,    -1,
      -1,    -1,   315,    -1,    -1,    -1,    -1,    95,    -1,    -1,
    5097,    -1,    -1,   101,  2602,    -1,    85,   143,    -1,    88,
      95,    -1,  5171,    -1,    -1,  2613,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,  4623,  2626,  4625,
     353,    -1,    -1,    -1,   113,    -1,    -1,    -1,  2636,    -1,
     119,    -1,   365,   141,    -1,    -1,    -1,   370,   371,    -1,
     373,    -1,    -1,    -1,    -1,   378,   141,    -1,    -1,    85,
     383,    -1,    88,   386,   143,    -1,  4662,   390,    -1,    -1,
      -1,    -1,   395,   396,    -1,    -1,    -1,    -1,    -1,   105,
     403,    -1,    -1,   406,    -1,    -1,    -1,   113,    -1,    -1,
    5187,   414,   190,   119,    -1,    -1,    -1,    -1,    -1,   197,
      -1,  2699,   200,   426,    -1,   190,  4702,    -1,  4704,   245,
      -1,    -1,   197,   249,    -1,   200,    -1,   143,    -1,    -1,
     443,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,    -1,    -1,    -1,   270,   271,   459,    -1,    -1,    -1,
    5237,   464,    -1,    -1,    -1,  2425,    -1,    -1,  5245,  2429,
    2430,   287,    -1,    -1,   477,    -1,   254,    -1,    -1,    -1,
      -1,    -1,  2760,    -1,    -1,    -1,   245,    -1,    -1,   254,
     249,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   270,   271,   329,   517,    -1,   332,    -1,    -1,  2797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3017,   287,    -1,
      -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,    -1,   323,   311,    -1,   313,    -1,
      -1,    -1,    -1,   331,   313,    -1,    -1,   316,   323,    -1,
      -1,    -1,    -1,   341,   270,   271,   331,  2845,    -1,    -1,
     329,    -1,    -1,   332,    -1,  2535,   341,    -1,    -1,    -1,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2868,   407,  4868,    -1,    -1,    -1,   374,    -1,    -1,   377,
     378,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,   374,
     316,    -1,   377,   378,    -1,    -1,   636,    -1,    -1,    -1,
      -1,    -1,    -1,   329,    -1,   403,   332,    -1,    98,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2951,   144,    -1,    -1,    -1,    -1,  2957,
      -1,    -1,    -1,   461,   500,   501,   502,   157,   504,   505,
     506,   507,   508,   509,    -1,    -1,   461,    -1,   514,    -1,
      -1,   407,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2682,    -1,    -1,   195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,
      -1,   500,   501,   502,   214,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,   514,   226,  5033,    -1,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,   237,  3046,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,   501,   502,  2757,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,   277,   514,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5097,    -1,    -1,   844,   845,   846,   847,   298,   849,
      -1,   851,    -1,   853,    -1,   855,    -1,    -1,   858,    -1,
      -1,    -1,    -1,   863,    -1,    -1,   866,    -1,    -1,    -1,
     870,    -1,   872,    -1,    -1,    -1,    -1,    -1,    -1,   329,
     880,    -1,  3140,    -1,    -1,   885,    -1,   887,    -1,    -1,
     890,    -1,   892,    -1,   894,    -1,    -1,  3155,  3156,    -1,
      -1,   901,    -1,    -1,   904,    -1,    -1,    -1,   358,    -1,
      -1,   911,    -1,    -1,    -1,    -1,    -1,  2857,    -1,    -1,
      -1,    -1,    -1,    -1,  3182,    -1,    -1,  3185,    -1,    -1,
      -1,  5187,    -1,    -1,    -1,   385,    -1,    -1,    -1,   389,
      -1,   391,    -1,    -1,   944,    -1,    -1,   397,    -1,   949,
     400,    -1,    -1,    -1,   954,  3425,  3426,    -1,   958,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3441,    -1,   973,    -1,   425,   426,    -1,   428,    -1,
      -1,  5237,   432,    -1,    -1,  3455,    -1,    -1,    -1,  5245,
     440,    -1,    -1,    -1,  3464,   445,    -1,    -1,  3256,  3257,
    3258,    -1,    -1,    -1,    -1,    -1,    -1,   457,  3478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     470,    -1,  3280,    -1,    -1,    -1,    -1,    -1,  1028,    -1,
      -1,    -1,    -1,    -1,  3292,    -1,    -1,    -1,    -1,    -1,
      -1,  1041,  1042,  3301,    -1,    -1,   160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1070,    -1,    -1,    -1,  1074,  1075,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,    -1,    -1,    -1,  3026,  3027,  3028,    -1,
      -1,    -1,    -1,   207,  1094,    -1,    -1,    -1,  1098,    -1,
      -1,    -1,    -1,    -1,    -1,   219,  1106,  3365,    -1,    -1,
     224,    -1,    -1,    -1,    -1,   229,  1116,    -1,    -1,    -1,
     234,    -1,    -1,   237,    -1,   239,    -1,    -1,  1128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3404,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3419,    -1,  3421,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,   288,  3433,    -1,  3435,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,  3128,    -1,
      -1,  3131,    -1,  3133,    85,   113,    -1,    88,  3138,    -1,
      -1,   119,  3672,  3673,  3674,    -1,    -1,    -1,    -1,    -1,
    1210,   325,    -1,    -1,   105,    -1,    -1,    -1,  1218,   333,
    1220,  1221,   113,    -1,    -1,   143,  3484,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3188,    -1,
      -1,    -1,   143,    -1,    -1,    -1,  3514,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   381,  1268,    -1,
      -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,    -1,  1279,
      -1,    -1,    -1,  1283,    -1,    -1,    -1,    -1,  3228,    -1,
    3548,    -1,    -1,  3551,    -1,    -1,  1296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1311,   426,    -1,    -1,    -1,    -1,  1317,  1318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,   249,    -1,  1333,  1334,  1335,   450,  1337,    -1,  1339,
      -1,    -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,  3289,
      -1,  3291,   270,   271,   245,    -1,    -1,    -1,   249,    -1,
     474,    -1,   476,   477,    -1,    -1,    -1,    -1,  3626,   287,
      -1,    -1,  1372,    -1,  1374,  1375,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,   287,   511,   316,    -1,
     514,   515,    -1,   517,    -1,    -1,  3346,    -1,  1408,    -1,
      -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,  3371,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,
      -1,   332,    -1,    -1,    -1,    -1,  1446,  1447,    -1,    -1,
      -1,  1451,  3392,  1453,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,  1479,
      -1,    -1,  1482,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,    -1,    -1,    -1,  1494,    -1,    -1,    -1,  3968,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,  3987,    -1,    -1,
      -1,    -1,    -1,  1523,    -1,    -1,    -1,    85,    -1,  3469,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4014,  3485,    -1,   105,    -1,    -1,
      -1,  1551,  1552,    -1,  1554,   113,    -1,    -1,  3498,  3817,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1573,    95,    -1,    -1,    -1,    -1,    -1,
     101,    -1,   500,   501,   502,   143,   504,   505,   506,   507,
     508,   509,    -1,    -1,  1594,  1595,   514,  3855,    -1,    -1,
      -1,    -1,  3860,    -1,  3862,   126,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
     141,   512,    -1,  1623,    -1,    -1,  1626,    -1,    -1,    -1,
    3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3904,    -1,    -1,  3907,
    3590,   172,    -1,    -1,    -1,  1655,    -1,    -1,    -1,  1659,
    1660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
    1670,  1671,  1672,    -1,    -1,  3615,   197,    -1,    -1,   200,
      -1,    -1,    -1,  3941,    -1,    -1,    -1,   245,    -1,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3651,   270,   271,    -1,  4185,  4186,  4187,  4188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
     251,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4004,  4005,    -1,    -1,
      -1,    -1,    -1,  4011,    -1,   313,  3696,    -1,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,   332,    -1,    -1,    -1,   299,    -1,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,   313,    -1,   352,    -1,    -1,    -1,  1798,  1799,
      -1,    -1,   323,    -1,    -1,  1805,    -1,    -1,  1808,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   340,
     341,    -1,    -1,    -1,    -1,    -1,    -1,  1827,    -1,    -1,
    3770,    -1,  4090,  1833,    -1,    -1,  1836,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,    -1,    -1,   374,    -1,    -1,   377,   378,   379,    -1,
    1860,    -1,    -1,   421,    -1,    -1,    -1,    -1,  1868,  1869,
    1870,  1871,  1872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   403,    -1,    -1,    -1,  1886,    -1,    -1,    -1,
      -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,  1898,    -1,
    1900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1910,  1911,    -1,    -1,    -1,    -1,  1916,    -1,    -1,    -1,
      -1,  3861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
     461,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
     109,  1961,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1988,  1989,
    1990,  1991,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
    2000,    -1,    -1,    -1,    -1,    -1,  2006,    -1,    -1,  2009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2024,    -1,    -1,    -1,    -1,    -1,
      -1,  2031,    -1,  2033,  4504,    -1,    -1,    -1,    -1,   188,
      -1,    -1,    -1,  2043,    -1,    -1,  4304,    -1,  2048,  4307,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2057,    -1,    -1,
      -1,    -1,    -1,  2063,  2064,    -1,    -1,    -1,  4008,    -1,
      -1,    -1,  4330,    -1,    -1,    -1,    -1,  2077,    -1,    -1,
      -1,    -1,    -1,    -1,  4342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,  4355,    -1,    -1,
     249,    -1,    -1,    -1,    -1,  4045,    -1,    -1,    -1,    -1,
      -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,
    2120,   270,   271,    -1,  2124,  2125,    -1,  2127,    -1,    -1,
      -1,    -1,    -1,  2133,    -1,    -1,    -1,    -1,   287,    -1,
    4398,    -1,    -1,  2143,    -1,    -1,    -1,    -1,    -1,    -1,
    2150,  2151,    -1,    -1,  2154,    -1,    -1,    -1,  2158,  2159,
      -1,    -1,    -1,    -1,   313,    -1,  2166,   316,    -1,  2169,
      -1,    -1,    -1,  2173,    -1,    -1,    -1,    -1,    -1,    -1,
     329,  2181,  2182,   332,    -1,    -1,    -1,    -1,    -1,  2189,
      -1,  2191,  2192,  2193,  2194,  2195,    -1,    -1,    -1,    -1,
      -1,    -1,  2202,  2203,    -1,  2205,    -1,  2207,  2208,    -1,
      -1,  2211,    -1,    -1,    -1,    -1,    -1,    -1,  4158,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2228,  4169,
      -1,    -1,  2232,  2233,    -1,    -1,    -1,  2237,    -1,    -1,
      -1,  2241,    -1,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,    -1,  2253,    -1,    -1,    -1,  4727,   407,    -1,
    2260,    -1,    -1,  2263,  2264,  4523,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,  4218,    -1,
      -1,    -1,    -1,  4223,    -1,  2285,    -1,    -1,  4228,    -1,
      -1,    -1,   105,    -1,  4764,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    95,   458,
      -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2322,    -1,  2324,    -1,  2326,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   126,
    2340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4288,  2349,
    2350,   500,   501,   502,   141,   504,   505,   506,   507,   508,
     509,    -1,    -1,  2363,    -1,  4623,    -1,  4625,    -1,  2369,
      -1,  2371,    -1,    -1,    -1,    -1,  4316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
    4860,    -1,    -1,    -1,    -1,  4335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   190,  4662,    -1,    -1,    -1,    -1,    -1,
     197,   224,    -1,   200,    -1,    -1,   229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,  4383,  4702,    -1,  4704,    -1,  2448,    -1,
      -1,    -1,    -1,  2453,    -1,  2455,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   254,    -1,    -1,
      -1,    -1,  2472,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2483,    -1,  2485,  2486,  2487,    -1,    -1,
    2490,    -1,  2492,    -1,  2494,    -1,  2496,    -1,  2498,  2499,
     313,    -1,  2502,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   299,    -1,   301,    -1,   329,    -1,    -1,   332,
      -1,    -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,
      -1,  2531,    -1,    -1,    -1,    -1,   323,    -1,  2538,    -1,
      -1,    -1,    -1,  2543,   331,    -1,    -1,    -1,    -1,  2549,
      -1,    -1,    -1,   340,   341,    -1,    -1,    -1,    -1,    -1,
      -1,  4501,    -1,    -1,    -1,    -1,  2566,    -1,    -1,    -1,
    2570,  2571,    -1,    -1,    -1,    -1,    -1,  2577,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,   374,    -1,    88,
     377,   378,   379,    -1,   407,  2595,    -1,    -1,    -1,  4539,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
    4868,    -1,    -1,    -1,   113,    -1,   403,    -1,    -1,    -1,
     119,    -1,  2622,    -1,  2624,  2625,    -1,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2654,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2662,    -1,    -1,    -1,    -1,  2667,    -1,    -1,
      -1,    -1,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,
    2680,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2704,    -1,    -1,  2707,    -1,  2709,
      -1,  2711,    -1,    -1,  2714,    -1,    -1,    -1,    -1,    85,
      -1,  4661,    88,    -1,   223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
    2740,    -1,   108,    -1,    -1,    -1,   245,   113,  2748,  2749,
     249,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,  5033,    -1,   143,  2778,    -1,
    2780,  2781,  2782,  2783,    -1,    -1,    -1,    -1,   287,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2805,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,   313,    -1,    -1,   316,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,  2827,    -1,    -1,
     329,    -1,    -1,   332,    -1,  4775,    -1,    -1,    -1,  5097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,  4798,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,  2878,   245,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,  2889,
      -1,    -1,    -1,    -1,  4834,  2895,  2896,    -1,    -1,    -1,
      -1,  2901,    -1,    -1,   270,   271,    -1,    -1,   407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   287,    -1,    -1,    -1,    -1,  2926,  2927,    -1,  5187,
      -1,  2931,    -1,    -1,  4874,    -1,    -1,    -1,  4878,  4879,
      -1,    -1,    -1,  2943,  2944,  2945,  2946,   313,    -1,    -1,
     316,   245,    -1,    -1,    -1,   249,  2956,    -1,    -1,  2959,
      -1,  2961,  2962,   329,    -1,    -1,   332,    -1,    -1,    -1,
      -1,  2971,  2972,    -1,    -1,  2975,   270,   271,    -1,  5237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5245,  2988,    -1,
    2990,    -1,  2992,   287,  2994,    -1,    -1,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,  3013,    -1,    -1,    -1,  3017,  4958,   313,
      -1,    -1,   316,  3023,    -1,    -1,  3026,  3027,  3028,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3050,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3063,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3078,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3090,    -1,    -1,  3093,    -1,    -1,    -1,  3097,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3161,    -1,  3163,    -1,    -1,    -1,    -1,  3168,    -1,
      -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   117,    -1,    -1,    -1,   219,    -1,    -1,    -1,    -1,
     224,    -1,    -1,    -1,  3194,   229,  3196,  3197,  3198,    -1,
     234,    -1,    -1,   237,    -1,   239,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     216,    -1,   218,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,   325,    -1,    -1,   230,    -1,    -1,    35,    36,   333,
      -1,    -1,    -1,    41,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,   381,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3375,  3376,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    -1,    -1,    -1,   134,    -1,  3398,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,  1302,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,  3425,  3426,   108,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
     474,  3441,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3454,  3455,    -1,    -1,    -1,    -1,
      -1,    -1,   143,  3463,  3464,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   511,  3478,    -1,
     514,   515,    -1,   517,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,  3508,    -1,
      -1,  3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,  3528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3559,
      -1,    -1,   300,    -1,   245,   303,    -1,  3567,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1465,  3577,    -1,    -1,
     318,    -1,    -1,  3583,    -1,  3585,    -1,    -1,    -1,   270,
     271,  3591,    -1,    -1,  3594,  3595,  3596,  3597,  3598,  3599,
    3600,  3601,  3602,  3603,    -1,    -1,   287,  3607,  3608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3620,    -1,    -1,    -1,  3624,    -1,    -1,    -1,  3628,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,  3638,    -1,
      -1,  3641,    -1,  3643,    -1,    -1,    -1,    -1,   329,    -1,
      -1,   332,  3652,  3653,  3654,    -1,   394,    -1,  3658,    -1,
      -1,  3661,    -1,    -1,    -1,  3665,    -1,    -1,    -1,    -1,
      -1,    -1,  3672,  3673,  3674,  3675,    -1,  3677,  3678,    -1,
      -1,    -1,  3682,  3683,    -1,    -1,    -1,    -1,    -1,  3689,
      -1,    -1,    -1,    -1,    -1,  3695,  3696,    -1,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1611,    -1,    -1,    -1,   407,   465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3742,    -1,    -1,    -1,    -1,    -1,  3748,    -1,
      -1,    -1,  3752,    -1,  3754,   493,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    -1,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,    -1,   516,   517,
     518,   519,   520,    -1,    -1,    -1,  3786,  3787,  3788,    -1,
    3790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,  3809,
    3810,  3811,    -1,    -1,    -1,    -1,     5,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3845,    35,    36,    -1,    -1,
    1739,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
     836,    -1,    -1,    -1,  1793,    -1,    -1,    -1,   844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   853,    -1,    -1,
      -1,  3921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,   887,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
    3960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3968,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,  3979,
     113,  3981,    -1,    -1,    -1,    -1,   119,  3987,    -1,    -1,
      -1,    -1,    -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4002,    -1,    -1,    -1,    -1,    -1,   944,    -1,
     143,    -1,    -1,  1902,  4014,   204,    -1,    -1,   954,    -1,
      -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,    -1,    -1,
    4030,    -1,  1921,   222,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,  4046,  4047,    -1,    -1,
    1939,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,   108,    -1,    -1,    -1,    -1,   113,    -1,
      -1,  4071,    -1,  4073,   119,   264,    -1,    -1,  1967,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4108,    -1,
      -1,   300,   245,    -1,   303,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,  1070,    -1,    -1,   270,   271,    -1,
    1076,  2030,    -1,    -1,  1080,  4145,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   287,  4155,  4156,    -1,    -1,    -1,
      -1,    -1,    -1,  4163,  4164,    -1,    -1,    -1,  4168,    -1,
    1106,    -1,    -1,    -1,  4174,  4175,    -1,    -1,  4178,    -1,
     313,  4181,  4182,   316,    -1,  4185,  4186,  4187,  4188,    -1,
      -1,    -1,  4192,  4193,    -1,  4195,   329,    -1,  4198,   332,
     245,    -1,  4202,    -1,   249,   394,  4206,    -1,    -1,    -1,
      -1,    -1,  4212,    -1,    -1,    -1,    -1,    -1,  4218,    -1,
      -1,    -1,    -1,  4223,    -1,   270,   271,    -1,  4228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4237,    85,    -1,
      -1,    88,   287,    -1,  4244,    -1,    -1,   436,  4248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   450,    -1,    -1,    -1,    -1,   113,  4267,   313,    -1,
    4270,   316,   119,    -1,   407,    -1,   465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,
    4290,  4291,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,  1242,  1243,    -1,    -1,
      -1,   500,    -1,    -1,  4314,   504,   505,   506,   507,   508,
      -1,    -1,   511,   512,   513,    -1,    -1,    -1,    -1,   518,
     519,    -1,  1268,    -1,    -1,    -1,    -1,    -1,  2227,    -1,
      -1,    -1,    -1,  1279,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,    -1,  4364,    -1,  1302,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,  4378,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,   249,  1339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4418,  4419,
    4420,  4421,  4422,   270,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,    -1,  4442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4453,    -1,   500,   501,   502,  4458,   504,
     505,   506,   507,   508,   509,  4465,   313,    -1,    -1,   316,
      -1,    -1,  1408,    -1,    -1,    -1,    -1,  4477,  4478,    -1,
      -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4504,    -1,  4506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1465,
      -1,    -1,    -1,    -1,    -1,  4535,  2425,    -1,    -1,    -1,
    2429,  2430,    -1,    -1,  4544,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1494,    -1,
     407,  4561,  4562,    -1,    -1,  4565,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4578,  4579,
      -1,    -1,    -1,  4583,    -1,    -1,   433,  1523,  4588,    -1,
      -1,  4591,  4592,    -1,  4594,    -1,  4596,  4597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1551,  1552,    -1,  1554,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,  4629,
    4630,  4631,  4632,  4633,    -1,    -1,    -1,  1573,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   108,  2535,    -1,    -1,    -1,
     113,    -1,    -1,   500,   501,   502,   119,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4671,  4672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1626,  1627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4712,  4713,    -1,    -1,    -1,  4717,    -1,  1655,
      -1,    -1,    -1,  1659,  1660,    -1,    -1,  4727,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4738,    -1,
      -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,    -1,  4749,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4761,    -1,    -1,  4764,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4772,  4773,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    85,   249,    -1,    88,    -1,
      -1,    -1,    -1,  2682,    -1,    -1,    -1,  4797,    -1,    -1,
    4800,    -1,  4802,  1739,    -1,   105,    -1,   270,   271,  1745,
      -1,    -1,    -1,   113,    -1,    -1,  1752,    -1,    -1,   119,
      -1,    -1,    -1,    -1,   287,  4825,    -1,    -1,    -1,  4829,
      -1,    -1,  4832,    -1,    -1,    -1,    -1,    -1,  4838,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,  1785,
     313,    -1,    -1,   316,    -1,    -1,  4856,  1793,    -1,    -1,
    4860,    -1,    -1,    -1,    -1,    -1,   329,    -1,  2757,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4884,  4885,  4886,  4887,    -1,  1825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4899,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4919,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,
      -1,    -1,    -1,    -1,   407,   245,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,  2857,    -1,
     270,   271,    -1,    -1,    -1,    -1,  4976,    -1,    -1,  4979,
      -1,    -1,    -1,    -1,    -1,  1921,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4999,
      -1,  5001,    -1,  1939,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5011,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1962,    -1,    -1,   329,
      -1,  1967,   332,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5054,    -1,    -1,    -1,    -1,  5059,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5079,
      -1,    -1,    -1,    -1,    -1,    -1,  5086,  5087,  2024,    -1,
      -1,  5091,    -1,    -1,  2030,  5095,    -1,  2033,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,  5109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5164,    -1,    -1,    -1,    -1,    -1,
      -1,  5171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1302,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2158,  2159,    -1,    -1,    -1,    -1,    -1,    -1,
    2166,    -1,  5232,  2169,    -1,    -1,    -1,  2173,    -1,  3128,
      -1,  5241,  3131,    -1,  3133,  2181,  2182,    -1,    -1,  3138,
      -1,    -1,    -1,  2189,    -1,    -1,  2192,  2193,  2194,  2195,
      -1,    -1,    -1,    -1,    -1,    -1,  2202,  2203,    -1,  2205,
      -1,  2207,  2208,    -1,    -1,  2211,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2227,  2228,  2229,    -1,    -1,    -1,  2233,    -1,  3188,
      -1,  2237,    -1,    -1,    -1,  2241,    -1,  2243,  2244,  2245,
    2246,  2247,  2248,  2249,  2250,  2251,    -1,  2253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2263,  2264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2326,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
    3289,    -1,  3291,    -1,  2340,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,  2349,  2350,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,  3346,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3371,    -1,    -1,    -1,    -1,    -1,    -1,  2425,
      -1,    -1,    -1,  2429,  2430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3392,    -1,    -1,   134,  2443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2483,    -1,    -1,
      -1,    -1,    -1,    -1,  2490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
    3469,    -1,    -1,    -1,    -1,  2521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   222,    -1,  3485,    -1,    -1,  2535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3498,
      -1,    -1,    -1,    -1,   242,    -1,  2552,    -1,    -1,    -1,
    2556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1739,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,  3570,    -1,    -1,    -1,    -1,    -1,  1793,    -1,    -1,
     318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1825,
      -1,    -1,    -1,    -1,    -1,    -1,  3615,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,    -1,  2682,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,  3651,  2699,    -1,    -1,   394,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,  1902,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,   436,    -1,
      86,    -1,    -1,    -1,    -1,  1921,    -1,    -1,    -1,    -1,
      -1,  2757,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1939,    -1,    -1,    -1,   465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,
      -1,  1967,    -1,    -1,    -1,   493,    -1,    -1,    -1,  2805,
      -1,    -1,   500,    -1,    -1,    -1,   504,   505,   506,   507,
     508,  3770,    -1,   511,   512,   513,   514,    -1,    -1,    -1,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2857,    -1,    -1,  2030,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,  2878,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2895,
    2896,    -1,    -1,    -1,    -1,  2901,   242,    -1,    -1,    -1,
      -1,    -1,  3861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,
    2926,  2927,    -1,    -1,    -1,  2931,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2943,  2944,  2945,
    2946,    -1,    -1,    -1,    -1,  2951,    -1,    -1,    -1,    -1,
    2956,  2957,    -1,  2959,   300,  2961,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2971,  2972,    -1,    -1,  2975,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,  2990,    -1,    -1,    -1,  2994,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3023,    -1,    -1,
    3026,  3027,  3028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,
     218,    -1,    -1,    -1,  3050,    -1,    -1,    -1,   394,  4008,
      -1,  2227,    -1,    -1,    -1,    -1,    -1,  3063,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3090,    -1,  4045,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,  3128,    -1,    -1,  3131,    -1,  3133,    -1,    -1,
      -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,   500,  3161,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,    -1,
      -1,    -1,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2425,
    3256,  3257,  3258,  2429,  2430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3289,    -1,  3291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4316,    -1,  2535,
      -1,    -1,    -1,    -1,    -1,  3371,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3404,  3405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2682,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3567,    -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,
      -1,  3577,    -1,    -1,    -1,    -1,    -1,  3583,    -1,  3585,
    4539,  2757,    -1,    -1,  3590,  3591,    -1,    -1,  3594,  3595,
    3596,  3597,  3598,  3599,  3600,  3601,  3602,  3603,    -1,    -1,
      -1,  3607,  3608,    -1,    -1,    -1,    -1,    -1,    -1,  3615,
      -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,  3624,    -1,
    3626,    -1,  3628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3638,    -1,    -1,  3641,    -1,  3643,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3651,  3652,  3653,  3654,    -1,
      -1,    -1,  3658,    -1,    -1,  3661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   844,    -1,    -1,  3675,
      -1,  3677,    -1,    -1,    -1,   853,    -1,    -1,    -1,    -1,
      -1,  2857,    -1,  3689,    -1,    -1,    -1,    -1,    -1,  3695,
    3696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,    -1,   887,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3742,    -1,    -1,    -1,
      -1,    -1,  3748,    -1,    -1,    -1,    -1,     5,  3754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3770,    -1,   944,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   954,    35,    36,    -1,
    3786,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,  4775,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3855,
      -1,    -1,    -1,    -1,  3860,  3861,  3862,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4834,   134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1070,    -1,    -1,    -1,    -1,    -1,  1076,    -1,
      -1,    -1,  1080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4874,    -1,    -1,    -1,  4878,
    4879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1106,    -1,
      -1,    -1,    -1,    -1,    -1,  3941,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,  3128,    -1,    -1,  3131,    -1,  3133,    -1,    -1,
      -1,    -1,  3138,    -1,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3981,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4008,    -1,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,  3188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4045,
    4046,  4047,   300,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,  3228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,    -1,    -1,  1242,  1243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1279,  4108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3289,    -1,  3291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,  4145,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4155,
    4156,    -1,  4158,    -1,    -1,    -1,    -1,  4163,  4164,    -1,
      -1,  1339,  4168,  4169,    -1,    -1,    -1,    -1,  4174,  4175,
    3346,    -1,  4178,    -1,    -1,  4181,    -1,    -1,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,  3371,  4202,    -1,    -1,    -1,
    4206,    -1,  1302,    -1,    -1,    -1,    -1,   465,    -1,    -1,
      -1,    -1,  4218,    -1,    -1,    -1,  3392,  4223,    -1,    -1,
      -1,    -1,  4228,    -1,    -1,    -1,    -1,    -1,    -1,  3405,
    1408,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    -1,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,    -1,    -1,    -1,    -1,
     518,    -1,    -1,    -1,  4270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4288,    -1,    -1,    -1,    -1,  1465,    -1,    -1,
      -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3485,
    4316,    -1,    -1,    -1,    -1,    -1,  1494,    -1,    -1,    -1,
      -1,    -1,  3498,    -1,    -1,    -1,    -1,    -1,    -1,  4335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1523,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1551,  1552,    -1,  1554,  4383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3570,  1573,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4442,    -1,    -1,  3615,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4453,  1626,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3651,    -1,  1655,    -1,    -1,
      -1,  1659,  1660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,
      -1,    -1,    -1,  4539,    -1,    -1,    -1,    -1,  4544,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4561,  4562,    -1,    -1,  4565,
      -1,  1739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4578,    -1,  1752,    -1,    -1,  4583,    -1,    -1,
      -1,    -1,  4588,    -1,    -1,  4591,    -1,    -1,    -1,    -1,
    4596,  4597,    -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4629,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1793,    -1,    -1,  4702,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1902,  1825,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1921,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1939,    -1,    -1,    -1,    -1,    -1,  4773,    -1,  4775,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1967,
      -1,  4797,  4798,    -1,  4800,    -1,  4802,    -1,    -1,    -1,
      -1,    -1,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4825,
      -1,  1921,    -1,  4829,    -1,    -1,    -1,    -1,  4834,    -1,
      -1,    -1,  4008,    -1,    -1,    -1,    -1,    -1,    -1,  1939,
      -1,    -1,    -1,    -1,    -1,    -1,  2024,    -1,    -1,    -1,
      -1,    -1,  2030,    -1,    -1,  2033,    -1,    -1,    -1,    -1,
      -1,    -1,  4868,    -1,    -1,    -1,    -1,  1967,  4874,  4045,
      -1,    -1,  4878,  4879,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2030,    -1,  4938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4976,    -1,    -1,  4979,    -1,    -1,    -1,    -1,    -1,    -1,
    2158,  2159,  4158,    -1,    -1,    -1,    -1,    -1,  2166,    -1,
      -1,  2169,    -1,  4169,    -1,  2173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2181,  2182,  5011,    -1,    -1,    -1,    -1,
      -1,  2189,    -1,    -1,  2192,  2193,  2194,  2195,    -1,    -1,
      -1,    -1,    -1,    -1,  2202,  2203,    -1,  2205,    -1,  2207,
    2208,    -1,    -1,  2211,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2227,
    2228,    -1,    -1,  5059,    -1,  2233,    -1,    -1,    -1,  2237,
      -1,    -1,    -1,  2241,  5070,  2243,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,  2251,    -1,  2253,    -1,    -1,    -1,    -1,
    5086,  5087,    -1,    -1,    -1,  2263,  2264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4316,    -1,    -1,    -1,  5150,    -1,    -1,    -1,  2326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5164,  4335,
      -1,    -1,  2340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2349,  2350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5187,    -1,    -1,   154,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5232,    -1,    -1,    -1,
      -1,  5237,   202,    -1,    -1,  5241,    -1,    -1,    -1,  5245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2425,    -1,    -1,
      -1,  2429,  2430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2483,    -1,    -1,    -1,    -1,
      -1,    -1,  2490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2425,    -1,    -1,    -1,  2429,
    2430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2535,    -1,    -1,
      -1,    -1,    -1,  4539,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2680,    -1,  2682,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,
      -1,    -1,  2682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4775,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4798,    -1,    -1,    -1,    -1,  2805,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,  4834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2857,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,  4874,    -1,
    2878,    -1,  4878,  4879,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   682,   683,    -1,    -1,    -1,  2895,  2896,    -1,
      -1,    -1,    -1,  2901,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2926,  2927,
      -1,    -1,    -1,  2931,    -1,    -1,    -1,  2857,    -1,    -1,
     730,    -1,    -1,    -1,    -1,  2943,  2944,  2945,  2946,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2956,    -1,
      -1,  2959,    -1,  2961,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2971,  2972,    -1,    -1,  2975,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2988,    -1,  2990,    -1,    -1,    -1,  2994,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3023,    -1,    -1,  3026,  3027,
    3028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   851,    -1,    -1,    -1,  3063,    -1,    -1,    -1,    -1,
      -1,   861,   862,    -1,   864,    -1,    -1,   867,    -1,   869,
    3078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3090,    -1,    -1,    -1,    -1,    -1,   888,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   896,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   905,   906,    -1,    -1,    -1,
     910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3128,    -1,    -1,  3131,    -1,  3133,    -1,   927,    -1,   929,
    3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   945,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   961,    -1,    -1,   964,    -1,   966,    -1,   968,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3188,    -1,   982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3128,    -1,
      -1,  3131,    -1,  3133,    -1,    -1,    -1,    -1,  3138,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1037,    -1,  1039,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3289,    -1,  3291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3289,
      -1,  3291,    -1,  3371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1179,
      -1,  1181,    -1,    -1,  3392,  1185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,
      -1,  3469,  3392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1272,    -1,    -1,  3405,    -1,  3485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1285,    -1,    -1,    -1,    -1,
    3498,    -1,  1292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1304,    -1,    -1,  1307,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,
    1340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3485,    -1,    -1,    -1,  3567,
      -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,  3498,  3577,
      -1,    -1,    -1,    -1,    -1,  3583,    -1,  3585,    -1,    -1,
      -1,    -1,  3590,  3591,    -1,    -1,  3594,  3595,  3596,  3597,
    3598,  3599,  3600,  3601,  3602,  3603,    -1,    -1,    -1,  3607,
    3608,    -1,    -1,    -1,    -1,    -1,    -1,  3615,    -1,    -1,
      -1,    -1,  3620,    -1,    -1,    -1,  3624,    -1,    -1,    -1,
    3628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3638,    -1,    -1,  3641,    -1,  3643,    -1,    -1,    -1,    -1,
    3570,    -1,    -1,  3651,  3652,  3653,  3654,    -1,    -1,    -1,
    3658,    -1,    -1,  3661,    -1,    -1,    -1,    -1,    -1,    -1,
    3590,    -1,    -1,    -1,    -1,    -1,    -1,  3675,    -1,  3677,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3689,    -1,    -1,    -1,  3615,    -1,  3695,  3696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3742,    -1,    -1,    -1,    -1,    -1,
    3748,    -1,    -1,    -1,    -1,    -1,  3754,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3786,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3770,    -1,    -1,    -1,    -1,  1645,  1646,    -1,    -1,    -1,
      -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1704,    -1,    -1,  1707,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1715,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3861,    -1,  1733,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1771,    -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4045,  4046,  4047,
      -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,
      94,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4008,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
    4108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,
     154,    -1,    -1,   157,    -1,  4045,    -1,    -1,    -1,   163,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4145,    -1,    -1,
      -1,    -1,    -1,   187,    -1,    -1,    -1,  4155,  4156,    -1,
    4158,    -1,    -1,    -1,    -1,  4163,  4164,    -1,   202,    -1,
    4168,  4169,    -1,    -1,    -1,    -1,  4174,  4175,    -1,    -1,
    4178,  1971,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1986,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,  4206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4218,    -1,    -1,    -1,    -1,  4223,    -1,    -1,    -1,    -1,
    4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4158,    -1,
      -1,    -1,  2032,    -1,    -1,    -1,    -1,    -1,    -1,  4169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2047,    -1,  2049,
      -1,  2051,    -1,    -1,    -1,    -1,  2056,    -1,    -1,    -1,
      -1,    -1,  4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2105,    -1,    -1,  4316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2117,    -1,    -1,
      -1,  2121,    -1,  2123,    -1,    -1,  2126,  4335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,  4383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4442,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,    -1,
      -1,  4539,    -1,    -1,    -1,    -1,  4544,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4561,  4562,    -1,    -1,  4565,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4578,    -1,    -1,    -1,    -1,  4583,    -1,    -1,    -1,    -1,
    4588,    -1,    -1,  4591,    -1,    -1,    -1,    -1,  4596,  4597,
      -1,    -1,   636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4539,
    2410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   682,   683,
    2440,  2441,    -1,    -1,    -1,  2445,  2446,    -1,    -1,  2449,
      -1,    -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,  2459,
      -1,    -1,    -1,  4671,    -1,    -1,  2466,    -1,    -1,    -1,
    2470,  2471,    -1,    -1,  2474,  2475,    -1,    -1,    -1,    -1,
      -1,  2481,    -1,    -1,    -1,    -1,   730,    -1,    -1,    -1,
      -1,    -1,    -1,  2493,    -1,  2495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4717,
      -1,  2511,    -1,    -1,    -1,    -1,  2516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2529,
      -1,  4661,    -1,    -1,    -1,    -1,    -1,  2537,    -1,  2539,
    2540,  2541,  2542,    -1,    -1,    -1,  2546,  2547,    -1,    -1,
      -1,    -1,    -1,    -1,  2554,    -1,    -1,    -1,  2558,    -1,
      -1,    -1,  2562,    -1,    -1,  4773,    -1,  4775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2585,    -1,    -1,    -1,  4797,
    4798,    -1,  4800,    -1,  4802,    -1,  2596,    -1,  2598,    -1,
      -1,    -1,    -1,  2603,    -1,    -1,    -1,  2607,    -1,  2609,
    2610,  2611,  2612,    -1,  2614,    -1,    -1,  4825,    -1,    -1,
      -1,  4829,    -1,    -1,    -1,    -1,  4834,  2627,  2628,  2629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2640,  2641,    -1,    -1,    -1,  4775,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4874,    -1,  4798,    -1,
    4878,  4879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   926,   927,    -1,   929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2700,    -1,    -1,    -1,  4834,    -1,    -1,    -1,    -1,    -1,
      -1,  4919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4938,    -1,    -1,    -1,   978,    -1,    -1,   981,   982,    -1,
      -1,    -1,    -1,    -1,  4874,    -1,    -1,    -1,  4878,  4879,
    4958,    -1,   996,    -1,   998,    -1,  1000,    -1,    -1,    -1,
      -1,    -1,  1006,    -1,    -1,    -1,  1010,    -1,  4976,    -1,
      -1,  4979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1029,  1030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2822,    -1,    -1,    -1,    -1,    -1,  1072,    -1,
    1074,    -1,    -1,    -1,    -1,  2835,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5070,  2863,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5086,  5087,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5109,    -1,    -1,    -1,    -1,    -1,    -1,  1152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1166,  1167,    -1,    -1,  1170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1302,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3141,  3142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3158,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1416,    -1,    -1,    -1,    -1,  1421,    -1,  1423,
      -1,    -1,  1426,  3183,  1428,    -1,    -1,  1431,  1432,  1433,
      -1,    -1,  3192,  1437,    -1,    -1,    -1,    -1,    -1,    -1,
    1444,    -1,    -1,    -1,    -1,    -1,    -1,  3207,  3208,    -1,
      -1,    -1,  3212,  1457,    -1,  1459,    -1,  3217,  3218,  3219,
    1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1465,    -1,    -1,    -1,    -1,    -1,  3247,  3248,  3249,
    3250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3281,    -1,  3283,  3284,  3285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1594,  1595,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3366,  1611,    -1,    -1,
      -1,    -1,  1616,  1617,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1699,    -1,  1701,    -1,    -1,
      -1,    -1,  3462,    -1,  1070,  3465,    -1,  1711,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   844,    -1,    -1,    -1,  3496,    -1,    -1,  3499,
    1106,   853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3513,    -1,  1739,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3526,    -1,    -1,    -1,
      -1,  1775,    -1,    -1,    -1,   887,    -1,    -1,    -1,  1783,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   944,  1837,    -1,    -1,  1840,  1841,    -1,    -1,
      -1,  1825,   954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1908,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1921,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1939,    -1,    -1,  1070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1967,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3793,    -1,  3795,    -1,    -1,    -1,    -1,
      -1,    -1,  3802,    -1,    -1,    -1,  2030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3843,    -1,  2089,    -1,  2091,    -1,    -1,
      -1,  2095,    -1,  2097,    -1,    -1,  2100,    -1,  3858,    -1,
    2104,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1494,    -1,
      -1,  3891,  3892,  3893,    -1,    -1,  3896,  3897,  3898,  3899,
    3900,    -1,    -1,    -1,    -1,  3905,  3906,    -1,  3908,  3909,
    3910,  3911,  3912,  3913,  3914,    -1,  1268,  1523,    -1,    -1,
      -1,    -1,    -1,  3923,    -1,  3925,  3926,  1279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1551,  1552,    -1,  1554,    -1,
    1302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1573,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3975,  3976,  3977,    -1,    -1,
    3980,    -1,    -1,    -1,    -1,    -1,    -1,  1339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2260,    -1,    -1,    -1,
    1626,    -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1655,
      -1,    -1,    -1,  1659,  1660,    -1,  1408,    -1,    -1,    -1,
      -1,    -1,  4062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4082,  4083,  4084,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2395,    -1,    -1,    -1,  2399,    -1,    -1,    -1,    -1,
      -1,  2405,    -1,  2407,    -1,    -1,  2410,    -1,    -1,    -1,
      -1,  1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1551,
    1552,  2425,  1554,    -1,    -1,  2429,  2430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1626,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4299,
    4300,  4301,  4302,  1655,    -1,  4305,    -1,  1659,  1660,    -1,
      -1,  2535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4326,  4327,  4328,  4329,
      -1,  4331,  4332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4343,  4344,  2589,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2597,    -1,  2599,  4356,    -1,    -1,    -1,
      -1,    -1,  4362,  4363,    -1,  4365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1739,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2682,    -1,
    4460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4469,
      -1,    -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2757,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1921,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2822,  2823,
      -1,  4581,    -1,  2189,    -1,    -1,  2192,  1939,    -1,  2195,
      -1,    -1,    -1,    -1,  4594,  2839,  2202,  2203,    -1,    -1,
      -1,    -1,  2208,    -1,    -1,  2211,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1967,    -1,    -1,    -1,    -1,
      -1,    -1,  2228,    -1,    -1,    -1,    -1,  2233,    -1,    -1,
      -1,  2237,    -1,  2857,    -1,  2241,    -1,  2243,  2244,  2245,
    2246,  2247,  2248,  2249,  2250,  2251,    -1,  2253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2263,  2264,    -1,
      -1,    -1,    -1,  4663,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2024,    -1,    -1,    -1,    -1,    -1,  2030,    -1,
      -1,  2033,    -1,  4683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2349,  2350,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3041,    -1,    -1,
      -1,    -1,  3046,    -1,    -1,    -1,  2158,  2159,    -1,    -1,
      -1,    -1,    -1,    -1,  2166,    -1,    -1,  2169,    -1,    -1,
      -1,  2173,  4822,    -1,    -1,    -1,    -1,    -1,    -1,  2181,
    2182,    -1,  4832,    -1,    -1,    -1,    -1,  2189,    -1,    -1,
    2192,  2193,  2194,  2195,    -1,    -1,    -1,    -1,    -1,    -1,
    2202,  2203,    -1,  2205,    -1,  2207,  2208,    -1,    -1,  2211,
    1465,    -1,    -1,    -1,  4864,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,    -1,  4873,    -1,  2227,  2228,    -1,    -1,    -1,
      -1,  2233,    -1,    -1,    -1,  2237,    -1,    -1,  4888,  2241,
      -1,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
      -1,  2253,    -1,    -1,  3128,    -1,    -1,  3131,    -1,  3133,
      -1,  2263,  2264,    -1,  3138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4962,    -1,  3188,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2326,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4985,    -1,    -1,  2340,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2349,  2350,    -1,
      -1,    -1,    -1,    -1,  3228,    -1,    -1,    -1,    -1,  5009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5023,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5048,    -1,
      -1,    -1,    -1,  5053,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3289,    -1,  3291,    -1,    -1,
      -1,    -1,    -1,  2425,  2680,    -1,    -1,  2429,  2430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2472,    -1,  3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2483,    -1,    -1,  1739,    -1,    -1,    -1,  2490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3371,  3392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3405,    -1,    -1,    -1,    -1,    -1,    -1,  3392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3405,    -1,  2535,    -1,    -1,    -1,    -1,  1793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2805,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,
      -1,    -1,  3496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3498,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2896,    -1,    -1,    -1,    -1,  2901,    -1,  1902,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3557,    -1,    -1,  1921,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2680,    -1,
    2682,    -1,    -1,    -1,  1939,    -1,    -1,  2943,    -1,  2945,
    2946,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,    -1,
    2956,    -1,    -1,  2959,    -1,  2961,    -1,    -1,    -1,    -1,
      -1,    -1,  1967,    -1,    -1,    -1,  3590,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,  2990,    -1,    -1,    -1,  2994,    -1,
      -1,  3615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2757,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3026,  3027,  3028,    -1,    -1,  2030,    -1,  3651,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3050,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2805,    -1,    -1,    -1,  3063,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3759,    -1,    -1,    -1,    -1,
    2872,    -1,    -1,    -1,    -1,    -1,  2878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2895,  2896,    -1,  3770,    -1,    -1,  2901,
      -1,    -1,    -1,    -1,    -1,  3161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,
      -1,    -1,    -1,    -1,  2926,  2927,    -1,    -1,    -1,  2931,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2943,  2944,  2945,  2946,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2956,    -1,    -1,  2959,    -1,  2961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3861,    -1,  2971,
    2972,    -1,  2227,  2975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2988,  3861,  2990,    -1,
    3884,  1641,  2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3023,    -1,    -1,  3026,  3027,  3028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3050,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3078,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3090,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3128,    -1,    -1,  3131,
      -1,  3133,    -1,    -1,  4008,    -1,  3138,  1302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2425,  4045,    -1,    -1,  2429,  2430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3188,    -1,    -1,    -1,
      -1,    -1,    -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2535,    -1,    -1,    -1,  4158,    -1,    -1,  3289,    -1,  3291,
      -1,    -1,    -1,    -1,    -1,  4169,    -1,    -1,    -1,    -1,
    1465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3577,    -1,    -1,    -1,    -1,    -1,  3583,    -1,  3585,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4232,    -1,
      -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,
      -1,  3607,  3608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1302,    -1,    -1,  4261,    -1,  3371,
      -1,    -1,  3628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3638,    -1,    -1,  3641,    -1,  3643,    -1,    -1,
    3392,    -1,    -1,    -1,    -1,    -1,  3652,    -1,    -1,    -1,
      -1,    -1,  3658,  3405,    -1,  3661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4288,    -1,    -1,    -1,    -1,  4313,
      -1,    -1,  2072,    -1,    -1,    -1,    -1,  2682,    -1,    -1,
      -1,    -1,    -1,  3689,    -1,    -1,    -1,    -1,    -1,  3695,
    3696,    -1,  4316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4335,    -1,    -1,    -1,    -1,    -1,  3469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3485,    -1,    -1,  3742,    -1,    -1,    -1,
      -1,    -1,  3748,    -1,    -1,    -1,  3498,    -1,  3754,    -1,
      -1,    -1,  2757,    -1,  4398,    -1,    -1,    -1,    -1,  4383,
      -1,    -1,    -1,    -1,  2164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3528,  1465,    -1,    -1,
      -1,    -1,  4426,    -1,    -1,    -1,    -1,    -1,  2188,    -1,
      -1,    -1,    -1,  2193,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2213,  2214,  3567,    -1,  2217,  3570,    -1,
      -1,    -1,    -1,    -1,  1739,  3577,    -1,    -1,    -1,    -1,
      -1,  3583,    -1,  3585,    -1,    -1,    -1,    -1,  3590,  3591,
      -1,    -1,  3594,  3595,  3596,  3597,  3598,  3599,  3600,  3601,
    3602,  3603,  2857,    -1,    -1,  3607,  3608,    -1,    -1,  2259,
      -1,    -1,    -1,  3615,    -1,    -1,    -1,    -1,  3620,    -1,
      -1,    -1,  3624,    -1,    -1,    -1,  3628,    -1,  1793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3638,    -1,    -1,  3641,
      -1,  3643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3651,
    3652,  3653,  3654,    -1,    -1,    -1,  3658,    -1,    -1,  3661,
    1825,    -1,    -1,  2313,    -1,  4539,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3675,    -1,  3677,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2336,  3689,    -1,    -1,
      -1,    -1,    -1,  3695,  3696,    -1,    -1,    -1,  2348,    -1,
      -1,    -1,    -1,  2353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,    -1,
    3742,    -1,    -1,    -1,    -1,    -1,  3748,    -1,    -1,    -1,
      -1,    -1,  3754,    -1,    -1,    -1,  1921,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,  3770,    -1,
      -1,    -1,    -1,    -1,  1939,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3786,    -1,    -1,  4661,    -1,    -1,
    4046,  4047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1739,  1967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4108,    -1,    -1,  1793,    -1,    -1,    -1,  3861,
      -1,    -1,    -1,    -1,    -1,  2030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3128,    -1,    -1,  3131,    -1,  3133,    -1,
      -1,    -1,    -1,  3138,    -1,    -1,    -1,  1825,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4155,
    4156,  4775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4168,    -1,    -1,    -1,    -1,    -1,  4174,  4175,
      -1,    -1,  4178,    -1,  4798,  4181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4834,    -1,  4218,    -1,  1902,    -1,    -1,  4223,    -1,    -1,
      -1,    -1,  4228,  3228,    -1,    -1,    -1,    -1,    -1,  3981,
      -1,    -1,    -1,  1921,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4874,  1939,    -1,    -1,  4878,  4879,  4008,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1967,
      -1,    -1,    -1,    -1,  3289,    -1,  3291,    -1,    -1,    -1,
      -1,    -1,    -1,  4045,  4046,  4047,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3346,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,
      -1,    -1,    -1,  4145,    -1,    -1,    -1,    -1,    -1,    -1,
    3405,    -1,    -1,  4155,  4156,    -1,  4158,    -1,    -1,    -1,
      -1,  4163,  4164,    -1,    -1,    -1,  4168,  4169,    -1,    -1,
      -1,    -1,  4174,  4175,    -1,    -1,  4178,    -1,    -1,  4181,
      -1,    -1,    -1,    -1,    -1,    -1,  4442,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4202,    -1,    -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3469,    -1,  4218,    -1,    -1,    -1,
      -1,  4223,    -1,    -1,    -1,    -1,  4228,    -1,    -1,    -1,
    3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3498,    -1,    -1,    -1,    -1,    -1,  2899,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2425,    -1,    -1,    -1,  2429,  2430,    -1,    -1,  4270,    -1,
      -1,    -1,  2922,    -1,  2924,    -1,  2926,  2927,  2928,    -1,
      -1,  2931,    -1,    -1,    -1,  2935,  4288,    -1,    -1,  2227,
      -1,    -1,  2942,    -1,    -1,    -1,    -1,  2947,    -1,    -1,
      -1,    -1,    -1,  2953,    -1,    -1,    -1,    -1,  2958,  4565,
      -1,    -1,    -1,    -1,  4316,  3570,    -1,  2967,    -1,    -1,
      -1,  2971,  2972,    -1,  2974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4335,    -1,  3590,  2986,    -1,    -1,    -1,
      -1,  4597,    -1,  2993,    -1,  2995,  2996,  2997,  2998,  2999,
    3000,  3001,  3002,  3003,  3004,    -1,    -1,    -1,    -1,    -1,
    3615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4383,  3032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3651,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2425,    -1,    -1,
      -1,  2429,  2430,    -1,    -1,    -1,    -1,    -1,    -1,  4501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3770,    -1,  2682,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3176,    -1,    -1,    -1,
      -1,    -1,    -1,  4535,    -1,    -1,    -1,  4539,    -1,    -1,
      -1,    -1,  4544,    -1,  4800,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4561,
    4562,    -1,    -1,  4565,    -1,    -1,    -1,    -1,    -1,  4825,
      -1,    -1,    -1,    -1,    -1,    -1,  4578,    -1,    -1,    -1,
      -1,  4583,    -1,    -1,    -1,    -1,  4588,    -1,    -1,  4591,
      -1,    -1,  2757,    -1,  4596,  4597,    -1,  2535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4629,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3393,  2682,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4008,    -1,  5011,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4773,    -1,  4775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4045,    -1,    -1,    -1,    -1,  4797,  4798,    -1,  4800,    -1,
    4802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,
      -1,    -1,    -1,  4825,    -1,    -1,    -1,  4829,    -1,    -1,
    5086,  5087,  4834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3517,    -1,    -1,
      -1,    -1,  4874,    -1,    -1,    -1,  4878,  4879,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4158,    -1,    -1,    -1,    -1,  5164,    -1,
      -1,    -1,    -1,    -1,  4169,    -1,  3566,  4919,    -1,  2857,
      -1,    -1,  3572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,  3588,  3589,
      -1,  3591,    -1,    -1,  3594,  3595,  3596,  3597,  3598,  3599,
    3600,  3601,  3602,  3603,  3604,    -1,  4958,    -1,    -1,    -1,
      -1,    -1,    -1,  3128,    -1,    -1,  3131,    -1,  3133,    -1,
      -1,    -1,    -1,  3138,  4976,    -1,  5232,  4979,    -1,  3629,
      -1,    -1,  3632,    -1,  3634,    -1,    -1,    -1,    -1,  3639,
    3640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3653,  3654,  3655,    -1,  3657,    -1,  5011,
    3660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5059,    -1,    -1,
      -1,  4316,    -1,  3228,    -1,    -1,    -1,    -1,  5070,    -1,
      -1,    -1,    -1,  3723,    -1,    -1,    -1,    -1,    -1,    -1,
    4335,    -1,    -1,    -1,  5086,  5087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3289,    -1,  3291,    -1,  4383,    -1,
      -1,    -1,    -1,  3783,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3128,    -1,    -1,  3131,    -1,  3133,    -1,    -1,    -1,    -1,
    3138,    -1,    -1,    -1,    -1,    -1,  3371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3392,    -1,    -1,
    5232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5241,
    3405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4539,    -1,    -1,    -1,    -1,    -1,
    3228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3981,    -1,  3498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3289,    -1,  3291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3570,  4661,    -1,  3346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3615,    -1,    -1,    -1,  3392,    -1,    -1,    -1,    -1,  4109,
      -1,    -1,    -1,  4113,  4114,  4115,    -1,  3405,  4118,    -1,
      -1,    -1,    -1,  4123,  4124,  4125,  4126,  4127,  4128,  4129,
    4130,  4131,  4132,  4133,  4134,    -1,  3651,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4162,  4163,  4164,  4165,    -1,  4167,    -1,    -1,
    4775,  4171,  4172,  4173,    -1,    -1,  4176,    -1,    -1,  4179,
      -1,  3469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4798,    -1,    -1,    -1,  3485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4220,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,  4834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4874,
      -1,    -1,    -1,  4878,  4879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3615,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3651,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4008,    -1,    -1,    -1,    -1,  4498,  4499,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4045,  4531,    -1,    -1,    -1,  4535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4549,
      -1,  4551,    -1,    -1,    -1,    -1,  4556,  4557,  4558,    -1,
      -1,  4561,  4562,  4563,  4564,    -1,  4566,    -1,    -1,  4569,
      -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4627,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4158,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4045,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4796,  4797,    -1,    -1,
      -1,  4316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4812,  4813,  4814,    -1,    -1,    -1,    -1,    -1,
    4335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4383,    -1,
    4158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,  4968,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4984,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4288,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4539,    -1,    -1,   135,  4316,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,  4335,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,  5058,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4383,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,  5107,   216,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4661,    -1,    -1,    -1,
     258,   259,    -1,  5153,    -1,    -1,    -1,   265,    -1,   267,
      -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
     308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,  5209,
      -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4539,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
    4775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,
      -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,  4834,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,
      -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,  4874,
     468,    -1,    -1,  4878,  4879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4661,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,  4834,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,  4874,    -1,    -1,    -1,
    4878,  4879,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,   519,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,   115,    -1,    -1,
     118,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
     138,    -1,   140,   141,   142,    -1,   144,    -1,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,   160,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,   177,
     178,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,   191,    -1,   193,    -1,    -1,    -1,   197,
      -1,    -1,    -1,    -1,    -1,   203,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,   212,   213,    -1,    -1,   216,    -1,
      -1,   219,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,   230,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     258,   259,    -1,    -1,   262,    -1,    -1,   265,    -1,   267,
      -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,
      -1,   289,   290,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,   307,
     308,   309,    -1,    -1,   312,    -1,    -1,   315,   316,    -1,
      -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,   351,    -1,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   364,   365,    -1,    -1,
      -1,    -1,   370,   371,    -1,   373,    -1,    -1,    -1,    -1,
     378,    -1,    -1,    -1,    -1,   383,   384,    -1,   386,   387,
      -1,    -1,   390,    -1,    -1,    -1,    -1,   395,   396,    -1,
      -1,    -1,    -1,    -1,    -1,   403,   404,    -1,   406,   407,
      -1,   409,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,   426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,
      -1,   439,    -1,   441,    -1,   443,    -1,   445,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,    -1,    -1,   456,    -1,
      -1,   459,    -1,    -1,    -1,    -1,   464,   465,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,   513,    26,    27,    -1,   517,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
     230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,
      -1,    -1,    -1,    -1,    -1,   265,    -1,   267,    -1,    -1,
     270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,   309,
      -1,    -1,   312,    -1,    -1,    -1,   316,    -1,    -1,   319,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   384,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,   407,    -1,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,   439,
      -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,   468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
     520,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   514,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,    -1,
     314,   315,   316,   317,    -1,    -1,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,    -1,   350,    -1,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     514,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,   426,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,   511,   512,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,   506,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    -1,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   513,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   514,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,   512,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,    -1,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,   506,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   506,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   506,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   506,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,   229,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
     436,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,     4,   500,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,    -1,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,    -1,   350,    -1,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,    -1,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,    -1,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,    -1,   350,
      -1,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,    -1,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,    -1,   314,   315,   316,   317,    -1,
      -1,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,    -1,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
      -1,   350,    -1,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
      -1,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
      -1,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,    -1,   350,    -1,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,    -1,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,    -1,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,    -1,   314,   315,   316,
     317,    -1,    -1,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,    -1,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,    -1,   121,    -1,    -1,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,    -1,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,    -1,    -1,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,    -1,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,    -1,    -1,   261,   262,   263,    -1,    -1,
      -1,    -1,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,    -1,   310,   311,    -1,    -1,   314,   315,
     316,   317,    -1,    -1,   320,    -1,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,    -1,   405,
     406,   407,   408,    -1,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,   145,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
     226,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,
     316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
      -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,
      -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,    -1,
      -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,
     309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,    -1,
     319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,    -1,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,
     439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,   468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,
     312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,   216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,
     265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,
     285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,
      -1,   316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
     435,    -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,
      -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
     308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,
      -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,
      -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,   504,   505,
     506,    79,    80,    -1,    -1,    -1,    -1,   513,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,   513,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      72,   504,   505,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    72,   504,   505,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,   504,   505,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,   436,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   522,  1090,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   222,   242,
     264,   300,   303,   318,   394,   436,   450,   465,   493,   500,
     504,   505,   506,   507,   508,   511,   512,   513,   514,   516,
     517,   518,   519,   520,  1081,  1091,  1119,  1121,  1212,  1222,
    1223,  1225,  1231,  1232,  1120,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   222,   228,
     230,   234,   236,   245,   258,   259,   265,   267,   270,   271,
     273,   284,   285,   287,   289,   290,   295,   304,   307,   308,
     309,   312,   315,   316,   319,   321,   335,   336,   338,   339,
     349,   351,   353,   364,   365,   370,   371,   373,   378,   383,
     384,   386,   387,   390,   395,   396,   403,   404,   406,   407,
     409,   414,   422,   426,   434,   435,   439,   441,   443,   445,
     450,   453,   459,   464,   465,   468,   477,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   513,   523,   524,   530,
     531,   533,   534,   535,   536,   537,   538,   539,   541,   542,
     546,   558,   563,   564,   567,   568,   569,   581,   584,   585,
     601,   640,   643,   644,   645,   652,   658,   660,   662,   663,
     666,   669,   670,   674,   675,   684,   688,   689,   690,   691,
     692,   694,   695,   696,   709,   710,   714,   716,   717,   718,
     728,   730,   737,   738,   741,   742,   743,   744,   745,   750,
     752,   755,   759,   763,   764,   774,   775,   778,   783,   794,
     816,   819,   820,   821,   824,   827,   829,   831,   834,   835,
     838,   839,   840,   847,   848,   850,   851,   852,   857,   859,
     860,   864,   865,   868,   869,   870,   871,   873,   874,   875,
     876,   878,   881,   882,   887,   893,   896,   898,   903,   905,
     909,   916,   920,   921,   922,   923,   924,   925,   928,   956,
    1087,  1088,  1092,  1094,  1095,  1112,  1113,  1114,  1115,  1126,
    1128,  1132,  1133,  1134,  1135,  1136,  1138,  1140,  1142,  1143,
    1144,  1145,  1147,  1152,  1153,  1157,  1158,  1167,  1169,  1170,
    1171,  1174,  1179,  1182,  1187,  1189,  1190,  1193,  1195,  1198,
    1207,  1225,  1233,    73,  1115,  1123,  1124,    14,    72,    91,
      92,    93,    94,    95,    96,    97,    98,   100,   101,   102,
     110,   111,   113,   114,   116,   117,   118,   125,   126,   127,
     128,   129,   132,   133,   136,   138,   139,   140,   141,   146,
     147,   148,   149,   151,   154,   155,   156,   157,   158,   159,
     162,   171,   172,   173,   174,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   206,   208,   209,   210,
     211,   213,   214,   215,   218,   220,   221,   223,   225,   227,
     231,   232,   233,   235,   238,   240,   241,   243,   244,   246,
     247,   248,   250,   251,   252,   253,   254,   255,   257,   261,
     262,   263,   269,   272,   274,   275,   276,   277,   278,   280,
     281,   283,   286,   289,   290,   291,   294,   295,   296,   297,
     298,   299,   301,   302,   304,   305,   306,   310,   311,   314,
     315,   317,   320,   322,   323,   324,   326,   329,   330,   331,
     334,   337,   340,   341,   342,   343,   344,   345,   346,   348,
     350,   352,   353,   354,   356,   357,   358,   359,   360,   361,
     362,   363,   365,   366,   367,   368,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   382,   383,   385,
     386,   388,   389,   390,   391,   392,   393,   395,   397,   398,
     399,   400,   401,   403,   405,   406,   408,   410,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   424,   425,
     427,   428,   429,   430,   431,   432,   436,   438,   440,   443,
     444,   445,   446,   447,   448,   449,   452,   453,   454,   455,
     456,   459,   460,   461,   462,   463,   467,   469,   470,   471,
     472,   475,   478,   479,   480,   481,   482,   483,   494,   495,
    1082,  1085,  1086,  1087,  1088,  1105,  1106,  1217,  1219,  1223,
    1225,    29,   260,  1168,     9,    13,    15,    28,    45,    46,
      50,    51,    56,    65,    67,    69,    70,    99,   134,   152,
     163,   175,   180,   242,   300,   303,   394,   464,   493,  1074,
    1086,  1087,  1107,  1154,  1155,  1197,  1198,  1199,  1203,  1208,
    1209,  1210,  1219,  1225,    99,   917,  1073,  1107,  1203,  1216,
      14,   917,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   145,   152,   153,   160,   163,   164,
     165,   166,   168,   169,   170,   180,   182,   188,   192,   193,
     199,   203,   207,   217,   219,   224,   226,   229,   234,   237,
     239,   249,   256,   260,   264,   266,   268,   279,   282,   288,
     292,   293,   313,   318,   325,   327,   328,   332,   333,   347,
     355,   369,   381,   396,   402,   411,   423,   426,   433,   436,
     437,   442,   450,   451,   457,   458,   464,   466,   473,   474,
     476,   477,  1086,  1089,  1199,  1200,  1201,  1205,  1206,  1207,
    1208,  1210,    25,    35,   134,   264,  1194,    38,    40,   313,
    1127,   438,   480,   853,    98,   144,   157,   174,   180,   195,
     206,   214,   226,   231,   237,   252,   277,   298,   329,   358,
     385,   389,   391,   397,   400,   425,   426,   428,   432,   440,
     445,   457,   470,   659,  1155,   179,   853,    99,   917,   468,
     883,   327,   354,   853,   121,   592,   921,    98,   110,   131,
     144,   153,   174,   180,   195,   206,   214,   226,   233,   237,
     291,   329,   332,   385,   391,   400,   428,   429,   431,   432,
     440,   445,   451,   454,   457,   602,   642,   733,   784,   795,
    1074,  1096,  1097,  1098,  1107,  1223,  1225,    14,    99,   353,
    1073,  1107,  1111,   415,   917,    99,   348,   398,   429,   431,
     276,   825,   826,  1223,    98,   110,   131,   144,   157,   174,
     195,   206,   214,   226,   231,   237,   252,   298,   329,   340,
     385,   389,   391,   397,   400,   426,   428,   432,   440,   445,
     457,   470,   659,   746,   853,   519,  1137,  1201,   246,  1111,
     160,   179,   211,   468,   513,   640,   643,   882,   888,   896,
     898,   903,   909,   916,   920,  1092,    92,    99,   116,   221,
     227,   229,   249,   278,   310,   356,   372,   504,   505,   760,
     761,   917,  1081,  1084,  1217,  1219,    99,   160,   369,   396,
     765,   766,   767,  1203,  1203,  1078,  1223,   426,   931,   116,
     227,   760,  1203,   438,  1111,   340,   298,   174,   252,   425,
     426,   832,   390,  1203,    99,   134,   401,   434,   438,   464,
     550,   559,   560,  1086,  1087,  1197,  1202,  1208,  1210,  1225,
      96,   234,   765,   766,   354,   853,  1203,   275,    99,   192,
     933,     4,    14,   132,   152,   154,   291,   306,   385,   391,
     401,   434,   438,   483,   547,   548,   549,   550,    99,   401,
     434,   438,   550,   438,   328,   967,  1071,  1203,   931,  1191,
    1201,   506,  1203,   230,   513,   884,   513,  1066,   367,   926,
     927,  1073,   921,   922,   925,   517,   883,   207,   266,   333,
     450,   934,   935,   921,   923,   924,   185,   262,   456,   516,
     118,   523,  1135,  1138,  1134,  1130,   517,  1139,  1141,     5,
      25,    35,   134,   196,   264,  1146,   175,   242,   300,   303,
     394,   493,   513,  1002,  1003,  1118,  1122,  1212,    73,  1115,
    1073,  1107,  1226,   180,  1096,    21,   458,   507,  1111,  1111,
    1226,   458,  1159,  1160,  1161,    25,   264,   264,  1205,     7,
      19,    20,    39,    42,   156,   193,  1196,  1196,    16,  1135,
    1079,  1088,  1197,  1200,  1203,  1204,  1208,  1209,  1225,   748,
    1203,   748,  1074,   357,   748,   440,   748,  1073,  1203,   173,
     426,   773,  1079,  1082,    99,   244,  1071,   322,   470,    85,
     139,   218,   500,   501,   502,   504,   505,   506,   507,   508,
     509,   823,  1033,  1034,  1203,    99,  1082,  1073,  1073,   244,
    1071,  1073,   378,   403,    99,   244,   967,  1073,   393,  1073,
     748,    99,   296,  1082,   244,  1071,   276,    34,   182,   272,
     313,   363,   854,   855,   856,  1071,  1077,  1203,    98,   131,
     144,   145,   153,   157,   174,   195,   206,   214,   226,   231,
     252,   277,   298,   329,   385,   389,   391,   397,   400,   426,
     428,   432,   440,   445,   470,   659,   753,  1223,  1071,   436,
    1079,  1073,   513,   748,   440,  1074,   748,   440,   244,  1073,
     173,   426,   429,   431,  1082,   429,   431,   139,   218,   823,
     376,  1082,   244,   543,  1203,  1073,  1073,   393,  1073,   748,
     296,  1082,   367,   397,   426,   470,   298,   157,   252,   231,
     389,   444,   653,    85,  1099,  1100,   518,  1219,  1226,    99,
    1111,  1225,   918,   557,  1085,  1223,   826,   244,  1079,  1073,
     244,   830,   244,  1074,   440,   173,   426,   244,  1079,   244,
    1082,  1083,   150,   470,   139,   218,   244,   823,   125,   244,
    1083,   244,  1073,   244,  1073,   244,  1073,   393,   244,  1073,
     244,   296,  1083,   276,   244,   747,   748,   513,   519,  1227,
    1228,  1229,  1230,  1232,  1137,    71,  1107,  1156,   513,   897,
     602,   917,   888,   882,   889,   890,   891,  1085,   883,  1084,
     761,   762,    99,   761,   917,  1084,   762,    99,   761,   917,
    1084,   762,   762,   762,  1084,  1081,  1081,   268,   458,  1161,
    1162,  1236,  1238,   917,   762,   357,   513,   513,   621,   621,
     621,   327,   436,   516,   621,   967,   968,   761,   917,   761,
     917,   516,   849,  1223,   229,   513,   894,   125,   470,  1073,
    1073,  1071,  1203,   115,   495,   272,   515,   330,   330,   327,
     229,  1223,   436,   224,   756,   327,    83,    84,    85,    87,
     107,   120,   122,   123,   130,   131,   134,   135,   142,   144,
     164,   165,   166,   167,   168,   169,   170,   177,   178,   196,
     212,   216,   217,   222,   236,   264,   265,   267,   284,   292,
     293,   307,   309,   313,   318,   319,   321,   329,   339,   349,
     364,   387,   402,   409,   422,   434,   435,   439,   441,   442,
     451,   457,   465,   485,   486,   487,   488,   489,   490,   491,
     492,   504,   505,   506,   513,   921,   983,   986,   989,   990,
     991,   993,   994,   995,   996,   999,  1000,  1004,  1006,  1007,
    1008,  1010,  1031,  1035,  1054,  1059,  1067,  1068,  1069,  1079,
    1080,  1081,  1203,  1215,  1217,  1219,  1220,  1221,  1222,  1223,
     436,   500,  1226,  1223,   436,   500,  1155,    99,   565,  1070,
    1071,   401,   547,   180,   556,  1223,   557,  1223,   115,   136,
     547,   495,   410,   855,   330,   229,   436,   500,   115,   495,
     272,  1236,   856,   513,  1071,   506,   511,   515,  1060,  1061,
     968,  1207,   228,   230,   468,   879,   880,   882,   228,   885,
     180,  1004,  1064,  1065,   926,   516,   513,   886,   514,   514,
    1071,    99,   192,   932,   932,   125,   932,   219,   224,   288,
     325,   938,   940,   941,   950,   952,   953,   954,   934,   935,
     229,   268,   967,   969,  1066,   517,  1129,   506,  1148,  1149,
    1151,   519,   519,    25,   264,   264,   436,   436,   436,   436,
     513,   436,   504,   505,   650,  1084,  1116,  1222,   203,   108,
    1103,   125,  1106,  1106,   268,  1161,  1163,   268,  1161,  1162,
    1163,   463,  1172,  1173,  1219,    14,    37,    84,   504,   505,
    1081,  1164,  1165,  1166,  1215,  1217,  1221,  1222,  1223,  1224,
     264,   270,  1073,   436,  1073,     6,  1073,  1196,  1151,   513,
     807,  1061,   341,   374,   403,   515,   749,   341,   374,   403,
     341,   374,   403,   477,   525,   558,   561,   779,    95,   197,
     341,   374,   403,   461,   572,  1073,   403,    95,   197,   456,
     540,   481,   244,   967,   127,   159,   215,   247,   283,   313,
     341,   374,   382,   388,   395,   403,   412,   420,   472,   558,
     562,   810,   817,   513,   796,   374,   540,   249,   212,    95,
     101,   141,   190,   197,   200,   254,   311,   313,   323,   331,
     341,   374,   377,   378,   403,   461,   570,   571,   678,   650,
      99,   244,  1071,   748,   748,   513,   822,   515,   249,   532,
     374,   525,   532,   327,   341,   374,   212,   126,   172,   251,
     299,   301,   311,   340,   374,   379,   403,   414,   570,   647,
     648,   341,   374,   469,   678,   686,   560,   548,   550,   249,
     212,   374,   403,   570,   341,   374,   378,   403,   151,   189,
     342,   430,   327,    95,   101,   197,   341,   374,   403,   582,
     583,   532,   224,   374,   525,   532,   212,   374,   403,   570,
    1073,   517,   286,   182,   328,   482,   516,   854,   458,   877,
     327,  1079,   513,  1073,   440,   173,   426,  1079,   322,   470,
     139,   218,   823,  1073,   393,  1073,   276,   748,   621,   360,
     587,   513,   723,   807,   137,   120,   122,   123,   134,   135,
     177,   178,   222,   265,   267,   307,   309,   321,   364,   404,
     409,   434,   435,   465,   980,   982,   984,   986,   988,   990,
     991,   992,   994,   995,   999,  1000,  1197,  1204,  1208,  1209,
    1225,   229,   513,   719,  1073,   525,   108,   872,  1073,   313,
     525,   481,   244,  1071,   525,   748,   748,   719,   454,   602,
     525,   313,   115,   544,   445,   685,   341,   661,   151,   189,
     342,   430,    97,   117,   263,   697,   108,   719,   224,   525,
     470,  1071,   244,   638,  1071,  1071,   470,   748,   150,   785,
    1079,  1073,   659,    74,  1101,  1203,   518,  1102,  1099,   121,
     171,   261,   311,   392,   212,   807,   128,   380,   573,   212,
     513,   212,   481,   212,   796,   212,   516,   244,   747,   244,
     748,   244,   748,   212,   822,  1083,   212,   212,   327,   212,
     573,   212,   151,   189,   342,   430,   212,   327,   212,   224,
     244,   244,   557,   212,   516,   573,   514,  1228,  1229,  1227,
     516,   520,  1004,  1038,  1160,  1235,  1236,   426,   918,   514,
     516,   217,   327,   442,   554,   557,   650,   892,   888,   762,
     917,   762,   917,  1238,  1239,   762,   917,   762,   917,  1239,
     762,   917,   917,   917,   762,    14,    37,  1211,  1214,  1219,
     917,   513,   622,   623,  1203,   622,    99,   174,   195,   226,
     231,   276,   277,   391,   397,   426,   428,   445,   768,  1070,
    1083,   767,   249,   516,   906,   917,   917,  1223,  1156,   980,
    1041,   108,  1083,   785,   225,   833,   833,   833,   286,  1203,
     224,   224,   768,  1083,   390,  1203,   557,   327,   513,   511,
     921,  1042,   467,   997,  1004,  1058,   513,   997,   997,   513,
     224,   513,   513,   513,   985,   985,   351,   921,   513,   513,
     987,   513,   513,   513,   513,   134,   135,   997,  1004,   513,
     985,   513,   513,   513,   513,   513,   479,   499,   513,  1001,
     513,  1001,   513,   513,   921,   513,   513,   513,   513,   513,
     513,   513,   513,  1004,  1004,   464,   921,  1004,  1038,  1061,
    1223,   135,   513,   998,   513,  1223,    85,    88,   105,   108,
     113,   119,   143,   245,   249,   270,   271,   287,   313,   316,
     329,   332,   407,   500,   501,   502,   504,   505,   506,   507,
     508,   509,  1033,  1035,  1037,  1225,   478,  1019,   338,  1004,
     268,   929,  1236,   516,   513,  1223,  1061,    22,  1218,  1219,
    1062,   324,   327,  1188,  1188,    10,   463,  1175,  1176,  1178,
    1155,  1155,   183,   246,   566,   516,   136,   180,   557,   108,
     180,   291,   555,   650,  1000,  1223,  1225,  1223,   155,   194,
    1016,   163,   180,   551,   552,   554,   650,   180,   551,  1236,
    1236,   286,  1071,  1004,   506,  1076,  1205,  1060,   156,   379,
     751,   270,   514,   516,   883,   514,   516,   927,  1072,  1073,
     108,   886,   923,   923,   936,   937,  1004,   923,   221,   310,
     947,   274,   311,   363,   405,   456,    99,   942,  1004,   504,
     505,   943,   944,  1004,  1006,   950,   951,   941,   940,   938,
     939,   224,   953,   323,   955,   938,   950,   969,  1071,   108,
    1203,   403,  1148,   506,   516,   517,  1206,  1125,  1128,  1125,
     264,   175,   242,   300,  1003,   300,  1003,  1003,   303,  1081,
     300,   303,   394,  1222,  1222,   516,  1117,   179,  1155,   457,
    1104,  1106,  1073,    37,  1081,  1177,  1219,   516,   500,  1073,
      14,  1081,  1222,  1081,  1222,   516,  1135,   513,  1073,   513,
    1207,   249,   259,   333,   335,   404,   466,   506,   800,   801,
     802,   804,   806,   808,   980,  1204,   341,   374,   403,   436,
     436,   391,  1076,   515,   436,   436,   391,   436,   436,   428,
     547,   866,   224,   234,   249,   383,   780,   781,   137,   153,
     208,   226,   355,   451,   618,   619,   153,   180,   313,   436,
     153,   436,   180,   313,   391,   153,   190,   200,   341,   374,
     715,   391,   667,    98,   131,   144,   157,   195,   206,   226,
     231,   298,   329,   391,   397,   400,   426,   432,   445,   470,
     659,  1073,   212,   374,   403,   570,   327,   650,   395,   283,
     436,   436,   318,   650,   184,   269,   391,   401,   438,   549,
     380,   403,   810,   818,   514,   797,   800,   436,   457,   428,
    1071,   145,   208,   609,   618,  1203,   145,   153,   836,   327,
     389,   440,   153,   836,   102,   377,   389,   440,  1071,   254,
     323,   748,   513,   436,   436,   243,   513,   577,   428,   477,
     479,   577,   153,   516,   341,   249,   212,   374,   403,   570,
     458,   458,   312,   980,   341,   403,   823,   174,   403,   561,
     436,   527,   561,  1071,   436,   436,  1071,   650,   125,   649,
     650,   650,   172,   299,   301,   125,   436,   525,   391,   525,
     311,   648,   436,   436,   318,  1223,   678,   428,   967,   153,
     436,   836,   391,   436,   436,   577,   577,   748,   748,   748,
     748,  1071,   114,   463,   114,   114,   436,   114,   436,   391,
     516,   561,   170,   457,   693,  1082,   436,   527,   561,  1071,
     436,   391,   341,   374,   363,   375,   399,   553,   854,  1077,
    1203,  1071,   807,   980,   327,   481,   796,   650,   748,   748,
     822,   270,   327,   151,   189,   342,   430,   327,   748,   270,
     477,   593,   417,   418,   588,  1223,   724,   725,  1225,   719,
     513,   982,   108,   107,   981,   175,   303,   493,   513,  1002,
     749,   985,   748,   720,   721,  1205,    97,   861,   980,   327,
     212,   664,  1073,   313,   513,   526,   733,   458,   367,   470,
     526,   212,  1082,   160,   234,   545,   601,   644,   696,   763,
     783,   857,  1223,   686,   687,  1073,   294,   748,   748,   748,
     748,   323,   185,   262,   443,   456,   698,   699,   204,   362,
     513,   693,   526,  1071,   646,   647,   313,   108,   323,   513,
     621,   621,   641,  1071,   224,   786,  1077,   513,   798,   108,
     276,   515,  1081,  1102,   477,   479,   919,   392,  1079,   573,
     980,  1074,   244,  1073,  1079,   573,  1083,  1082,   212,   573,
     212,   458,   212,   458,   823,   573,   573,  1083,  1073,   748,
    1073,  1073,  1073,   748,  1083,   693,   212,   212,   573,   747,
     748,   514,   520,  1230,   514,   516,  1236,  1237,  1160,  1071,
     171,   888,   890,   917,   917,  1239,   917,   917,  1239,   917,
     917,  1073,    14,   516,  1218,   622,   514,   516,   514,   232,
     398,   427,  1072,   747,   173,   400,   772,   773,  1072,   322,
    1072,  1070,  1070,  1072,   747,   436,   477,   776,    93,   210,
     387,   405,   907,   967,   317,   908,   514,   516,   895,   898,
     903,   909,   920,   436,  1071,   766,   765,   766,   229,   235,
     777,  1203,    98,   145,   174,   195,   206,   226,   231,   277,
     298,   385,   391,   397,   426,   428,   445,   470,   659,   757,
    1038,   512,  1038,  1042,  1043,   513,   473,  1055,  1056,  1004,
    1038,   513,  1081,  1081,  1038,   175,   242,   300,   303,   394,
     493,  1044,  1045,  1223,  1225,  1081,  1038,  1038,  1081,  1081,
     997,   997,  1004,   823,  1004,  1046,   504,   505,  1005,  1006,
    1031,  1035,  1048,   514,  1038,  1004,  1038,  1049,   434,   495,
    1081,  1081,  1004,   124,   229,   282,   437,  1004,  1038,  1052,
    1038,   305,  1006,  1004,  1014,  1015,  1016,   305,  1004,  1016,
     514,   516,   403,  1081,  1081,  1002,   980,  1004,  1205,   434,
     112,   423,  1063,   748,  1004,   513,   921,  1053,   192,   194,
     217,   313,   318,   323,   442,   452,  1004,   119,   245,   249,
     287,   407,   513,  1004,   436,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,    99,   106,   411,  1032,   237,
     220,  1020,   387,   513,  1031,   233,   291,   426,   429,   431,
     454,   930,  1071,   229,   957,  1069,    99,   192,   466,   506,
     514,   802,  1004,  1039,  1040,  1204,  1073,  1219,  1060,  1177,
     516,   500,  1071,   438,   513,  1223,   516,  1236,   514,   512,
     518,   243,   243,   573,  1135,  1071,   880,   881,  1071,  1064,
     514,   516,   513,   516,   109,   188,   458,   792,   387,   388,
     504,   505,   944,   946,  1006,   405,   274,   328,   516,   945,
    1081,  1222,   945,   387,   388,   946,  1070,   908,   951,   939,
     458,   904,   180,   513,   899,   920,  1203,   513,   910,   911,
     912,   913,   914,  1203,   517,  1149,   981,   520,  1128,   520,
     514,   650,   514,    34,  1105,  1180,  1181,  1219,  1173,  1178,
    1226,  1164,   981,  1213,  1229,  1213,   981,   335,   125,  1204,
     514,   802,   804,   801,   804,  1204,   333,   514,   516,   749,
     436,   436,   391,  1082,  1073,  1073,  1076,  1082,  1073,  1073,
    1082,  1074,  1073,   152,   867,   385,   457,   765,   391,   234,
     765,   513,  1073,   458,   787,   274,   274,   458,   513,   637,
     244,  1073,   318,  1082,  1073,  1073,  1004,   318,  1073,  1073,
     102,   377,   436,   436,  1073,   436,   668,  1079,   513,   748,
     748,   748,   440,   173,   426,   773,   470,   139,   218,   823,
    1073,   748,  1073,   748,   393,   748,   748,   276,   238,   311,
     341,   374,   462,   671,   672,   673,   967,   436,   836,   391,
     318,   184,   269,  1082,  1073,   327,  1073,   514,   516,  1082,
    1083,  1073,   374,   570,   609,   980,  1073,  1203,  1073,  1073,
      99,   457,  1073,   244,  1073,   244,  1203,   389,   440,   389,
     440,  1073,    99,   457,  1073,  1071,    95,   197,   403,   679,
     680,   681,   682,  1205,  1082,  1073,   180,   230,   314,   458,
     576,   579,   580,  1205,  1073,   326,   141,   326,  1073,   571,
     436,   428,  1071,   436,   836,   391,  1075,  1203,  1075,   516,
     514,   516,   436,   391,  1074,  1082,   152,   202,   254,   346,
     449,   457,   460,   528,  1225,   374,  1082,  1073,   374,   403,
     570,   647,   650,   748,  1073,   650,  1073,   650,  1082,  1073,
    1073,   374,   403,   570,  1073,  1073,  1073,  1073,  1082,  1073,
      95,   101,   197,   341,   374,   403,   341,   374,   403,   719,
     374,   403,   374,   403,   374,   979,  1203,   244,   729,  1203,
     244,  1203,  1082,  1073,  1073,  1073,    95,   583,   400,  1082,
     374,   403,   570,  1073,  1073,   436,   436,   149,   448,   363,
     270,   108,   748,   270,   270,   458,   458,   270,   318,   754,
    1223,   748,   748,   270,   754,   326,   229,   436,   586,   525,
     514,   516,   500,  1004,   107,   981,   980,   511,   511,   436,
     436,  1081,   985,   514,   516,   500,   698,   152,   201,   280,
     281,   294,   341,   428,   430,   862,   611,  1205,  1073,   229,
     391,   469,   665,   672,   673,   212,   287,   603,   605,   607,
     609,   615,   618,    96,   249,   385,   424,   528,   529,   224,
    1075,   470,  1071,   543,  1203,   544,   332,   602,   226,  1223,
     719,   719,   719,   719,   323,   327,   332,   513,   719,   977,
     978,   979,   400,   513,   212,   211,  1093,   748,   603,  1203,
     477,   479,   633,   477,   578,   108,   621,  1223,   327,   514,
     799,   800,   805,   108,   276,   382,   476,   809,   810,   811,
     327,   557,  1101,   507,   241,   241,   224,   807,   108,   212,
     573,   796,   747,   748,  1075,   748,  1075,   822,   327,   573,
     573,   327,   573,   400,   224,   557,   573,  1004,   919,  1226,
    1214,   514,   623,   249,   249,   249,   481,  1072,   516,   650,
     651,   237,   769,   770,  1082,    96,   777,   210,   405,   210,
     405,   387,   456,   302,   980,  1073,   477,   639,   229,   327,
     769,   125,   573,  1079,   440,   426,  1079,   322,   470,   276,
     748,   514,   512,   512,   516,  1038,  1004,   199,  1056,  1057,
     108,   514,  1004,   514,   514,   514,   514,   229,   514,   514,
     514,   514,   514,   516,   514,   347,  1047,   514,  1005,  1005,
      88,   249,   270,   329,   500,   501,   502,   504,   505,   506,
     507,   508,   509,  1035,  1005,   514,   514,   224,   229,  1050,
    1051,   514,   495,   514,   514,   108,  1052,  1038,  1052,  1052,
     229,   514,   514,  1205,   345,  1018,   108,   514,   516,  1004,
    1205,   516,  1004,  1062,  1004,  1203,   514,   514,   495,  1005,
    1005,   205,  1038,   229,   192,   194,   217,   318,   323,   442,
     452,   513,   205,   423,  1063,  1004,  1053,  1004,   436,   823,
    1004,   513,   921,   513,   513,   337,  1024,   429,   431,   429,
     431,  1071,   931,   931,   931,   279,   388,   513,   921,   958,
     959,   960,   967,   970,  1007,  1009,  1010,  1079,  1203,   474,
     975,  1039,  1039,  1040,   514,    90,   516,   934,   935,     8,
      11,    12,    22,    23,    24,    26,    27,    31,    32,    33,
     173,   305,   351,   445,  1183,  1184,  1186,  1176,  1177,   855,
    1081,  1002,   552,  1004,   981,   886,  1073,   895,   937,   329,
    1033,  1036,   496,   497,   793,  1081,  1222,   946,   328,   456,
     943,   958,   474,   976,   464,   900,   901,  1203,   381,   902,
     914,   915,   516,   957,   500,  1062,   518,  1131,   517,   516,
     500,    30,  1192,   514,   514,   517,   808,   749,   804,   804,
     125,   806,   508,  1082,  1073,  1073,   288,  1083,  1083,   327,
    1072,   330,   327,  1004,   619,  1075,   513,   513,   513,   637,
     252,   622,   707,   212,   573,   436,  1082,  1073,   557,   807,
     980,  1073,   481,   748,   748,   748,   748,   822,   151,   189,
     342,   430,  1073,   654,  1073,   238,   462,   436,   436,   654,
     671,   678,   374,   403,   570,  1073,  1073,  1073,   260,   318,
     800,   340,   403,   436,   331,   676,   707,   197,   378,   403,
     572,   678,   837,   212,   573,   212,   573,  1073,  1073,  1073,
    1073,   681,   682,   681,   514,   516,   683,  1223,   252,   514,
     516,   500,   515,  1082,  1073,   374,   403,   570,  1073,  1073,
    1073,   341,   374,   403,    95,   197,   341,   374,   403,   980,
     312,   980,  1082,  1073,   288,   346,   318,  1223,   346,  1083,
     455,   436,   436,   391,   340,   403,   436,   836,   391,   436,
     436,   296,   296,   296,   436,   436,   391,   436,   436,   391,
     436,   391,   436,   391,   436,   573,   980,   313,  1223,   403,
     837,   212,   573,   436,  1073,   436,   391,  1082,  1073,   754,
     980,   270,   754,   754,  1075,  1075,   754,   270,   270,   754,
     587,   513,   589,   590,   725,  1225,   329,   504,   505,   650,
     722,   804,  1036,  1089,  1223,   514,   511,   514,  1081,   512,
     513,  1081,  1203,  1223,  1234,   514,   721,   722,   327,   288,
     500,   863,   863,   863,   863,   863,   863,   863,   137,   143,
     153,   180,   182,   256,   313,   318,   355,   369,   451,   612,
     613,   614,   211,   473,   525,   557,  1073,   557,   676,  1071,
    1071,   514,   516,  1083,   237,   385,  1083,  1081,   445,  1071,
     621,   115,   544,   376,   426,   173,   578,   622,  1071,   699,
     726,   727,  1223,   514,   516,  1073,   622,  1071,  1073,   920,
     513,   604,   514,   326,   577,   326,   327,   634,   577,   108,
     920,   578,   436,  1071,   514,   516,   180,   500,   812,  1223,
     557,   426,   803,   804,   477,   811,   813,   185,   262,   396,
     456,   845,   238,  1097,   920,  1111,   573,   980,  1073,   573,
     573,   458,   573,   458,   573,   573,   748,   748,  1073,   693,
     573,   224,   391,   391,   391,  1072,   773,   516,  1082,   477,
     516,   771,   330,   210,   210,   173,   311,  1083,   768,   573,
    1082,   807,   796,   650,   748,   270,  1042,   514,   433,  1004,
     203,   980,   514,  1004,  1004,  1004,  1050,   980,  1005,   192,
     194,   313,   323,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1004,  1004,  1051,  1050,  1001,  1001,   980,
     514,   514,   514,  1038,   514,   516,   125,  1006,   514,  1205,
    1015,   352,   421,  1017,   514,   516,   469,  1011,   108,   514,
     998,  1223,  1004,   105,   105,  1004,   514,  1004,   229,   513,
    1041,  1004,  1005,  1005,   205,   205,  1004,   514,   205,  1004,
     935,   474,   513,  1025,  1203,   931,   931,   931,   931,  1071,
    1071,  1071,   921,   970,   229,   921,   959,   960,   108,   961,
     962,  1203,   516,   161,   230,   258,   273,   285,   308,   384,
     964,   962,   108,   961,   963,  1203,   498,   974,   513,  1061,
    1004,   237,   948,   516,   934,   934,   934,  1004,   466,  1040,
     514,   516,   500,   514,   512,  1192,   514,   513,   793,   328,
     163,  1004,   902,   514,   516,  1062,  1068,   514,   516,   911,
     976,  1064,  1081,   500,  1150,  1181,  1186,   514,   508,   808,
     445,   863,   232,   398,   427,   446,   782,   224,   782,   514,
     513,   625,   626,   789,  1009,  1203,   622,   622,   707,  1077,
     514,   182,   256,   311,   313,   708,  1073,  1073,   108,  1073,
     458,   458,   748,   748,   748,   748,   749,  1082,  1073,   436,
     836,   391,   436,   260,   125,   428,  1073,   513,   611,   313,
     577,   173,   313,   416,   419,   577,   445,  1073,  1203,   680,
    1073,   580,   722,  1205,   340,   403,   436,   836,   391,   436,
     436,   436,   391,   231,   329,   419,   731,   732,   231,   329,
     739,   740,   436,   436,   391,   514,   514,   514,  1084,  1223,
    1223,  1223,  1073,  1073,  1073,   125,   428,  1073,  1073,  1073,
    1073,  1073,   224,   224,   376,   224,   244,  1082,  1073,  1073,
    1082,  1073,  1073,  1073,  1073,  1073,  1073,  1073,   143,   574,
     212,    97,   117,   445,  1203,  1073,   678,  1073,  1073,   514,
     754,   270,   270,   754,   754,   588,   596,   597,  1205,   121,
     162,   186,   201,   205,   225,   228,   240,   318,   326,   361,
     591,   707,  1081,   477,   479,   512,  1234,   513,   504,   505,
     506,   507,   508,   512,  1002,  1071,   863,   180,  1081,  1223,
     180,  1223,   180,  1223,   180,  1223,   180,  1073,   180,  1073,
     180,  1073,   513,   748,  1073,  1005,   183,   246,   182,   318,
     274,  1071,   813,   359,   711,   712,  1203,   664,   513,   616,
     400,   607,  1083,  1083,   980,   513,   578,  1082,  1071,   481,
     224,   700,   514,   516,   979,   676,   514,   323,   513,   897,
     639,   606,   608,   610,   618,  1203,   633,   255,   632,   148,
     428,   635,   920,   639,   635,  1223,   787,   805,  1004,  1004,
     516,   513,   809,   719,   436,   654,    85,  1108,   514,   573,
    1075,  1075,   573,   573,   400,  1072,  1072,  1072,   650,   234,
     770,   173,   777,   229,   270,   270,   270,   270,   318,   758,
    1223,  1004,   514,   514,  1051,   229,   192,   194,   323,   513,
     514,   484,  1013,  1038,   368,   125,   475,   475,   514,  1004,
     311,  1004,   516,  1012,   982,  1002,  1005,  1005,  1004,  1041,
     514,   105,   105,  1004,  1004,   205,  1004,   514,   514,  1004,
    1026,  1203,  1071,  1071,  1071,  1071,   962,   963,   513,   514,
    1203,   513,   959,   273,   336,   965,   959,   965,   273,   964,
     965,   273,   513,  1203,   513,  1039,   125,   239,   949,   514,
     514,   514,  1040,  1223,  1184,   505,  1177,  1185,  1222,  1223,
    1223,   823,   323,   920,   901,  1237,   500,   914,   902,  1230,
     445,   514,  1084,   436,   765,   229,   707,  1004,   514,   516,
     477,   143,   790,   790,   514,   514,   813,   183,   246,   254,
     182,   460,   573,   980,  1075,  1075,  1073,  1073,  1073,  1073,
    1083,  1073,   677,   681,   318,   318,  1084,  1203,   980,   573,
     573,   500,   125,   428,  1073,  1073,  1073,  1073,  1082,  1073,
    1073,  1081,  1081,   980,   516,  1081,  1081,   516,  1082,  1073,
    1073,  1083,  1073,   436,  1072,  1072,   748,  1072,   212,   748,
    1223,  1223,   980,   573,   573,   270,   754,   754,   458,   594,
     595,   514,   516,   506,   513,   554,   598,   650,   872,  1223,
     872,   313,   318,   361,   872,   872,   512,   231,   259,   231,
     514,  1135,  1234,  1234,  1234,  1234,  1234,   229,   706,  1084,
    1004,   313,   613,   813,   621,   458,   636,  1079,   105,   211,
     249,   603,   209,   250,  1073,   458,   622,   108,   544,   513,
    1073,   198,   701,   473,   703,  1223,   578,   748,   603,   639,
     514,   516,   477,   634,   513,   633,   185,   197,   352,  1073,
     477,   858,   229,   513,  1223,   802,   814,   815,  1204,   813,
    1071,   257,   655,  1109,  1203,   573,   573,   573,  1073,   330,
     573,   769,   758,   758,   758,   758,  1005,   229,   513,  1041,
     513,   514,   516,   514,  1006,   368,   514,   463,   413,   514,
     514,   514,  1005,  1005,  1004,   514,   344,  1027,   971,   972,
    1009,   961,   513,  1072,   959,   327,   458,   966,   959,   273,
     959,   978,   513,   978,  1203,   934,  1038,  1004,   476,  1021,
     934,  1081,  1222,  1002,   514,   917,  1066,   769,   327,   769,
     514,   813,   626,   329,   823,   748,   458,   748,   791,   791,
     369,   813,   636,   514,   436,   403,   908,   514,   516,   574,
     722,  1083,  1073,   436,   513,  1079,   823,   732,   513,   513,
     740,   403,   908,  1073,   477,   376,   477,   477,   224,   574,
     754,   525,   187,   597,   554,   599,   600,  1223,  1223,   318,
     622,   506,   622,  1223,  1223,   773,   108,   828,   828,   514,
    1071,   707,   514,   636,   297,   624,   252,   513,   712,   359,
     513,   514,    99,   147,   154,   181,   253,   419,   617,   617,
     676,  1075,   514,   920,   676,   387,   415,   702,   513,   211,
     108,   604,   514,   608,   331,   635,  1070,   634,   388,   388,
     129,   137,   291,   748,   788,   789,   804,   514,   516,   975,
     654,   311,   462,   656,   657,   500,  1110,   573,  1005,  1041,
     514,  1014,  1038,   125,   311,   494,   125,   934,   514,   516,
     108,   973,  1072,   514,  1004,   513,   959,   966,   514,   978,
     514,   514,  1022,  1023,  1203,   514,   771,   782,   573,   790,
     636,   513,   748,   792,   792,  1071,   636,   707,  1073,   428,
     681,   458,   575,   403,   908,  1073,  1041,   796,   224,   735,
     822,  1041,  1041,   428,   747,   748,   747,   748,  1072,   573,
     589,  1223,   514,   516,   622,   828,   111,   248,   224,   311,
     620,   230,   343,   408,   327,   628,   629,   630,   428,   514,
    1079,    82,   713,   400,   218,   734,   578,   858,  1004,   359,
     920,   633,   632,   611,   514,   635,   137,   330,   137,   514,
     516,   809,   814,   193,   462,   654,  1081,  1217,  1225,    85,
     514,   514,   514,   368,   463,  1038,   362,   388,  1028,   974,
     971,   513,   514,  1072,   514,   516,   108,   229,   791,   474,
     627,   823,   793,   793,   621,   707,  1073,  1004,   428,   514,
     333,   393,   366,   736,   735,   514,   514,  1073,   477,   600,
     198,   254,   185,   456,   327,   630,   327,   629,  1073,   513,
     514,   516,  1073,   748,   108,   108,   514,  1079,   858,   634,
     633,   330,   330,   578,   789,   813,   100,   263,   846,  1109,
     119,   163,   447,  1004,  1029,  1030,  1029,   514,   978,   514,
    1023,  1025,   769,   792,   513,   707,   514,   624,   908,  1073,
    1079,   125,   736,   908,   748,   387,   128,   311,   380,   403,
     631,   631,   514,    82,   676,   731,   920,   513,   635,   634,
     635,   314,   513,   841,   843,   848,   898,   903,   909,   920,
    1030,   387,   223,   350,   223,   350,   514,   573,   793,  1004,
     628,   908,   796,   748,   703,    94,   180,   318,   858,   704,
     705,  1081,  1205,  1222,  1223,   635,   975,   842,   843,   844,
     921,   922,   105,   514,   707,   211,   514,   516,   514,   517,
    1030,   359,   705,   844,  1079,   513,   704,   514
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   524,
     525,   525,   526,   526,   527,   527,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   529,   529,   529,   529,   529,
     529,   530,   531,   532,   532,   533,   533,   534,   535,   535,
     536,   536,   537,   537,   538,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   544,   544,   545,   545,
     545,   545,   545,   545,   546,   546,   546,   547,   547,   547,
     548,   548,   548,   548,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   549,   549,   550,   550,   551,   551,   552,
     552,   553,   553,   553,   553,   554,   554,   554,   554,   555,
     555,   555,   555,   555,   555,   555,   556,   556,   556,   557,
     557,   558,   559,   559,   559,   559,   560,   560,   561,   561,
     562,   562,   563,   563,   563,   563,   563,   564,   565,   565,
     566,   566,   567,   568,   568,   568,   568,   568,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   570,   570,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     572,   572,   573,   573,   573,   574,   574,   575,   575,   576,
     576,   576,   576,   577,   578,   578,   579,   579,   580,   580,
     580,   580,   581,   582,   582,   583,   583,   583,   583,   584,
     584,   585,   585,   586,   586,   587,   587,   588,   588,   588,
     589,   589,   590,   590,   591,   591,   591,   591,   591,   591,
     591,   591,   591,   591,   591,   591,   591,   591,   592,   592,
     593,   593,   594,   594,   595,   595,   596,   596,   597,   598,
     598,   598,   598,   598,   599,   599,   600,   601,   601,   601,
     601,   602,   602,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   605,   605,   606,   606,   607,   607,   607,
     608,   608,   609,   610,   611,   611,   612,   612,   612,   612,
     613,   613,   613,   613,   613,   613,   613,   614,   614,   614,
     614,   615,   616,   616,   616,   617,   617,   617,   617,   617,
     617,   618,   618,   619,   619,   619,   619,   619,   619,   619,
     620,   620,   621,   621,   622,   622,   623,   624,   624,   624,
     624,   625,   625,   626,   626,   627,   627,   628,   628,   628,
     628,   628,   629,   630,   631,   631,   631,   631,   631,   632,
     632,   633,   633,   633,   633,   634,   634,   634,   634,   635,
     635,   636,   636,   637,   638,   639,   639,   639,   640,   641,
     642,   642,   643,   644,   645,   645,   646,   646,   647,   647,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   649,   649,   650,   650,   650,   650,   651,   651,
     652,   652,   653,   653,   654,   654,   655,   655,   656,   656,
     657,   657,   658,   658,   659,   659,   660,   661,   661,   662,
     662,   663,   663,   664,   664,   665,   665,   665,   666,   667,
     667,   668,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   670,   671,   671,   671,
     671,   672,   672,   673,   673,   674,   674,   675,   675,   676,
     676,   677,   677,   678,   679,   679,   680,   680,   680,   680,
     681,   682,   683,   684,   685,   685,   686,   686,   687,   687,
     688,   688,   689,   689,   689,   690,   690,   691,   691,   692,
     693,   693,   693,   694,   694,   695,   696,   696,   697,   697,
     697,   698,   698,   699,   699,   699,   699,   699,   700,   700,
     701,   701,   702,   702,   703,   703,   704,   704,   704,   705,
     705,   705,   705,   706,   706,   707,   707,   708,   708,   708,
     708,   708,   708,   709,   709,   710,   710,   711,   711,   712,
     713,   713,   714,   715,   715,   715,   715,   716,   717,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   719,   720,   720,   721,   721,   722,   722,
     722,   722,   722,   723,   724,   724,   725,   726,   726,   727,
     727,   728,   728,   728,   729,   729,   730,   731,   731,   732,
     732,   732,   732,   732,   733,   733,   734,   734,   735,   735,
     735,   736,   736,   737,   738,   738,   739,   739,   740,   740,
     741,   741,   742,   742,   743,   744,   745,   745,   745,   745,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   747,   747,   748,
     748,   749,   749,   750,   751,   751,   751,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   754,   754,   755,   755,   755,   755,   755,
     756,   756,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   758,   758,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   761,   761,   762,   762,   763,   764,   764,   765,
     765,   765,   765,   765,   766,   766,   767,   767,   767,   767,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   768,   768,   768,   768,   769,   769,   770,   770,
     771,   771,   772,   772,   773,   774,   775,   775,   776,   776,
     777,   777,   778,   779,   779,   780,   780,   780,   781,   781,
     781,   782,   782,   782,   782,   783,   784,   784,   785,   785,
     786,   786,   787,   787,   788,   788,   789,   789,   789,   790,
     790,   791,   791,   791,   792,   792,   792,   793,   793,   793,
     794,   794,   794,   795,   795,   796,   796,   797,   797,   798,
     798,   799,   799,   800,   800,   800,   800,   800,   801,   801,
     801,   801,   801,   802,   803,   804,   804,   804,   805,   805,
     805,   806,   807,   807,   807,   807,   808,   808,   809,   809,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   811,   811,   811,   811,   812,
     812,   813,   813,   814,   815,   815,   816,   817,   817,   818,
     818,   819,   819,   820,   820,   821,   821,   822,   822,   822,
     822,   823,   823,   824,   825,   825,   826,   826,   827,   827,
     827,   828,   828,   828,   829,   830,   830,   831,   831,   831,
     832,   832,   833,   833,   834,   834,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   836,   836,   837,   837,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   840,   841,
     841,   841,   842,   842,   843,   843,   843,   843,   843,   844,
     844,   845,   845,   845,   845,   846,   846,   846,   847,   847,
     848,   849,   849,   850,   851,   851,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     853,   853,   853,   854,   854,   854,   854,   854,   855,   855,
     855,   856,   856,   857,   857,   857,   857,   858,   858,   858,
     858,   859,   860,   861,   861,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   863,   863,   864,   864,   865,   866,   866,   867,   868,
     868,   869,   869,   870,   871,   871,   871,   871,   871,   871,
     871,   872,   872,   873,   874,   874,   874,   874,   874,   874,
     875,   876,   876,   876,   877,   877,   878,   878,   878,   878,
     878,   879,   879,   880,   880,   880,   880,   881,   881,   882,
     882,   883,   883,   884,   884,   885,   885,   886,   886,   887,
     887,   887,   887,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   889,   889,   890,   891,   891,   892,   892,   892,
     893,   893,   894,   894,   895,   895,   895,   895,   896,   896,
     897,   897,   898,   899,   899,   899,   900,   900,   901,   902,
     902,   903,   904,   904,   905,   906,   906,   907,   907,   907,
     907,   907,   907,   907,   907,   908,   908,   909,   910,   910,
     911,   911,   912,   913,   914,   915,   915,   916,   917,   917,
     918,   918,   918,   918,   918,   919,   919,   919,   920,   920,
     921,   921,   922,   922,   922,   922,   922,   922,   922,   922,
     923,   923,   924,   924,   924,   924,   924,   924,   925,   925,
     926,   926,   927,   928,   928,   929,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   931,   931,   932,
     932,   932,   933,   933,   933,   933,   934,   934,   935,   936,
     936,   937,   937,   938,   938,   938,   938,   939,   939,   940,
     940,   940,   940,   941,   941,   942,   942,   943,   944,   944,
     944,   945,   945,   946,   946,   947,   947,   948,   948,   949,
     949,   950,   950,   951,   951,   952,   952,   953,   954,   954,
     954,   954,   955,   955,   956,   956,   957,   957,   958,   958,
     959,   959,   959,   959,   959,   959,   959,   960,   960,   960,
     960,   960,   960,   961,   961,   961,   961,   962,   962,   963,
     963,   963,   963,   963,   964,   964,   964,   964,   965,   965,
     966,   966,   967,   967,   967,   967,   968,   968,   969,   969,
     969,   970,   970,   971,   972,   972,   973,   973,   974,   974,
     975,   975,   976,   976,   976,   977,   977,   978,   978,   979,
     980,   980,   980,   980,   980,   980,   981,   981,   981,   982,
     982,   982,   982,   982,   982,   982,   983,   983,   983,   983,
     984,   984,   985,   985,   986,   986,   986,   986,   986,   986,
     986,   986,   986,   986,   986,   987,   987,   988,   988,   989,
     989,   990,   991,   992,   992,   993,   993,   994,   995,   996,
     996,   996,   996,   996,   996,   997,   997,   998,   998,   999,
     999,   999,   999,  1000,  1001,  1001,  1001,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1006,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1007,  1007,  1007,  1007,
    1007,  1007,  1007,  1008,  1008,  1009,  1009,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1011,
    1011,  1012,  1012,  1012,  1012,  1013,  1014,  1014,  1015,  1015,
    1016,  1016,  1017,  1017,  1017,  1018,  1018,  1018,  1018,  1019,
    1019,  1020,  1020,  1021,  1021,  1022,  1022,  1023,  1024,  1024,
    1024,  1025,  1026,  1026,  1027,  1027,  1028,  1028,  1028,  1029,
    1029,  1030,  1030,  1030,  1030,  1030,  1031,  1031,  1031,  1032,
    1032,  1032,  1033,  1033,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1035,  1035,  1036,  1036,  1037,  1037,  1037,
    1037,  1037,  1037,  1038,  1038,  1039,  1039,  1040,  1040,  1041,
    1041,  1042,  1042,  1042,  1043,  1043,  1044,  1044,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1046,  1046,  1047,  1048,
    1048,  1049,  1049,  1049,  1049,  1049,  1049,  1050,  1051,  1052,
    1052,  1052,  1053,  1053,  1054,  1055,  1055,  1056,  1057,  1057,
    1058,  1058,  1059,  1059,  1060,  1060,  1060,  1060,  1061,  1061,
    1062,  1062,  1063,  1063,  1064,  1064,  1065,  1065,  1066,  1067,
    1067,  1068,  1068,  1069,  1069,  1069,  1069,  1070,  1070,  1071,
    1071,  1072,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,
    1079,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,
    1080,  1080,  1080,  1080,  1080,  1080,  1081,  1082,  1083,  1083,
    1084,  1084,  1084,  1084,  1085,  1085,  1085,  1085,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1090,
    1090,  1091,  1091,  1091,  1091,  1091,  1091,  1091,  1091,  1093,
    1092,  1094,  1095,  1095,  1095,  1095,  1096,  1096,  1096,  1096,
    1097,  1097,  1098,  1099,  1100,  1100,  1101,  1101,  1101,  1102,
    1102,  1103,  1103,  1104,  1104,  1105,  1105,  1105,  1105,  1106,
    1106,  1106,  1107,  1108,  1108,  1109,  1109,  1110,  1110,  1110,
    1110,  1111,  1111,  1112,  1113,  1114,  1115,  1115,  1116,  1117,
    1117,  1118,  1118,  1118,  1118,  1118,  1120,  1119,  1121,  1122,
    1123,  1123,  1124,  1124,  1124,  1124,  1125,  1125,  1127,  1126,
    1129,  1128,  1130,  1128,  1128,  1131,  1131,  1132,  1132,  1132,
    1133,  1133,  1133,  1133,  1134,  1134,  1135,  1135,  1135,  1135,
    1135,  1135,  1136,  1136,  1136,  1137,  1139,  1138,  1140,  1141,
    1140,  1142,  1142,  1143,  1143,  1144,  1144,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1147,  1147,  1148,  1148,
    1149,  1150,  1150,  1151,  1151,  1151,  1152,  1153,  1154,  1154,
    1154,  1154,  1155,  1155,  1155,  1156,  1156,  1157,  1157,  1158,
    1159,  1159,  1160,  1160,  1161,  1161,  1162,  1162,  1163,  1164,
    1164,  1165,  1165,  1165,  1166,  1166,  1166,  1166,  1166,  1166,
    1166,  1166,  1166,  1167,  1167,  1167,  1167,  1167,  1168,  1168,
    1169,  1170,  1171,  1172,  1172,  1173,  1174,  1175,  1175,  1176,
    1177,  1177,  1178,  1179,  1180,  1180,  1181,  1182,  1183,  1183,
    1184,  1185,  1185,  1185,  1185,  1185,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1187,  1187,  1188,  1188,  1189,  1189,  1189,  1191,  1190,
    1192,  1192,  1194,  1193,  1195,  1195,  1195,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1197,  1197,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1199,  1199,  1199,  1199,  1199,  1199,  1200,  1200,
    1200,  1200,  1200,  1200,  1200,  1201,  1202,  1202,  1202,  1202,
    1202,  1202,  1202,  1202,  1203,  1203,  1203,  1203,  1203,  1203,
    1203,  1204,  1204,  1204,  1204,  1204,  1204,  1205,  1205,  1205,
    1205,  1205,  1205,  1205,  1205,  1205,  1205,  1205,  1206,  1206,
    1206,  1206,  1206,  1207,  1207,  1207,  1207,  1208,  1208,  1208,
    1208,  1208,  1208,  1208,  1209,  1209,  1209,  1210,  1210,  1210,
    1210,  1210,  1210,  1211,  1211,  1212,  1213,  1213,  1214,  1214,
    1215,  1216,  1217,  1218,  1218,  1218,  1219,  1220,  1221,  1222,
    1223,  1223,  1223,  1223,  1223,  1224,  1225,  1225,  1225,  1226,
    1226,  1227,  1227,  1227,  1228,  1228,  1229,  1229,  1230,  1230,
    1231,  1231,  1231,  1231,  1231,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1233,  1233,  1233,  1233,  1234,  1234,  1234,  1234,  1234,
    1234,  1234,  1234,  1234,  1234,  1235,  1235,  1235,  1235,  1236,
    1236,  1237,  1237,  1238,  1238,  1239,  1239
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     5,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     6,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     7,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,     4,
       1,     0,     6,     5,     4,     6,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     5,     2,
       0,     2,     7,    10,     6,     6,     6,     6,     7,     7,
       9,     9,     6,     7,     6,     8,     8,     8,     8,     6,
       6,     7,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,    10,    13,     5,     7,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     2,     6,     8,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     5,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     3,     0,    13,     1,     3,     5,
       6,     4,     7,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     5,     7,
       1,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     5,     2,     2,     0,     6,     7,     7,
       7,     8,     8,     6,     8,     9,     9,     7,    10,     7,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     1,     3,     2,     3,
       3,     3,     3,     1,     1,     8,     9,     9,     9,     9,
       2,     0,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     2,     2,     3,
       4,     5,     4,     5,     3,     4,     3,     4,     1,     2,
       3,     3,     3,     3,     4,     4,     3,     3,     4,     4,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,    14,     1,     0,     1,     0,
       1,     0,     2,     0,     1,     3,     5,     5,     7,     2,
       0,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     3,     3,     5,     6,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     5,     5,     7,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     9,    11,     8,     9,    11,     8,
       8,     7,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     7,     6,     6,     6,     6,
       6,     7,     9,     9,     6,     8,     8,     8,     8,     8,
       6,     8,     6,     8,     7,     9,     7,     9,     6,     7,
       6,     6,     6,     6,     6,     7,     7,     7,     9,     9,
       6,     6,     6,     8,     8,     8,     6,     7,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     2,     0,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     4,     3,
       3,     1,     0,     5,     6,     4,     2,     0,     4,     3,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     6,     1,     4,     2,     1,     3,     2,     3,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     8,     1,     3,
       1,     1,     3,     5,     2,     1,     3,     7,     1,     1,
       0,     3,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     1,     2,     4,     4,     4,     2,     3,
       1,     3,     6,     1,     0,     2,     1,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     4,     2,     3,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,     0,     2,
       0,     1,     3,     1,     0,     1,     2,     3,     2,     4,
       2,     3,     2,     0,     2,     3,     2,     0,     1,     3,
       2,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     2,     6,     2,     1,     3,     4,     0,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     3,     5,     6,     8,
       6,     6,     4,     4,     1,     1,     1,     5,     1,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     1,     1,
       1,     1,     1,     6,     4,     4,     4,     4,     6,     5,
       5,     5,     4,     6,     4,     4,     4,     4,     5,     7,
       7,     9,     5,     4,     6,     5,     7,     7,     7,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     2,     2,     0,     2,     4,     4,     6,     5,
       0,     5,     0,     2,     0,     1,     3,     3,     2,     2,
       0,     6,     1,     0,     3,     0,     2,     2,     0,     1,
       4,     2,     2,     2,     2,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     2,
       0,     2,     1,     0,     1,     1,     1,     3,     3,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     6,     2,     3,
       6,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       2,     4,     3,     2,     1,     1,     1,     1,     1,     0,
       8,     2,     5,     3,     2,     2,     3,     7,     1,     1,
       1,     0,     2,     2,     1,     0,     1,     3,     1,     2,
       0,     2,     0,     2,     0,     1,     3,     4,     3,     1,
       1,     1,     1,     2,     0,     2,     4,     0,     2,     2,
       2,     1,     1,     7,     3,     1,     1,     1,     1,     2,
       0,     1,     3,     3,     3,     3,     0,     4,     5,     5,
       0,     1,     1,     1,     2,     2,     1,     2,     0,     7,
       0,     5,     0,     4,     2,     2,     0,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     5,
       2,     1,     3,     2,     2,     3,     0,     5,     1,     0,
       5,     2,     2,     1,     1,     1,     2,     2,     3,     1,
       2,     2,     3,     3,     4,     2,     1,     2,     1,     1,
       2,     2,     3,     1,     1,     1,     1,     0,     1,     3,
       5,     0,     2,     0,     1,     2,     3,     2,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     2,     2,     3,
       0,     1,     2,     1,     4,     3,     4,     3,     2,     1,
       3,     1,     1,     1,     1,     2,     2,     1,     2,     2,
       1,     1,     1,     4,     4,     4,     4,     4,     1,     0,
       3,     3,     4,     1,     3,     3,     4,     1,     3,     3,
       1,     1,     1,     6,     1,     3,     3,     6,     1,     3,
       3,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     1,     1,     4,     4,     3,     0,     7,
       1,     0,     0,     7,     3,     4,     3,     1,     1,     1,
       2,     3,     5,     2,     5,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     0,     1,     2,     1,
       2,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     1,     2,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     2,     3,     1,     3,     3,     3,     3,
       3,     3,     1,     1,     4,     0,     2,     2,     1,     2,
       1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1516 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28009 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1518 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28015 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1520 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28021 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1522 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28027 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1524 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28033 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1526 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28039 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1528 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28045 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1530 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28051 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1532 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28057 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1534 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28063 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1536 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28069 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1538 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28075 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1540 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28081 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1542 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28087 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1544 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28093 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1546 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28099 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1548 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28105 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1550 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28111 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1552 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28117 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1554 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28123 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1556 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28129 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1558 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28135 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1560 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28141 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1562 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28147 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28153 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28159 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28165 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28171 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28177 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1574 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 28199 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28205 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28211 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28217 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28223 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28229 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28235 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28241 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28247 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28253 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28259 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28265 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28271 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28277 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28283 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28289 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28295 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28301 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28307 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28313 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28319 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28325 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28331 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28337 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28343 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28349 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28355 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28361 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28367 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28373 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28379 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1652 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 28387 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 28393 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28399 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28405 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28411 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28417 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28423 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28429 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28435 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28441 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28447 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28453 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28459 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28465 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28471 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28477 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28483 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28489 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28495 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28501 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28507 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28513 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28519 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 28525 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28531 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28537 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28543 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28549 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28555 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28561 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28567 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28573 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28579 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28585 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28591 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1724 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 28602 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28608 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28614 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28620 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28626 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28632 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28638 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28644 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28650 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28656 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28662 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28668 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1753 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28678 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28684 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28690 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28696 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28702 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28708 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28714 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28720 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28726 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1775 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28736 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1781 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28750 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1791 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28758 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1795 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28768 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1801 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28776 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1805 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 28790 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1815 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28804 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1824 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 28810 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1826 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28828 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1840 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28839 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1847 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28849 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1853 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 28864 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1864 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28874 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1870 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28887 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1879 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28898 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1886 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28908 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1892 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 28921 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1901 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28932 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1908 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28943 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1915 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28949 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28957 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 28965 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28972 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28980 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28987 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28995 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29002 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 29010 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 29018 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 29026 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 29034 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 29042 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 29050 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 29058 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 29066 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29074 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29082 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 29090 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 29098 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 29106 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 29114 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 29122 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29130 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29138 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29145 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 29153 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29161 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29169 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29177 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29185 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29193 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 29201 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 29209 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 29217 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 29225 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29233 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 29241 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 29249 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 29257 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 29265 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 29273 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29281 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29289 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2161 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29298 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2166 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29307 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29315 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29322 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29330 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29337 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29345 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29353 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29361 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29369 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29377 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29385 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29393 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 29401 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 29409 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 29417 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 29425 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29433 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 29441 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29449 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 29457 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 29465 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29473 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 29481 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 29489 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2289 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 29498 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 29506 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 29514 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 29522 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 29530 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 29538 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 29546 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 29554 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29562 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29570 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29578 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29586 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29594 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2354 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 29608 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 29616 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 29624 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 29632 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 29640 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 29648 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 29656 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 29664 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29672 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29680 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29688 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29696 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29704 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29712 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29720 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 29728 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29736 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29744 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29751 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29759 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29767 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29775 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29783 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 29791 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 29799 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 29807 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29815 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29823 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29831 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29839 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29847 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29855 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 29863 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 29871 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 29879 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 29887 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2547 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 29896 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29904 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29912 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29920 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 29928 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 29936 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 29944 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 29952 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 29960 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 29968 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 29976 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 29984 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29992 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30000 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30008 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30016 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30024 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30032 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30040 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30048 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30056 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30064 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30072 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30080 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30088 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30096 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30104 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30112 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30120 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30128 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 30136 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 30144 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30152 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 30160 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 30168 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 30176 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 30184 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 30192 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 30200 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30208 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30216 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30224 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30232 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 30240 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30248 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 30256 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30264 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30272 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 30280 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 30288 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 30296 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 30304 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 30312 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 30320 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 30328 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 30336 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 30344 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 30352 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 30360 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 30368 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 30376 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 30384 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 30392 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 30400 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 30408 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 30416 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 30424 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 30432 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 30440 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 30448 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 30456 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 30464 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 30472 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30480 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 30488 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 30496 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30504 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30512 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30519 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30527 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30534 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 30542 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30549 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 30557 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 30565 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 30573 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30581 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30589 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30597 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30604 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30612 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30620 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30628 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30636 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30644 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 30652 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30660 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30668 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30676 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30684 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30692 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30700 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30708 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3040 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 30717 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 30725 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30737 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30745 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 30753 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 30761 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 30769 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30776 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30784 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 30792 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 30800 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30808 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30816 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30824 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30831 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30839 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 30847 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 30855 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30863 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30871 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 30879 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 30887 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30895 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30903 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 30911 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 30919 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 30927 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 30935 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 30943 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30951 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30958 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30966 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30973 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 30981 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30988 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 30996 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31003 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31011 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31019 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31027 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31035 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31043 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 31051 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31059 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31066 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31074 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31082 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31090 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31098 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31106 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31114 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31122 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 31130 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 31138 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 31146 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 31154 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 31162 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 31170 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 31178 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31185 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31193 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31200 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31208 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31215 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31223 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31231 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31239 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31247 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31255 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31263 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31271 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31279 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31287 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31295 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 31303 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31311 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31318 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31326 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31334 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31342 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 31350 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 31358 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 31366 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31374 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31382 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31390 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 31398 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31406 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 31414 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 31422 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 31430 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 31438 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31446 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 31454 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 31462 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31469 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 31477 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 31485 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 31493 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 31501 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 31509 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 31517 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31525 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31533 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31541 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31549 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31557 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31565 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31573 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31581 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31589 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 31597 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31604 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31612 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31619 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31627 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31635 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31643 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 31651 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3667 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 31660 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 31668 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31675 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31683 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31691 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31699 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31707 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31715 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31722 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31730 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31738 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31746 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31754 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31761 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 31769 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 31777 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 31785 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 31793 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 31801 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 31809 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 31817 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31825 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31832 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 31840 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 31848 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 31856 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31863 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 31871 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 31879 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 31887 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31894 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 31902 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31909 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 31917 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31924 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 31932 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31940 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 31948 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 31956 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31963 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31971 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31979 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 31987 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31994 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32002 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32010 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32018 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32026 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32034 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32041 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32049 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32057 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 32065 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 32073 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 32081 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32089 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 32097 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 32105 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 32113 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 32121 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 32129 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32137 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 32145 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32153 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 32161 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32168 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32176 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 32184 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 32192 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32200 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32208 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32216 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 32224 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32232 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 32240 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32247 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32255 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32263 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 32271 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32278 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 32286 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 32294 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32302 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32309 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32317 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32325 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 32333 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32340 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32348 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 32356 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32363 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 32371 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 32379 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32387 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32395 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32403 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32410 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32418 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32426 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 32434 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 32442 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32450 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32457 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 32465 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32473 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32481 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 32489 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 32497 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 32505 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 32513 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 32521 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32529 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32537 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32545 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 32553 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 32561 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 32569 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 32577 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 32585 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 32593 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 32601 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 32609 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 32617 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 32625 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 32633 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 32641 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32649 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 32657 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32665 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 32673 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 32681 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 32689 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 32697 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32705 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32713 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32721 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32728 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32736 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32744 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32752 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32760 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32768 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32775 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32783 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32791 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32799 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32807 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32815 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32823 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32831 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32839 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 32847 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32855 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32863 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32871 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32879 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 32887 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32894 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32902 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 32910 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32918 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32925 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32933 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32941 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32949 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32957 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32965 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32973 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32981 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32989 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32997 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33005 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 33013 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 33021 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33029 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 33037 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 33045 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33053 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33061 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33069 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 33077 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 33085 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 33093 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33101 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 33109 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 33117 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 33125 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 33133 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 33141 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 33149 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33157 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33164 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 33172 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33179 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 33187 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 33195 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33203 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33226 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33233 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33241 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33249 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33257 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33265 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 33273 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33280 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33287 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33295 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 33303 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 33311 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 33319 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 33327 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 33335 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 33343 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33351 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33359 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33367 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33375 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33383 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 33391 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33399 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 33407 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 33415 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33423 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 33431 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 33439 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 33447 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 33455 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33464 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4932 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33473 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33481 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33489 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33497 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33505 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 33513 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33521 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33529 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 33537 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33545 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33553 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33561 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33569 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33577 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 33585 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33593 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33601 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33609 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33617 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33625 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33633 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33641 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33649 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33657 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33665 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33673 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33681 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33689 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33697 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33705 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33712 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33720 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33728 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33736 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 33744 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 33752 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 33760 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33767 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 33775 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33783 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33791 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33799 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33807 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33815 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33823 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 33831 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33839 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33846 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 33854 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33861 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 33869 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 33877 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33884 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5216 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 33893 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33900 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 33908 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 33916 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 33924 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33932 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33940 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33948 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33956 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33964 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33972 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33980 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33988 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33996 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 34004 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34012 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34020 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34028 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34036 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34044 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34052 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34060 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34068 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 34076 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34084 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34092 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34100 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34108 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 34116 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 34124 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34132 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 34140 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 34148 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 34156 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 34164 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 34172 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34180 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34188 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34196 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34204 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 34212 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 34220 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34228 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 34236 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 34244 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34251 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34259 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34267 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34275 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34283 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34291 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34299 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34307 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34315 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34323 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34331 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34339 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 34347 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34355 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34363 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34371 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34379 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 34387 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34395 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34403 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34411 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34419 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34427 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34435 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 34443 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 34451 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34459 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 34467 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34475 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34483 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 34491 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 34499 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34507 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 34515 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 34523 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 34531 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 34539 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34547 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34555 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34563 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34571 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34579 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34587 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34595 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 34603 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34610 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34618 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34626 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34634 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34642 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34650 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34658 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34666 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34674 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34682 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34690 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34698 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34706 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34714 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34722 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34730 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 34738 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 34746 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5738 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 34754 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5742 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 34764 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5748 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 34774 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5754 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 34784 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5760 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 34794 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5766 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 34804 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5772 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 34814 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5778 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 34824 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5784 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 34834 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 34849 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5805 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34864 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5816 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34879 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5827 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34894 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5838 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34909 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5849 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5860 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34944 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5876 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34964 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5892 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34984 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5908 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34999 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5919 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35019 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35034 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5946 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35054 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5962 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35069 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 35077 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 35085 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35093 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35100 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35108 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35116 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35124 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35132 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35140 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 35148 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35156 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35164 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35172 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35180 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 35188 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 35196 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 35204 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35212 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35220 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 35228 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35236 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35244 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 35252 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 35260 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 35268 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 35276 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35284 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 35292 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35300 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 35308 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35316 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 35324 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 35332 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 35340 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35348 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35356 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35364 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 35372 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 35380 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35387 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35395 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35403 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35411 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35419 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35427 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35435 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 35443 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35450 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 35458 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35473 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35481 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35488 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 35496 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 35504 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 35512 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35520 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35528 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35536 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 35544 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 35552 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 35560 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 35568 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35576 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 35584 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35591 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 35599 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35606 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35614 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35621 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35629 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35636 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35644 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35652 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35660 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35668 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35676 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35684 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35691 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35699 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35707 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35714 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 35722 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 35730 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35737 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 35745 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 35753 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35760 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35768 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35776 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35784 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 35792 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35799 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35807 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35815 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35823 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35831 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35839 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35847 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35855 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35863 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35871 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35879 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35887 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35895 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35903 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 35911 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 35919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 35927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 35935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 35943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 35999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6619 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 36016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 36024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 36088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 36096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 36104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 36112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 36120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 36128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 36136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 36144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 36152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 36160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 36168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 36176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 36184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 36192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 36216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 36224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 36406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 36430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 36462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 36478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 36486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 36494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 36502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 36525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 36564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 36572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 36580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 36595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 36603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 36971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 36986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 37353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 37377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 37448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 37456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 37464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 37472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 37480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 37488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 37527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 37542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 37550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 37558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 37566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 37582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 37590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 37598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 37606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 37614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 37622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 37630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 37638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 37654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 37662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 37670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 37678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 37686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 37701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 37709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 37717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 37725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 37733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7708 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7713 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 37814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 37822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 37830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 37845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 38004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 38027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 38066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 38074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 38082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 38090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 38114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 38122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 38130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 38154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 38162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 38217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 38225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 38249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 38257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 38384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 38392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 38460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 38476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8263 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 38629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8269 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 38639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 38692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 38747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 38779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 38825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 38840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 38848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 38856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 38864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 38872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 38880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 38888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 38896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 38904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 38967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8539 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 39044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8596 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 39064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 39079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 39087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 39095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 39103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8631 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 39114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 39122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 39130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 39266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 39306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8793 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 39360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 39431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 39531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 39618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8969 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 39627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 39635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 39643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 39651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 39731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 39739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 39747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 39755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 39763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 39778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 39801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 39848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 39856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 39864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 39872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 39880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 39895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 40012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 40036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 40044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 40060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 40138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 40146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 40154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 40162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 40170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 40193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 40209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 40217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 40328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9481 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 40367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9524 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9526 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 40449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 40457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9548 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 40471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9558 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 40485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9568 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 40495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 40622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 40630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 40638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 40646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 40654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 40662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 40670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 40678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 40686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 40694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 40702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 40765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 40821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 40829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 40837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 40845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 40853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 40861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 40869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 40884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 40907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 40923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 40931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 40939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 40947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 40962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 40970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 40978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 40986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 40994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 41010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 41018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 41026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 41034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 41042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 41050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 41058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 41097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 41105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 41113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 41121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 41129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 41137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 41145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 41153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 41161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 41169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 41177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 41185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 41193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 41241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 41249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 41257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 41273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 41289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 41305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 41321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 41337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 41353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 41361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 41369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 41377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 41385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 41393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 41401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 41409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 41417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 41425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 41433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 41513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 41538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 41570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 41578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 41586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 41594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 41602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 41610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 41618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 41626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 41634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 41642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 41650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 41802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 41834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 41882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 41930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 41938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 41954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 41970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 41986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 42002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 42010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 42018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 42026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 42034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 42042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 42258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 42266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 42274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 42282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 42290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 42361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 42369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 42384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 42400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 42446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 42531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 42547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 42555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 42578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 42586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 42594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 42602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 42610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 42618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 42634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 42650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 42658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 42690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 42698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 42714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 42722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 42730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 42738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 42746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 42754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 42810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 42818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 42826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 42834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 42882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 42922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 42946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 42969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 42977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 42985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 42993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 43001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 43009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 43041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 43049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 43245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 43253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 43308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 43331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 43418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 43570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 43618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 43626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 43634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 43652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 43698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 43706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 43746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 43754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 43762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 43770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 43778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 43786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 43794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 43802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 43818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 43826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 43834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 43866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 43874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 43882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 43890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 43898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 43906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 43914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 43922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 43930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 43938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 44010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 44018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 44042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 44050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 44058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 44066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 44082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 44090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 44106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 44114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 44122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 44130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 44138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 44146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 44154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 44162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 44170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 44202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 44210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 44218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 44226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 44234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 44242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 44250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 44258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 44266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 44274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 44282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 44290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 44298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 44314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 44322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 44330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 44338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 44346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 44354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 44362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 44370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 44378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 44386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 44394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 44402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 44410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 44418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 44426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 44434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 44442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 44450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 44458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 44466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 44474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 44482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 44490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 44498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 44506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 44514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 44530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 44538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 44546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 44554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 44562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 44570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 44578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 44586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 44594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 44602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 44610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 44618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 44626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 44634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 44642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 44650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 44658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 44666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 44674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 44682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 44690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 44698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 44706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 44714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 44722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 44730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 44738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 44746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 44754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 44762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 44770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 44778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 44786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 44794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 44810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 44818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 44826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 44834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 44842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 44850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 44858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 44866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 44874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 44890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 44898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 44906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 44914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 44922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 44930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 44938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 44946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 44954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 44962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 44970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 44978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 44986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 44994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 45002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 45010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 45018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 45026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 45034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 45042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 45050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 45058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 45066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 45074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 45082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 45090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 45098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 45106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 45114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 45122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 45130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 45138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 45146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 45154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 45162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 45170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 45178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 45186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 45194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 45202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 45210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 45218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 45226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 45234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 45242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 45250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 45258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 45266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 45274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 45282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 45290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 45298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 45306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 45314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 45322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 45330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 45338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 45346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 45354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 45362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 45370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 45378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 45386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 45394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 45402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 45410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 45426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 45434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 45450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 45458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 45466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 45474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 45482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 45490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 45498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 45506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 45514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 45522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 45530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 45538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 45546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 45554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 45562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 45570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 45578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 45594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 45602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 45610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 45618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 45626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 45634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 45642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 45650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 45658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 45674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 45682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 45690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 45698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 45706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 45714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 45722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 45730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 45738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 45746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 45754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 45762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 45770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 45778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 45786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 45794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 45802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 45810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 45818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 45826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 45834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 45842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 45850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 45858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 45866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 45874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 45882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 45890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 45898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 45906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 45914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 45922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 45930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 45938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 45946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 45962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 45970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 45978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 45986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 45994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 46002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 46010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 46018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 46026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 46034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 46042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 46050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 46058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 46066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 46074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 46082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 46090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 46098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 46106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 46114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 46122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 46130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 46138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 46146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 46154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 46170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 46178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 46186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 46194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 46202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 46218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 46226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 46234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 46242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 46250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 46258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 46266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 46282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 46290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 46298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 46314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 46330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 46346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 46354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 46362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 46370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 46378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 46386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 46394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 46402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 46410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 46418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 46426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 46434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 46442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 46450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 46466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 46474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 46482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 12982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 46490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 46506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 46514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 46522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 46538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 46546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 46554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 46562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 46570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 46578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 46586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 46594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 46602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 46610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 46618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 46626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 46634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 46642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 46650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 46658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 46674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 46682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 46690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 46698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 46706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 46714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 46722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 46730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 46738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 46746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 46754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 46770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 46778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 46786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 46794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 46810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 46818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 46826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 46834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 46842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 46850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 46858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13183 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 46872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13186 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 46882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13192 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13193 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13194 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 46900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13196 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 46915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13208 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 46921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13209 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 46932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13218 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 46946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13233 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 46952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13235 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 46958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 46964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 46970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13244 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 46986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13256 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 47006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13272 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13276 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 47027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13291 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 47053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13303 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 47064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 47088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13317 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 47100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13324 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13325 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 47118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13328 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13329 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 47130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13333 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 47136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13335 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 47142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13337 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 47148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13339 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 47154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13343 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 47165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13350 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 47176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13357 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 47194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13373 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 47230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13407 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 47244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13416 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13420 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 47258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13424 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 47272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13440 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13446 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 47314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13459 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13467 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 47383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13528 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 47393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 47435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 47441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 47447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13552 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 47453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13559 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 47459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13561 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13568 "preproc.y" /* yacc.c:1646  */
    {}
#line 47475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13570 "preproc.y" /* yacc.c:1646  */
    {}
#line 47481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13573 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13587 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 47539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13593 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 47551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13603 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13613 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13617 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13627 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13631 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 47603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 47609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13641 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13642 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13643 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 47639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 47645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 47651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 47657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 47663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 47669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13657 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13665 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 47702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13682 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13690 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13713 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 47851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13819 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 47887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 47893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 47911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13864 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 47922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13871 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13916 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 47984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13922 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13931 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 48005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13937 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 48014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13944 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 48023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13949 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 48031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13954 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 48037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13955 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 48043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 48049 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13959 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 48055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13960 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 48061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13961 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 48067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 48073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13963 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 48079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13965 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 48091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13973 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 48103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13980 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 48109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13983 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 48115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13984 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 48121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13985 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 48127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 48133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13987 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 48139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13989 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 48151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13997 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 48163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14004 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 48169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14005 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 48175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14006 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 48181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14016 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 48198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14025 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 48287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14112 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14114 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 48302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14120 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 48314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 48320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14129 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 48329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14137 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14140 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14141 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 48353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14143 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 48371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14152 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14169 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 48411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14185 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14190 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14197 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14202 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14209 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14218 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 48491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14228 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14229 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14230 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14231 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14232 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14233 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14234 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14235 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14236 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14243 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14250 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14262 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14268 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14275 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 48621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14283 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14296 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14307 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14318 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 48651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14326 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14331 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 48663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14339 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14345 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14353 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 48697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14366 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14373 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14377 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14385 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14391 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14400 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14405 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14415 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14425 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14436 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 48789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14437 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 48795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 48801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14439 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 48807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 48813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 48819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 48831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 48837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 48843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 48849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14447 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 48861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 48867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 48873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 48891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 48897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14478 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14484 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 48938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 48944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14502 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14508 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 49022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14572 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 49032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14578 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 49042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14584 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14592 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 49062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14598 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 49072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14604 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 49082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14610 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14616 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 49102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14622 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 49112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14628 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 49122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14634 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 49132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14640 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 49142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 49160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 49166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 49172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 49178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 49184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 49190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 49196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 49202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 49208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 49214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 49220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 49226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 49232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 49238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 49244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 49250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 49256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 49262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 49268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 49274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 49280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 49286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 49292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 49298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 49304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 49310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 49316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 49322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 49328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 49334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 49340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 49346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 49352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 49358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 49364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 49370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 49376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 49532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 49538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 49544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 49550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 49556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 49634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14770 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 49640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 49646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 49652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 49658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14774 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 49664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14775 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 49670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14794 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 49694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 49700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 49706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 49712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 49718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14802 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 49724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14809 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 49733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14815 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14816 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14820 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 49751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14822 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 49757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14827 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 49769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14837 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 49782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14848 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 49791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14854 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14855 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14856 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14860 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 49844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14892 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14894 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14896 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14900 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 49876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14910 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14920 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14929 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14930 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14933 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14943 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 49952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14951 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 49964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14953 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 49970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14956 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 49982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 49994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14965 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14966 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 50006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14969 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 50018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14971 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 50024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 50030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 50036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 50066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 50072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 50078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14983 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 50084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 50090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 50096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14986 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 50102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 50108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14988 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 50114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 50120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14990 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 50126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 50132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 50138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 50144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14994 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 50150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 50156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 14996 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 50162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 14997 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 50168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 14998 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 50174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 14999 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 50180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 50186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 50192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15002 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 50198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15003 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 50204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15004 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 50210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15005 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 50216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 50222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15007 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 50228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15008 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 50234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 50240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 50246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15011 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 50252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 50258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 50264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 50270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 50276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 50282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15017 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 50288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 50294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 50300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15020 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 50306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15021 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 50312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 50318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15023 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 50324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15024 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 50330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15025 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 50336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 50342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 50348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15028 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 50354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 50360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15030 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 50366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 50372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15034 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15036 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15037 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15040 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15041 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 50408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 50414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 50420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15044 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 50426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 50432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15046 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 50438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15048 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15049 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 50460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15057 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15062 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15072 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 50527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50539 "preproc.c" /* yacc.c:1646  */
    break;


#line 50543 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15086 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
